/*
    Copyright 2005 Martin Ruckert
    
    ruckertm@acm.org

    This file is part of mp32pcm.

    mp32pcm is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or
    (at your option) any later version.

    mp32pcm is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with mp32pcm; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

static const double mfactors[17][64] = { {
                                          -3.5555555555555554e+00,
                                          -2.8220463146101324e+00,
                                          -2.2398596442575522e+00,
                                          -1.7777777777777777e+00,
                                          -1.4110231573050662e+00,
                                          -1.1199298221287761e+00,
                                          -8.8888888888888884e-01,
                                          -7.0551157865253300e-01,
                                          -5.5996491106438806e-01,
                                          -4.4444444444444442e-01,
                                          -3.5275578932626650e-01,
                                          -2.7998245553219403e-01,
                                          -2.2222222222222221e-01,
                                          -1.7637789466313331e-01,
                                          -1.3999122776609699e-01,
                                          -1.1111111111111110e-01,
                                          -8.8188947331566653e-02,
                                          -6.9995613883048494e-02,
                                          -5.5555555555555552e-02,
                                          -4.4094473665783326e-02,
                                          -3.4997806941524247e-02,
                                          -2.7777777777777776e-02,
                                          -2.2047236832891663e-02,
                                          -1.7498903470762123e-02,
                                          -1.3888888888888888e-02,
                                          -1.1023618416445826e-02,
                                          -8.7494517353810669e-03,
                                          -6.9444444444444441e-03,
                                          -5.5118092082229132e-03,
                                          -4.3747258676905335e-03,
                                          -3.4722222222222220e-03,
                                          -2.7559046041114566e-03,
                                          -2.1873629338452667e-03,
                                          -1.7361111111111110e-03,
                                          -1.3779523020557283e-03,
                                          -1.0936814669226334e-03,
                                          -8.6805555555555551e-04,
                                          -6.8897615102786415e-04,
                                          -5.4684073346131668e-04,
                                          -4.3402777777777775e-04,
                                          -3.4448807551393207e-04,
                                          -2.7342036673065834e-04,
                                          -2.1701388888888888e-04,
                                          -1.7224403775696604e-04,
                                          -1.3671018336532917e-04,
                                          -1.0850694444444444e-04,
                                          -8.6122018878483019e-05,
                                          -6.8355091682664585e-05,
                                          -5.4253472222222219e-05,
                                          -4.3061009439241557e-05,
                                          -3.4177545841332252e-05,
                                          -2.7126736111111110e-05,
                                          -2.1530504719620778e-05,
                                          -1.7088772920666126e-05,
                                          -1.3563368055555555e-05,
                                          -1.0765252359810389e-05,
                                          -8.5443864603330630e-06,
                                          -6.7816840277777774e-06,
                                          -5.3826261799051946e-06,
                                          -4.2721932301665315e-06,
                                          -3.3908420138888887e-06,
                                          -2.6913130899525973e-06,
                                          -2.1360966150832657e-06,
                                          -1.6954210069444444e-06},
{
 -3.2000000000000002e+00, -2.5398416831491195e+00, -2.0158736798317971e+00,
 -1.6000000000000001e+00, -1.2699208415745598e+00, -1.0079368399158986e+00,
 -8.0000000000000004e-01, -6.3496042078727977e-01, -5.0396841995794928e-01,
 -4.0000000000000002e-01, -3.1748021039363988e-01, -2.5198420997897464e-01,
 -2.0000000000000001e-01, -1.5874010519681997e-01, -1.2599210498948729e-01,
 -1.0000000000000001e-01, -7.9370052598409985e-02, -6.2996052494743646e-02,
 -5.0000000000000003e-02, -3.9685026299204992e-02, -3.1498026247371823e-02,
 -2.5000000000000001e-02, -1.9842513149602496e-02, -1.5749013123685911e-02,
 -1.2500000000000001e-02, -9.9212565748012429e-03, -7.8745065618429609e-03,
 -6.2500000000000003e-03, -4.9606282874006214e-03, -3.9372532809214805e-03,
 -3.1250000000000002e-03, -2.4803141437003107e-03, -1.9686266404607402e-03,
 -1.5625000000000001e-03, -1.2401570718501554e-03, -9.8431332023037011e-04,
 -7.8125000000000004e-04, -6.2007853592507768e-04, -4.9215666011518506e-04,
 -3.9062500000000002e-04, -3.1003926796253884e-04, -2.4607833005759253e-04,
 -1.9531250000000001e-04, -1.5501963398126942e-04, -1.2303916502879626e-04,
 -9.7656250000000005e-05, -7.7509816990634710e-05, -6.1519582514398132e-05,
 -4.8828125000000003e-05, -3.8754908495317402e-05, -3.0759791257199025e-05,
 -2.4414062500000001e-05, -1.9377454247658701e-05, -1.5379895628599513e-05,
 -1.2207031250000001e-05, -9.6887271238293506e-06, -7.6899478142997564e-06,
 -6.1035156250000003e-06, -4.8443635619146753e-06, -3.8449739071498782e-06,
 -3.0517578125000002e-06, -2.4221817809573377e-06, -1.9224869535749391e-06,
 -1.5258789062500001e-06},
{
 -2.6666666666666665e+00, -2.1165347359575994e+00, -1.6798947331931642e+00,
 -1.3333333333333333e+00, -1.0582673679787997e+00, -8.3994736659658209e-01,
 -6.6666666666666663e-01, -5.2913368398939975e-01, -4.1997368329829105e-01,
 -3.3333333333333331e-01, -2.6456684199469988e-01, -2.0998684164914552e-01,
 -1.6666666666666666e-01, -1.3228342099734999e-01, -1.0499342082457275e-01,
 -8.3333333333333329e-02, -6.6141710498674997e-02, -5.2496710412286374e-02,
 -4.1666666666666664e-02, -3.3070855249337498e-02, -2.6248355206143187e-02,
 -2.0833333333333332e-02, -1.6535427624668749e-02, -1.3124177603071593e-02,
 -1.0416666666666666e-02, -8.2677138123343694e-03, -6.5620888015358002e-03,
 -5.2083333333333330e-03, -4.1338569061671847e-03, -3.2810444007679001e-03,
 -2.6041666666666665e-03, -2.0669284530835923e-03, -1.6405222003839500e-03,
 -1.3020833333333333e-03, -1.0334642265417962e-03, -8.2026110019197502e-04,
 -6.5104166666666663e-04, -5.1673211327089809e-04, -4.1013055009598751e-04,
 -3.2552083333333332e-04, -2.5836605663544904e-04, -2.0506527504799376e-04,
 -1.6276041666666666e-04, -1.2918302831772452e-04, -1.0253263752399688e-04,
 -8.1380208333333329e-05, -6.4591514158862261e-05, -5.1266318761998439e-05,
 -4.0690104166666664e-05, -3.2295757079431164e-05, -2.5633159380999189e-05,
 -2.0345052083333332e-05, -1.6147878539715582e-05, -1.2816579690499594e-05,
 -1.0172526041666666e-05, -8.0739392698577910e-06, -6.4082898452497972e-06,
 -5.0862630208333331e-06, -4.0369696349288955e-06, -3.2041449226248986e-06,
 -2.5431315104166665e-06, -2.0184848174644478e-06, -1.6020724613124493e-06,
 -1.2715657552083333e-06}
,
{
 -2.2857142857142856e+00, -1.8141726308207995e+00, -1.4399097713084266e+00,
 -1.1428571428571428e+00, -9.0708631541039975e-01, -7.1995488565421328e-01,
 -5.7142857142857140e-01, -4.5354315770519982e-01, -3.5997744282710664e-01,
 -2.8571428571428570e-01, -2.2677157885259991e-01, -1.7998872141355332e-01,
 -1.4285714285714285e-01, -1.1338578942629998e-01, -8.9994360706776647e-02,
 -7.1428571428571425e-02, -5.6692894713149991e-02, -4.4997180353388323e-02,
 -3.5714285714285712e-02, -2.8346447356574996e-02, -2.2498590176694162e-02,
 -1.7857142857142856e-02, -1.4173223678287498e-02, -1.1249295088347081e-02,
 -8.9285714285714281e-03, -7.0866118391437454e-03, -5.6246475441735430e-03,
 -4.4642857142857140e-03, -3.5433059195718727e-03, -2.8123237720867715e-03,
 -2.2321428571428570e-03, -1.7716529597859364e-03, -1.4061618860433858e-03,
 -1.1160714285714285e-03, -8.8582647989296818e-04, -7.0308094302169288e-04,
 -5.5803571428571425e-04, -4.4291323994648409e-04, -3.5154047151084644e-04,
 -2.7901785714285713e-04, -2.2145661997324204e-04, -1.7577023575542322e-04,
 -1.3950892857142856e-04, -1.1072830998662102e-04, -8.7885117877711610e-05,
 -6.9754464285714282e-05, -5.5364154993310511e-05, -4.3942558938855805e-05,
 -3.4877232142857141e-05, -2.7682077496655286e-05, -2.1971279469427875e-05,
 -1.7438616071428570e-05, -1.3841038748327643e-05, -1.0985639734713938e-05,
 -8.7193080357142852e-06, -6.9205193741638215e-06, -5.4928198673569688e-06,
 -4.3596540178571426e-06, -3.4602596870819108e-06, -2.7464099336784844e-06,
 -2.1798270089285713e-06, -1.7301298435409554e-06, -1.3732049668392422e-06,
 -1.0899135044642857e-06}
,
{
 -2.1333333333333333e+00, -1.6932277887660796e+00, -1.3439157865545315e+00,
 -1.0666666666666667e+00, -8.4661389438303980e-01, -6.7195789327726574e-01,
 -5.3333333333333333e-01, -4.2330694719151984e-01, -3.3597894663863287e-01,
 -2.6666666666666666e-01, -2.1165347359575992e-01, -1.6798947331931643e-01,
 -1.3333333333333333e-01, -1.0582673679787999e-01, -8.3994736659658203e-02,
 -6.6666666666666666e-02, -5.2913368398939994e-02, -4.1997368329829102e-02,
 -3.3333333333333333e-02, -2.6456684199469997e-02, -2.0998684164914551e-02,
 -1.6666666666666666e-02, -1.3228342099734999e-02, -1.0499342082457275e-02,
 -8.3333333333333332e-03, -6.6141710498674958e-03, -5.2496710412286403e-03,
 -4.1666666666666666e-03, -3.3070855249337479e-03, -2.6248355206143202e-03,
 -2.0833333333333333e-03, -1.6535427624668740e-03, -1.3124177603071601e-03,
 -1.0416666666666667e-03, -8.2677138123343698e-04, -6.5620888015358004e-04,
 -5.2083333333333333e-04, -4.1338569061671849e-04, -3.2810444007679002e-04,
 -2.6041666666666666e-04, -2.0669284530835924e-04, -1.6405222003839501e-04,
 -1.3020833333333333e-04, -1.0334642265417962e-04, -8.2026110019197505e-05,
 -6.5104166666666666e-05, -5.1673211327089811e-05, -4.1013055009598752e-05,
 -3.2552083333333333e-05, -2.5836605663544933e-05, -2.0506527504799349e-05,
 -1.6276041666666666e-05, -1.2918302831772466e-05, -1.0253263752399675e-05,
 -8.1380208333333332e-06, -6.4591514158862332e-06, -5.1266318761998373e-06,
 -4.0690104166666666e-06, -3.2295757079431166e-06, -2.5633159380999186e-06,
 -2.0345052083333333e-06, -1.6147878539715583e-06, -1.2816579690499593e-06,
 -1.0172526041666667e-06}
,
{
 -2.0645161290322580e+00, -1.6386075375155609e+00, -1.3005636644076111e+00,
 -1.0322580645161290e+00, -8.1930376875778044e-01, -6.5028183220380553e-01,
 -5.1612903225806450e-01, -4.0965188437889016e-01, -3.2514091610190277e-01,
 -2.5806451612903225e-01, -2.0482594218944508e-01, -1.6257045805095138e-01,
 -1.2903225806451613e-01, -1.0241297109472257e-01, -8.1285229025475678e-02,
 -6.4516129032258063e-02, -5.1206485547361284e-02, -4.0642614512737839e-02,
 -3.2258064516129031e-02, -2.5603242773680642e-02, -2.0321307256368919e-02,
 -1.6129032258064516e-02, -1.2801621386840321e-02, -1.0160653628184460e-02,
 -8.0645161290322578e-03, -6.4008106934201571e-03, -5.0803268140922325e-03,
 -4.0322580645161289e-03, -3.2004053467100785e-03, -2.5401634070461162e-03,
 -2.0161290322580645e-03, -1.6002026733550393e-03, -1.2700817035230581e-03,
 -1.0080645161290322e-03, -8.0010133667751963e-04, -6.3504085176152906e-04,
 -5.0403225806451612e-04, -4.0005066833875982e-04, -3.1752042588076453e-04,
 -2.5201612903225806e-04, -2.0002533416937991e-04, -1.5876021294038226e-04,
 -1.2600806451612903e-04, -1.0001266708468995e-04, -7.9380106470191132e-05,
 -6.3004032258064514e-05, -5.0006333542344977e-05, -3.9690053235095566e-05,
 -3.1502016129032257e-05, -2.5003166771172516e-05, -1.9845026617547759e-05,
 -1.5751008064516129e-05, -1.2501583385586258e-05, -9.9225133087738797e-06,
 -7.8755040322580643e-06, -6.2507916927931289e-06, -4.9612566543869398e-06,
 -3.9377520161290321e-06, -3.1253958463965645e-06, -2.4806283271934699e-06,
 -1.9688760080645161e-06, -1.5626979231982822e-06, -1.2403141635967350e-06,
 -9.8443800403225804e-07}
,
{
 -2.0317460317460316e+00, -1.6125978940629329e+00, -1.2799197967186013e+00,
 -1.0158730158730158e+00, -8.0629894703146643e-01, -6.3995989835930067e-01,
 -5.0793650793650791e-01, -4.0314947351573316e-01, -3.1997994917965034e-01,
 -2.5396825396825395e-01, -2.0157473675786658e-01, -1.5998997458982517e-01,
 -1.2698412698412698e-01, -1.0078736837893332e-01, -7.9994987294912570e-02,
 -6.3492063492063489e-02, -5.0393684189466659e-02, -3.9997493647456285e-02,
 -3.1746031746031744e-02, -2.5196842094733329e-02, -1.9998746823728143e-02,
 -1.5873015873015872e-02, -1.2598421047366665e-02, -9.9993734118640713e-03,
 -7.9365079365079361e-03, -6.2992105236833289e-03, -4.9996867059320382e-03,
 -3.9682539682539680e-03, -3.1496052618416644e-03, -2.4998433529660191e-03,
 -1.9841269841269840e-03, -1.5748026309208322e-03, -1.2499216764830096e-03,
 -9.9206349206349201e-04, -7.8740131546041611e-04, -6.2496083824150478e-04,
 -4.9603174603174600e-04, -3.9370065773020805e-04, -3.1248041912075239e-04,
 -2.4801587301587300e-04, -1.9685032886510403e-04, -1.5624020956037619e-04,
 -1.2400793650793650e-04, -9.8425164432552014e-05, -7.8120104780188097e-05,
 -6.2003968253968251e-05, -4.9212582216276007e-05, -3.9060052390094049e-05,
 -3.1001984126984125e-05, -2.4606291108138031e-05, -1.9530026195047001e-05,
 -1.5500992063492063e-05, -1.2303145554069015e-05, -9.7650130975235003e-06,
 -7.7504960317460313e-06, -6.1515727770345076e-06, -4.8825065487617502e-06,
 -3.8752480158730157e-06, -3.0757863885172538e-06, -2.4412532743808751e-06,
 -1.9376240079365078e-06, -1.5378931942586269e-06, -1.2206266371904375e-06,
 -9.6881200396825391e-07}
,
{
 -2.0157480314960630e+00, -1.5999002728498390e+00, -1.2698416880830219e+00,
 -1.0078740157480315e+00, -7.9995013642491952e-01, -6.3492084404151095e-01,
 -5.0393700787401574e-01, -3.9997506821245971e-01, -3.1746042202075547e-01,
 -2.5196850393700787e-01, -1.9998753410622985e-01, -1.5873021101037774e-01,
 -1.2598425196850394e-01, -9.9993767053114954e-02, -7.9365105505188854e-02,
 -6.2992125984251968e-02, -4.9996883526557477e-02, -3.9682552752594427e-02,
 -3.1496062992125984e-02, -2.4998441763278739e-02, -1.9841276376297214e-02,
 -1.5748031496062992e-02, -1.2499220881639369e-02, -9.9206381881486068e-03,
 -7.8740157480314960e-03, -6.2496104408196812e-03, -4.9603190940743060e-03,
 -3.9370078740157480e-03, -3.1248052204098406e-03, -2.4801595470371530e-03,
 -1.9685039370078740e-03, -1.5624026102049203e-03, -1.2400797735185765e-03,
 -9.8425196850393699e-04, -7.8120130510246015e-04, -6.2003988675928825e-04,
 -4.9212598425196850e-04, -3.9060065255123007e-04, -3.1001994337964412e-04,
 -2.4606299212598425e-04, -1.9530032627561504e-04, -1.5500997168982206e-04,
 -1.2303149606299212e-04, -9.7650163137807518e-05, -7.7504985844911031e-05,
 -6.1515748031496062e-05, -4.8825081568903759e-05, -3.8752492922455516e-05,
 -3.0757874015748031e-05, -2.4412540784451907e-05, -1.9376246461227734e-05,
 -1.5378937007874016e-05, -1.2206270392225953e-05, -9.6881232306138670e-06,
 -7.6894685039370078e-06, -6.1031351961129767e-06, -4.8440616153069335e-06,
 -3.8447342519685039e-06, -3.0515675980564883e-06, -2.4220308076534668e-06,
 -1.9223671259842519e-06, -1.5257837990282442e-06, -1.2110154038267334e-06,
 -9.6118356299212597e-07}
,
{
 -2.0078431372549019e+00, -1.5936261541327807e+00, -1.2648619167572059e+00,
 -1.0039215686274510e+00, -7.9681307706639037e-01, -6.3243095837860297e-01,
 -5.0196078431372548e-01, -3.9840653853319513e-01, -3.1621547918930148e-01,
 -2.5098039215686274e-01, -1.9920326926659757e-01, -1.5810773959465074e-01,
 -1.2549019607843137e-01, -9.9601634633298811e-02, -7.9053869797325357e-02,
 -6.2745098039215685e-02, -4.9800817316649405e-02, -3.9526934898662679e-02,
 -3.1372549019607843e-02, -2.4900408658324703e-02, -1.9763467449331339e-02,
 -1.5686274509803921e-02, -1.2450204329162351e-02, -9.8817337246656697e-03,
 -7.8431372549019607e-03, -6.2251021645811722e-03, -4.9408668623328374e-03,
 -3.9215686274509803e-03, -3.1125510822905861e-03, -2.4704334311664187e-03,
 -1.9607843137254902e-03, -1.5562755411452930e-03, -1.2352167155832094e-03,
 -9.8039215686274508e-04, -7.7813777057264652e-04, -6.1760835779160468e-04,
 -4.9019607843137254e-04, -3.8906888528632326e-04, -3.0880417889580234e-04,
 -2.4509803921568627e-04, -1.9453444264316163e-04, -1.5440208944790117e-04,
 -1.2254901960784314e-04, -9.7267221321580816e-05, -7.7201044723950585e-05,
 -6.1274509803921568e-05, -4.8633610660790408e-05, -3.8600522361975292e-05,
 -3.0637254901960784e-05, -2.4316805330395231e-05, -1.9300261180987623e-05,
 -1.5318627450980392e-05, -1.2158402665197615e-05, -9.6501305904938113e-06,
 -7.6593137254901960e-06, -6.0792013325988077e-06, -4.8250652952469056e-06,
 -3.8296568627450980e-06, -3.0396006662994039e-06, -2.4125326476234528e-06,
 -1.9148284313725490e-06, -1.5198003331497019e-06, -1.2062663238117264e-06,
 -9.5741421568627450e-07}
,
{
 -2.0039138943248531e+00, -1.5905075119524819e+00, -1.2623866488183466e+00,
 -1.0019569471624266e+00, -7.9525375597624093e-01, -6.3119332440917331e-01,
 -5.0097847358121328e-01, -3.9762687798812041e-01, -3.1559666220458665e-01,
 -2.5048923679060664e-01, -1.9881343899406020e-01, -1.5779833110229333e-01,
 -1.2524461839530332e-01, -9.9406719497030130e-02, -7.8899165551146649e-02,
 -6.2622309197651660e-02, -4.9703359748515065e-02, -3.9449582775573325e-02,
 -3.1311154598825830e-02, -2.4851679874257532e-02, -1.9724791387786662e-02,
 -1.5655577299412915e-02, -1.2425839937128766e-02, -9.8623956938933312e-03,
 -7.8277886497064575e-03, -6.2129199685643796e-03, -4.9311978469466682e-03,
 -3.9138943248532287e-03, -3.1064599842821898e-03, -2.4655989234733341e-03,
 -1.9569471624266144e-03, -1.5532299921410949e-03, -1.2327994617366670e-03,
 -9.7847358121330719e-04, -7.7661499607054746e-04, -6.1639973086833352e-04,
 -4.8923679060665359e-04, -3.8830749803527373e-04, -3.0819986543416676e-04,
 -2.4461839530332680e-04, -1.9415374901763686e-04, -1.5409993271708338e-04,
 -1.2230919765166340e-04, -9.7076874508818432e-05, -7.7049966358541690e-05,
 -6.1154598825831699e-05, -4.8538437254409216e-05, -3.8524983179270845e-05,
 -3.0577299412915850e-05, -2.4269218627204635e-05, -1.9262491589635399e-05,
 -1.5288649706457925e-05, -1.2134609313602318e-05, -9.6312457948176995e-06,
 -7.6443248532289624e-06, -6.0673046568011588e-06, -4.8156228974088497e-06,
 -3.8221624266144812e-06, -3.0336523284005794e-06, -2.4078114487044249e-06,
 -1.9110812133072406e-06, -1.5168261642002897e-06, -1.2039057243522124e-06,
 -9.5554060665362030e-07}
,
{
 -2.0019550342130987e+00, -1.5889527636514529e+00, -1.2611526442740471e+00,
 -1.0009775171065494e+00, -7.9447638182572644e-01, -6.3057632213702353e-01,
 -5.0048875855327468e-01, -3.9723819091286316e-01, -3.1528816106851176e-01,
 -2.5024437927663734e-01, -1.9861909545643158e-01, -1.5764408053425588e-01,
 -1.2512218963831867e-01, -9.9309547728215819e-02, -7.8822040267127927e-02,
 -6.2561094819159335e-02, -4.9654773864107909e-02, -3.9411020133563963e-02,
 -3.1280547409579668e-02, -2.4827386932053955e-02, -1.9705510066781982e-02,
 -1.5640273704789834e-02, -1.2413693466026977e-02, -9.8527550333909909e-03,
 -7.8201368523949169e-03, -6.2068467330134852e-03, -4.9263775166954980e-03,
 -3.9100684261974585e-03, -3.1034233665067426e-03, -2.4631887583477490e-03,
 -1.9550342130987292e-03, -1.5517116832533713e-03, -1.2315943791738745e-03,
 -9.7751710654936461e-04, -7.7585584162668565e-04, -6.1579718958693725e-04,
 -4.8875855327468231e-04, -3.8792792081334283e-04, -3.0789859479346863e-04,
 -2.4437927663734115e-04, -1.9396396040667141e-04, -1.5394929739673431e-04,
 -1.2218963831867058e-04, -9.6981980203335707e-05, -7.6974648698367157e-05,
 -6.1094819159335288e-05, -4.8490990101667853e-05, -3.8487324349183578e-05,
 -3.0547409579667644e-05, -2.4245495050833954e-05, -1.9243662174591765e-05,
 -1.5273704789833822e-05, -1.2122747525416977e-05, -9.6218310872958827e-06,
 -7.6368523949169110e-06, -6.0613737627084884e-06, -4.8109155436479414e-06,
 -3.8184261974584555e-06, -3.0306868813542442e-06, -2.4054577718239707e-06,
 -1.9092130987292278e-06, -1.5153434406771221e-06, -1.2027288859119853e-06,
 -9.5460654936461388e-07}
,
{
 -2.0009770395701025e+00, -1.5881765287888974e+00, -1.2605365462553495e+00,
 -1.0004885197850513e+00, -7.9408826439444868e-01, -6.3026827312767475e-01,
 -5.0024425989252563e-01, -3.9704413219722429e-01, -3.1513413656383737e-01,
 -2.5012212994626282e-01, -1.9852206609861214e-01, -1.5756706828191869e-01,
 -1.2506106497313141e-01, -9.9261033049306099e-02, -7.8783534140959330e-02,
 -6.2530532486565704e-02, -4.9630516524653050e-02, -3.9391767070479665e-02,
 -3.1265266243282852e-02, -2.4815258262326525e-02, -1.9695883535239832e-02,
 -1.5632633121641426e-02, -1.2407629131163262e-02, -9.8479417676199162e-03,
 -7.8163165608207130e-03, -6.2038145655816277e-03, -4.9239708838099607e-03,
 -3.9081582804103565e-03, -3.1019072827908139e-03, -2.4619854419049804e-03,
 -1.9540791402051783e-03, -1.5509536413954069e-03, -1.2309927209524902e-03,
 -9.7703957010258913e-04, -7.7547682069770347e-04, -6.1549636047624509e-04,
 -4.8851978505129456e-04, -3.8773841034885173e-04, -3.0774818023812254e-04,
 -2.4425989252564728e-04, -1.9386920517442587e-04, -1.5387409011906127e-04,
 -1.2212994626282364e-04, -9.6934602587212933e-05, -7.6937045059530636e-05,
 -6.1064973131411820e-05, -4.8467301293606467e-05, -3.8468522529765318e-05,
 -3.0532486565705910e-05, -2.4233650646803260e-05, -1.9234261264882635e-05,
 -1.5266243282852955e-05, -1.2116825323401630e-05, -9.6171306324413177e-06,
 -7.6331216414264776e-06, -6.0584126617008151e-06, -4.8085653162206588e-06,
 -3.8165608207132388e-06, -3.0292063308504076e-06, -2.4042826581103294e-06,
 -1.9082804103566194e-06, -1.5146031654252038e-06, -1.2021413290551647e-06,
 -9.5414020517830970e-07}
,
{
 -2.0004884004884005e+00, -1.5877886956927338e+00, -1.2602287229229305e+00,
 -1.0002442002442002e+00, -7.9389434784636692e-01, -6.3011436146146527e-01,
 -5.0012210012210012e-01, -3.9694717392318341e-01, -3.1505718073073263e-01,
 -2.5006105006105006e-01, -1.9847358696159170e-01, -1.5752859036536632e-01,
 -1.2503052503052503e-01, -9.9236793480795879e-02, -7.8764295182683144e-02,
 -6.2515262515262515e-02, -4.9618396740397940e-02, -3.9382147591341572e-02,
 -3.1257631257631258e-02, -2.4809198370198970e-02, -1.9691073795670786e-02,
 -1.5628815628815629e-02, -1.2404599185099485e-02, -9.8455368978353931e-03,
 -7.8144078144078144e-03, -6.2022995925497390e-03, -4.9227684489176991e-03,
 -3.9072039072039072e-03, -3.1011497962748695e-03, -2.4613842244588496e-03,
 -1.9536019536019536e-03, -1.5505748981374347e-03, -1.2306921122294248e-03,
 -9.7680097680097680e-04, -7.7528744906871737e-04, -6.1534605611471239e-04,
 -4.8840048840048840e-04, -3.8764372453435869e-04, -3.0767302805735620e-04,
 -2.4420024420024420e-04, -1.9382186226717934e-04, -1.5383651402867810e-04,
 -1.2210012210012210e-04, -9.6910931133589671e-05, -7.6918257014339049e-05,
 -6.1050061050061050e-05, -4.8455465566794836e-05, -3.8459128507169524e-05,
 -3.0525030525030525e-05, -2.4227732783397445e-05, -1.9229564253584739e-05,
 -1.5262515262515263e-05, -1.2113866391698722e-05, -9.6147821267923693e-06,
 -7.6312576312576313e-06, -6.0569331958493612e-06, -4.8073910633961846e-06,
 -3.8156288156288156e-06, -3.0284665979246806e-06, -2.4036955316980923e-06,
 -1.9078144078144078e-06, -1.5142332989623403e-06, -1.2018477658490462e-06,
 -9.5390720390720391e-07}
,
{
 -2.0002441704309608e+00, -1.5875948501676829e+00, -1.2600748676277380e+00,
 -1.0001220852154804e+00, -7.9379742508384143e-01, -6.3003743381386901e-01,
 -5.0006104260774020e-01, -3.9689871254192066e-01, -3.1501871690693450e-01,
 -2.5003052130387010e-01, -1.9844935627096033e-01, -1.5750935845346725e-01,
 -1.2501526065193505e-01, -9.9224678135480193e-02, -7.8754679226733612e-02,
 -6.2507630325967525e-02, -4.9612339067740097e-02, -3.9377339613366806e-02,
 -3.1253815162983763e-02, -2.4806169533870048e-02, -1.9688669806683403e-02,
 -1.5626907581491881e-02, -1.2403084766935024e-02, -9.8443349033417015e-03,
 -7.8134537907459407e-03, -6.2015423834675086e-03, -4.9221674516708534e-03,
 -3.9067268953729703e-03, -3.1007711917337543e-03, -2.4610837258354267e-03,
 -1.9533634476864852e-03, -1.5503855958668772e-03, -1.2305418629177133e-03,
 -9.7668172384324258e-04, -7.7519279793343858e-04, -6.1527093145885667e-04,
 -4.8834086192162129e-04, -3.8759639896671929e-04, -3.0763546572942833e-04,
 -2.4417043096081065e-04, -1.9379819948335964e-04, -1.5381773286471417e-04,
 -1.2208521548040532e-04, -9.6899099741679822e-05, -7.6908866432357084e-05,
 -6.1042607740202661e-05, -4.8449549870839911e-05, -3.8454433216178542e-05,
 -3.0521303870101331e-05, -2.4224774935419983e-05, -1.9227216608089247e-05,
 -1.5260651935050665e-05, -1.2112387467709991e-05, -9.6136083040446236e-06,
 -7.6303259675253327e-06, -6.0561937338549957e-06, -4.8068041520223118e-06,
 -3.8151629837626663e-06, -3.0280968669274978e-06, -2.4034020760111559e-06,
 -1.9075814918813332e-06, -1.5140484334637489e-06, -1.2017010380055780e-06,
 -9.5379074594066659e-07}
,
{
 -2.0001220777635353e+00, -1.5874979451533286e+00, -1.2599979540668744e+00,
 -1.0000610388817677e+00, -7.9374897257666432e-01, -6.2999897703343721e-01,
 -5.0003051944088384e-01, -3.9687448628833211e-01, -3.1499948851671861e-01,
 -2.5001525972044192e-01, -1.9843724314416605e-01, -1.5749974425835930e-01,
 -1.2500762986022096e-01, -9.9218621572083054e-02, -7.8749872129179638e-02,
 -6.2503814930110480e-02, -4.9609310786041527e-02, -3.9374936064589819e-02,
 -3.1251907465055240e-02, -2.4804655393020764e-02, -1.9687468032294909e-02,
 -1.5625953732527620e-02, -1.2402327696510382e-02, -9.8437340161474547e-03,
 -7.8129768662638099e-03, -6.2011638482551874e-03, -4.9218670080737300e-03,
 -3.9064884331319050e-03, -3.1005819241275937e-03, -2.4609335040368650e-03,
 -1.9532442165659525e-03, -1.5502909620637969e-03, -1.2304667520184325e-03,
 -9.7662210828297624e-04, -7.7514548103189843e-04, -6.1523337600921625e-04,
 -4.8831105414148812e-04, -3.8757274051594921e-04, -3.0761668800460812e-04,
 -2.4415552707074406e-04, -1.9378637025797461e-04, -1.5380834400230406e-04,
 -1.2207776353537203e-04, -9.6893185128987304e-05, -7.6904172001152031e-05,
 -6.1038881767686015e-05, -4.8446592564493652e-05, -3.8452086000576015e-05,
 -3.0519440883843008e-05, -2.4223296282246853e-05, -1.9226043000287984e-05,
 -1.5259720441921504e-05, -1.2111648141123427e-05, -9.6130215001439920e-06,
 -7.6298602209607519e-06, -6.0558240705617133e-06, -4.8065107500719960e-06,
 -3.8149301104803759e-06, -3.0279120352808566e-06, -2.4032553750359980e-06,
 -1.9074650552401880e-06, -1.5139560176404283e-06, -1.2016276875179990e-06,
 -9.5373252762009399e-07}
,
{
 -2.0000610370189520e+00, -1.5874494970822464e+00, -1.2599595008073734e+00,
 -1.0000305185094760e+00, -7.9372474854112318e-01, -6.2997975040368670e-01,
 -5.0001525925473800e-01, -3.9686237427056154e-01, -3.1498987520184335e-01,
 -2.5000762962736900e-01, -1.9843118713528077e-01, -1.5749493760092168e-01,
 -1.2500381481368450e-01, -9.9215593567640412e-02, -7.8747468800460824e-02,
 -6.2501907406842250e-02, -4.9607796783820206e-02, -3.9373734400230412e-02,
 -3.1250953703421125e-02, -2.4803898391910103e-02, -1.9686867200115206e-02,
 -1.5625476851710562e-02, -1.2401949195955051e-02, -9.8434336000576030e-03,
 -7.8127384258552812e-03, -6.2009745979775223e-03, -4.9217168000288041e-03,
 -3.9063692129276406e-03, -3.1004872989887611e-03, -2.4608584000144020e-03,
 -1.9531846064638203e-03, -1.5502436494943806e-03, -1.2304292000072010e-03,
 -9.7659230323191015e-04, -7.7512182474719028e-04, -6.1521460000360051e-04,
 -4.8829615161595508e-04, -3.8756091237359514e-04, -3.0760730000180025e-04,
 -2.4414807580797754e-04, -1.9378045618679757e-04, -1.5380365000090013e-04,
 -1.2207403790398877e-04, -9.6890228093398785e-05, -7.6901825000450064e-05,
 -6.1037018951994385e-05, -4.8445114046699393e-05, -3.8450912500225032e-05,
 -3.0518509475997192e-05, -2.4222557023349723e-05, -1.9225456250112492e-05,
 -1.5259254737998596e-05, -1.2111278511674862e-05, -9.6127281250562461e-06,
 -7.6296273689992981e-06, -6.0556392558374309e-06, -4.8063640625281231e-06,
 -3.8148136844996490e-06, -3.0278196279187154e-06, -2.4031820312640615e-06,
 -1.9074068422498245e-06, -1.5139098139593577e-06, -1.2015910156320308e-06,
 -9.5370342112491226e-07}
,
{
 -2.0000305180437934e+00, -1.5874252741556103e+00, -1.2599402750577617e+00,
 -1.0000152590218967e+00, -7.9371263707780515e-01, -6.2997013752888087e-01,
 -5.0000762951094835e-01, -3.9685631853890252e-01, -3.1498506876444043e-01,
 -2.5000381475547417e-01, -1.9842815926945126e-01, -1.5749253438222022e-01,
 -1.2500190737773709e-01, -9.9214079634725658e-02, -7.8746267191110095e-02,
 -6.2500953688868544e-02, -4.9607039817362829e-02, -3.9373133595555047e-02,
 -3.1250476844434272e-02, -2.4803519908681414e-02, -1.9686566797777524e-02,
 -1.5625238422217136e-02, -1.2401759954340707e-02, -9.8432833988887618e-03,
 -7.8126192111085679e-03, -6.2008799771703501e-03, -4.9216416994443835e-03,
 -3.9063096055542840e-03, -3.1004399885851751e-03, -2.4608208497221918e-03,
 -1.9531548027771420e-03, -1.5502199942925875e-03, -1.2304104248610959e-03,
 -9.7657740138857099e-04, -7.7510999714629377e-04, -6.1520521243054794e-04,
 -4.8828870069428550e-04, -3.8755499857314688e-04, -3.0760260621527397e-04,
 -2.4414435034714275e-04, -1.9377749928657344e-04, -1.5380130310763699e-04,
 -1.2207217517357137e-04, -9.6888749643286721e-05, -7.6900651553818493e-05,
 -6.1036087586785687e-05, -4.8444374821643360e-05, -3.8450325776909246e-05,
 -3.0518043793392844e-05, -2.4222187410821707e-05, -1.9225162888454599e-05,
 -1.5259021896696422e-05, -1.2111093705410854e-05, -9.6125814442272997e-06,
 -7.6295109483482109e-06, -6.0555468527054268e-06, -4.8062907221136499e-06,
 -3.8147554741741054e-06, -3.0277734263527134e-06, -2.4031453610568249e-06,
 -1.9073777370870527e-06, -1.5138867131763567e-06, -1.2015726805284125e-06,
 -9.5368886854352636e-07}
};

static const double power43[8207] = {
  0.0000000000000000e+00, 1.0000000000000000e+00, 2.5198420997897464e+00,
  4.3267487109222245e+00, 6.3496042078727974e+00, 8.5498797333834844e+00,
  1.0902723556992836e+01, 1.3390518279406722e+01, 1.5999999999999998e+01,
  1.8720754407467133e+01, 2.1544346900318832e+01, 2.4463780996262468e+01,
  2.7473141821279960e+01, 3.0567350940369842e+01, 3.3741991698453212e+01,
  3.6993181114957046e+01, 4.0317473596635935e+01, 4.3711787041189993e+01,
  4.7173345095760126e+01, 5.0699631325716943e+01, 5.4288352331898118e+01,
  5.7937407704003519e+01, 6.1644865274418500e+01, 6.5408940536585988e+01,
  6.9227979374755591e+01, 7.3100443455321638e+01, 7.7024897778591608e+01,
  8.0999999999999986e+01, 8.5024491212518527e+01, 8.9097187944889555e+01,
  9.3216975178615741e+01, 9.7382800224133163e+01, 1.0159366732596474e+02,
  1.0584863288986224e+02, 1.1014680124343441e+02, 1.1448732085660060e+02,
  1.1886938096020653e+02, 1.2329220851090024e+02, 1.2775506545836058e+02,
  1.3225724627755247e+02, 1.3679807573413572e+02, 1.4137690685569191e+02,
  1.4599311908523086e+02, 1.5064611659662910e+02, 1.5533532675434674e+02,
  1.6006019870205279e+02, 1.6482020206673349e+02, 1.6961482576651861e+02,
  1.7444357691188534e+02, 1.7930597979112557e+02, 1.8420157493201927e+02,
  1.8912991823257562e+02, 1.9409058015449685e+02, 1.9908314497371677e+02,
  2.0410721008296940e+02, 2.0916238534187647e+02, 2.1424829247050752e+02,
  2.1936456448277784e+02, 2.2451084515641213e+02, 2.2968678853652230e+02,
  2.3489205847013176e+02, 2.4012632816923249e+02, 2.4538927980018505e+02,
  2.5068060409747261e+02, 2.5599999999999991e+02, 2.6134717430828869e+02,
  2.6672184136106449e+02, 2.7212372272986045e+02, 2.7755254693037961e+02,
  2.8300804914946190e+02, 2.8848997098659891e+02, 2.9399806020902247e+02,
  2.9953207051947408e+02, 3.0509176133582986e+02, 3.1067689758182206e+02,
  3.1628724948815585e+02, 3.2192259240337177e+02, 3.2758270661385535e+02,
  3.3326737717243742e+02, 3.3897639373507025e+02, 3.4470955040510131e+02,
  3.5046664558470013e+02, 3.5624748183302609e+02, 3.6205186573075139e+02,
  3.6787960775058258e+02, 3.7373052213344511e+02, 3.7960442677002078e+02,
  3.8550114308734607e+02, 3.9142049594019943e+02, 3.9736231350702371e+02,
  4.0332642719014467e+02, 4.0931267152006262e+02, 4.1532088406360799e+02,
  4.2135090533576471e+02, 4.2740257871497619e+02, 4.3347575036176170e+02,
  4.3957026914047930e+02, 4.4568598654408271e+02, 4.5182275662172759e+02,
  4.5798043590909128e+02, 4.6415888336127773e+02, 4.7035796028818726e+02,
  4.7657753029223630e+02, 4.8281745920832043e+02, 4.8907761504591741e+02,
  4.9535786793323581e+02, 5.0165809006331688e+02, 5.0797815564200368e+02,
  5.1431794083769648e+02, 5.2067732373281672e+02, 5.2705618427690604e+02,
  5.3345440424129174e+02, 5.3987186717525128e+02, 5.4630845836361505e+02,
  5.5276406478574609e+02, 5.5923857507584194e+02, 5.6573187948450413e+02,
  5.7224386984152341e+02, 5.7877443951983378e+02, 5.8532348340058843e+02,
  5.9189089783931263e+02, 5.9847658063309257e+02, 6.0508043098876044e+02,
  6.1170234949203643e+02, 6.1834223807759190e+02, 6.2499999999999977e+02,
  6.3167553980553748e+02, 6.3836876330481164e+02, 6.4507957754617485e+02,
  6.5180789078990415e+02, 6.5855361248311499e+02, 6.6531665323538357e+02,
  6.7209692479505225e+02, 6.7889434002619430e+02, 6.8570881288621422e+02,
  6.9254025840406200e+02, 6.9938859265903977e+02, 7.0625373276018058e+02,
  7.1313559682617972e+02, 7.2003410396586037e+02, 7.2694917425915435e+02,
  7.3388072873858209e+02, 7.4082868937121543e+02, 7.4779297904110535e+02,
  7.5477352153216191e+02, 7.6177024151147043e+02, 7.6878306451302956e+02,
  7.7581191692189896e+02, 7.8285672595874246e+02, 7.8991741966475445e+02,
  7.9699392688695798e+02, 8.0408617726386274e+02, 8.1119410121147098e+02,
  8.1831762990962227e+02, 8.2545669528866563e+02, 8.3261123001644864e+02,
  8.3978116748561604e+02, 8.4696644180120552e+02, 8.5416698776853514e+02,
  8.6138274088137143e+02, 8.6861363731036977e+02, 8.7585961389178203e+02,
  8.8312060811641959e+02, 8.9039655811886757e+02, 8.9768740266694181e+02,
  9.0499308115138172e+02, 9.1231353357577188e+02, 9.1964870054668756e+02,
  9.2699852326405619e+02, 9.3436294351172899e+02, 9.4174190364825859e+02,
  9.4913534659787422e+02, 9.5654321584165211e+02, 9.6396545540887348e+02,
  9.7140200986856541e+02, 9.7885282432122176e+02, 9.8631784439069588e+02,
  9.9379701621626350e+02, 1.0012902864448500e+03, 1.0087976022234180e+03,
  1.0163189111915103e+03, 1.0238541614739464e+03, 1.0314033016736653e+03,
  1.0389662808647138e+03, 1.0465430485853758e+03, 1.0541335548314366e+03,
  1.0617377500495838e+03, 1.0693555851309357e+03, 1.0769870114046978e+03,
  1.0846319806319441e+03, 1.0922904449995174e+03, 1.0999623571140482e+03,
  1.1076476699960892e+03, 1.1153463370743607e+03, 1.1230583121801060e+03,
  1.1307835495415541e+03, 1.1385220037784857e+03, 1.1462736298969010e+03,
  1.1540383832837879e+03, 1.1618162197019860e+03, 1.1696070952851460e+03,
  1.1774109665327808e+03, 1.1852277903054078e+03, 1.1930575238197798e+03,
  1.2009001246442001e+03, 1.2087555506939248e+03, 1.2166237602266442e+03,
  1.2245047118380478e+03, 1.2323983644574657e+03, 1.2403046773435874e+03,
  1.2482236100802568e+03, 1.2561551225723395e+03, 1.2640991750416620e+03,
  1.2720557280230228e+03, 1.2800247423602691e+03, 1.2880061792024444e+03,
  1.2959999999999995e+03, 1.3040061665010680e+03, 1.3120246407478062e+03,
  1.3200553850727929e+03, 1.3280983620954903e+03, 1.3361535347187651e+03,
  1.3442208661254647e+03, 1.3523003197750522e+03, 1.3603918594002962e+03,
  1.3684954490040145e+03, 1.3766110528558709e+03, 1.3847386354892244e+03,
  1.3928781616980295e+03, 1.4010295965337855e+03, 1.4091929053025353e+03,
  1.4173680535619119e+03, 1.4255550071182327e+03, 1.4337537320236374e+03,
  1.4419641945732744e+03, 1.4501863613025282e+03, 1.4584201989842913e+03,
  1.4666656746262797e+03, 1.4749227554683875e+03, 1.4831914089800841e+03,
  1.4914716028578516e+03, 1.4997633050226596e+03, 1.5080664836174794e+03,
  1.5163811070048375e+03, 1.5247071437644029e+03, 1.5330445626906128e+03,
  1.5413933327903342e+03, 1.5497534232805581e+03, 1.5581248035861304e+03,
  1.5665074433375150e+03, 1.5749013123685909e+03, 1.5833063807144795e+03,
  1.5917226186094069e+03, 1.6001499964845941e+03, 1.6085884849661800e+03,
  1.6170380548731737e+03, 1.6254986772154357e+03, 1.6339703231916887e+03,
  1.6424529641875577e+03, 1.6509465717736346e+03, 1.6594511177035752e+03,
  1.6679665739122186e+03, 1.6764929125137353e+03, 1.6850301057998010e+03,
  1.6935781262377957e+03, 1.7021369464690270e+03, 1.7107065393069795e+03,
  1.7192868777355877e+03, 1.7278779349075323e+03, 1.7364796841425596e+03,
  1.7450920989258250e+03, 1.7537151529062583e+03, 1.7623488198949503e+03,
  1.7709930738635630e+03, 1.7796478889427597e+03, 1.7883132394206564e+03,
  1.7969890997412947e+03, 1.8056754445031333e+03, 1.8143722484575621e+03,
  1.8230794865074322e+03, 1.8317971337056094e+03, 1.8405251652535437e+03,
  1.8492635564998579e+03, 1.8580122829389563e+03, 1.8667713202096493e+03,
  1.8755406440937966e+03, 1.8843202305149687e+03, 1.8931100555371240e+03,
  1.9019100953633042e+03, 1.9107203263343454e+03, 1.9195407249276057e+03,
  1.9283712677557098e+03, 1.9372119315653083e+03, 1.9460626932358525e+03,
  1.9549235297783860e+03, 1.9637944183343500e+03, 1.9726753361744036e+03,
  1.9815662606972594e+03, 1.9904671694285330e+03, 1.9993780400196069e+03,
  2.0082988502465078e+03, 2.0172295780087982e+03, 2.0261702013284819e+03,
  2.0351206983489212e+03, 2.0440810473337688e+03, 2.0530512266659125e+03,
  2.0620312148464309e+03, 2.0710209904935646e+03, 2.0800205323416958e+03,
  2.0890298192403443e+03, 2.0980488301531714e+03, 2.1070775441569995e+03,
  2.1161159404408390e+03, 2.1251639983049317e+03, 2.1342216971597995e+03,
  2.1432890165253098e+03, 2.1523659360297484e+03, 2.1614524354089031e+03,
  2.1705484945051617e+03, 2.1796540932666144e+03, 2.1887692117461711e+03,
  2.1978938301006888e+03, 2.2070279285901042e+03, 2.2161714875765838e+03,
  2.2253244875236760e+03, 2.2344869089954782e+03, 2.2436587326558101e+03,
  2.2528399392673982e+03, 2.2620305096910702e+03, 2.2712304248849537e+03,
  2.2804396659036897e+03, 2.2896582138976523e+03, 2.2988860501121762e+03,
  2.3081231558867926e+03, 2.3173695126544767e+03, 2.3266251019409005e+03,
  2.3358899053636933e+03, 2.3451639046317132e+03, 2.3544470815443233e+03,
  2.3637394179906792e+03, 2.3730408959490205e+03, 2.3823514974859731e+03,
  2.3916712047558558e+03, 2.4009999999999991e+03, 2.4103378655460651e+03,
  2.4196847838073813e+03, 2.4290407372822747e+03, 2.4384057085534191e+03,
  2.4477796802871858e+03, 2.4571626352330009e+03, 2.4665545562227112e+03,
  2.4759554261699564e+03, 2.4853652280695474e+03, 2.4947839449968487e+03,
  2.5042115601071737e+03, 2.5136480566351788e+03, 2.5230934178942675e+03,
  2.5325476272760025e+03, 2.5420106682495189e+03, 2.5514825243609480e+03,
  2.5609631792328441e+03, 2.5704526165636184e+03, 2.5799508201269791e+03,
  2.5894577737713744e+03, 2.5989734614194458e+03, 2.6084978670674823e+03,
  2.6180309747848837e+03, 2.6275727687136259e+03, 2.6371232330677353e+03,
  2.6466823521327647e+03, 2.6562501102652768e+03, 2.6658264918923328e+03,
  2.6754114815109842e+03, 2.6850050636877722e+03, 2.6946072230582295e+03,
  2.7042179443263894e+03, 2.7138372122642972e+03, 2.7234650117115279e+03,
  2.7331013275747096e+03, 2.7427461448270483e+03, 2.7523994485078601e+03,
  2.7620612237221085e+03, 2.7717314556399419e+03, 2.7814101294962406e+03,
  2.7910972305901655e+03, 2.8007927442847094e+03, 2.8104966560062589e+03,
  2.8202089512441521e+03, 2.8299296155502466e+03, 2.8396586345384894e+03,
  2.8493959938844919e+03, 2.8591416793251065e+03, 2.8688956766580086e+03,
  2.8786579717412847e+03, 2.8884285504930212e+03, 2.8982073988908974e+03,
  2.9079945029717837e+03, 2.9177898488313440e+03, 2.9275934226236377e+03,
  2.9374052105607311e+03, 2.9472251989123079e+03, 2.9570533740052865e+03,
  2.9668897222234368e+03, 2.9767342300070050e+03, 2.9865868838523397e+03,
  2.9964476703115197e+03, 3.0063165759919889e+03, 3.0161935875561908e+03,
  3.0260786917212095e+03, 3.0359718752584108e+03, 3.0458731249930902e+03,
  3.0557824278041207e+03, 3.0656997706236039e+03, 3.0756251404365280e+03,
  3.0855585242804245e+03, 3.0954999092450298e+03, 3.1054492824719491e+03,
  3.1154066311543256e+03, 3.1253719425365089e+03, 3.1353452039137287e+03,
  3.1453264026317715e+03, 3.1553155260866592e+03, 3.1653125617243300e+03,
  3.1753174970403229e+03, 3.1853303195794674e+03, 3.1953510169355700e+03,
  3.2053795767511078e+03, 3.2154159867169251e+03, 3.2254602345719290e+03,
  3.2355123081027928e+03, 3.2455721951436558e+03, 3.2556398835758300e+03,
  3.2657153613275100e+03, 3.2757986163734795e+03, 3.2858896367348289e+03,
  3.2959884104786665e+03, 3.3060949257178395e+03, 3.3162091706106517e+03,
  3.3263311333605880e+03, 3.3364608022160382e+03, 3.3465981654700231e+03,
  3.3567432114599264e+03, 3.3668959285672249e+03, 3.3770563052172211e+03,
  3.3872243298787821e+03, 3.3973999910640764e+03, 3.4075832773283128e+03,
  3.4177741772694862e+03, 3.4279726795281199e+03, 3.4381787727870123e+03,
  3.4483924457709873e+03, 3.4586136872466445e+03, 3.4688424860221107e+03,
  3.4790788309467976e+03, 3.4893227109111554e+03, 3.4995741148464344e+03,
  3.5098330317244445e+03, 3.5200994505573185e+03, 3.5303733603972751e+03,
  3.5406547503363886e+03, 3.5509436095063534e+03, 3.5612399270782580e+03,
  3.5715436922623535e+03, 3.5818548943078308e+03, 3.5921735225025936e+03,
  3.6024995661730372e+03, 3.6128330146838275e+03, 3.6231738574376814e+03,
  3.6335220838751502e+03, 3.6438776834744031e+03, 3.6542406457510142e+03,
  3.6646109602577494e+03, 3.6749886165843564e+03, 3.6853736043573545e+03,
  3.6957659132398294e+03, 3.7061655329312248e+03, 3.7165724531671399e+03,
  3.7269866637191262e+03, 3.7374081543944876e+03, 3.7478369150360782e+03,
  3.7582729355221072e+03, 3.7687162057659411e+03, 3.7791667157159077e+03,
  3.7896244553551055e+03, 3.8000894147012082e+03, 3.8105615838062768e+03,
  3.8210409527565694e+03, 3.8315275116723533e+03, 3.8420212507077194e+03,
  3.8525221600503960e+03, 3.8630302299215673e+03, 3.8735454505756893e+03,
  3.8840678123003108e+03, 3.8945973054158922e+03, 3.9051339202756285e+03,
  3.9156776472652732e+03, 3.9262284768029604e+03, 3.9367863993390338e+03,
  3.9473514053558706e+03, 3.9579234853677135e+03, 3.9685026299204969e+03,
  3.9790888295916798e+03, 3.9896820749900776e+03, 4.0002823567556948e+03,
  4.0108896655595613e+03, 4.0215039921035655e+03, 4.0321253271202945e+03,
  4.0427536613728694e+03, 4.0533889856547858e+03, 4.0640312907897551e+03,
  4.0746805676315448e+03, 4.0853368070638221e+03, 4.0959999999999982e+03,
  4.1066701373830711e+03, 4.1173472101854750e+03, 4.1280312094089259e+03,
  4.1387221260842680e+03, 4.1494199512713267e+03, 4.1601246760587583e+03,
  4.1708362915638982e+03, 4.1815547889326181e+03, 4.1922801593391769e+03,
  4.2030123939860741e+03, 4.2137514841039101e+03, 4.2244974209512384e+03,
  4.2352501958144258e+03, 4.2460098000075095e+03, 4.2567762248720574e+03,
  4.2675494617770310e+03, 4.2783295021186423e+03, 4.2891163373202198e+03,
  4.2999099588320714e+03, 4.3107103581313495e+03, 4.3215175267219138e+03,
  4.3323314561342004e+03, 4.3431521379250880e+03, 4.3539795636777671e+03,
  4.3648137250016052e+03, 4.3756546135320223e+03, 4.3865022209303588e+03,
  4.3973565388837469e+03, 4.4082175591049827e+03, 4.4190852733324018e+03,
  4.4299596733297531e+03, 4.4408407508860728e+03, 4.4517284978155603e+03,
  4.4626229059574571e+03, 4.4735239671759227e+03, 4.4844316733599126e+03,
  4.4953460164230582e+03, 4.5062669883035496e+03, 4.5171945809640119e+03,
  4.5281287863913894e+03, 4.5390695965968280e+03, 4.5500170036155587e+03,
  4.5609709995067806e+03, 4.5719315763535460e+03, 4.5828987262626470e+03,
  4.5938724413645004e+03, 4.6048527138130348e+03, 4.6158395357855816e+03,
  4.6268328994827571e+03, 4.6378327971283588e+03, 4.6488392209692511e+03,
  4.6598521632752563e+03, 4.6708716163390473e+03, 4.6818975724760394e+03,
  4.6929300240242837e+03, 4.7039689633443595e+03, 4.7150143828192668e+03,
  4.7260662748543255e+03, 4.7371246318770682e+03, 4.7481894463371373e+03,
  4.7592607107061804e+03, 4.7703384174777493e+03, 4.7814225591671993e+03,
  4.7925131283115852e+03, 4.8036101174695614e+03, 4.8147135192212854e+03,
  4.8258233261683154e+03, 4.8369395309335096e+03, 4.8480621261609349e+03,
  4.8591911045157631e+03, 4.8703264586841779e+03, 4.8814681813732768e+03,
  4.8926162653109768e+03, 4.9037707032459193e+03, 4.9149314879473750e+03,
  4.9260986122051509e+03, 4.9372720688294967e+03, 4.9484518506510112e+03,
  4.9596379505205550e+03, 4.9708303613091521e+03, 4.9820290759079044e+03,
  4.9932340872278974e+03, 5.0044453882001153e+03, 5.0156629717753467e+03,
  5.0268868309241007e+03, 5.0381169586365131e+03, 5.0493533479222660e+03,
  5.0605959918104927e+03, 5.0718448833496996e+03, 5.0831000156076734e+03,
  5.0943613816713996e+03, 5.1056289746469747e+03, 5.1169027876595246e+03,
  5.1281828138531200e+03, 5.1394690463906918e+03, 5.1507614784539473e+03,
  5.1620601032432933e+03, 5.1733649139777472e+03, 5.1846759038948594e+03,
  5.1959930662506322e+03, 5.2073163943194386e+03, 5.2186458813939435e+03,
  5.2299815207850233e+03, 5.2413233058216847e+03, 5.2526712298509919e+03,
  5.2640252862379830e+03, 5.2753854683655954e+03, 5.2867517696345876e+03,
  5.2981241834634639e+03, 5.3095027032883954e+03, 5.3208873225631460e+03,
  5.3322780347589978e+03, 5.3436748333646756e+03, 5.3550777118862716e+03,
  5.3664866638471722e+03, 5.3779016827879850e+03, 5.3893227622664635e+03,
  5.4007498958574370e+03, 5.4121830771527357e+03, 5.4236222997611230e+03,
  5.4350675573082190e+03, 5.4465188434364318e+03, 5.4579761518048872e+03,
  5.4694394760893592e+03, 5.4809088099821975e+03, 5.4923841471922606e+03,
  5.5038654814448455e+03, 5.5153528064816201e+03, 5.5268461160605520e+03,
  5.5383454039558465e+03, 5.5498506639578736e+03, 5.5613618898731029e+03,
  5.5728790755240361e+03, 5.5844022147491451e+03, 5.5959313014027975e+03,
  5.6074663293552012e+03, 5.6190072924923297e+03, 5.6305541847158656e+03,
  5.6421069999431284e+03, 5.6536657321070170e+03, 5.6652303751559430e+03,
  5.6768009230537655e+03, 5.6883773697797333e+03, 5.6999597093284165e+03,
  5.7115479357096474e+03, 5.7231420429484588e+03, 5.7347420250850209e+03,
  5.7463478761745810e+03, 5.7579595902874016e+03, 5.7695771615087006e+03,
  5.7812005839385911e+03, 5.7928298516920213e+03, 5.8044649588987149e+03,
  5.8161058997031114e+03, 5.8277526682643065e+03, 5.8394052587559972e+03,
  5.8510636653664196e+03, 5.8627278822982908e+03, 5.8743979037687541e+03,
  5.8860737240093204e+03, 5.8977553372658094e+03, 5.9094427377982956e+03,
  5.9211359198810505e+03, 5.9328348778024874e+03, 5.9445396058651031e+03,
  5.9562500983854261e+03, 5.9679663496939575e+03, 5.9796883541351208e+03,
  5.9914161060672022e+03, 6.0031495998623004e+03, 6.0148888299062701e+03,
  6.0266337905986675e+03, 6.0383844763527031e+03, 6.0501408815951781e+03,
  6.0619030007664414e+03, 6.0736708283203316e+03, 6.0854443587241267e+03,
  6.0972235864584891e+03, 6.1090085060174197e+03, 6.1207991119081998e+03,
  6.1325953986513450e+03, 6.1443973607805519e+03, 6.1562049928426459e+03,
  6.1680182893975361e+03, 6.1798372450181578e+03, 6.1916618542904307e+03,
  6.2034921118132024e+03, 6.2153280121982016e+03, 6.2271695500699925e+03,
  6.2390167200659189e+03, 6.2508695168360628e+03, 6.2627279350431891e+03,
  6.2745919693627056e+03, 6.2864616144826068e+03, 6.2983368651034325e+03,
  6.3102177159382172e+03, 6.3221041617124456e+03, 6.3339961971640032e+03,
  6.3458938170431311e+03, 6.3577970161123785e+03, 6.3697057891465583e+03,
  6.3816201309327016e+03, 6.3935400362700075e+03, 6.4054654999698032e+03,
  6.4173965168554978e+03, 6.4293330817625329e+03, 6.4412751895383453e+03,
  6.4532228350423138e+03, 6.4651760131457240e+03, 6.4771347187317160e+03,
  6.4890989466952469e+03, 6.5010686919430445e+03, 6.5130439493935628e+03,
  6.5250247139769417e+03, 6.5370109806349610e+03, 6.5490027443210010e+03,
  6.5609999999999964e+03, 6.5730027426483985e+03, 6.5850109672541284e+03,
  6.5970246688165371e+03, 6.6090438423463656e+03, 6.6210684828657004e+03,
  6.6330985854079354e+03, 6.6451341450177270e+03, 6.6571751567509573e+03,
  6.6692216156746899e+03, 6.6812735168671343e+03, 6.6933308554176001e+03,
  6.7053936264264594e+03, 6.7174618250051080e+03, 6.7295354462759260e+03,
  6.7416144853722335e+03, 6.7536989374382601e+03, 6.7657887976290967e+03,
  6.7778840611106634e+03, 6.7899847230596661e+03, 6.8020907786635626e+03,
  6.8142022231205201e+03, 6.8263190516393797e+03, 6.8384412594396181e+03,
  6.8505688417513074e+03, 6.8627017938150830e+03, 6.8748401108820990e+03,
  6.8869837882139991e+03, 6.8991328210828724e+03, 6.9112872047712208e+03,
  6.9234469345719199e+03, 6.9356120057881863e+03, 6.9477824137335365e+03,
  6.9599581537317536e+03, 6.9721392211168532e+03, 6.9843256112330409e+03,
  6.9965173194346862e+03, 7.0087143410862773e+03, 7.0209166715623942e+03,
  7.0331243062476678e+03, 7.0453372405367481e+03, 7.0575554698342685e+03,
  7.0697789895548103e+03, 7.0820077951228714e+03, 7.0942418819728273e+03,
  7.1064812455489018e+03, 7.1187258813051285e+03, 7.1309757847053224e+03,
  7.1432309512230395e+03, 7.1554913763415516e+03, 7.1677570555538032e+03,
  7.1800279843623894e+03, 7.1923041582795131e+03, 7.2045855728269571e+03,
  7.2168722235360519e+03, 7.2291641059476406e+03, 7.2414612156120493e+03,
  7.2537635480890503e+03, 7.2660710989478375e+03, 7.2783838637669869e+03,
  7.2907018381344296e+03, 7.3030250176474174e+03, 7.3153533979124932e+03,
  7.3276869745454596e+03, 7.3400257431713462e+03, 7.3523696994243801e+03,
  7.3647188389479543e+03, 7.3770731573945968e+03, 7.3894326504259416e+03,
  7.4017973137126937e+03, 7.4141671429346061e+03, 7.4265421337804428e+03,
  7.4389222819479510e+03, 7.4513075831438346e+03, 7.4636980330837177e+03,
  7.4760936274921214e+03, 7.4884943621024304e+03, 7.5009002326568652e+03,
  7.5133112349064522e+03, 7.5257273646109943e+03, 7.5381486175390446e+03,
  7.5505749894678729e+03, 7.5630064761834419e+03, 7.5754430734803736e+03,
  7.5878847771619248e+03, 7.6003315830399597e+03, 7.6127834869349153e+03,
  7.6252404846757800e+03, 7.6377025721000637e+03, 7.6501697450537677e+03,
  7.6626419993913596e+03, 7.6751193309757446e+03, 7.6876017356782404e+03,
  7.7000892093785442e+03, 7.7125817479647112e+03, 7.7250793473331250e+03,
  7.7375820033884729e+03, 7.7500897120437139e+03, 7.7626024692200581e+03,
  7.7751202708469355e+03, 7.7876431128619733e+03, 7.8001709912109645e+03,
  7.8127039018478481e+03, 7.8252418407346768e+03, 7.8377848038415968e+03,
  7.8503327871468155e+03, 7.8628857866365806e+03, 7.8754437983051539e+03,
  7.8880068181547840e+03, 7.9005748421956805e+03, 7.9131478664459901e+03,
  7.9257258869317720e+03, 7.9383088996869719e+03, 7.9508969007533951e+03,
  7.9634898861806851e+03, 7.9760878520262959e+03, 7.9886907943554688e+03,
  8.0012987092412086e+03, 8.0139115927642570e+03, 8.0265294410130691e+03,
  8.0391522500837891e+03, 8.0517800160802271e+03, 8.0644127351138350e+03,
  8.0770504033036796e+03, 8.0896930167764222e+03, 8.1023405716662946e+03,
  8.1149930641150731e+03, 8.1276504902720571e+03, 8.1403128462940449e+03,
  8.1529801283453098e+03, 8.1656523325975786e+03, 8.1783294552300049e+03,
  8.1910114924291529e+03, 8.2036984403889655e+03, 8.2163902953107463e+03,
  8.2290870534031419e+03, 8.2417887108821069e+03, 8.2544952639708936e+03,
  8.2672067089000211e+03, 8.2799230419072574e+03, 8.2926442592375952e+03,
  8.3053703571432306e+03, 8.3181013318835430e+03, 8.3308371797250657e+03,
  8.3435778969414750e+03, 8.3563234798135582e+03, 8.3690739246291978e+03,
  8.3818292276833508e+03, 8.3945893852780209e+03, 8.4073543937222421e+03,
  8.4201242493320588e+03, 8.4328989484304948e+03, 8.4456784873475499e+03,
  8.4584628624201578e+03, 8.4712520699921806e+03, 8.4840461064143838e+03,
  8.4968449680444082e+03, 8.5096486512467636e+03, 8.5224571523927953e+03,
  8.5352704678606660e+03, 8.5480885940353437e+03, 8.5609115273085663e+03,
  8.5737392640788403e+03, 8.5865718007514006e+03, 8.5994091337382069e+03,
  8.6122512594579148e+03, 8.6250981743358552e+03, 8.6379498748040205e+03,
  8.6508063573010386e+03, 8.6636676182721567e+03, 8.6765336541692250e+03,
  8.6894044614506638e+03, 8.7022800365814601e+03, 8.7151603760331418e+03,
  8.7280454762837508e+03, 8.7409353338178389e+03, 8.7538299451264356e+03,
  8.7667293067070332e+03, 8.7796334150635721e+03, 8.7925422667064158e+03,
  8.8054558581523324e+03, 8.8183741859244819e+03, 8.8312972465523908e+03,
  8.8442250365719356e+03, 8.8571575525253265e+03, 8.8700947909610841e+03,
  8.8830367484340295e+03, 8.8959834215052524e+03, 8.9089348067421070e+03,
  8.9218909007181846e+03, 8.9348517000132997e+03, 8.9478172012134710e+03,
  8.9607874009109000e+03, 8.9737622957039603e+03, 8.9867418821971733e+03,
  8.9997261570011924e+03, 9.0127151167327884e+03, 9.0257087580148236e+03,
  9.0387070774762469e+03, 9.0517100717520643e+03, 9.0647177374833282e+03,
  9.0777300713171153e+03, 9.0907470699065179e+03, 9.1037687299106146e+03,
  9.1167950479944648e+03, 9.1298260208290812e+03, 9.1428616450914233e+03,
  9.1559019174643727e+03, 9.1689468346367157e+03, 9.1819963933031358e+03,
  9.1950505901641845e+03, 9.2081094219262741e+03, 9.2211728853016557e+03,
  9.2342409770084050e+03, 9.2473136937704076e+03, 9.2603910323173386e+03,
  9.2734729893846470e+03, 9.2865595617135423e+03, 9.2996507460509747e+03,
  9.3127465391496207e+03, 9.3258469377678684e+03, 9.3389519386698012e+03,
  9.3520615386251757e+03, 9.3651757344094131e+03, 9.3782945228035842e+03,
  9.3914179005943843e+03, 9.4045458645741273e+03, 9.4176784115407263e+03,
  9.4308155382976747e+03, 9.4439572416540359e+03, 9.4571035184244265e+03,
  9.4702543654290002e+03, 9.4834097794934296e+03, 9.4965697574488931e+03,
  9.5097342961320664e+03, 9.5229033923850911e+03, 9.5360770430555804e+03,
  9.5492552449965824e+03, 9.5624379950665825e+03, 9.5756252901294793e+03,
  9.5888171270545736e+03, 9.6020135027165488e+03, 9.6152144139954635e+03,
  9.6284198577767256e+03, 9.6416298309510930e+03, 9.6548443304146440e+03,
  9.6680633530687719e+03, 9.6812868958201670e+03, 9.6945149555808002e+03,
  9.7077475292679192e+03, 9.7209846138040157e+03, 9.7342262061168276e+03,
  9.7474723031393187e+03, 9.7607229018096641e+03, 9.7739779990712323e+03,
  9.7872375918725811e+03, 9.8005016771674327e+03, 9.8137702519146696e+03,
  9.8270433130783094e+03, 9.8403208576275028e+03, 9.8536028825365120e+03,
  9.8668893847846994e+03, 9.8801803613565116e+03, 9.8934758092414686e+03,
  9.9067757254341523e+03, 9.9200801069341851e+03, 9.9333889507462245e+03,
  9.9467022538799429e+03, 9.9600200133500221e+03, 9.9733422261761298e+03,
  9.9866688893829159e+03, 9.9999999999999945e+03, 1.0013335555061929e+04,
  1.0026675551608221e+04, 1.0040019986683301e+04, 1.0053368857336509e+04,
  1.0066722160622081e+04, 1.0080079893599144e+04, 1.0093442053331697e+04,
  1.0106808636888598e+04, 1.0120179641343550e+04, 1.0133555063775095e+04,
  1.0146934901266595e+04, 1.0160319150906220e+04, 1.0173707809786936e+04,
  1.0187100875006496e+04, 1.0200498343667417e+04, 1.0213900212876984e+04,
  1.0227306479747222e+04, 1.0240717141394889e+04, 1.0254132194941467e+04,
  1.0267551637513146e+04, 1.0280975466240814e+04, 1.0294403678260040e+04,
  1.0307836270711066e+04, 1.0321273240738796e+04, 1.0334714585492780e+04,
  1.0348160302127204e+04, 1.0361610387800878e+04, 1.0375064839677221e+04,
  1.0388523654924258e+04, 1.0401986830714593e+04, 1.0415454364225412e+04,
  1.0428926252638465e+04, 1.0442402493140049e+04, 1.0455883082921007e+04,
  1.0469368019176709e+04, 1.0482857299107040e+04, 1.0496350919916393e+04,
  1.0509848878813653e+04, 1.0523351173012188e+04, 1.0536857799729838e+04,
  1.0550368756188900e+04, 1.0563884039616121e+04, 1.0577403647242685e+04,
  1.0590927576304197e+04, 1.0604455824040679e+04, 1.0617988387696556e+04,
  1.0631525264520642e+04, 1.0645066451766135e+04, 1.0658611946690598e+04,
  1.0672161746555956e+04, 1.0685715848628475e+04, 1.0699274250178762e+04,
  1.0712836948481747e+04, 1.0726403940816675e+04, 1.0739975224467091e+04,
  1.0753550796720834e+04, 1.0767130654870027e+04, 1.0780714796211058e+04,
  1.0794303218044579e+04, 1.0807895917675487e+04, 1.0821492892412922e+04,
  1.0835094139570248e+04, 1.0848699656465047e+04, 1.0862309440419109e+04,
  1.0875923488758415e+04, 1.0889541798813138e+04, 1.0903164367917620e+04,
  1.0916791193410372e+04, 1.0930422272634056e+04, 1.0944057602935480e+04,
  1.0957697181665582e+04, 1.0971341006179427e+04, 1.0984989073836190e+04,
  1.0998641381999149e+04, 1.1012297928035676e+04, 1.1025958709317223e+04,
  1.1039623723219316e+04, 1.1053292967121541e+04, 1.1066966438407539e+04,
  1.1080644134464990e+04, 1.1094326052685608e+04, 1.1108012190465128e+04,
  1.1121702545203296e+04, 1.1135397114303863e+04, 1.1149095895174571e+04,
  1.1162798885227143e+04, 1.1176506081877278e+04, 1.1190217482544635e+04,
  1.1203933084652828e+04, 1.1217652885629415e+04, 1.1231376882905886e+04,
  1.1245105073917659e+04, 1.1258837456104062e+04, 1.1272574026908333e+04,
  1.1286314783777601e+04, 1.1300059724162888e+04, 1.1313808845519083e+04,
  1.1327562145304952e+04, 1.1341319620983111e+04, 1.1355081270020033e+04,
  1.1368847089886023e+04, 1.1382617078055218e+04, 1.1396391232005579e+04,
  1.1410169549218874e+04, 1.1423952027180676e+04, 1.1437738663380349e+04,
  1.1451529455311042e+04, 1.1465324400469679e+04, 1.1479123496356951e+04,
  1.1492926740477304e+04, 1.1506734130338931e+04, 1.1520545663453764e+04,
  1.1534361337337466e+04, 1.1548181149509423e+04, 1.1562005097492724e+04,
  1.1575833178814170e+04, 1.1589665391004253e+04, 1.1603501731597149e+04,
  1.1617342198130715e+04, 1.1631186788146468e+04, 1.1645035499189589e+04,
  1.1658888328808911e+04, 1.1672745274556904e+04, 1.1686606333989675e+04,
  1.1700471504666955e+04, 1.1714340784152086e+04, 1.1728214170012021e+04,
  1.1742091659817312e+04, 1.1755973251142101e+04, 1.1769858941564111e+04,
  1.1783748728664636e+04, 1.1797642610028539e+04, 1.1811540583244237e+04,
  1.1825442645903697e+04, 1.1839348795602420e+04, 1.1853259029939445e+04,
  1.1867173346517333e+04, 1.1881091742942155e+04, 1.1895014216823492e+04,
  1.1908940765774427e+04, 1.1922871387411526e+04, 1.1936806079354839e+04,
  1.1950744839227897e+04, 1.1964687664657684e+04, 1.1978634553274653e+04,
  1.1992585502712700e+04, 1.2006540510609168e+04, 1.2020499574604828e+04,
  1.2034462692343879e+04, 1.2048429861473938e+04, 1.2062401079646032e+04,
  1.2076376344514589e+04, 1.2090355653737432e+04, 1.2104339004975769e+04,
  1.2118326395894188e+04, 1.2132317824160644e+04, 1.2146313287446457e+04,
  1.2160312783426303e+04, 1.2174316309778205e+04, 1.2188323864183525e+04,
  1.2202335444326955e+04, 1.2216351047896511e+04, 1.2230370672583531e+04,
  1.2244394316082657e+04, 1.2258421976091831e+04, 1.2272453650312296e+04,
  1.2286489336448574e+04, 1.2300529032208471e+04, 1.2314572735303058e+04,
  1.2328620443446678e+04, 1.2342672154356922e+04, 1.2356727865754638e+04,
  1.2370787575363909e+04, 1.2384851280912055e+04, 1.2398918980129623e+04,
  1.2412990670750381e+04, 1.2427066350511306e+04, 1.2441146017152581e+04,
  1.2455229668417589e+04, 1.2469317302052901e+04, 1.2483408915808270e+04,
  1.2497504507436630e+04, 1.2511604074694078e+04, 1.2525707615339878e+04,
  1.2539815127136444e+04, 1.2553926607849342e+04, 1.2568042055247275e+04,
  1.2582161467102082e+04, 1.2596284841188726e+04, 1.2610412175285290e+04,
  1.2624543467172971e+04, 1.2638678714636069e+04, 1.2652817915461985e+04,
  1.2666961067441209e+04, 1.2681108168367316e+04, 1.2695259216036962e+04,
  1.2709414208249869e+04, 1.2723573142808827e+04, 1.2737736017519681e+04,
  1.2751902830191326e+04, 1.2766073578635704e+04, 1.2780248260667788e+04,
  1.2794426874105588e+04, 1.2808609416770132e+04, 1.2822795886485468e+04,
  1.2836986281078653e+04, 1.2851180598379744e+04, 1.2865378836221802e+04,
  1.2879580992440871e+04, 1.2893787064875984e+04, 1.2907997051369144e+04,
  1.2922210949765335e+04, 1.2936428757912496e+04, 1.2950650473661524e+04,
  1.2964876094866273e+04, 1.2979105619383534e+04, 1.2993339045073039e+04,
  1.3007576369797454e+04, 1.3021817591422368e+04, 1.3036062707816285e+04,
  1.3050311716850629e+04, 1.3064564616399723e+04, 1.3078821404340792e+04,
  1.3093082078553954e+04, 1.3107346636922217e+04, 1.3121615077331466e+04,
  1.3135887397670458e+04, 1.3150163595830827e+04, 1.3164443669707060e+04,
  1.3178727617196502e+04, 1.3193015436199352e+04, 1.3207307124618648e+04,
  1.3221602680360265e+04, 1.3235902101332911e+04, 1.3250205385448118e+04,
  1.3264512530620239e+04, 1.3278823534766434e+04, 1.3293138395806676e+04,
  1.3307457111663734e+04, 1.3321779680263176e+04, 1.3336106099533356e+04,
  1.3350436367405409e+04, 1.3364770481813250e+04, 1.3379108440693562e+04,
  1.3393450241985796e+04, 1.3407795883632158e+04, 1.3422145363577607e+04,
  1.3436498679769855e+04, 1.3450855830159346e+04, 1.3465216812699266e+04,
  1.3479581625345529e+04, 1.3493950266056772e+04, 1.3508322732794350e+04,
  1.3522699023522329e+04, 1.3537079136207483e+04, 1.3551463068819286e+04,
  1.3565850819329906e+04, 1.3580242385714200e+04, 1.3594637765949710e+04,
  1.3609036958016657e+04, 1.3623439959897927e+04, 1.3637846769579081e+04,
  1.3652257385048333e+04, 1.3666671804296560e+04, 1.3681090025317284e+04,
  1.3695512046106669e+04, 1.3709937864663521e+04, 1.3724367478989278e+04,
  1.3738800887088004e+04, 1.3753238086966385e+04, 1.3767679076633727e+04,
  1.3782123854101939e+04, 1.3796572417385545e+04, 1.3811024764501659e+04,
  1.3825480893469998e+04, 1.3839940802312860e+04, 1.3854404489055134e+04,
  1.3868871951724283e+04, 1.3883343188350342e+04, 1.3897818196965914e+04,
  1.3912296975606168e+04, 1.3926779522308825e+04, 1.3941265835114160e+04,
  1.3955755912064991e+04, 1.3970249751206682e+04, 1.3984747350587126e+04,
  1.3999248708256751e+04, 1.4013753822268511e+04, 1.4028262690677873e+04,
  1.4042775311542828e+04, 1.4057291682923867e+04, 1.4071811802883994e+04,
  1.4086335669488704e+04, 1.4100863280805994e+04, 1.4115394634906341e+04,
  1.4129929729862710e+04, 1.4144468563750548e+04, 1.4159011134647770e+04,
  1.4173557440634760e+04, 1.4188107479794369e+04, 1.4202661250211901e+04,
  1.4217218749975118e+04, 1.4231779977174227e+04, 1.4246344929901879e+04,
  1.4260913606253163e+04, 1.4275486004325601e+04, 1.4290062122219146e+04,
  1.4304641958036171e+04, 1.4319225509881466e+04, 1.4333812775862236e+04,
  1.4348403754088098e+04, 1.4362998442671067e+04, 1.4377596839725560e+04,
  1.4392198943368388e+04, 1.4406804751718748e+04, 1.4421414262898223e+04,
  1.4436027475030774e+04, 1.4450644386242740e+04, 1.4465264994662828e+04,
  1.4479889298422106e+04, 1.4494517295654005e+04, 1.4509148984494313e+04,
  1.4523784363081166e+04, 1.4538423429555049e+04, 1.4553066182058781e+04,
  1.4567712618737527e+04, 1.4582362737738777e+04, 1.4597016537212348e+04,
  1.4611674015310382e+04, 1.4626335170187340e+04, 1.4640999999999993e+04,
  1.4655668502907418e+04, 1.4670340677071003e+04, 1.4685016520654426e+04,
  1.4699696031823671e+04, 1.4714379208746999e+04, 1.4729066049594967e+04,
  1.4743756552540408e+04, 1.4758450715758430e+04, 1.4773148537426418e+04,
  1.4787850015724018e+04, 1.4802555148833142e+04, 1.4817263934937961e+04,
  1.4831976372224897e+04, 1.4846692458882624e+04, 1.4861412193102060e+04,
  1.4876135573076363e+04, 1.4890862597000923e+04, 1.4905593263073371e+04,
  1.4920327569493558e+04, 1.4935065514463557e+04, 1.4949807096187662e+04,
  1.4964552312872382e+04, 1.4979301162726431e+04, 1.4994053643960735e+04,
  1.5008809754788414e+04, 1.5023569493424788e+04, 1.5038332858087369e+04,
  1.5053099846995858e+04, 1.5067870458372134e+04, 1.5082644690440264e+04,
  1.5097422541426484e+04, 1.5112204009559202e+04, 1.5126989093068994e+04,
  1.5141777790188597e+04, 1.5156570099152905e+04, 1.5171366018198967e+04,
  1.5186165545565986e+04, 1.5200968679495301e+04, 1.5215775418230402e+04,
  1.5230585760016909e+04, 1.5245399703102579e+04, 1.5260217245737298e+04,
  1.5275038386173073e+04, 1.5289863122664035e+04, 1.5304691453466432e+04,
  1.5319523376838621e+04, 1.5334358891041069e+04, 1.5349197994336346e+04,
  1.5364040684989128e+04, 1.5378886961266177e+04, 1.5393736821436356e+04,
  1.5408590263770609e+04, 1.5423447286541972e+04, 1.5438307888025554e+04,
  1.5453172066498542e+04, 1.5468039820240196e+04, 1.5482911147531840e+04,
  1.5497786046656869e+04, 1.5512664515900733e+04, 1.5527546553550939e+04,
  1.5542432157897045e+04, 1.5557321327230660e+04, 1.5572214059845435e+04,
  1.5587110354037064e+04, 1.5602010208103273e+04, 1.5616913620343823e+04,
  1.5631820589060506e+04, 1.5646731112557136e+04, 1.5661645189139546e+04,
  1.5676562817115593e+04, 1.5691483994795139e+04, 1.5706408720490062e+04,
  1.5721336992514242e+04, 1.5736268809183561e+04, 1.5751204168815901e+04,
  1.5766143069731135e+04, 1.5781085510251132e+04, 1.5796031488699740e+04,
  1.5810981003402798e+04, 1.5825934052688119e+04, 1.5840890634885489e+04,
  1.5855850748326673e+04, 1.5870814391345401e+04, 1.5885781562277361e+04,
  1.5900752259460214e+04, 1.5915726481233565e+04, 1.5930704225938984e+04,
  1.5945685491919978e+04, 1.5960670277522009e+04, 1.5975658581092481e+04,
  1.5990650400980730e+04, 1.6005645735538035e+04, 1.6020644583117599e+04,
  1.6035646942074556e+04, 1.6050652810765967e+04, 1.6065662187550806e+04,
  1.6080675070789974e+04, 1.6095691458846273e+04, 1.6110711350084424e+04,
  1.6125734742871053e+04, 1.6140761635574685e+04, 1.6155792026565747e+04,
  1.6170825914216561e+04, 1.6185863296901338e+04, 1.6200904172996183e+04,
  1.6215948540879079e+04, 1.6230996398929899e+04, 1.6246047745530386e+04,
  1.6261102579064163e+04, 1.6276160897916721e+04, 1.6291222700475420e+04,
  1.6306287985129484e+04, 1.6321356750269995e+04, 1.6336428994289896e+04,
  1.6351504715583982e+04, 1.6366583912548900e+04, 1.6381666583583141e+04,
  1.6396752727087041e+04, 1.6411842341462776e+04, 1.6426935425114363e+04,
  1.6442031976447644e+04, 1.6457131993870298e+04, 1.6472235475791829e+04,
  1.6487342420623561e+04, 1.6502452826778641e+04, 1.6517566692672033e+04,
  1.6532684016720516e+04, 1.6547804797342676e+04, 1.6562929032958902e+04,
  1.6578056721991394e+04, 1.6593187862864150e+04, 1.6608322454002962e+04,
  1.6623460493835417e+04, 1.6638601980790896e+04, 1.6653746913300558e+04,
  1.6668895289797354e+04, 1.6684047108716015e+04, 1.6699202368493046e+04,
  1.6714361067566726e+04, 1.6729523204377107e+04, 1.6744688777366009e+04,
  1.6759857784977012e+04, 1.6775030225655464e+04, 1.6790206097848466e+04,
  1.6805385400004874e+04, 1.6820568130575302e+04, 1.6835754288012104e+04,
  1.6850943870769381e+04, 1.6866136877302983e+04, 1.6881333306070494e+04,
  1.6896533155531230e+04, 1.6911736424146249e+04, 1.6926943110378332e+04,
  1.6942153212691992e+04, 1.6957366729553454e+04, 1.6972583659430682e+04,
  1.6987804000793338e+04, 1.7003027752112816e+04, 1.7018254911862205e+04,
  1.7033485478516312e+04, 1.7048719450551645e+04, 1.7063956826446421e+04,
  1.7079197604680547e+04, 1.7094441783735630e+04, 1.7109689362094967e+04,
  1.7124940338243552e+04, 1.7140194710668064e+04, 1.7155452477856852e+04,
  1.7170713638299967e+04, 1.7185978190489128e+04, 1.7201246132917724e+04,
  1.7216517464080825e+04, 1.7231792182475165e+04, 1.7247070286599141e+04,
  1.7262351774952826e+04, 1.7277636646037936e+04, 1.7292924898357855e+04,
  1.7308216530417623e+04, 1.7323511540723921e+04, 1.7338809927785089e+04,
  1.7354111690111105e+04, 1.7369416826213594e+04, 1.7384725334605821e+04,
  1.7400037213802683e+04, 1.7415352462320716e+04, 1.7430671078678090e+04,
  1.7445993061394587e+04, 1.7461318408991636e+04, 1.7476647119992274e+04,
  1.7491979192921168e+04, 1.7507314626304586e+04, 1.7522653418670423e+04,
  1.7537995568548187e+04, 1.7553341074468986e+04, 1.7568689934965536e+04,
  1.7584042148572156e+04, 1.7599397713824768e+04, 1.7614756629260890e+04,
  1.7630118893419625e+04, 1.7645484504841683e+04, 1.7660853462069354e+04,
  1.7676225763646511e+04, 1.7691601408118619e+04, 1.7706980394032718e+04,
  1.7722362719937424e+04, 1.7737748384382936e+04, 1.7753137385921014e+04,
  1.7768529723104999e+04, 1.7783925394489790e+04, 1.7799324398631856e+04,
  1.7814726734089225e+04, 1.7830132399421480e+04, 1.7845541393189767e+04,
  1.7860953713956780e+04, 1.7876369360286772e+04, 1.7891788330745530e+04,
  1.7907210623900395e+04, 1.7922636238320254e+04, 1.7938065172575527e+04,
  1.7953497425238176e+04, 1.7968932994881692e+04, 1.7984371880081104e+04,
  1.7999814079412972e+04, 1.8015259591455371e+04, 1.8030708414787914e+04,
  1.8046160547991731e+04, 1.8061615989649465e+04, 1.8077074738345284e+04,
  1.8092536792664861e+04, 1.8108002151195393e+04, 1.8123470812525571e+04,
  1.8138942775245599e+04, 1.8154418037947191e+04, 1.8169896599223546e+04,
  1.8185378457669380e+04, 1.8200863611880886e+04, 1.8216352060455767e+04,
  1.8231843801993204e+04, 1.8247338835093873e+04, 1.8262837158359936e+04,
  1.8278338770395032e+04, 1.8293843669804290e+04, 1.8309351855194309e+04,
  1.8324863325173166e+04, 1.8340378078350412e+04, 1.8355896113337069e+04,
  1.8371417428745623e+04, 1.8386942023190033e+04, 1.8402469895285718e+04,
  1.8418001043649550e+04, 1.8433535466899870e+04, 1.8449073163656474e+04,
  1.8464614132540602e+04, 1.8480158372174956e+04, 1.8495705881183676e+04,
  1.8511256658192357e+04, 1.8526810701828035e+04, 1.8542368010719183e+04,
  1.8557928583495715e+04, 1.8573492418788985e+04, 1.8589059515231773e+04,
  1.8604629871458303e+04, 1.8620203486104212e+04, 1.8635780357806580e+04,
  1.8651360485203899e+04, 1.8666943866936086e+04, 1.8682530501644480e+04,
  1.8698120387971841e+04, 1.8713713524562332e+04, 1.8729309910061540e+04,
  1.8744909543116457e+04, 1.8760512422375479e+04, 1.8776118546488418e+04,
  1.8791727914106479e+04, 1.8807340523882274e+04, 1.8822956374469810e+04,
  1.8838575464524489e+04, 1.8854197792703111e+04, 1.8869823357663863e+04,
  1.8885452158066328e+04, 1.8901084192571470e+04, 1.8916719459841639e+04,
  1.8932357958540564e+04, 1.8947999687333362e+04, 1.8963644644886521e+04,
  1.8979292829867907e+04, 1.8994944240946759e+04, 1.9010598876793687e+04,
  1.9026256736080668e+04, 1.9041917817481048e+04, 1.9057582119669532e+04,
  1.9073249641322200e+04, 1.9088920381116473e+04, 1.9104594337731145e+04,
  1.9120271509846356e+04, 1.9135951896143604e+04, 1.9151635495305738e+04,
  1.9167322306016948e+04, 1.9183012326962784e+04, 1.9198705556830122e+04,
  1.9214401994307198e+04, 1.9230101638083579e+04, 1.9245804486850167e+04,
  1.9261510539299208e+04, 1.9277219794124274e+04, 1.9292932250020265e+04,
  1.9308647905683421e+04, 1.9324366759811302e+04, 1.9340088811102793e+04,
  1.9355814058258100e+04, 1.9371542499978754e+04, 1.9387274134967600e+04,
  1.9403008961928797e+04, 1.9418746979567823e+04, 1.9434488186591469e+04,
  1.9450232581707827e+04, 1.9465980163626304e+04, 1.9481730931057613e+04,
  1.9497484882713761e+04, 1.9513242017308068e+04, 1.9529002333555141e+04,
  1.9544765830170898e+04, 1.9560532505872539e+04, 1.9576302359378566e+04,
  1.9592075389408761e+04, 1.9607851594684209e+04, 1.9623630973927269e+04,
  1.9639413525861590e+04, 1.9655199249212103e+04, 1.9670988142705017e+04,
  1.9686780205067826e+04, 1.9702575435029288e+04, 1.9718373831319448e+04,
  1.9734175392669615e+04, 1.9749980117812374e+04, 1.9765788005481569e+04,
  1.9781599054412323e+04, 1.9797413263341008e+04, 1.9813230631005274e+04,
  1.9829051156144014e+04, 1.9844874837497395e+04, 1.9860701673806827e+04,
  1.9876531663814985e+04, 1.9892364806265789e+04, 1.9908201099904407e+04,
  1.9924040543477258e+04, 1.9939883135732012e+04, 1.9955728875417579e+04,
  1.9971577761284105e+04, 1.9987429792082985e+04, 2.0003284966566847e+04,
  2.0019143283489560e+04, 2.0035004741606219e+04, 2.0050869339673161e+04,
  2.0066737076447942e+04, 2.0082607950689362e+04, 2.0098481961157428e+04,
  2.0114359106613385e+04, 2.0130239385819699e+04, 2.0146122797540054e+04,
  2.0162009340539353e+04, 2.0177899013583716e+04, 2.0193791815440476e+04,
  2.0209687744878182e+04, 2.0225586800666591e+04, 2.0241488981576669e+04,
  2.0257394286380597e+04, 2.0273302713851754e+04, 2.0289214262764715e+04,
  2.0305128931895277e+04, 2.0321046720020415e+04, 2.0336967625918318e+04,
  2.0352891648368361e+04, 2.0368818786151114e+04, 2.0384749038048347e+04,
  2.0400682402843009e+04, 2.0416618879319249e+04, 2.0432558466262391e+04,
  2.0448501162458953e+04, 2.0464446966696629e+04, 2.0480395877764302e+04,
  2.0496347894452025e+04, 2.0512303015551031e+04, 2.0528261239853735e+04,
  2.0544222566153720e+04, 2.0560186993245741e+04, 2.0576154519925720e+04,
  2.0592125144990758e+04, 2.0608098867239107e+04, 2.0624075685470198e+04,
  2.0640055598484618e+04, 2.0656038605084115e+04, 2.0672024704071595e+04,
  2.0688013894251126e+04, 2.0704006174427926e+04, 2.0720001543408373e+04,
  2.0735999999999989e+04, 2.0752001543011454e+04, 2.0768006171252597e+04,
  2.0784013883534382e+04, 2.0800024678668931e+04, 2.0816038555469506e+04,
  2.0832055512750507e+04, 2.0848075549327474e+04, 2.0864098664017085e+04,
  2.0880124855637161e+04, 2.0896154123006647e+04, 2.0912186464945626e+04,
  2.0928221880275312e+04, 2.0944260367818049e+04, 2.0960301926397311e+04,
  2.0976346554837684e+04, 2.0992394251964895e+04, 2.1008445016605787e+04,
  2.1024498847588318e+04, 2.1040555743741574e+04, 2.1056615703895754e+04,
  2.1072678726882168e+04, 2.1088744811533252e+04, 2.1104813956682538e+04,
  2.1120886161164683e+04, 2.1136961423815439e+04, 2.1153039743471683e+04,
  2.1169121118971379e+04, 2.1185205549153605e+04, 2.1201293032858535e+04,
  2.1217383568927453e+04, 2.1233477156202731e+04, 2.1249573793527841e+04,
  2.1265673479747358e+04, 2.1281776213706937e+04, 2.1297881994253334e+04,
  2.1313990820234398e+04, 2.1330102690499054e+04, 2.1346217603897330e+04,
  2.1362335559280327e+04, 2.1378456555500241e+04, 2.1394580591410333e+04,
  2.1410707665864964e+04, 2.1426837777719556e+04, 2.1442970925830628e+04,
  2.1459107109055756e+04, 2.1475246326253604e+04, 2.1491388576283895e+04,
  2.1507533858007431e+04, 2.1523682170286087e+04, 2.1539833511982797e+04,
  2.1555987881961566e+04, 2.1572145279087461e+04, 2.1588305702226615e+04,
  2.1604469150246216e+04, 2.1620635622014521e+04, 2.1636805116400832e+04,
  2.1652977632275521e+04, 2.1669153168510009e+04, 2.1685331723976764e+04,
  2.1701513297549318e+04, 2.1717697888102244e+04, 2.1733885494511167e+04,
  2.1750076115652759e+04, 2.1766269750404736e+04, 2.1782466397645861e+04,
  2.1798666056255934e+04, 2.1814868725115801e+04, 2.1831074403107345e+04,
  2.1847283089113484e+04, 2.1863494782018177e+04, 2.1879709480706417e+04,
  2.1895927184064229e+04, 2.1912147890978667e+04, 2.1928371600337818e+04,
  2.1944598311030797e+04, 2.1960828021947746e+04, 2.1977060731979829e+04,
  2.1993296440019243e+04, 2.2009535144959198e+04, 2.2025776845693930e+04,
  2.2042021541118691e+04, 2.2058269230129757e+04, 2.2074519911624411e+04,
  2.2090773584500959e+04, 2.2107030247658717e+04, 2.2123289899998013e+04,
  2.2139552540420187e+04, 2.2155818167827587e+04, 2.2172086781123569e+04,
  2.2188358379212495e+04, 2.2204632960999730e+04, 2.2220910525391639e+04,
  2.2237191071295601e+04, 2.2253474597619981e+04, 2.2269761103274148e+04,
  2.2286050587168469e+04, 2.2302343048214312e+04, 2.2318638485324027e+04,
  2.2334936897410968e+04, 2.2351238283389470e+04, 2.2367542642174871e+04,
  2.2383849972683482e+04, 2.2400160273832618e+04, 2.2416473544540568e+04,
  2.2432789783726603e+04, 2.2449108990310986e+04, 2.2465431163214958e+04,
  2.2481756301360740e+04, 2.2498084403671528e+04, 2.2514415469071497e+04,
  2.2530749496485802e+04, 2.2547086484840562e+04, 2.2563426433062879e+04,
  2.2579769340080824e+04, 2.2596115204823436e+04, 2.2612464026220721e+04,
  2.2628815803203655e+04, 2.2645170534704179e+04, 2.2661528219655200e+04,
  2.2677888856990587e+04, 2.2694252445645168e+04, 2.2710618984554734e+04,
  2.2726988472656034e+04, 2.2743360908886778e+04, 2.2759736292185622e+04,
  2.2776114621492186e+04, 2.2792495895747044e+04, 2.2808880113891719e+04,
  2.2825267274868678e+04, 2.2841657377621348e+04, 2.2858050421094096e+04,
  2.2874446404232243e+04, 2.2890845325982053e+04, 2.2907247185290722e+04,
  2.2923651981106406e+04, 2.2940059712378195e+04, 2.2956470378056114e+04,
  2.2972883977091129e+04, 2.2989300508435150e+04, 2.3005719971041017e+04,
  2.3022142363862498e+04, 2.3038567685854305e+04, 2.3054995935972078e+04,
  2.3071427113172387e+04, 2.3087861216412730e+04, 2.3104298244651531e+04,
  2.3120738196848146e+04, 2.3137181071962848e+04, 2.3153626868956846e+04,
  2.3170075586792263e+04, 2.3186527224432142e+04, 2.3202981780840448e+04,
  2.3219439254982066e+04, 2.3235899645822796e+04, 2.3252362952329357e+04,
  2.3268829173469378e+04, 2.3285298308211408e+04, 2.3301770355524899e+04,
  2.3318245314380223e+04, 2.3334723183748658e+04, 2.3351203962602387e+04,
  2.3367687649914504e+04, 2.3384174244659007e+04, 2.3400663745810798e+04,
  2.3417156152345680e+04, 2.3433651463240367e+04, 2.3450149677472462e+04,
  2.3466650794020472e+04, 2.3483154811863806e+04, 2.3499661729982763e+04,
  2.3516171547358539e+04, 2.3532684262973231e+04, 2.3549199875809823e+04,
  2.3565718384852185e+04, 2.3582239789085092e+04, 2.3598764087494197e+04,
  2.3615291279066041e+04, 2.3631821362788058e+04, 2.3648354337648565e+04,
  2.3664890202636761e+04, 2.3681428956742733e+04, 2.3697970598957443e+04,
  2.3714515128272738e+04, 2.3731062543681343e+04, 2.3747612844176863e+04,
  2.3764166028753778e+04, 2.3780722096407440e+04, 2.3797281046134085e+04,
  2.3813842876930816e+04, 2.3830407587795606e+04, 2.3846975177727301e+04,
  2.3863545645725622e+04, 2.3880118990791150e+04, 2.3896695211925336e+04,
  2.3913274308130498e+04, 2.3929856278409821e+04, 2.3946441121767348e+04,
  2.3963028837207989e+04, 2.3979619423737513e+04, 2.3996212880362549e+04,
  2.4012809206090584e+04, 2.4029408399929966e+04, 2.4046010460889898e+04,
  2.4062615387980433e+04, 2.4079223180212492e+04, 2.4095833836597827e+04,
  2.4112447356149063e+04, 2.4129063737879667e+04, 2.4145682980803951e+04,
  2.4162305083937081e+04, 2.4178930046295067e+04, 2.4195557866894767e+04,
  2.4212188544753884e+04, 2.4228822078890960e+04, 2.4245458468325389e+04,
  2.4262097712077397e+04, 2.4278739809168048e+04, 2.4295384758619261e+04,
  2.4312032559453768e+04, 2.4328683210695162e+04, 2.4345336711367858e+04,
  2.4361993060497109e+04, 2.4378652257108995e+04, 2.4395314300230442e+04,
  2.4411979188889192e+04, 2.4428646922113825e+04, 2.4445317498933746e+04,
  2.4461990918379193e+04, 2.4478667179481225e+04, 2.4495346281271726e+04,
  2.4512028222783407e+04, 2.4528713003049801e+04, 2.4545400621105266e+04,
  2.4562091075984976e+04, 2.4578784366724925e+04, 2.4595480492361927e+04,
  2.4612179451933614e+04, 2.4628881244478438e+04, 2.4645585869035654e+04,
  2.4662293324645343e+04, 2.4679003610348398e+04, 2.4695716725186514e+04,
  2.4712432668202211e+04, 2.4729151438438807e+04, 2.4745873034940436e+04,
  2.4762597456752032e+04, 2.4779324702919344e+04, 2.4796054772488926e+04,
  2.4812787664508123e+04, 2.4829523378025100e+04, 2.4846261912088819e+04,
  2.4863003265749034e+04, 2.4879747438056307e+04, 2.4896494428062004e+04,
  2.4913244234818278e+04, 2.4929996857378082e+04, 2.4946752294795166e+04,
  2.4963510546124078e+04, 2.4980271610420157e+04, 2.4997035486739525e+04,
  2.5013802174139113e+04, 2.5030571671676629e+04, 2.5047343978410572e+04,
  2.5064119093400237e+04, 2.5080897015705697e+04, 2.5097677744387813e+04,
  2.5114461278508239e+04, 2.5131247617129400e+04, 2.5148036759314517e+04,
  2.5164828704127583e+04, 2.5181623450633375e+04, 2.5198420997897450e+04,
  2.5215221344986145e+04, 2.5232024490966574e+04, 2.5248830434906627e+04,
  2.5265639175874974e+04, 2.5282450712941049e+04, 2.5299265045175071e+04,
  2.5316082171648024e+04, 2.5332902091431668e+04, 2.5349724803598532e+04,
  2.5366550307221914e+04, 2.5383378601375884e+04, 2.5400209685135269e+04,
  2.5417043557575678e+04, 2.5433880217773472e+04, 2.5450719664805783e+04,
  2.5467561897750507e+04, 2.5484406915686297e+04, 2.5501254717692573e+04,
  2.5518105302849512e+04, 2.5534958670238051e+04, 2.5551814818939889e+04,
  2.5568673748037480e+04, 2.5585535456614027e+04, 2.5602399943753502e+04,
  2.5619267208540619e+04, 2.5636137250060852e+04, 2.5653010067400432e+04,
  2.5669885659646327e+04, 2.5686764025886270e+04, 2.5703645165208734e+04,
  2.5720529076702947e+04, 2.5737415759458876e+04, 2.5754305212567244e+04,
  2.5771197435119517e+04, 2.5788092426207899e+04, 2.5804990184925344e+04,
  2.5821890710365547e+04, 2.5838794001622944e+04, 2.5855700057792717e+04,
  2.5872608877970775e+04, 2.5889520461253778e+04, 2.5906434806739118e+04,
  2.5923351913524923e+04, 2.5940271780710063e+04, 2.5957194407394138e+04,
  2.5974119792677477e+04, 2.5991047935661154e+04, 2.6007978835446964e+04,
  2.6024912491137442e+04, 2.6041848901835841e+04, 2.6058788066646161e+04,
  2.6075729984673108e+04, 2.6092674655022132e+04, 2.6109622076799409e+04,
  2.6126572249111829e+04, 2.6143525171067016e+04, 2.6160480841773315e+04,
  2.6177439260339790e+04, 2.6194400425876229e+04, 2.6211364337493145e+04,
  2.6228330994301767e+04, 2.6245300395414040e+04, 2.6262272539942627e+04,
  2.6279247427000919e+04, 2.6296225055703006e+04, 2.6313205425163702e+04,
  2.6330188534498539e+04, 2.6347174382823756e+04, 2.6364162969256307e+04,
  2.6381154292913852e+04, 2.6398148352914774e+04, 2.6415145148378149e+04,
  2.6432144678423778e+04, 2.6449146942172156e+04, 2.6466151938744493e+04,
  2.6483159667262702e+04, 2.6500170126849403e+04, 2.6517183316627921e+04,
  2.6534199235722277e+04, 2.6551217883257199e+04, 2.6568239258358120e+04,
  2.6585263360151173e+04, 2.6602290187763181e+04, 2.6619319740321676e+04,
  2.6636352016954883e+04, 2.6653387016791727e+04, 2.6670424738961825e+04,
  2.6687465182595493e+04, 2.6704508346823739e+04, 2.6721554230778267e+04,
  2.6738602833591467e+04, 2.6755654154396430e+04, 2.6772708192326929e+04,
  2.6789764946517433e+04, 2.6806824416103096e+04, 2.6823886600219761e+04,
  2.6840951498003960e+04, 2.6858019108592915e+04, 2.6875089431124517e+04,
  2.6892162464737365e+04, 2.6909238208570721e+04, 2.6926316661764547e+04,
  2.6943397823459472e+04, 2.6960481692796813e+04, 2.6977568268918574e+04,
  2.6994657550967422e+04, 2.7011749538086722e+04, 2.7028844229420498e+04,
  2.7045941624113464e+04, 2.7063041721311005e+04, 2.7080144520159181e+04,
  2.7097250019804727e+04, 2.7114358219395050e+04, 2.7131469118078236e+04,
  2.7148582715003031e+04, 2.7165699009318858e+04, 2.7182818000175816e+04,
  2.7199939686724665e+04, 2.7217064068116837e+04, 2.7234191143504428e+04,
  2.7251320912040203e+04, 2.7268453372877593e+04, 2.7285588525170693e+04,
  2.7302726368074269e+04, 2.7319866900743735e+04, 2.7337010122335181e+04,
  2.7354156032005358e+04, 2.7371304628911668e+04, 2.7388455912212183e+04,
  2.7405609881065626e+04, 2.7422766534631388e+04, 2.7439925872069507e+04,
  2.7457087892540683e+04, 2.7474252595206275e+04, 2.7491419979228293e+04,
  2.7508590043769400e+04, 2.7525762787992917e+04, 2.7542938211062810e+04,
  2.7560116312143706e+04, 2.7577297090400876e+04, 2.7594480545000242e+04,
  2.7611666675108383e+04, 2.7628855479892518e+04, 2.7646046958520514e+04,
  2.7663241110160889e+04, 2.7680437933982801e+04, 2.7697637429156068e+04,
  2.7714839594851132e+04, 2.7732044430239090e+04, 2.7749251934491687e+04,
  2.7766462106781299e+04, 2.7783674946280949e+04, 2.7800890452164302e+04,
  2.7818108623605654e+04, 2.7835329459779954e+04, 2.7852552959862780e+04,
  2.7869779123030345e+04, 2.7887007948459504e+04, 2.7904239435327745e+04,
  2.7921473582813196e+04, 2.7938710390094613e+04, 2.7955949856351392e+04,
  2.7973191980763550e+04, 2.7990436762511745e+04, 2.8007684200777272e+04,
  2.8024934294742041e+04, 2.8042187043588601e+04, 2.8059442446500128e+04,
  2.8076700502660427e+04, 2.8093961211253929e+04, 2.8111224571465693e+04,
  2.8128490582481401e+04, 2.8145759243487362e+04, 2.8163030553670509e+04,
  2.8180304512218394e+04, 2.8197581118319198e+04, 2.8214860371161725e+04,
  2.8232142269935390e+04, 2.8249426813830240e+04, 2.8266714002036930e+04,
  2.8284003833746745e+04, 2.8301296308151585e+04, 2.8318591424443959e+04,
  2.8335889181817001e+04, 2.8353189579464462e+04, 2.8370492616580705e+04,
  2.8387798292360701e+04, 2.8405106606000048e+04, 2.8422417556694945e+04,
  2.8439731143642206e+04, 2.8457047366039264e+04, 2.8474366223084147e+04,
  2.8491687713975512e+04, 2.8509011837912611e+04, 2.8526338594095305e+04,
  2.8543667981724069e+04, 2.8560999999999985e+04, 2.8578334648124732e+04,
  2.8595671925300605e+04, 2.8613011830730498e+04, 2.8630354363617909e+04,
  2.8647699523166943e+04, 2.8665047308582300e+04, 2.8682397719069289e+04,
  2.8699750753833818e+04, 2.8717106412082390e+04, 2.8734464693022121e+04,
  2.8751825595860711e+04, 2.8769189119806462e+04, 2.8786555264068280e+04,
  2.8803924027855664e+04, 2.8821295410378701e+04, 2.8838669410848088e+04,
  2.8856046028475103e+04, 2.8873425262471628e+04, 2.8890807112050130e+04,
  2.8908191576423673e+04, 2.8925578654805915e+04, 2.8942968346411097e+04,
  2.8960360650454055e+04, 2.8977755566150216e+04, 2.8995153092715591e+04,
  2.9012553229366786e+04, 2.9029955975320987e+04, 2.9047361329795975e+04,
  2.9064769292010107e+04, 2.9082179861182336e+04, 2.9099593036532187e+04,
  2.9117008817279780e+04, 2.9134427202645813e+04, 2.9151848191851572e+04,
  2.9169271784118911e+04, 2.9186697978670283e+04, 2.9204126774728706e+04,
  2.9221558171517790e+04, 2.9238992168261717e+04, 2.9256428764185250e+04,
  2.9273867958513725e+04, 2.9291309750473058e+04, 2.9308754139289747e+04,
  2.9326201124190855e+04, 2.9343650704404030e+04, 2.9361102879157483e+04,
  2.9378557647680012e+04, 2.9396015009200975e+04, 2.9413474962950309e+04,
  2.9430937508158524e+04, 2.9448402644056692e+04, 2.9465870369876469e+04,
  2.9483340684850071e+04, 2.9500813588210280e+04, 2.9518289079190454e+04,
  2.9535767157024511e+04, 2.9553247820946945e+04, 2.9570731070192807e+04,
  2.9588216903997723e+04, 2.9605705321597870e+04, 2.9623196322230000e+04,
  2.9640689905131429e+04, 2.9658186069540028e+04, 2.9675684814694236e+04,
  2.9693186139833047e+04, 2.9710690044196028e+04, 2.9728196527023298e+04,
  2.9745705587555527e+04, 2.9763217225033964e+04, 2.9780731438700397e+04,
  2.9798248227797183e+04, 2.9815767591567230e+04, 2.9833289529254005e+04,
  2.9850814040101530e+04, 2.9868341123354381e+04, 2.9885870778257693e+04,
  2.9903403004057145e+04, 2.9920937799998974e+04, 2.9938475165329975e+04,
  2.9956015099297481e+04, 2.9973557601149394e+04, 2.9991102670134147e+04,
  3.0008650305500742e+04, 3.0026200506498710e+04, 3.0043753272378144e+04,
  3.0061308602389683e+04, 3.0078866495784507e+04, 3.0096426951814352e+04,
  3.0113989969731494e+04, 3.0131555548788750e+04, 3.0149123688239491e+04,
  3.0166694387337629e+04, 3.0184267645337608e+04, 3.0201843461494434e+04,
  3.0219421835063640e+04, 3.0237002765301309e+04, 3.0254586251464058e+04,
  3.0272172292809046e+04, 3.0289760888593977e+04, 3.0307352038077090e+04,
  3.0324945740517160e+04, 3.0342541995173502e+04, 3.0360140801305966e+04,
  3.0377742158174944e+04, 3.0395346065041358e+04, 3.0412952521166666e+04,
  3.0430561525812864e+04, 3.0448173078242475e+04, 3.0465787177718561e+04,
  3.0483403823504719e+04, 3.0501023014865070e+04, 3.0518644751064272e+04,
  3.0536269031367516e+04, 3.0553895855040515e+04, 3.0571525221349519e+04,
  3.0589157129561307e+04, 3.0606791578943175e+04, 3.0624428568762964e+04,
  3.0642068098289030e+04, 3.0659710166790261e+04, 3.0677354773536070e+04,
  3.0695001917796391e+04, 3.0712651598841687e+04, 3.0730303815942945e+04,
  3.0747958568371676e+04, 3.0765615855399912e+04, 3.0783275676300211e+04,
  3.0800938030345646e+04, 3.0818602916809814e+04, 3.0836270334966837e+04,
  3.0853940284091354e+04, 3.0871612763458521e+04, 3.0889287772344011e+04,
  3.0906965310024025e+04, 3.0924645375775272e+04, 3.0942327968874983e+04,
  3.0960013088600903e+04, 3.0977700734231294e+04, 3.0995390905044929e+04,
  3.1013083600321101e+04, 3.1030778819339619e+04, 3.1048476561380798e+04,
  3.1066176825725470e+04, 3.1083879611654978e+04, 3.1101584918451179e+04,
  3.1119292745396440e+04, 3.1137003091773637e+04, 3.1154715956866155e+04,
  3.1172431339957893e+04, 3.1190149240333260e+04, 3.1207869657277162e+04,
  3.1225592590075023e+04, 3.1243318038012771e+04, 3.1261046000376838e+04,
  3.1278776476454172e+04, 3.1296509465532210e+04, 3.1314244966898910e+04,
  3.1331982979842720e+04, 3.1349723503652600e+04, 3.1367466537618013e+04,
  3.1385212081028923e+04, 3.1402960133175795e+04, 3.1420710693349596e+04,
  3.1438463760841791e+04, 3.1456219334944351e+04, 3.1473977414949743e+04,
  3.1491738000150934e+04, 3.1509501089841389e+04, 3.1527266683315069e+04,
  3.1545034779866437e+04, 3.1562805378790450e+04, 3.1580578479382562e+04,
  3.1598354080938720e+04, 3.1616132182755369e+04, 3.1633912784129450e+04,
  3.1651695884358396e+04, 3.1669481482740131e+04, 3.1687269578573076e+04,
  3.1705060171156143e+04, 3.1722853259788735e+04, 3.1740648843770748e+04,
  3.1758446922402567e+04, 3.1776247494985066e+04, 3.1794050560819614e+04,
  3.1811856119208060e+04, 3.1829664169452753e+04, 3.1847474710856521e+04,
  3.1865287742722685e+04, 3.1883103264355046e+04, 3.1900921275057899e+04,
  3.1918741774136019e+04, 3.1936564760894671e+04, 3.1954390234639599e+04,
  3.1972218194677040e+04, 3.1990048640313704e+04, 3.2007881570856793e+04,
  3.2025716985613984e+04, 3.2043554883893445e+04, 3.2061395265003815e+04,
  3.2079238128254223e+04, 3.2097083472954269e+04, 3.2114931298414049e+04,
  3.2132781603944117e+04, 3.2150634388855524e+04, 3.2168489652459790e+04,
  3.2186347394068915e+04, 3.2204207612995371e+04, 3.2222070308552120e+04,
  3.2239935480052583e+04, 3.2257803126810672e+04, 3.2275673248140767e+04,
  3.2293545843357719e+04, 3.2311420911776862e+04, 3.2329298452713996e+04,
  3.2347178465485395e+04, 3.2365060949407813e+04, 3.2382945903798463e+04,
  3.2400833327975040e+04, 3.2418723221255706e+04, 3.2436615582959093e+04,
  3.2454510412404306e+04, 3.2472407708910916e+04, 3.2490307471798966e+04,
  3.2508209700388961e+04, 3.2526114394001877e+04, 3.2544021551959166e+04,
  3.2561931173582732e+04, 3.2579843258194956e+04, 3.2597757805118679e+04,
  3.2615674813677211e+04, 3.2633594283194328e+04, 3.2651516212994258e+04,
  3.2669440602401712e+04, 3.2687367450741847e+04, 3.2705296757340297e+04,
  3.2723228521523146e+04, 3.2741162742616943e+04, 3.2759099419948703e+04,
  3.2777038552845901e+04, 3.2794980140636464e+04, 3.2812924182648792e+04,
  3.2830870678211730e+04, 3.2848819626654593e+04, 3.2866771027307150e+04,
  3.2884724879499619e+04, 3.2902681182562686e+04, 3.2920639935827494e+04,
  3.2938601138625643e+04, 3.2956564790289180e+04, 3.2974530890150607e+04,
  3.2992499437542894e+04, 3.3010470431799447e+04, 3.3028443872254145e+04,
  3.3046419758241311e+04, 3.3064398089095710e+04, 3.3082378864152583e+04,
  3.3100362082747590e+04, 3.3118347744216881e+04, 3.3136335847897026e+04,
  3.3154326393125062e+04, 3.3172319379238470e+04, 3.3190314805575174e+04,
  3.3208312671473555e+04, 3.3226312976272442e+04, 3.3244315719311111e+04,
  3.3262320899929284e+04, 3.3280328517467125e+04, 3.3298338571265260e+04,
  3.3316351060664747e+04, 3.3334365985007091e+04, 3.3352383343634239e+04,
  3.3370403135888591e+04, 3.3388425361112990e+04, 3.3406450018650721e+04,
  3.3424477107845501e+04, 3.3442506628041512e+04, 3.3460538578583350e+04,
  3.3478572958816083e+04, 3.3496609768085189e+04, 3.3514649005736617e+04,
  3.3532690671116739e+04, 3.3550734763572356e+04, 3.3568781282450735e+04,
  3.3586830227099563e+04, 3.3604881596866973e+04, 3.3622935391101528e+04,
  3.3640991609152239e+04, 3.3659050250368542e+04, 3.3677111314100322e+04,
  3.3695174799697881e+04, 3.3713240706511984e+04, 3.3731309033893805e+04,
  3.3749379781194970e+04, 3.3767452947767531e+04, 3.3785528532963974e+04,
  3.3803606536137209e+04, 3.3821686956640602e+04, 3.3839769793827938e+04,
  3.3857855047053425e+04, 3.3875942715671707e+04, 3.3894032799037872e+04,
  3.3912125296507431e+04, 3.3930220207436316e+04, 3.3948317531180888e+04,
  3.3966417267097961e+04, 3.3984519414544746e+04, 3.4002623972878901e+04,
  3.4020730941458511e+04, 3.4038840319642077e+04, 3.4056952106788536e+04,
  3.4075066302257255e+04, 3.4093182905408015e+04, 3.4111301915601027e+04,
  3.4129423332196930e+04, 3.4147547154556785e+04, 3.4165673382042078e+04,
  3.4183802014014720e+04, 3.4201933049837033e+04, 3.4220066488871780e+04,
  3.4238202330482141e+04, 3.4256340574031703e+04, 3.4274481218884495e+04,
  3.4292624264404949e+04, 3.4310769709957938e+04, 3.4328917554908730e+04,
  3.4347067798623029e+04, 3.4365220440466954e+04, 3.4383375479807051e+04,
  3.4401532916010263e+04, 3.4419692748443973e+04, 3.4437854976475966e+04,
  3.4456019599474450e+04, 3.4474186616808060e+04, 3.4492356027845817e+04,
  3.4510527831957188e+04, 3.4528702028512052e+04, 3.4546878616880676e+04,
  3.4565057596433770e+04, 3.4583238966542449e+04, 3.4601422726578232e+04,
  3.4619608875913065e+04, 3.4637797413919296e+04, 3.4655988339969692e+04,
  3.4674181653437423e+04, 3.4692377353696080e+04, 3.4710575440119668e+04,
  3.4728775912082579e+04, 3.4746978768959649e+04, 3.4765184010126082e+04,
  3.4783391634957537e+04, 3.4801601642830050e+04, 3.4819814033120063e+04,
  3.4838028805204456e+04, 3.4856245958460480e+04, 3.4874465492265823e+04,
  3.4892687405998557e+04, 3.4910911699037177e+04, 3.4929138370760564e+04,
  3.4947367420548027e+04, 3.4965598847779271e+04, 3.4983832651834389e+04,
  3.5002068832093908e+04, 3.5020307387938738e+04, 3.5038548318750189e+04,
  3.5056791623909980e+04, 3.5075037302800250e+04, 3.5093285354803513e+04,
  3.5111535779302685e+04, 3.5129788575681116e+04, 3.5148043743322516e+04,
  3.5166301281611013e+04, 3.5184561189931141e+04, 3.5202823467667826e+04,
  3.5221088114206388e+04, 3.5239355128932555e+04, 3.5257624511232447e+04,
  3.5275896260492584e+04, 3.5294170376099886e+04, 3.5312446857441668e+04,
  3.5330725703905628e+04, 3.5349006914879887e+04, 3.5367290489752944e+04,
  3.5385576427913686e+04, 3.5403864728751418e+04, 3.5422155391655811e+04,
  3.5440448416016967e+04, 3.5458743801225341e+04, 3.5477041546671804e+04,
  3.5495341651747622e+04, 3.5513644115844436e+04, 3.5531948938354304e+04,
  3.5550256118669655e+04, 3.5568565656183309e+04, 3.5586877550288496e+04,
  3.5605191800378816e+04, 3.5623508405848268e+04, 3.5641827366091238e+04,
  3.5660148680502505e+04, 3.5678472348477233e+04, 3.5696798369410979e+04,
  3.5715126742699678e+04, 3.5733457467739659e+04, 3.5751790543927644e+04,
  3.5770125970660738e+04, 3.5788463747336420e+04, 3.5806803873352568e+04,
  3.5825146348107453e+04, 3.5843491170999710e+04, 3.5861838341428367e+04,
  3.5880187858792851e+04, 3.5898539722492955e+04, 3.5916893931928862e+04,
  3.5935250486501129e+04, 3.5953609385610718e+04, 3.5971970628658957e+04,
  3.5990334215047558e+04, 3.6008700144178612e+04, 3.6027068415454596e+04,
  3.6045439028278372e+04, 3.6063811982053165e+04, 3.6082187276182609e+04,
  3.6100564910070694e+04, 3.6118944883121789e+04, 3.6137327194740654e+04,
  3.6155711844332429e+04, 3.6174098831302617e+04, 3.6192488155057115e+04,
  3.6210879815002190e+04, 3.6229273810544473e+04, 3.6247670141091003e+04,
  3.6266068806049167e+04, 3.6284469804826738e+04, 3.6302873136831862e+04,
  3.6321278801473069e+04, 3.6339686798159251e+04, 3.6358097126299683e+04,
  3.6376509785304013e+04, 3.6394924774582265e+04, 3.6413342093544816e+04,
  3.6431761741602444e+04, 3.6450183718166292e+04, 3.6468608022647859e+04,
  3.6487034654459028e+04, 3.6505463613012063e+04, 3.6523894897719583e+04,
  3.6542328507994578e+04, 3.6560764443250409e+04, 3.6579202702900831e+04,
  3.6597643286359926e+04, 3.6616086193042182e+04, 3.6634531422362437e+04,
  3.6652978973735895e+04, 3.6671428846578143e+04, 3.6689881040305125e+04,
  3.6708335554333149e+04, 3.6726792388078902e+04, 3.6745251540959427e+04,
  3.6763713012392138e+04, 3.6782176801794812e+04, 3.6800642908585593e+04,
  3.6819111332182991e+04, 3.6837582072005869e+04, 3.6856055127473483e+04,
  3.6874530498005421e+04, 3.6893008183021651e+04, 3.6911488181942506e+04,
  3.6929970494188674e+04, 3.6948455119181206e+04, 3.6966942056341519e+04,
  3.6985431305091392e+04, 3.7003922864852961e+04, 3.7022416735048733e+04,
  3.7040912915101559e+04, 3.7059411404434657e+04, 3.7077912202471620e+04,
  3.7096415308636388e+04, 3.7114920722353243e+04, 3.7133428443046862e+04,
  3.7151938470142253e+04, 3.7170450803064785e+04, 3.7188965441240209e+04,
  3.7207482384094597e+04, 3.7226001631054402e+04, 3.7244523181546429e+04,
  3.7263047034997842e+04, 3.7281573190836149e+04, 3.7300101648489224e+04,
  3.7318632407385296e+04, 3.7337165466952945e+04, 3.7355700826621112e+04,
  3.7374238485819085e+04, 3.7392778443976509e+04, 3.7411320700523385e+04,
  3.7429865254890057e+04, 3.7448412106507232e+04, 3.7466961254805967e+04,
  3.7485512699217681e+04, 3.7504066439174116e+04, 3.7522622474107404e+04,
  3.7541180803449992e+04, 3.7559741426634697e+04, 3.7578304343094693e+04,
  3.7596869552263488e+04, 3.7615437053574940e+04, 3.7634006846463271e+04,
  3.7652578930363044e+04, 3.7671153304709165e+04, 3.7689729968936896e+04,
  3.7708308922481847e+04, 3.7726890164779965e+04, 3.7745473695267559e+04,
  3.7764059513381275e+04, 3.7782647618558112e+04, 3.7801238010235415e+04,
  3.7819830687850859e+04, 3.7838425650842495e+04, 3.7857022898648691e+04,
  3.7875622430708172e+04, 3.7894224246460013e+04, 3.7912828345343616e+04,
  3.7931434726798747e+04, 3.7950043390265506e+04, 3.7968654335184328e+04,
  3.7987267560995999e+04, 3.8005883067141665e+04, 3.8024500853062775e+04,
  3.8043120918201159e+04, 3.8061743261998963e+04, 3.8080367883898682e+04,
  3.8098994783343158e+04, 3.8117623959775563e+04, 3.8136255412639417e+04,
  3.8154889141378575e+04, 3.8173525145437234e+04, 3.8192163424259939e+04,
  3.8210803977291551e+04, 3.8229446803977284e+04, 3.8248091903762703e+04,
  3.8266739276093685e+04, 3.8285388920416466e+04, 3.8304040836177606e+04,
  3.8322695022824002e+04, 3.8341351479802899e+04, 3.8360010206561863e+04,
  3.8378671202548816e+04, 3.8397334467211993e+04, 3.8415999999999978e+04,
  3.8434667800361683e+04, 3.8453337867746370e+04, 3.8472010201603611e+04,
  3.8490684801383337e+04, 3.8509361666535784e+04, 3.8528040796511552e+04,
  3.8546722190761553e+04, 3.8565405848737035e+04, 3.8584091769889594e+04,
  3.8602779953671132e+04, 3.8621470399533908e+04, 3.8640163106930486e+04,
  3.8658858075313794e+04, 3.8677555304137059e+04, 3.8696254792853862e+04,
  3.8714956540918094e+04, 3.8733660547783991e+04, 3.8752366812906112e+04,
  3.8771075335739348e+04, 3.8789786115738920e+04, 3.8808499152360368e+04,
  3.8827214445059573e+04, 3.8845931993292739e+04, 3.8864651796516388e+04,
  3.8883373854187383e+04, 3.8902098165762916e+04, 3.8920824730700486e+04,
  3.8939553548457938e+04, 3.8958284618493431e+04, 3.8977017940265461e+04,
  3.8995753513232834e+04, 3.9014491336854699e+04, 3.9033231410590517e+04,
  3.9051973733900079e+04, 3.9070718306243485e+04, 3.9089465127081188e+04,
  3.9108214195873945e+04, 3.9126965512082832e+04, 3.9145719075169261e+04,
  3.9164474884594965e+04, 3.9183232939821988e+04, 3.9201993240312710e+04,
  3.9220755785529815e+04, 3.9239520574936330e+04, 3.9258287607995589e+04,
  3.9277056884171245e+04, 3.9295828402927291e+04, 3.9314602163728006e+04,
  3.9333378166038019e+04, 3.9352156409322270e+04, 3.9370936893046004e+04,
  3.9389719616674811e+04, 3.9408504579674584e+04, 3.9427291781511522e+04,
  3.9446081221652174e+04, 3.9464872899563372e+04, 3.9483666814712291e+04,
  3.9502462966566411e+04, 3.9521261354593538e+04, 3.9540061978261780e+04,
  3.9558864837039568e+04, 3.9577669930395656e+04, 3.9596477257799110e+04,
  3.9615286818719302e+04, 3.9634098612625923e+04, 3.9652912638988993e+04,
  3.9671728897278823e+04, 3.9690547386966064e+04, 3.9709368107521652e+04,
  3.9728191058416858e+04, 3.9747016239123259e+04, 3.9765843649112750e+04,
  3.9784673287857528e+04, 3.9803505154830105e+04, 3.9822339249503319e+04,
  3.9841175571350293e+04, 3.9860014119844498e+04, 3.9878854894459677e+04,
  3.9897697894669909e+04, 3.9916543119949580e+04, 3.9935390569773372e+04,
  3.9954240243616303e+04, 3.9973092140953675e+04, 3.9991946261261117e+04,
  4.0010802604014549e+04, 4.0029661168690225e+04, 4.0048521954764678e+04,
  4.0067384961714779e+04, 4.0086250189017679e+04, 4.0105117636150855e+04,
  4.0123987302592090e+04, 4.0142859187819471e+04, 4.0161733291311379e+04,
  4.0180609612546526e+04, 4.0199488151003912e+04, 4.0218368906162854e+04,
  4.0237251877502960e+04, 4.0256137064504153e+04, 4.0275024466646668e+04,
  4.0293914083411029e+04, 4.0312805914278084e+04, 4.0331699958728961e+04,
  4.0350596216245103e+04, 4.0369494686308273e+04, 4.0388395368400510e+04,
  4.0407298262004173e+04, 4.0426203366601920e+04, 4.0445110681676706e+04,
  4.0464020206711793e+04, 4.0482931941190756e+04, 4.0501845884597446e+04,
  4.0520762036416032e+04, 4.0539680396130985e+04, 4.0558600963227072e+04,
  4.0577523737189367e+04, 4.0596448717503234e+04, 4.0615375903654342e+04,
  4.0634305295128659e+04, 4.0653236891412453e+04, 4.0672170691992294e+04,
  4.0691106696355047e+04, 4.0710044903987873e+04, 4.0728985314378238e+04,
  4.0747927927013901e+04, 4.0766872741382918e+04, 4.0785819756973651e+04,
  4.0804768973274746e+04, 4.0823720389775161e+04, 4.0842674005964131e+04,
  4.0861629821331211e+04, 4.0880587835366226e+04, 4.0899548047559329e+04,
  4.0918510457400931e+04, 4.0937475064381761e+04, 4.0956441867992849e+04,
  4.0975410867725499e+04, 4.0994382063071324e+04, 4.1013355453522236e+04,
  4.1032331038570417e+04, 4.1051308817708363e+04, 4.1070288790428858e+04,
  4.1089270956224987e+04, 4.1108255314590111e+04, 4.1127241865017888e+04,
  4.1146230607002290e+04, 4.1165221540037543e+04, 4.1184214663618193e+04,
  4.1203209977239079e+04, 4.1222207480395307e+04, 4.1241207172582297e+04,
  4.1260209053295752e+04, 4.1279213122031659e+04, 4.1298219378286303e+04,
  4.1317227821556255e+04, 4.1336238451338380e+04, 4.1355251267129832e+04,
  4.1374266268428037e+04, 4.1393283454730743e+04, 4.1412302825535953e+04,
  4.1431324380341983e+04, 4.1450348118647416e+04, 4.1469374039951144e+04,
  4.1488402143752326e+04, 4.1507432429550427e+04, 4.1526464896845187e+04,
  4.1545499545136627e+04, 4.1564536373925075e+04, 4.1583575382711126e+04,
  4.1602616570995662e+04, 4.1621659938279874e+04, 4.1640705484065205e+04,
  4.1659753207853406e+04, 4.1678803109146495e+04, 4.1697855187446803e+04,
  4.1716909442256911e+04, 4.1735965873079709e+04, 4.1755024479418360e+04,
  4.1774085260776315e+04, 4.1793148216657297e+04, 4.1812213346565331e+04,
  4.1831280650004708e+04, 4.1850350126480014e+04, 4.1869421775496106e+04,
  4.1888495596558132e+04, 4.1907571589171515e+04, 4.1926649752841957e+04,
  4.1945730087075463e+04, 4.1964812591378286e+04, 4.1983897265256979e+04,
  4.2002984108218378e+04, 4.2022073119769593e+04, 4.2041164299418007e+04,
  4.2060257646671307e+04, 4.2079353161037419e+04, 4.2098450842024591e+04,
  4.2117550689141324e+04, 4.2136652701896404e+04, 4.2155756879798893e+04,
  4.2174863222358137e+04, 4.2193971729083758e+04, 4.2213082399485655e+04,
  4.2232195233074002e+04, 4.2251310229359246e+04, 4.2270427387852127e+04,
  4.2289546708063644e+04, 4.2308668189505079e+04, 4.2327791831687995e+04,
  4.2346917634124227e+04, 4.2366045596325886e+04, 4.2385175717805352e+04,
  4.2404307998075295e+04, 4.2423442436648642e+04, 4.2442579033038608e+04,
  4.2461717786758672e+04, 4.2480858697322597e+04, 4.2500001764244422e+04,
  4.2519146987038446e+04, 4.2538294365219248e+04, 4.2557443898301688e+04,
  4.2576595585800882e+04, 4.2595749427232236e+04, 4.2614905422111420e+04,
  4.2634063569954371e+04, 4.2653223870277317e+04, 4.2672386322596729e+04,
  4.2691550926429380e+04, 4.2710717681292292e+04, 4.2729886586702763e+04,
  4.2749057642178363e+04, 4.2768230847236940e+04, 4.2787406201396610e+04,
  4.2806583704175740e+04, 4.2825763355092990e+04, 4.2844945153667286e+04,
  4.2864129099417805e+04, 4.2883315191864014e+04, 4.2902503430525649e+04,
  4.2921693814922692e+04, 4.2940886344575410e+04, 4.2960081019004348e+04,
  4.2979277837730297e+04, 4.2998476800274322e+04, 4.3017677906157769e+04,
  4.3036881154902228e+04, 4.3056086546029583e+04, 4.3075294079061961e+04,
  4.3094503753521763e+04, 4.3113715568931664e+04, 4.3132929524814601e+04,
  4.3152145620693766e+04, 4.3171363856092619e+04, 4.3190584230534907e+04,
  4.3209806743544621e+04, 4.3229031394646016e+04, 4.3248258183363621e+04,
  4.3267487109222224e+04, 4.3286718171746885e+04, 4.3305951370462906e+04,
  4.3325186704895881e+04, 4.3344424174571650e+04, 4.3363663779016322e+04,
  4.3382905517756262e+04, 4.3402149390318104e+04, 4.3421395396228749e+04,
  4.3440643535015348e+04, 4.3459893806205320e+04, 4.3479146209326347e+04,
  4.3498400743906379e+04, 4.3517657409473606e+04, 4.3536916205556496e+04,
  4.3556177131683784e+04, 4.3575440187384440e+04, 4.3594705372187724e+04,
  4.3613972685623135e+04, 4.3633242127220437e+04, 4.3652513696509668e+04,
  4.3671787393021099e+04, 4.3691063216285271e+04, 4.3710341165833001e+04,
  4.3729621241195346e+04, 4.3748903441903625e+04, 4.3768187767489413e+04,
  4.3787474217484552e+04, 4.3806762791421126e+04, 4.3826053488831501e+04,
  4.3845346309248278e+04, 4.3864641252204325e+04, 4.3883938317232765e+04,
  4.3903237503866978e+04, 4.3922538811640596e+04, 4.3941842240087513e+04,
  4.3961147788741881e+04, 4.3980455457138101e+04, 4.3999765244810835e+04,
  4.4019077151295001e+04, 4.4038391176125755e+04, 4.4057707318838540e+04,
  4.4077025578969020e+04, 4.4096345956053141e+04, 4.4115668449627083e+04,
  4.4134993059227287e+04, 4.4154319784390456e+04, 4.4173648624653535e+04,
  4.4192979579553728e+04, 4.4212312648628489e+04, 4.4231647831415532e+04,
  4.4250985127452805e+04, 4.4270324536278538e+04, 4.4289666057431183e+04,
  4.4309009690449464e+04, 4.4328355434872356e+04, 4.4347703290239064e+04,
  4.4367053256089079e+04, 4.4386405331962109e+04, 4.4405759517398139e+04,
  4.4425115811937387e+04, 4.4444474215120332e+04, 4.4463834726487694e+04,
  4.4483197345580462e+04, 4.4502562071939843e+04, 4.4521928905107328e+04,
  4.4541297844624634e+04, 4.4560668890033732e+04, 4.4580042040876848e+04,
  4.4599417296696454e+04, 4.4618794657035272e+04, 4.4638174121436256e+04,
  4.4657555689442641e+04, 4.4676939360597869e+04, 4.4696325134445673e+04,
  4.4715713010530002e+04, 4.4735102988395054e+04, 4.4754495067585296e+04,
  4.4773889247645420e+04, 4.4793285528120374e+04, 4.4812683908555344e+04,
  4.4832084388495779e+04, 4.4851486967487355e+04, 4.4870891645076015e+04,
  4.4890298420807914e+04, 4.4909707294229491e+04, 4.4929118264887409e+04,
  4.4948531332328566e+04, 4.4967946496100136e+04, 4.4987363755749502e+04,
  4.5006783110824326e+04, 4.5026204560872473e+04, 4.5045628105442098e+04,
  4.5065053744081561e+04, 4.5084481476339490e+04, 4.5103911301764740e+04,
  4.5123343219906426e+04, 4.5142777230313885e+04, 4.5162213332536710e+04,
  4.5181651526124733e+04, 4.5201091810628037e+04, 4.5220534185596924e+04,
  4.5239978650581965e+04, 4.5259425205133957e+04, 4.5278873848803938e+04,
  4.5298324581143192e+04, 4.5317777401703235e+04, 4.5337232310035848e+04,
  4.5356689305693020e+04, 4.5376148388226997e+04, 4.5395609557190270e+04,
  4.5415072812135557e+04, 4.5434538152615823e+04, 4.5454005578184282e+04,
  4.5473475088394356e+04, 4.5492946682799746e+04, 4.5512420360954362e+04,
  4.5531896122412363e+04, 4.5551373966728155e+04, 4.5570853893456362e+04,
  4.5590335902151870e+04, 4.5609819992369776e+04, 4.5629306163665438e+04,
  4.5648794415594442e+04, 4.5668284747712612e+04, 4.5687777159576006e+04,
  4.5707271650740920e+04, 4.5726768220763894e+04, 4.5746266869201696e+04,
  4.5765767595611323e+04, 4.5785270399550034e+04, 4.5804775280575297e+04,
  4.5824282238244821e+04, 4.5843791272116570e+04, 4.5863302381748719e+04,
  4.5882815566699683e+04, 4.5902330826528130e+04, 4.5921848160792935e+04,
  4.5941367569053225e+04, 4.5960889050868354e+04, 4.5980412605797930e+04,
  4.5999938233401757e+04, 4.6019465933239902e+04, 4.6038995704872657e+04,
  4.6058527547860547e+04, 4.6078061461764330e+04, 4.6097597446145002e+04,
  4.6117135500563774e+04, 4.6136675624582109e+04, 4.6156217817761702e+04,
  4.6175762079664462e+04, 4.6195308409852543e+04, 4.6214856807888333e+04,
  4.6234407273334444e+04, 4.6253959805753715e+04, 4.6273514404709240e+04,
  4.6293071069764315e+04, 4.6312629800482478e+04, 4.6332190596427499e+04,
  4.6351753457163381e+04, 4.6371318382254351e+04, 4.6390885371264863e+04,
  4.6410454423759620e+04, 4.6430025539303526e+04, 4.6449598717461733e+04,
  4.6469173957799620e+04, 4.6488751259882782e+04, 4.6508330623277070e+04,
  4.6527912047548532e+04, 4.6547495532263471e+04, 4.6567081076988397e+04,
  4.6586668681290059e+04, 4.6606258344735434e+04, 4.6625850066891719e+04,
  4.6645443847326351e+04, 4.6665039685606986e+04, 4.6684637581301497e+04,
  4.6704237533978005e+04, 4.6723839543204842e+04, 4.6743443608550573e+04,
  4.6763049729583989e+04, 4.6782657905874104e+04, 4.6802268136990162e+04,
  4.6821880422501628e+04, 4.6841494761978196e+04, 4.6861111154989776e+04,
  4.6880729601106526e+04, 4.6900350099898795e+04, 4.6919972650937190e+04,
  4.6939597253792526e+04, 4.6959223908035841e+04, 4.6978852613238399e+04,
  4.6998483368971691e+04, 4.7018116174807430e+04, 4.7037751030317551e+04,
  4.7057387935074214e+04, 4.7077026888649809e+04, 4.7096667890616940e+04,
  4.7116310940548428e+04, 4.7135956038017328e+04, 4.7155603182596918e+04,
  4.7175252373860698e+04, 4.7194903611382375e+04, 4.7214556894735899e+04,
  4.7234212223495422e+04, 4.7253869597235338e+04, 4.7273529015530250e+04,
  4.7293190477954980e+04, 4.7312853984084577e+04, 4.7332519533494306e+04,
  4.7352187125759658e+04, 4.7371856760456343e+04, 4.7391528437160297e+04,
  4.7411202155447652e+04, 4.7430877914894787e+04, 4.7450555715078299e+04,
  4.7470235555574982e+04, 4.7489917435961863e+04, 4.7509601355816201e+04,
  4.7529287314715453e+04, 4.7548975312237308e+04, 4.7568665347959672e+04,
  4.7588357421460656e+04, 4.7608051532318605e+04, 4.7627747680112072e+04,
  4.7647445864419846e+04, 4.7667146084820910e+04, 4.7686848340894474e+04,
  4.7706552632219973e+04, 4.7726258958377046e+04, 4.7745967318945557e+04,
  4.7765677713505582e+04, 4.7785390141637428e+04, 4.7805104602921601e+04,
  4.7824821096938824e+04, 4.7844539623270044e+04, 4.7864260181496429e+04,
  4.7883982771199349e+04, 4.7903707391960394e+04, 4.7923434043361376e+04,
  4.7943162724984308e+04, 4.7962893436411439e+04, 4.7982626177225218e+04,
  4.8002360947008310e+04, 4.8022097745343599e+04, 4.8041836571814172e+04,
  4.8061577426003350e+04, 4.8081320307494650e+04, 4.8101065215871815e+04,
  4.8120812150718790e+04, 4.8140561111619740e+04, 4.8160312098159047e+04,
  4.8180065109921306e+04, 4.8199820146491307e+04, 4.8219577207454073e+04,
  4.8239336292394844e+04, 4.8259097400899045e+04, 4.8278860532552339e+04,
  4.8298625686940592e+04, 4.8318392863649875e+04, 4.8338162062266485e+04,
  4.8357933282376915e+04, 4.8377706523567889e+04, 4.8397481785426316e+04,
  4.8417259067539344e+04, 4.8437038369494308e+04, 4.8456819690878765e+04,
  4.8476603031280487e+04, 4.8496388390287451e+04, 4.8516175767487839e+04,
  4.8535965162470042e+04, 4.8555756574822684e+04, 4.8575550004134566e+04,
  4.8595345449994718e+04, 4.8615142911992378e+04, 4.8634942389716991e+04,
  4.8654743882758201e+04, 4.8674547390705877e+04, 4.8694352913150091e+04,
  4.8714160449681112e+04, 4.8733969999889436e+04, 4.8753781563365759e+04,
  4.8773595139700985e+04, 4.8793410728486211e+04, 4.8813228329312769e+04,
  4.8833047941772187e+04, 4.8852869565456189e+04, 4.8872693199956717e+04,
  4.8892518844865925e+04, 4.8912346499776155e+04, 4.8932176164279976e+04,
  4.8952007837970152e+04, 4.8971841520439659e+04, 4.8991677211281676e+04,
  4.9011514910089587e+04, 4.9031354616456978e+04, 4.9051196329977654e+04,
  4.9071040050245610e+04, 4.9090885776855059e+04, 4.9110733509400408e+04,
  4.9130583247476279e+04, 4.9150434990677488e+04, 4.9170288738599062e+04,
  4.9190144490836239e+04, 4.9210002246984441e+04, 4.9229862006639327e+04,
  4.9249723769396718e+04, 4.9269587534852675e+04, 4.9289453302603448e+04,
  4.9309321072245482e+04, 4.9329190843375451e+04, 4.9349062615590192e+04,
  4.9368936388486785e+04, 4.9388812161662492e+04, 4.9408689934714785e+04,
  4.9428569707241324e+04, 4.9448451478839990e+04, 4.9468335249108866e+04,
  4.9488221017646210e+04, 4.9508108784050521e+04, 4.9527998547920470e+04,
  4.9547890308854934e+04, 4.9567784066453009e+04, 4.9587679820313977e+04,
  4.9607577570037312e+04, 4.9627477315222721e+04, 4.9647379055470075e+04,
  4.9667282790379460e+04, 4.9687188519551179e+04, 4.9707096242585707e+04,
  4.9727005959083741e+04, 4.9746917668646165e+04, 4.9766831370874068e+04,
  4.9786747065368734e+04, 4.9806664751731660e+04, 4.9826584429564515e+04,
  4.9846506098469203e+04, 4.9866429758047794e+04, 4.9886355407902578e+04,
  4.9906283047636032e+04, 4.9926212676850846e+04, 4.9946144295149883e+04,
  4.9966077902136225e+04, 4.9986013497413151e+04, 5.0005951080584135e+04,
  5.0025890651252834e+04, 5.0045832209023123e+04, 5.0065775753499067e+04,
  5.0085721284284933e+04, 5.0105668800985164e+04, 5.0125618303204428e+04,
  5.0145569790547575e+04, 5.0165523262619652e+04, 5.0185478719025901e+04,
  5.0205436159371769e+04, 5.0225395583262893e+04, 5.0245356990305103e+04,
  5.0265320380104429e+04, 5.0285285752267104e+04, 5.0305253106399534e+04,
  5.0325222442108337e+04, 5.0345193759000329e+04, 5.0365167056682520e+04,
  5.0385142334762102e+04, 5.0405119592846473e+04, 5.0425098830543218e+04,
  5.0445080047460127e+04, 5.0465063243205179e+04, 5.0485048417386541e+04,
  5.0505035569612577e+04, 5.0525024699491856e+04, 5.0545015806633128e+04,
  5.0565008890645338e+04, 5.0585003951137631e+04, 5.0605000987719330e+04,
  5.0624999999999971e+04, 5.0645000987589265e+04, 5.0665003950097132e+04,
  5.0685008887133677e+04, 5.0705015798309192e+04, 5.0725024683234165e+04,
  5.0745035541519283e+04, 5.0765048372775411e+04, 5.0785063176613621e+04,
  5.0805079952645159e+04, 5.0825098700481489e+04, 5.0845119419734241e+04,
  5.0865142110015244e+04, 5.0885166770936521e+04, 5.0905193402110279e+04,
  5.0925222003148934e+04, 5.0945252573665071e+04, 5.0965285113271471e+04,
  5.0985319621581119e+04, 5.1005356098207172e+04, 5.1025394542762981e+04,
  5.1045434954862096e+04, 5.1065477334118244e+04, 5.1085521680145357e+04,
  5.1105567992557546e+04, 5.1125616270969113e+04, 5.1145666514994540e+04,
  5.1165718724248523e+04, 5.1185772898345916e+04, 5.1205829036901778e+04,
  5.1225887139531362e+04, 5.1245947205850105e+04, 5.1266009235473619e+04,
  5.1286073228017718e+04, 5.1306139183098399e+04, 5.1326207100331856e+04,
  5.1346276979334449e+04, 5.1366348819722756e+04, 5.1386422621113510e+04,
  5.1406498383123653e+04, 5.1426576105370310e+04, 5.1446655787470787e+04,
  5.1466737429042587e+04, 5.1486821029703380e+04, 5.1506906589071048e+04,
  5.1526994106763632e+04, 5.1547083582399391e+04, 5.1567175015596738e+04,
  5.1587268405974297e+04, 5.1607363753150858e+04, 5.1627461056745415e+04,
  5.1647560316377130e+04, 5.1667661531665362e+04, 5.1687764702229651e+04,
  5.1707869827689727e+04, 5.1727976907665499e+04, 5.1748085941777055e+04,
  5.1768196929644677e+04, 5.1788309870888836e+04, 5.1808424765130170e+04,
  5.1828541611989524e+04, 5.1848660411087905e+04, 5.1868781162046515e+04,
  5.1888903864486740e+04, 5.1909028518030143e+04, 5.1929155122298485e+04,
  5.1949283676913685e+04, 5.1969414181497872e+04, 5.1989546635673345e+04,
  5.2009681039062591e+04, 5.2029817391288263e+04, 5.2049955691973213e+04,
  5.2070095940740481e+04, 5.2090238137213273e+04, 5.2110382281014987e+04,
  5.2130528371769200e+04, 5.2150676409099666e+04, 5.2170826392630333e+04,
  5.2190978321985320e+04, 5.2211132196788931e+04, 5.2231288016665654e+04,
  5.2251445781240145e+04, 5.2271605490137270e+04, 5.2291767142982040e+04,
  5.2311930739399664e+04, 5.2332096279015546e+04, 5.2352263761455244e+04,
  5.2372433186344519e+04, 5.2392604553309284e+04, 5.2412777861975665e+04,
  5.2432953111969946e+04, 5.2453130302918595e+04, 5.2473309434448274e+04,
  5.2493490506185793e+04, 5.2513673517758180e+04, 5.2533858468792605e+04,
  5.2554045358916446e+04, 5.2574234187757254e+04, 5.2594424954942740e+04,
  5.2614617660100812e+04, 5.2634812302859558e+04, 5.2655008882847229e+04,
  5.2675207399692270e+04, 5.2695407853023295e+04, 5.2715610242469098e+04,
  5.2735814567658657e+04, 5.2756020828221110e+04, 5.2776229023785803e+04,
  5.2796439153982225e+04, 5.2816651218440056e+04, 5.2836865216789171e+04,
  5.2857081148659599e+04, 5.2877299013681550e+04, 5.2897518811485425e+04,
  5.2917740541701773e+04, 5.2937964203961354e+04, 5.2958189797895080e+04,
  5.2978417323134046e+04, 5.2998646779309529e+04, 5.3018878166052978e+04,
  5.3039111482996006e+04, 5.3059346729770419e+04, 5.3079583906008193e+04,
  5.3099823011341483e+04, 5.3120064045402600e+04, 5.3140307007824063e+04,
  5.3160551898238533e+04, 5.3180798716278870e+04, 5.3201047461578091e+04,
  5.3221298133769400e+04, 5.3241550732486176e+04, 5.3261805257361964e+04,
  5.3282061708030487e+04, 5.3302320084125640e+04, 5.3322580385281493e+04,
  5.3342842611132299e+04, 5.3363106761312469e+04, 5.3383372835456597e+04,
  5.3403640833199453e+04, 5.3423910754175973e+04, 5.3444182598021260e+04,
  5.3464456364370613e+04, 5.3484732052859479e+04, 5.3505009663123499e+04,
  5.3525289194798468e+04, 5.3545570647520362e+04, 5.3565854020925333e+04,
  5.3586139314649699e+04, 5.3606426528329954e+04, 5.3626715661602764e+04,
  5.3647006714104959e+04, 5.3667299685473547e+04, 5.3687594575345720e+04,
  5.3707891383358816e+04, 5.3728190109150361e+04, 5.3748490752358055e+04,
  5.3768793312619753e+04, 5.3789097789573498e+04, 5.3809404182857485e+04,
  5.3829712492110106e+04, 5.3850022716969899e+04, 5.3870334857075584e+04,
  5.3890648912066055e+04, 5.3910964881580367e+04, 5.3931282765257740e+04,
  5.3951602562737586e+04, 5.3971924273659461e+04, 5.3992247897663110e+04,
  5.4012573434388440e+04, 5.4032900883475530e+04, 5.4053230244564620e+04,
  5.4073561517296133e+04, 5.4093894701310644e+04, 5.4114229796248910e+04,
  5.4134566801751855e+04, 5.4154905717460570e+04, 5.4175246543016314e+04,
  5.4195589278060506e+04, 5.4215933922234755e+04, 5.4236280475180814e+04,
  5.4256628936540626e+04, 5.4276979305956280e+04, 5.4297331583070045e+04,
  5.4317685767524359e+04, 5.4338041858961828e+04, 5.4358399857025215e+04,
  5.4378759761357454e+04, 5.4399121571601667e+04, 5.4419485287401105e+04,
  5.4439850908399225e+04, 5.4460218434239614e+04, 5.4480587864566056e+04,
  5.4500959199022480e+04, 5.4521332437252997e+04, 5.4541707578901878e+04,
  5.4562084623613555e+04, 5.4582463571032640e+04, 5.4602844420803885e+04,
  5.4623227172572246e+04, 5.4643611825982807e+04, 5.4663998380680838e+04,
  5.4684386836311773e+04, 5.4704777192521207e+04, 5.4725169448954897e+04,
  5.4745563605258772e+04, 5.4765959661078923e+04, 5.4786357616061614e+04,
  5.4806757469853255e+04, 5.4827159222100439e+04, 5.4847562872449904e+04,
  5.4867968420548583e+04, 5.4888375866043534e+04, 5.4908785208582012e+04,
  5.4929196447811417e+04, 5.4949609583379322e+04, 5.4970024614933463e+04,
  5.4990441542121727e+04, 5.5010860364592190e+04, 5.5031281081993060e+04,
  5.5051703693972733e+04, 5.5072128200179759e+04, 5.5092554600262840e+04,
  5.5112982893870874e+04, 5.5133413080652877e+04, 5.5153845160258061e+04,
  5.5174279132335789e+04, 5.5194714996535586e+04, 5.5215152752507143e+04,
  5.5235592399900299e+04, 5.5256033938365079e+04, 5.5276477367551655e+04,
  5.5296922687110360e+04, 5.5317369896691685e+04, 5.5337818995946305e+04,
  5.5358269984525024e+04, 5.5378722862078830e+04, 5.5399177628258869e+04,
  5.5419634282716441e+04, 5.5440092825103013e+04, 5.5460553255070205e+04,
  5.5481015572269804e+04, 5.5501479776353764e+04, 5.5521945866974187e+04,
  5.5542413843783339e+04, 5.5562883706433655e+04, 5.5583355454577715e+04,
  5.5603829087868260e+04, 5.5624304605958219e+04, 5.5644782008500639e+04,
  5.5665261295148754e+04, 5.5685742465555952e+04, 5.5706225519375774e+04,
  5.5726710456261928e+04, 5.5747197275868275e+04, 5.5767685977848843e+04,
  5.5788176561857814e+04, 5.5808669027549528e+04, 5.5829163374578478e+04,
  5.5849659602599328e+04, 5.5870157711266889e+04, 5.5890657700236145e+04,
  5.5911159569162221e+04, 5.5931663317700411e+04, 5.5952168945506164e+04,
  5.5972676452235086e+04, 5.5993185837542944e+04, 5.6013697101085651e+04,
  5.6034210242519301e+04, 5.6054725261500120e+04, 5.6075242157684508e+04,
  5.6095760930729011e+04, 5.6116281580290342e+04, 5.6136804106025367e+04,
  5.6157328507591104e+04, 5.6177854784644740e+04, 5.6198382936843598e+04,
  5.6218912963845185e+04, 5.6239444865307138e+04, 5.6259978640887268e+04,
  5.6280514290243525e+04, 5.6301051813034042e+04, 5.6321591208917082e+04,
  5.6342132477551080e+04, 5.6362675618594614e+04, 5.6383220631706419e+04,
  5.6403767516545398e+04, 5.6424316272770608e+04, 5.6444866900041241e+04,
  5.6465419398016667e+04, 5.6485973766356394e+04, 5.6506530004720102e+04,
  5.6527088112767611e+04, 5.6547648090158902e+04, 5.6568209936554107e+04,
  5.6588773651613519e+04, 5.6609339234997584e+04, 5.6629906686366900e+04,
  5.6650476005382210e+04, 5.6671047191704420e+04, 5.6691620244994599e+04,
  5.6712195164913959e+04, 5.6732771951123868e+04, 5.6753350603285835e+04,
  5.6773931121061541e+04, 5.6794513504112823e+04, 5.6815097752101647e+04,
  5.6835683864690152e+04, 5.6856271841540627e+04, 5.6876861682315510e+04,
  5.6897453386677393e+04, 5.6918046954289028e+04, 5.6938642384813298e+04,
  5.6959239677913261e+04, 5.6979838833252121e+04, 5.7000439850493225e+04,
  5.7021042729300090e+04, 5.7041647469336371e+04, 5.7062254070265873e+04,
  5.7082862531752558e+04, 5.7103472853460553e+04, 5.7124085035054108e+04,
  5.7144699076197649e+04, 5.7165314976555739e+04, 5.7185932735793103e+04,
  5.7206552353574611e+04, 5.7227173829565276e+04, 5.7247797163430281e+04,
  5.7268422354834940e+04, 5.7289049403444733e+04, 5.7309678308925286e+04,
  5.7330309070942370e+04, 5.7350941689161911e+04, 5.7371576163249985e+04,
  5.7392212492872815e+04, 5.7412850677696784e+04, 5.7433490717388406e+04,
  5.7454132611614368e+04, 5.7474776360041491e+04, 5.7495421962336746e+04,
  5.7516069418167266e+04, 5.7536718727200314e+04, 5.7557369889103320e+04,
  5.7578022903543861e+04, 5.7598677770189643e+04, 5.7619334488708548e+04,
  5.7639993058768589e+04, 5.7660653480037938e+04, 5.7681315752184906e+04,
  5.7701979874877965e+04, 5.7722645847785730e+04, 5.7743313670576950e+04,
  5.7763983342920546e+04, 5.7784654864485572e+04, 5.7805328234941233e+04,
  5.7826003453956881e+04, 5.7846680521202026e+04, 5.7867359436346313e+04,
  5.7888040199059527e+04, 5.7908722809011633e+04, 5.7929407265872709e+04,
  5.7950093569313001e+04, 5.7970781719002895e+04, 5.7991471714612911e+04,
  5.8012163555813750e+04, 5.8032857242276223e+04, 5.8053552773671312e+04,
  5.8074250149670130e+04, 5.8094949369943948e+04, 5.8115650434164185e+04,
  5.8136353342002389e+04, 5.8157058093130276e+04, 5.8177764687219693e+04,
  5.8198473123942640e+04, 5.8219183402971255e+04, 5.8239895523977837e+04,
  5.8260609486634821e+04, 5.8281325290614775e+04, 5.8302042935590434e+04,
  5.8322762421234678e+04, 5.8343483747220511e+04, 5.8364206913221096e+04,
  5.8384931918909751e+04, 5.8405658763959924e+04, 5.8426387448045200e+04,
  5.8447117970839339e+04, 5.8467850332016213e+04, 5.8488584531249864e+04,
  5.8509320568214462e+04, 5.8530058442584334e+04, 5.8550798154033931e+04,
  5.8571539702237875e+04, 5.8592283086870906e+04, 5.8613028307607929e+04,
  5.8633775364123983e+04, 5.8654524256094250e+04, 5.8675274983194053e+04,
  5.8696027545098877e+04, 5.8716781941484325e+04, 5.8737538172026158e+04,
  5.8758296236400274e+04, 5.8779056134282728e+04, 5.8799817865349694e+04,
  5.8820581429277503e+04, 5.8841346825742643e+04, 5.8862114054421712e+04,
  5.8882883114991484e+04, 5.8903654007128847e+04, 5.8924426730510851e+04,
  5.8945201284814684e+04, 5.8965977669717664e+04, 5.8986755884897269e+04,
  5.9007535930031117e+04, 5.9028317804796949e+04, 5.9049101508872664e+04,
  5.9069887041936301e+04, 5.9090674403666046e+04, 5.9111463593740213e+04,
  5.9132254611837263e+04, 5.9153047457635803e+04, 5.9173842130814570e+04,
  5.9194638631052469e+04, 5.9215436958028506e+04, 5.9236237111421855e+04,
  5.9257039090911829e+04, 5.9277842896177877e+04, 5.9298648526899589e+04,
  5.9319455982756685e+04, 5.9340265263429050e+04, 5.9361076368596696e+04,
  5.9381889297939757e+04, 5.9402704051138542e+04, 5.9423520627873477e+04,
  5.9444339027825139e+04, 5.9465159250674231e+04, 5.9485981296101600e+04,
  5.9506805163788253e+04, 5.9527630853415314e+04, 5.9548458364664046e+04,
  5.9569287697215863e+04, 5.9590118850752318e+04, 5.9610951824955089e+04,
  5.9631786619506012e+04, 5.9652623234087048e+04, 5.9673461668380311e+04,
  5.9694301922068029e+04, 5.9715143994832593e+04, 5.9735987886356525e+04,
  5.9756833596322482e+04, 5.9777681124413255e+04, 5.9798530470311794e+04,
  5.9819381633701159e+04, 5.9840234614264569e+04, 5.9861089411685381e+04,
  5.9881946025647070e+04, 5.9902804455833269e+04, 5.9923664701927744e+04,
  5.9944526763614384e+04, 5.9965390640577243e+04, 5.9986256332500488e+04,
  6.0007123839068438e+04, 6.0027993159965539e+04, 6.0048864294876381e+04,
  6.0069737243485688e+04, 6.0090612005478324e+04, 6.0111488580539284e+04,
  6.0132366968353708e+04, 6.0153247168606867e+04, 6.0174129180984164e+04,
  6.0195013005171153e+04, 6.0215898640853513e+04, 6.0236786087717061e+04,
  6.0257675345447751e+04, 6.0278566413731671e+04, 6.0299459292255044e+04,
  6.0320353980704247e+04, 6.0341250478765760e+04, 6.0362148786126229e+04,
  6.0383048902472416e+04, 6.0403950827491237e+04, 6.0424854560869717e+04,
  6.0445760102295040e+04, 6.0466667451454516e+04, 6.0487576608035590e+04,
  6.0508487571725847e+04, 6.0529400342212997e+04, 6.0550314919184893e+04,
  6.0571231302329521e+04, 6.0592149491335003e+04, 6.0613069485889588e+04,
  6.0633991285681674e+04, 6.0654914890399785e+04, 6.0675840299732568e+04,
  6.0696767513368832e+04, 6.0717696530997484e+04, 6.0738627352307602e+04,
  6.0759559976988370e+04, 6.0780494404729128e+04, 6.0801430635219323e+04,
  6.0822368668148556e+04, 6.0843308503206565e+04, 6.0864250140083204e+04,
  6.0885193578468468e+04, 6.0906138818052495e+04, 6.0927085858525541e+04,
  6.0948034699578006e+04, 6.0968985340900421e+04, 6.0989937782183442e+04,
  6.1010892023117864e+04, 6.1031848063394616e+04, 6.1052805902704764e+04,
  6.1073765540739492e+04, 6.1094726977190134e+04, 6.1115690211748137e+04,
  6.1136655244105103e+04, 6.1157622073952742e+04, 6.1178590700982917e+04,
  6.1199561124887616e+04, 6.1220533345358948e+04, 6.1241507362089171e+04,
  6.1262483174770663e+04, 6.1283460783095943e+04, 6.1304440186757645e+04,
  6.1325421385448557e+04, 6.1346404378861582e+04, 6.1367389166689762e+04,
  6.1388375748626262e+04, 6.1409364124364387e+04, 6.1430354293597571e+04,
  6.1451346256019373e+04, 6.1472340011323497e+04, 6.1493335559203762e+04,
  6.1514332899354122e+04, 6.1535332031468672e+04, 6.1556332955241618e+04,
  6.1577335670367313e+04, 6.1598340176540238e+04, 6.1619346473454993e+04,
  6.1640354560806329e+04, 6.1661364438289100e+04, 6.1682376105598312e+04,
  6.1703389562429089e+04, 6.1724404808476691e+04, 6.1745421843436510e+04,
  6.1766440667004063e+04, 6.1787461278874987e+04, 6.1808483678745069e+04,
  6.1829507866310203e+04, 6.1850533841266435e+04, 6.1871561603309929e+04,
  6.1892591152136971e+04, 6.1913622487443987e+04, 6.1934655608927525e+04,
  6.1955690516284267e+04, 6.1976727209211022e+04, 6.1997765687404724e+04,
  6.2018805950562448e+04, 6.2039847998381381e+04, 6.2060891830558845e+04,
  6.2081937446792290e+04, 6.2102984846779298e+04, 6.2124034030217575e+04,
  6.2145084996804966e+04, 6.2166137746239416e+04, 6.2187192278219030e+04,
  6.2208248592442025e+04, 6.2229306688606739e+04, 6.2250366566411656e+04,
  6.2271428225555377e+04, 6.2292491665736627e+04, 6.2313556886654267e+04,
  6.2334623888007271e+04, 6.2355692669494762e+04, 6.2376763230815974e+04,
  6.2397835571670272e+04, 6.2418909691757144e+04, 6.2439985590776210e+04,
  6.2461063268427220e+04, 6.2482142724410049e+04, 6.2503223958424685e+04,
  6.2524306970171267e+04, 6.2545391759350030e+04, 6.2566478325661366e+04,
  6.2587566668805768e+04, 6.2608656788483881e+04, 6.2629748684396451e+04,
  6.2650842356244357e+04, 6.2671937803728622e+04, 6.2693035026550366e+04,
  6.2714134024410858e+04, 6.2735234797011479e+04, 6.2756337344053733e+04,
  6.2777441665239276e+04, 6.2798547760269852e+04, 6.2819655628847358e+04,
  6.2840765270673801e+04, 6.2861876685451323e+04, 6.2882989872882186e+04,
  6.2904104832668774e+04, 6.2925221564513602e+04, 6.2946340068119309e+04,
  6.2967460343188657e+04, 6.2988582389424526e+04, 6.3009706206529940e+04,
  6.3030831794208018e+04, 6.3051959152162039e+04, 6.3073088280095370e+04,
  6.3094219177711537e+04, 6.3115351844714154e+04, 6.3136486280806988e+04,
  6.3157622485693922e+04, 6.3178760459078956e+04, 6.3199900200666219e+04,
  6.3221041710159967e+04, 6.3242184987264569e+04, 6.3263330031684534e+04,
  6.3284476843124474e+04, 6.3305625421289144e+04, 6.3326775765883409e+04,
  6.3347927876612259e+04, 6.3369081753180813e+04, 6.3390237395294316e+04,
  6.3411394802658120e+04, 6.3432553974977716e+04, 6.3453714911958712e+04,
  6.3474877613306839e+04, 6.3496042078727944e+04, 6.3517208307927998e+04,
  6.3538376300613119e+04, 6.3559546056489504e+04, 6.3580717575263516e+04,
  6.3601890856641607e+04, 6.3623065900330374e+04, 6.3644242706036515e+04,
  6.3665421273466869e+04, 6.3686601602328381e+04, 6.3707783692328136e+04,
  6.3728967543173334e+04, 6.3750153154571279e+04, 6.3771340526229418e+04,
  6.3792529657855317e+04, 6.3813720549156649e+04, 6.3834913199841227e+04,
  6.3856107609616978e+04, 6.3877303778191941e+04, 6.3898501705274284e+04,
  6.3919701390572300e+04, 6.3940902833794404e+04, 6.3962106034649114e+04,
  6.3983310992845094e+04, 6.4004517708091109e+04, 6.4025726180096048e+04,
  6.4046936408568938e+04, 6.4068148393218900e+04, 6.4089362133755196e+04,
  6.4110577629887193e+04, 6.4131794881324393e+04, 6.4153013887776404e+04,
  6.4174234648952966e+04, 6.4195457164563937e+04, 6.4216681434319289e+04,
  6.4237907457929112e+04, 6.4259135235103626e+04, 6.4280364765553160e+04,
  6.4301596048988169e+04, 6.4322829085119236e+04, 6.4344063873657040e+04,
  6.4365300414312398e+04, 6.4386538706796251e+04, 6.4407778750819634e+04,
  6.4429020546093721e+04, 6.4450264092329810e+04, 6.4471509389239291e+04,
  6.4492756436533709e+04, 6.4514005233924705e+04, 6.4535255781124033e+04,
  6.4556508077843580e+04, 6.4577762123795357e+04, 6.4599017918691468e+04,
  6.4620275462244172e+04, 6.4641534754165805e+04, 6.4662795794168844e+04,
  6.4684058581965895e+04, 6.4705323117269661e+04, 6.4726589399792974e+04,
  6.4747857429248776e+04, 6.4769127205350138e+04, 6.4790398727810236e+04,
  6.4811671996342375e+04, 6.4832947010659969e+04, 6.4854223770476558e+04,
  6.4875502275505794e+04, 6.4896782525461451e+04, 6.4918064520057414e+04,
  6.4939348259007682e+04, 6.4960633742026388e+04, 6.4981920968827762e+04,
  6.5003209939126165e+04, 6.5024500652636067e+04, 6.5045793109072067e+04,
  6.5067087308148861e+04, 6.5088383249581282e+04, 6.5109680933084259e+04,
  6.5130980358372864e+04, 6.5152281525162260e+04, 6.5173584433167736e+04,
  6.5194889082104703e+04, 6.5216195471688683e+04, 6.5237503601635319e+04,
  6.5258813471660353e+04, 6.5280125081479666e+04, 6.5301438430809241e+04,
  6.5322753519365178e+04, 6.5344070346863708e+04, 6.5365388913021146e+04,
  6.5386709217553958e+04, 6.5408031260178701e+04, 6.5429355040612056e+04,
  6.5450680558570821e+04, 6.5472007813771910e+04, 6.5493336805932355e+04,
  6.5514667534769280e+04, 6.5535999999999956e+04, 6.5557334201341757e+04,
  6.5578670138512171e+04, 6.5600007811228788e+04, 6.5621347219209332e+04,
  6.5642688362171626e+04, 6.5664031239833639e+04, 6.5685375851913413e+04,
  6.5706722198129137e+04, 6.5728070278199084e+04, 6.5749420091841661e+04,
  6.5770771638775404e+04, 6.5792124918718939e+04, 6.5813479931391004e+04,
  6.5834836676510458e+04, 6.5856195153796303e+04, 6.5877555362967600e+04,
  6.5898917303743554e+04, 6.5920280975843489e+04, 6.5941646378986843e+04,
  6.5963013512893158e+04, 6.5984382377282076e+04, 6.6005752971873386e+04,
  6.6027125296386963e+04, 6.6048499350542799e+04, 6.6069875134061018e+04,
  6.6091252646661844e+04, 6.6112631888065618e+04, 6.6134012857992770e+04,
  6.6155395556163887e+04, 6.6176779982299631e+04, 6.6198166136120795e+04,
  6.6219554017348273e+04, 6.6240943625703105e+04, 6.6262334960906388e+04,
  6.6283728022679396e+04, 6.6305122810743444e+04, 6.6326519324820023e+04,
  6.6347917564630698e+04, 6.6369317529897162e+04, 6.6390719220341227e+04,
  6.6412122635684791e+04, 6.6433527775649884e+04, 6.6454934639958636e+04,
  6.6476343228333324e+04, 6.6497753540496284e+04, 6.6519165576169995e+04,
  6.6540579335077040e+04, 6.6561994816940118e+04, 6.6583412021482043e+04,
  6.6604830948425733e+04, 6.6626251597494222e+04, 6.6647673968410629e+04,
  6.6669098060898235e+04, 6.6690523874680381e+04, 6.6711951409480564e+04,
  6.6733380665022371e+04, 6.6754811641029475e+04, 6.6776244337225711e+04,
  6.6797678753334985e+04, 6.6819114889081320e+04, 6.6840552744188884e+04,
  6.6861992318381905e+04, 6.6883433611384738e+04, 6.6904876622921889e+04,
  6.6926321352717903e+04, 6.6947767800497502e+04, 6.6969215965985466e+04,
  6.6990665848906734e+04, 6.7012117448986304e+04, 6.7033570765949335e+04,
  6.7055025799521056e+04, 6.7076482549426815e+04, 6.7097941015392076e+04,
  6.7119401197142433e+04, 6.7140863094403554e+04, 6.7162326706901222e+04,
  6.7183792034361351e+04, 6.7205259076509959e+04, 6.7226727833073150e+04,
  6.7248198303777172e+04, 6.7269670488348347e+04, 6.7291144386513144e+04,
  6.7312619997998088e+04, 6.7334097322529880e+04, 6.7355576359835293e+04,
  6.7377057109641188e+04, 6.7398539571674570e+04, 6.7420023745662547e+04,
  6.7441509631332330e+04, 6.7462997228411230e+04, 6.7484486536626689e+04,
  6.7505977555706224e+04, 6.7527470285377494e+04, 6.7548964725368263e+04,
  6.7570460875406367e+04, 6.7591958735219800e+04, 6.7613458304536631e+04,
  6.7634959583085030e+04, 6.7656462570593329e+04, 6.7677967266789899e+04,
  6.7699473671403248e+04, 6.7720981784162024e+04, 6.7742491604794923e+04,
  6.7764003133030797e+04, 6.7785516368598575e+04, 6.7807031311227314e+04,
  6.7828547960646174e+04, 6.7850066316584402e+04, 6.7871586378771390e+04,
  6.7893108146936589e+04, 6.7914631620809610e+04, 6.7936156800120138e+04,
  6.7957683684597971e+04, 6.7979212273973011e+04, 6.8000742567975263e+04,
  6.8022274566334876e+04, 6.8043808268782057e+04, 6.8065343675047145e+04,
  6.8086880784860579e+04, 6.8108419597952918e+04, 6.8129960114054789e+04,
  6.8151502332896969e+04, 6.8173046254210320e+04, 6.8194591877725834e+04,
  6.8216139203174564e+04, 6.8237688230287706e+04, 6.8259238958796544e+04,
  6.8280791388432481e+04, 6.8302345518927032e+04, 6.8323901350011787e+04,
  6.8345458881418483e+04, 6.8367018112878912e+04, 6.8388579044125028e+04,
  6.8410141674888844e+04, 6.8431706004902502e+04, 6.8453272033898262e+04,
  6.8474839761608455e+04, 6.8496409187765545e+04, 6.8517980312102081e+04,
  6.8539553134350732e+04, 6.8561127654244279e+04, 6.8582703871515580e+04,
  6.8604281785897634e+04, 6.8625861397123503e+04, 6.8647442704926390e+04,
  6.8669025709039604e+04, 6.8690610409196524e+04, 6.8712196805130661e+04,
  6.8733784896575627e+04, 6.8755374683265123e+04, 6.8776966164932994e+04,
  6.8798559341313128e+04, 6.8820154212139591e+04, 6.8841750777146473e+04,
  6.8863349036068044e+04, 6.8884948988638629e+04, 6.8906550634592684e+04,
  6.8928153973664739e+04, 6.8949759005589440e+04, 6.8971365730101577e+04,
  6.8992974146935987e+04, 6.9014584255827634e+04, 6.9036196056511588e+04,
  6.9057809548723017e+04, 6.9079424732197207e+04, 6.9101041606669532e+04,
  6.9122660171875468e+04, 6.9144280427550606e+04, 6.9165902373430625e+04,
  6.9187526009251334e+04, 6.9209151334748618e+04, 6.9230778349658474e+04,
  6.9252407053716990e+04, 6.9274037446660412e+04, 6.9295669528225000e+04,
  6.9317303298147192e+04, 6.9338938756163494e+04, 6.9360575902010532e+04,
  6.9382214735425005e+04, 6.9403855256143754e+04, 6.9425497463903681e+04,
  6.9447141358441833e+04, 6.9468786939495330e+04, 6.9490434206801394e+04,
  6.9512083160097391e+04, 6.9533733799120717e+04, 6.9555386123608929e+04,
  6.9577040133299670e+04, 6.9598695827930685e+04, 6.9620353207239794e+04,
  6.9642012270964973e+04, 6.9663673018844260e+04, 6.9685335450615792e+04,
  6.9706999566017839e+04, 6.9728665364788743e+04, 6.9750332846666963e+04,
  6.9772002011391058e+04, 6.9793672858699691e+04, 6.9815345388331611e+04,
  6.9837019600025669e+04, 6.9858695493520849e+04, 6.9880373068556204e+04,
  6.9902052324870907e+04, 6.9923733262204216e+04, 6.9945415880295492e+04,
  6.9967100178884211e+04, 6.9988786157709939e+04, 7.0010473816512356e+04,
  7.0032163155031216e+04, 7.0053854173006403e+04, 7.0075546870177874e+04,
  7.0097241246285717e+04, 7.0118937301070109e+04, 7.0140635034271298e+04,
  7.0162334445629691e+04, 7.0184035534885741e+04, 7.0205738301780017e+04,
  7.0227442746053217e+04, 7.0249148867446100e+04, 7.0270856665699539e+04,
  7.0292566140554511e+04, 7.0314277291752107e+04, 7.0335990119033493e+04,
  7.0357704622139936e+04, 7.0379420800812819e+04, 7.0401138654793613e+04,
  7.0422858183823890e+04, 7.0444579387645339e+04, 7.0466302265999722e+04,
  7.0488026818628918e+04, 7.0509753045274876e+04, 7.0531480945679708e+04,
  7.0553210519585555e+04, 7.0574941766734701e+04, 7.0596674686869505e+04,
  7.0618409279732456e+04, 7.0640145545066101e+04, 7.0661883482613106e+04,
  7.0683623092116264e+04, 7.0705364373318414e+04, 7.0727107325962526e+04,
  7.0748851949791671e+04, 7.0770598244549008e+04, 7.0792346209977783e+04,
  7.0814095845821372e+04, 7.0835847151823225e+04, 7.0857600127726895e+04,
  7.0879354773276034e+04, 7.0901111088214413e+04, 7.0922869072285859e+04,
  7.0944628725234332e+04, 7.0966390046803877e+04, 7.0988153036738629e+04,
  7.1009917694782853e+04, 7.1031684020680885e+04, 7.1053452014177150e+04,
  7.1075221675016204e+04, 7.1096993002942661e+04, 7.1118765997701266e+04,
  7.1140540659036851e+04, 7.1162316986694335e+04, 7.1184094980418740e+04,
  7.1205874639955218e+04, 7.1227655965048951e+04, 7.1249438955445294e+04,
  7.1271223610889632e+04, 7.1293009931127483e+04, 7.1314797915904477e+04,
  7.1336587564966307e+04, 7.1358378878058764e+04, 7.1380171854927772e+04,
  7.1401966495319313e+04, 7.1423762798979486e+04, 7.1445560765654489e+04,
  7.1467360395090596e+04, 7.1489161687034211e+04, 7.1510964641231811e+04,
  7.1532769257429973e+04, 7.1554575535375363e+04, 7.1576383474814749e+04,
  7.1598193075495030e+04, 7.1620004337163133e+04, 7.1641817259566145e+04,
  7.1663631842451214e+04, 7.1685448085565600e+04, 7.1707265988656640e+04,
  7.1729085551471784e+04, 7.1750906773758586e+04, 7.1772729655264673e+04,
  7.1794554195737772e+04, 7.1816380394925713e+04, 7.1838208252576442e+04,
  7.1860037768437964e+04, 7.1881868942258385e+04, 7.1903701773785942e+04,
  7.1925536262768932e+04, 7.1947372408955751e+04, 7.1969210212094898e+04,
  7.1991049671934976e+04, 7.2012890788224686e+04, 7.2034733560712790e+04,
  7.2056577989148165e+04, 7.2078424073279821e+04, 7.2100271812856794e+04,
  7.2122121207628254e+04, 7.2143972257343470e+04, 7.2165824961751801e+04,
  7.2187679320602692e+04, 7.2209535333645690e+04, 7.2231393000630429e+04,
  7.2253252321306645e+04, 7.2275113295424177e+04, 7.2296975922732949e+04,
  7.2318840202982959e+04, 7.2340706135924338e+04, 7.2362573721307272e+04,
  7.2384442958882093e+04, 7.2406313848399179e+04, 7.2428186389609036e+04,
  7.2450060582262216e+04, 7.2471936426109431e+04, 7.2493813920901433e+04,
  7.2515693066389096e+04, 7.2537573862323392e+04, 7.2559456308455352e+04,
  7.2581340404536139e+04, 7.2603226150316987e+04, 7.2625113545549248e+04,
  7.2647002589984331e+04, 7.2668893283373764e+04, 7.2690785625469172e+04,
  7.2712679616022273e+04, 7.2734575254784853e+04, 7.2756472541508818e+04,
  7.2778371475946144e+04, 7.2800272057848939e+04, 7.2822174286969355e+04,
  7.2844078163059690e+04, 7.2865983685872285e+04, 7.2887890855159596e+04,
  7.2909799670674183e+04, 7.2931710132168693e+04, 7.2953622239395845e+04,
  7.2975535992108475e+04, 7.2997451390059519e+04, 7.3019368433001961e+04,
  7.3041287120688925e+04, 7.3063207452873612e+04, 7.3085129429309294e+04,
  7.3107053049749389e+04, 7.3128978313947344e+04, 7.3150905221656736e+04,
  7.3172833772631217e+04, 7.3194763966624567e+04, 7.3216695803390612e+04,
  7.3238629282683280e+04, 7.3260564404256627e+04, 7.3282501167864757e+04,
  7.3304439573261901e+04, 7.3326379620202337e+04, 7.3348321308440485e+04,
  7.3370264637730841e+04, 7.3392209607827957e+04, 7.3414156218486532e+04,
  7.3436104469461323e+04, 7.3458054360507173e+04, 7.3480005891379056e+04,
  7.3501959061831993e+04, 7.3523913871621116e+04, 7.3545870320501665e+04,
  7.3567828408228932e+04, 7.3589788134558330e+04, 7.3611749499245358e+04,
  7.3633712502045615e+04, 7.3655677142714747e+04, 7.3677643421008557e+04,
  7.3699611336682879e+04, 7.3721580889493693e+04, 7.3743552079197019e+04,
  7.3765524905548999e+04, 7.3787499368305856e+04, 7.3809475467223907e+04,
  7.3831453202059551e+04, 7.3853432572569291e+04, 7.3875413578509717e+04,
  7.3897396219637507e+04, 7.3919380495709411e+04, 7.3941366406482310e+04,
  7.3963353951713143e+04, 7.3985343131158952e+04, 7.4007333944576865e+04,
  7.4029326391724113e+04, 7.4051320472357969e+04, 7.4073316186235883e+04,
  7.4095313533115303e+04, 7.4117312512753837e+04, 7.4139313124909138e+04,
  7.4161315369338976e+04, 7.4183319245801191e+04, 7.4205324754053727e+04,
  7.4227331893854629e+04, 7.4249340664961986e+04, 7.4271351067134034e+04,
  7.4293363100129049e+04, 7.4315376763705441e+04, 7.4337392057621662e+04,
  7.4359408981636298e+04, 7.4381427535508003e+04, 7.4403447718995507e+04,
  7.4425469531857671e+04, 7.4447492973853383e+04, 7.4469518044741693e+04,
  7.4491544744281680e+04, 7.4513573072232539e+04, 7.4535603028353551e+04,
  7.4557634612404087e+04, 7.4579667824143602e+04, 7.4601702663331642e+04,
  7.4623739129727837e+04, 7.4645777223091936e+04, 7.4667816943183716e+04,
  7.4689858289763113e+04, 7.4711901262590094e+04, 7.4733945861424741e+04,
  7.4755992086027225e+04, 7.4778039936157802e+04, 7.4800089411576817e+04,
  7.4822140512044702e+04, 7.4844193237321961e+04, 7.4866247587169230e+04,
  7.4888303561347187e+04, 7.4910361159616630e+04, 7.4932420381738411e+04,
  7.4954481227473501e+04, 7.4976543696582972e+04, 7.4998607788827925e+04,
  7.5020673503969607e+04, 7.5042740841769322e+04, 7.5064809801988464e+04,
  7.5086880384388540e+04, 7.5108952588731103e+04, 7.5131026414777836e+04,
  7.5153101862290467e+04, 7.5175178931030852e+04, 7.5197257620760924e+04,
  7.5219337931242670e+04, 7.5241419862238225e+04, 7.5263503413509738e+04,
  7.5285588584819503e+04, 7.5307675375929874e+04, 7.5329763786603318e+04,
  7.5351853816602365e+04, 7.5373945465689612e+04, 7.5396038733627807e+04,
  7.5418133620179724e+04, 7.5440230125108254e+04, 7.5462328248176360e+04,
  7.5484427989147109e+04, 7.5506529347783653e+04, 7.5528632323849190e+04,
  7.5550736917107075e+04, 7.5572843127320695e+04, 7.5594950954253538e+04,
  7.5617060397669193e+04, 7.5639171457331307e+04, 7.5661284133003646e+04,
  7.5683398424450032e+04, 7.5705514331434402e+04, 7.5727631853720741e+04,
  7.5749750991073175e+04, 7.5771871743255862e+04, 7.5793994110033076e+04,
  7.5816118091169177e+04, 7.5838243686428585e+04, 7.5860370895575848e+04,
  7.5882499718375562e+04, 7.5904630154592422e+04, 7.5926762203991224e+04,
  7.5948895866336825e+04, 7.5971031141394182e+04, 7.5993168028928325e+04,
  7.6015306528704401e+04, 7.6037446640487600e+04, 7.6059588364043215e+04,
  7.6081731699136653e+04, 7.6103876645533353e+04, 7.6126023202998884e+04,
  7.6148171371298871e+04, 7.6170321150199044e+04, 7.6192472539465205e+04,
  7.6214625538863256e+04, 7.6236780148159174e+04, 7.6258936367119008e+04,
  7.6281094195508922e+04, 7.6303253633095141e+04, 7.6325414679643975e+04,
  7.6347577334921851e+04, 7.6369741598695226e+04, 7.6391907470730686e+04,
  7.6414074950794879e+04, 7.6436244038654564e+04, 7.6458414734076548e+04,
  7.6480587036827754e+04, 7.6502760946675175e+04, 7.6524936463385893e+04,
  7.6547113586727050e+04, 7.6569292316465915e+04, 7.6591472652369819e+04,
  7.6613654594206164e+04, 7.6635838141742468e+04, 7.6658023294746308e+04,
  7.6680210052985349e+04, 7.6702398416227341e+04, 7.6724588384240138e+04,
  7.6746779956791637e+04, 7.6768973133649866e+04, 7.6791167914582897e+04,
  7.6813364299358902e+04, 7.6835562287746157e+04, 7.6857761879512967e+04,
  7.6879963074427797e+04, 7.6902165872259109e+04, 7.6924370272775530e+04,
  7.6946576275745727e+04, 7.6968783880938441e+04, 7.6990993088122515e+04,
  7.7013203897066895e+04, 7.7035416307540567e+04, 7.7057630319312622e+04,
  7.7079845932152239e+04, 7.7102063145828695e+04, 7.7124281960111301e+04,
  7.7146502374769480e+04, 7.7168724389572759e+04, 7.7190948004290723e+04,
  7.7213173218693031e+04, 7.7235400032549442e+04, 7.7257628445629802e+04,
  7.7279858457704031e+04, 7.7302090068542122e+04, 7.7324323277914169e+04,
  7.7346558085590339e+04, 7.7368794491340886e+04, 7.7391032494936138e+04,
  7.7413272096146524e+04, 7.7435513294742530e+04, 7.7457756090494731e+04,
  7.7480000483173804e+04, 7.7502246472550498e+04, 7.7524494058395634e+04,
  7.7546743240480107e+04, 7.7568994018574944e+04, 7.7591246392451198e+04,
  7.7613500361880026e+04, 7.7635755926632657e+04, 7.7658013086480438e+04,
  7.7680271841194757e+04, 7.7702532190547092e+04, 7.7724794134309021e+04,
  7.7747057672252195e+04, 7.7769322804148323e+04, 7.7791589529769248e+04,
  7.7813857848886837e+04, 7.7836127761273063e+04, 7.7858399266699998e+04,
  7.7880672364939790e+04, 7.7902947055764627e+04, 7.7925223338946831e+04,
  7.7947501214258780e+04, 7.7969780681472927e+04, 7.7992061740361838e+04,
  7.8014344390698127e+04, 7.8036628632254491e+04, 7.8058914464803747e+04,
  7.8081201888118725e+04, 7.8103490901972415e+04, 7.8125781506137821e+04,
  7.8148073700388064e+04, 7.8170367484496339e+04, 7.8192662858235926e+04,
  7.8214959821380166e+04, 7.8237258373702498e+04, 7.8259558514976452e+04,
  7.8281860244975614e+04, 7.8304163563473659e+04, 7.8326468470244363e+04,
  7.8348774965061530e+04, 7.8371083047699125e+04, 7.8393392717931099e+04,
  7.8415703975531578e+04, 7.8438016820274701e+04, 7.8460331251934695e+04,
  7.8482647270285903e+04, 7.8504964875102727e+04, 7.8527284066159627e+04,
  7.8549604843231195e+04, 7.8571927206092048e+04, 7.8594251154516911e+04,
  7.8616576688280606e+04, 7.8638903807157985e+04, 7.8661232510924034e+04,
  7.8683562799353778e+04, 7.8705894672222348e+04, 7.8728228129304945e+04,
  7.8750563170376859e+04, 7.8772899795213423e+04, 7.8795238003590101e+04,
  7.8817577795282399e+04, 7.8839919170065928e+04, 7.8862262127716356e+04,
  7.8884606668009452e+04, 7.8906952790721043e+04, 7.8929300495627045e+04,
  7.8951649782503460e+04, 7.8974000651126378e+04, 7.8996353101271932e+04,
  7.9018707132716358e+04, 7.9041062745235977e+04, 7.9063419938607185e+04,
  7.9085778712606436e+04, 7.9108139067010285e+04, 7.9130501001595389e+04,
  7.9152864516138419e+04, 7.9175229610416180e+04, 7.9197596284205531e+04,
  7.9219964537283420e+04, 7.9242334369426870e+04, 7.9264705780412987e+04,
  7.9287078770018954e+04, 7.9309453338022009e+04, 7.9331829484199508e+04,
  7.9354207208328866e+04, 7.9376586510187582e+04, 7.9398967389553218e+04,
  7.9421349846203433e+04, 7.9443733879915948e+04, 7.9466119490468584e+04,
  7.9488506677639220e+04, 7.9510895441205823e+04, 7.9533285780946433e+04,
  7.9555677696639163e+04, 7.9578071188062226e+04, 7.9600466254993895e+04,
  7.9622862897212515e+04, 7.9645261114496549e+04, 7.9667660906624471e+04,
  7.9690062273374875e+04, 7.9712465214526455e+04, 7.9734869729857935e+04,
  7.9757275819148126e+04, 7.9779683482175955e+04, 7.9802092718720378e+04,
  7.9824503528560454e+04, 7.9846915911475327e+04, 7.9869329867244189e+04,
  7.9891745395646343e+04, 7.9914162496461155e+04, 7.9936581169468045e+04,
  7.9959001414446553e+04, 7.9981423231176261e+04, 8.0003846619436852e+04,
  8.0026271579008084e+04, 8.0048698109669771e+04, 8.0071126211201830e+04,
  8.0093555883384237e+04, 8.0115987125997053e+04, 8.0138419938820414e+04,
  8.0160854321634528e+04, 8.0183290274219689e+04, 8.0205727796356281e+04,
  8.0228166887824715e+04, 8.0250607548405533e+04, 8.0273049777879336e+04,
  8.0295493576026798e+04, 8.0317938942628651e+04, 8.0340385877465727e+04,
  8.0362834380318949e+04, 8.0385284450969280e+04, 8.0407736089197788e+04,
  8.0430189294785596e+04, 8.0452644067513917e+04, 8.0475100407164035e+04,
  8.0497558313517322e+04, 8.0520017786355209e+04, 8.0542478825459213e+04,
  8.0564941430610925e+04, 8.0587405601592007e+04, 8.0609871338184195e+04,
  8.0632338640169328e+04, 8.0654807507329300e+04, 8.0677277939446067e+04,
  8.0699749936301683e+04, 8.0722223497678278e+04, 8.0744698623358039e+04,
  8.0767175313123240e+04, 8.0789653566756242e+04, 8.0812133384039465e+04,
  8.0834614764755403e+04, 8.0857097708686648e+04, 8.0879582215615854e+04,
  8.0902068285325731e+04, 8.0924555917599093e+04, 8.0947045112218824e+04,
  8.0969535868967883e+04, 8.0992028187629272e+04, 8.1014522067986123e+04,
  8.1037017509821613e+04, 8.1059514512919006e+04, 8.1082013077061609e+04,
  8.1104513202032831e+04, 8.1127014887616184e+04, 8.1149518133595193e+04,
  8.1172022939753500e+04, 8.1194529305874807e+04, 8.1217037231742899e+04,
  8.1239546717141639e+04, 8.1262057761854958e+04, 8.1284570365666848e+04,
  8.1307084528361403e+04, 8.1329600249722775e+04, 8.1352117529535186e+04,
  8.1374636367582949e+04, 8.1397156763650448e+04, 8.1419678717522125e+04,
  8.1442202228982511e+04, 8.1464727297816222e+04, 8.1487253923807933e+04,
  8.1509782106742379e+04, 8.1532311846404395e+04, 8.1554843142578902e+04,
  8.1577375995050839e+04, 8.1599910403605274e+04, 8.1622446368027333e+04,
  8.1644983888102215e+04, 8.1667522963615178e+04, 8.1690063594351581e+04,
  8.1712605780096841e+04, 8.1735149520636449e+04, 8.1757694815755967e+04,
  8.1780241665241047e+04, 8.1802790068877410e+04, 8.1825340026450824e+04,
  8.1847891537747171e+04, 8.1870444602552379e+04, 8.1892999220652477e+04,
  8.1915555391833506e+04, 8.1938113115881672e+04, 8.1960672392583176e+04,
  8.1983233221724338e+04, 8.2005795603091537e+04, 8.2028359536471224e+04,
  8.2050925021649906e+04, 8.2073492058414209e+04, 8.2096060646550788e+04,
  8.2118630785846399e+04, 8.2141202476087841e+04, 8.2163775717062032e+04,
  8.2186350508555930e+04, 8.2208926850356569e+04, 8.2231504742251054e+04,
  8.2254084184026578e+04, 8.2276665175470393e+04, 8.2299247716369850e+04,
  8.2321831806512317e+04, 8.2344417445685307e+04, 8.2367004633676348e+04,
  8.2389593370273054e+04, 8.2412183655263143e+04, 8.2434775488434374e+04,
  8.2457368869574595e+04, 8.2479963798471697e+04, 8.2502560274913689e+04,
  8.2525158298688606e+04, 8.2547757869584602e+04, 8.2570358987389860e+04,
  8.2592961651892678e+04, 8.2615565862881398e+04, 8.2638171620144421e+04,
  8.2660778923470265e+04, 8.2683387772647475e+04, 8.2705998167464713e+04,
  8.2728610107710658e+04, 8.2751223593174116e+04, 8.2773838623643940e+04,
  8.2796455198909040e+04, 8.2819073318758441e+04, 8.2841692982981185e+04,
  8.2864314191366429e+04, 8.2886936943703375e+04, 8.2909561239781324e+04,
  8.2932187079389638e+04, 8.2954814462317736e+04, 8.2977443388355125e+04,
  8.3000073857291369e+04, 8.3022705868916120e+04, 8.3045339423019104e+04,
  8.3067974519390089e+04, 8.3090611157818959e+04, 8.3113249338095629e+04,
  8.3135889060010100e+04, 8.3158530323352461e+04, 8.3181173127912858e+04,
  8.3203817473481497e+04, 8.3226463359848669e+04, 8.3249110786804740e+04,
  8.3271759754140134e+04, 8.3294410261645375e+04, 8.3317062309111003e+04,
  8.3339715896327703e+04, 8.3362371023086162e+04, 8.3385027689177165e+04,
  8.3407685894391587e+04, 8.3430345638520361e+04, 8.3453006921354478e+04,
  8.3475669742685001e+04, 8.3498334102303095e+04, 8.3520999999999942e+04,
  8.3543667435566866e+04, 8.3566336408795192e+04, 8.3589006919476349e+04,
  8.3611678967401851e+04, 8.3634352552363242e+04, 8.3657027674152167e+04,
  8.3679704332560359e+04, 8.3702382527379552e+04, 8.3725062258401638e+04,
  8.3747743525418511e+04, 8.3770426328222180e+04, 8.3793110666604684e+04,
  8.3815796540358162e+04, 8.3838483949274829e+04, 8.3861172893146941e+04,
  8.3883863371766842e+04, 8.3906555384926964e+04, 8.3929248932419752e+04,
  8.3951944014037799e+04, 8.3974640629573696e+04, 8.3997338778820151e+04,
  8.4020038461569929e+04, 8.4042739677615857e+04, 8.4065442426750829e+04,
  8.4088146708767847e+04, 8.4110852523459922e+04, 8.4133559870620171e+04,
  8.4156268750041796e+04, 8.4178979161518029e+04, 8.4201691104842204e+04,
  8.4224404579807713e+04, 8.4247119586208006e+04, 8.4269836123836620e+04,
  8.4292554192487150e+04, 8.4315273791953281e+04, 8.4337994922028738e+04,
  8.4360717582507335e+04, 8.4383441773182945e+04, 8.4406167493849513e+04,
  8.4428894744301069e+04, 8.4451623524331691e+04, 8.4474353833735542e+04,
  8.4497085672306828e+04, 8.4519819039839873e+04, 8.4542553936128999e+04,
  8.4565290360968676e+04, 8.4588028314153402e+04, 8.4610767795477717e+04,
  8.4633508804736295e+04, 8.4656251341723822e+04, 8.4678995406235073e+04,
  8.4701740998064910e+04, 8.4724488117008252e+04, 8.4747236762860062e+04,
  8.4769986935415407e+04, 8.4792738634469410e+04, 8.4815491859817252e+04,
  8.4838246611254188e+04, 8.4861002888575560e+04, 8.4883760691576768e+04,
  8.4906520020053256e+04, 8.4929280873800570e+04, 8.4952043252614312e+04,
  8.4974807156290146e+04, 8.4997572584623806e+04, 8.5020339537411113e+04,
  8.5043108014447949e+04, 8.5065878015530237e+04, 8.5088649540453989e+04,
  8.5111422589015303e+04, 8.5134197161010321e+04, 8.5156973256235244e+04,
  8.5179750874486374e+04, 8.5202530015560071e+04, 8.5225310679252740e+04,
  8.5248092865360857e+04, 8.5270876573681016e+04, 8.5293661804009811e+04,
  8.5316448556143951e+04, 8.5339236829880188e+04, 8.5362026625015351e+04,
  8.5384817941346351e+04, 8.5407610778670132e+04, 8.5430405136783724e+04,
  8.5453201015484257e+04, 8.5475998414568865e+04, 8.5498797333834795e+04,
  8.5521597773079353e+04, 8.5544399732099904e+04, 8.5567203210693886e+04,
  8.5590008208658808e+04, 8.5612814725792239e+04, 8.5635622761891820e+04,
  8.5658432316755265e+04, 8.5681243390180331e+04, 8.5704055981964877e+04,
  8.5726870091906807e+04, 8.5749685719804082e+04, 8.5772502865454764e+04,
  8.5795321528656961e+04, 8.5818141709208852e+04, 8.5840963406908675e+04,
  8.5863786621554740e+04, 8.5886611352945445e+04, 8.5909437600879217e+04,
  8.5932265365154570e+04, 8.5955094645570091e+04, 8.5977925441924410e+04,
  8.6000757754016275e+04, 8.6023591581644432e+04, 8.6046426924607746e+04,
  8.6069263782705122e+04, 8.6092102155735556e+04, 8.6114942043498071e+04,
  8.6137783445791807e+04, 8.6160626362415918e+04, 8.6183470793169676e+04,
  8.6206316737852379e+04, 8.6229164196263402e+04, 8.6252013168202204e+04,
  8.6274863653468303e+04, 8.6297715651861261e+04, 8.6320569163180728e+04,
  8.6343424187226425e+04, 8.6366280723798118e+04, 8.6389138772695675e+04,
  8.6411998333718977e+04, 8.6434859406668009e+04, 8.6457721991342827e+04,
  8.6480586087543532e+04, 8.6503451695070296e+04, 8.6526318813723352e+04,
  8.6549187443303032e+04, 8.6572057583609683e+04, 8.6594929234443771e+04,
  8.6617802395605773e+04, 8.6640677066896271e+04, 8.6663553248115903e+04,
  8.6686430939065380e+04, 8.6709310139545443e+04, 8.6732190849356964e+04,
  8.6755073068300801e+04, 8.6777956796177954e+04, 8.6800842032789442e+04,
  8.6823728777936354e+04, 8.6846617031419853e+04, 8.6869506793041175e+04,
  8.6892398062601613e+04, 8.6915290839902518e+04, 8.6938185124745316e+04,
  8.6961080916931489e+04, 8.6983978216262607e+04, 8.7006877022540270e+04,
  8.7029777335566177e+04, 8.7052679155142090e+04, 8.7075582481069796e+04,
  8.7098487313151185e+04, 8.7121393651188220e+04, 8.7144301494982894e+04,
  8.7167210844337285e+04, 8.7190121699053532e+04, 8.7213034058933845e+04,
  8.7235947923780506e+04, 8.7258863293395829e+04, 8.7281780167582241e+04,
  8.7304698546142172e+04, 8.7327618428878181e+04, 8.7350539815592856e+04,
  8.7373462706088845e+04, 8.7396387100168897e+04, 8.7419312997635774e+04,
  8.7442240398292357e+04, 8.7465169301941540e+04, 8.7488099708386319e+04,
  8.7511031617429733e+04, 8.7533965028874896e+04, 8.7556899942525008e+04,
  8.7579836358183282e+04, 8.7602774275653021e+04, 8.7625713694737613e+04,
  8.7648654615240492e+04, 8.7671597036965148e+04, 8.7694540959715145e+04,
  8.7717486383294105e+04, 8.7740433307505737e+04, 8.7763381732153779e+04,
  8.7786331657042057e+04, 8.7809283081974456e+04, 8.7832236006754916e+04,
  8.7855190431187453e+04, 8.7878146355076155e+04, 8.7901103778225151e+04,
  8.7924062700438633e+04, 8.7947023121520891e+04, 8.7969985041276246e+04,
  8.7992948459509105e+04, 8.8015913376023906e+04, 8.8038879790625171e+04,
  8.8061847703117513e+04, 8.8084817113305573e+04, 8.8107788020994049e+04,
  8.8130760425987726e+04, 8.8153734328091465e+04, 8.8176709727110137e+04,
  8.8199686622848749e+04, 8.8222665015112303e+04, 8.8245644903705906e+04,
  8.8268626288434709e+04, 8.8291609169103947e+04, 8.8314593545518903e+04,
  8.8337579417484914e+04, 8.8360566784807408e+04, 8.8383555647291854e+04,
  8.8406546004743795e+04, 8.8429537856968818e+04, 8.8452531203772611e+04,
  8.8475526044960890e+04, 8.8498522380339447e+04, 8.8521520209714130e+04,
  8.8544519532890874e+04, 8.8567520349675659e+04, 8.8590522659874507e+04,
  8.8613526463293543e+04, 8.8636531759738922e+04, 8.8659538549016899e+04,
  8.8682546830933745e+04, 8.8705556605295846e+04, 8.8728567871909589e+04,
  8.8751580630581491e+04, 8.8774594881118071e+04, 8.8797610623325963e+04,
  8.8820627857011830e+04, 8.8843646581982393e+04, 8.8866666798044462e+04,
  8.8889688505004888e+04, 8.8912711702670611e+04, 8.8935736390848600e+04,
  8.8958762569345898e+04, 8.8981790237969632e+04, 8.9004819396526960e+04,
  8.9027850044825114e+04, 8.9050882182671412e+04, 8.9073915809873200e+04,
  8.9096950926237885e+04, 8.9119987531572973e+04, 8.9143025625686001e+04,
  8.9166065208384563e+04, 8.9189106279476357e+04, 8.9212148838769106e+04,
  8.9235192886070581e+04, 8.9258238421188667e+04, 8.9281285443931265e+04,
  8.9304333954106376e+04, 8.9327383951522017e+04, 8.9350435435986306e+04,
  8.9373488407307406e+04, 8.9396542865293537e+04, 8.9419598809753006e+04,
  8.9442656240494165e+04, 8.9465715157325394e+04, 8.9488775560055219e+04,
  8.9511837448492137e+04, 8.9534900822444746e+04, 8.9557965681721733e+04,
  8.9581032026131812e+04, 8.9604099855483742e+04, 8.9627169169586399e+04,
  8.9650239968248672e+04, 8.9673312251279538e+04, 8.9696386018488018e+04,
  8.9719461269683205e+04, 8.9742538004674250e+04, 8.9765616223270365e+04,
  8.9788695925280830e+04, 8.9811777110514988e+04, 8.9834859778782207e+04,
  8.9857943929891975e+04, 8.9881029563653807e+04, 8.9904116679877261e+04,
  8.9927205278372014e+04, 8.9950295358947740e+04, 8.9973386921414218e+04,
  8.9996479965581268e+04, 9.0019574491258783e+04, 9.0042670498256688e+04,
  9.0065767986385021e+04, 9.0088866955453836e+04, 9.0111967405273259e+04,
  9.0135069335653476e+04, 9.0158172746404758e+04, 9.0181277637337407e+04,
  9.0204384008261797e+04, 9.0227491858988360e+04, 9.0250601189327586e+04,
  9.0273711999090039e+04, 9.0296824288086325e+04, 9.0319938056127125e+04,
  9.0343053303023189e+04, 9.0366170028585286e+04, 9.0389288232624298e+04,
  9.0412407914951138e+04, 9.0435529075376777e+04, 9.0458651713712257e+04,
  9.0481775829768681e+04, 9.0504901423357209e+04, 9.0528028494289058e+04,
  9.0551157042375504e+04, 9.0574287067427911e+04, 9.0597418569257643e+04,
  9.0620551547676194e+04, 9.0643686002495073e+04, 9.0666821933525847e+04,
  9.0689959340580186e+04, 9.0713098223469773e+04, 9.0736238582006365e+04,
  9.0759380416001804e+04, 9.0782523725267951e+04, 9.0805668509616764e+04,
  9.0828814768860233e+04, 9.0851962502810435e+04, 9.0875111711279460e+04,
  9.0898262394079531e+04, 9.0921414551022855e+04, 9.0944568181921743e+04,
  9.0967723286588560e+04, 9.0990879864835719e+04, 9.1014037916475718e+04,
  9.1037197441321070e+04, 9.1060358439184391e+04, 9.1083520909878338e+04,
  9.1106684853215629e+04, 9.1129850269009039e+04, 9.1153017157071401e+04,
  9.1176185517215621e+04, 9.1199355349254649e+04, 9.1222526653001492e+04,
  9.1245699428269247e+04, 9.1268873674871036e+04, 9.1292049392620058e+04,
  9.1315226581329553e+04, 9.1338405240812834e+04, 9.1361585370883287e+04,
  9.1384766971354344e+04, 9.1407950042039476e+04, 9.1431134582752245e+04,
  9.1454320593306256e+04, 9.1477508073515171e+04, 9.1500697023192726e+04,
  9.1523887442152685e+04, 9.1547079330208930e+04, 9.1570272687175326e+04,
  9.1593467512865856e+04, 9.1616663807094534e+04, 9.1639861569675442e+04,
  9.1663060800422725e+04, 9.1686261499150554e+04, 9.1709463665673218e+04,
  9.1732667299805020e+04, 9.1755872401360321e+04, 9.1779078970153569e+04,
  9.1802287005999257e+04, 9.1825496508711920e+04, 9.1848707478106167e+04,
  9.1871919913996666e+04, 9.1895133816198169e+04, 9.1918349184525418e+04,
  9.1941566018793281e+04, 9.1964784318816659e+04, 9.1988004084410495e+04,
  9.2011225315389820e+04, 9.2034448011569708e+04, 9.2057672172765291e+04,
  9.2080897798791746e+04, 9.2104124889464365e+04, 9.2127353444598411e+04,
  9.2150583464009280e+04, 9.2173814947512379e+04, 9.2197047894923220e+04,
  9.2220282306057314e+04, 9.2243518180730272e+04, 9.2266755518757753e+04,
  9.2289994319955469e+04, 9.2313234584139194e+04, 9.2336476311124774e+04,
  9.2359719500728082e+04, 9.2382964152765067e+04, 9.2406210267051749e+04,
  9.2429457843404161e+04, 9.2452706881638471e+04, 9.2475957381570814e+04,
  9.2499209343017443e+04, 9.2522462765794669e+04, 9.2545717649718819e+04,
  9.2568973994606305e+04, 9.2592231800273614e+04, 9.2615491066537259e+04,
  9.2638751793213829e+04, 9.2662013980119940e+04, 9.2685277627072326e+04,
  9.2708542733887720e+04, 9.2731809300382956e+04, 9.2755077326374871e+04,
  9.2778346811680414e+04, 9.2801617756116582e+04, 9.2824890159500384e+04,
  9.2848164021648947e+04, 9.2871439342379424e+04, 9.2894716121509016e+04,
  9.2917994358855023e+04, 9.2941274054234746e+04, 9.2964555207465572e+04,
  9.2987837818364962e+04, 9.3011121886750407e+04, 9.3034407412439468e+04,
  9.3057694395249768e+04, 9.3080982834998955e+04, 9.3104272731504767e+04,
  9.3127564084584999e+04, 9.3150856894057491e+04, 9.3174151159740140e+04,
  9.3197446881450916e+04, 9.3220744059007804e+04, 9.3244042692228890e+04,
  9.3267342780932304e+04, 9.3290644324936235e+04, 9.3313947324058914e+04,
  9.3337251778118633e+04, 9.3360557686933767e+04, 9.3383865050322696e+04,
  9.3407173868103928e+04, 9.3430484140095941e+04, 9.3453795866117362e+04,
  9.3477109045986799e+04, 9.3500423679522952e+04, 9.3523739766544561e+04,
  9.3547057306870454e+04, 9.3570376300319491e+04, 9.3593696746710571e+04,
  9.3617018645862699e+04, 9.3640341997594893e+04, 9.3663666801726227e+04,
  9.3686993058075881e+04, 9.3710320766463032e+04, 9.3733649926706930e+04,
  9.3756980538626914e+04, 9.3780312602042337e+04, 9.3803646116772637e+04,
  9.3826981082637285e+04, 9.3850317499455836e+04, 9.3873655367047861e+04,
  9.3896994685233032e+04, 9.3920335453831038e+04, 9.3943677672661666e+04,
  9.3967021341544707e+04, 9.3990366460300051e+04, 9.4013713028747632e+04,
  9.4037061046707429e+04, 9.4060410513999494e+04, 9.4083761430443919e+04,
  9.4107113795860845e+04, 9.4130467610070511e+04, 9.4153822872893157e+04,
  9.4177179584149111e+04, 9.4200537743658759e+04, 9.4223897351242529e+04,
  9.4247258406720910e+04, 9.4270620909914433e+04, 9.4293984860643730e+04,
  9.4317350258729421e+04, 9.4340717103992240e+04, 9.4364085396252936e+04,
  9.4387455135332348e+04, 9.4410826321051340e+04, 9.4434198953230851e+04,
  9.4457573031691878e+04, 9.4480948556255447e+04, 9.4504325526742658e+04,
  9.4527703942974680e+04, 9.4551083804772716e+04, 9.4574465111958023e+04,
  9.4597847864351934e+04, 9.4621232061775823e+04, 9.4644617704051096e+04,
  9.4668004790999272e+04, 9.4691393322441872e+04, 9.4714783298200506e+04,
  9.4738174718096794e+04, 9.4761567581952477e+04, 9.4784961889589307e+04,
  9.4808357640829097e+04, 9.4831754835493703e+04, 9.4855153473405066e+04,
  9.4878553554385173e+04, 9.4901955078256055e+04, 9.4925358044839784e+04,
  9.4948762453958523e+04, 9.4972168305434476e+04, 9.4995575599089891e+04,
  9.5018984334747074e+04, 9.5042394512228391e+04, 9.5065806131356265e+04,
  9.5089219191953176e+04, 9.5112633693841635e+04, 9.5136049636844240e+04,
  9.5159467020783617e+04, 9.5182885845482466e+04, 9.5206306110763529e+04,
  9.5229727816449609e+04, 9.5253150962363565e+04, 9.5276575548328314e+04,
  9.5300001574166803e+04, 9.5323429039702052e+04, 9.5346857944757154e+04,
  9.5370288289155214e+04, 9.5393720072719429e+04, 9.5417153295273019e+04,
  9.5440587956639298e+04, 9.5464024056641589e+04, 9.5487461595103305e+04,
  9.5510900571847902e+04, 9.5534340986698866e+04, 9.5557782839479783e+04,
  9.5581226130014256e+04, 9.5604670858125959e+04, 9.5628117023638595e+04,
  9.5651564626375985e+04, 9.5675013666161918e+04, 9.5698464142820303e+04,
  9.5721916056175076e+04, 9.5745369406050231e+04, 9.5768824192269807e+04,
  9.5792280414657915e+04, 9.5815738073038709e+04, 9.5839197167236387e+04,
  9.5862657697075221e+04, 9.5886119662379540e+04, 9.5909583062973688e+04,
  9.5933047898682111e+04, 9.5956514169329268e+04, 9.5979981874739708e+04,
  9.6003451014738006e+04, 9.6026921589148798e+04, 9.6050393597796792e+04,
  9.6073867040506724e+04, 9.6097341917103375e+04, 9.6120818227411626e+04,
  9.6144295971256375e+04, 9.6167775148462577e+04, 9.6191255758855244e+04,
  9.6214737802259449e+04, 9.6238221278500307e+04, 9.6261706187402990e+04,
  9.6285192528792715e+04, 9.6308680302494788e+04, 9.6332169508334526e+04,
  9.6355660146137321e+04, 9.6379152215728609e+04, 9.6402645716933868e+04,
  9.6426140649578665e+04, 9.6449637013488595e+04, 9.6473134808489311e+04,
  9.6496634034406510e+04, 9.6520134691065963e+04, 9.6543636778293469e+04,
  9.6567140295914884e+04, 9.6590645243756153e+04, 9.6614151621643221e+04,
  9.6637659429402134e+04, 9.6661168666858954e+04, 9.6684679333839798e+04,
  9.6708191430170875e+04, 9.6731704955678390e+04, 9.6755219910188665e+04,
  9.6778736293528011e+04, 9.6802254105522836e+04, 9.6825773345999580e+04,
  9.6849294014784740e+04, 9.6872816111704873e+04, 9.6896339636586577e+04,
  9.6919864589256511e+04, 9.6943390969541389e+04, 9.6966918777267958e+04,
  9.6990448012263048e+04, 9.7013978674353522e+04, 9.7037510763366285e+04,
  9.7061044279128328e+04, 9.7084579221466673e+04, 9.7108115590208385e+04,
  9.7131653385180587e+04, 9.7155192606210490e+04, 9.7178733253125291e+04,
  9.7202275325752300e+04, 9.7225818823918860e+04, 9.7249363747452342e+04,
  9.7272910096180189e+04, 9.7296457869929916e+04, 9.7320007068529041e+04,
  9.7343557691805196e+04, 9.7367109739586012e+04, 9.7390663211699197e+04,
  9.7414218107972498e+04, 9.7437774428233737e+04, 9.7461332172310766e+04,
  9.7484891340031507e+04, 9.7508451931223899e+04, 9.7532013945715982e+04,
  9.7555577383335811e+04, 9.7579142243911512e+04, 9.7602708527271257e+04,
  9.7626276233243261e+04, 9.7649845361655811e+04, 9.7673415912337223e+04,
  9.7696987885115886e+04, 9.7720561279820206e+04, 9.7744136096278700e+04,
  9.7767712334319876e+04, 9.7791289993772341e+04, 9.7814869074464703e+04,
  9.7838449576225685e+04, 9.7862031498883996e+04, 9.7885614842268449e+04,
  9.7909199606207883e+04, 9.7932785790531183e+04, 9.7956373395067320e+04,
  9.7979962419645264e+04, 9.8003552864094076e+04, 9.8027144728242856e+04,
  9.8050738011920766e+04, 9.8074332714956996e+04, 9.8097928837180807e+04,
  9.8121526378421506e+04, 9.8145125338508456e+04, 9.8168725717271067e+04,
  9.8192327514538774e+04, 9.8215930730141132e+04, 9.8239535363907664e+04,
  9.8263141415668011e+04, 9.8286748885251814e+04, 9.8310357772488816e+04,
  9.8333968077208759e+04, 9.8357579799241488e+04, 9.8381192938416847e+04,
  9.8404807494564782e+04, 9.8428423467515240e+04, 9.8452040857098269e+04,
  9.8475659663143917e+04, 9.8499279885482320e+04, 9.8522901523943656e+04,
  9.8546524578358163e+04, 9.8570149048556093e+04, 9.8593774934367786e+04,
  9.8617402235623624e+04, 9.8641030952154048e+04, 9.8664661083789513e+04,
  9.8688292630360564e+04, 9.8711925591697771e+04, 9.8735559967631794e+04,
  9.8759195757993293e+04, 9.8782832962613014e+04, 9.8806471581321734e+04,
  9.8830111613950285e+04, 9.8853753060329575e+04, 9.8877395920290510e+04,
  9.8901040193664099e+04, 9.8924685880281380e+04, 9.8948332979973420e+04,
  9.8971981492571387e+04, 9.8995631417906450e+04, 9.9019282755809851e+04,
  9.9042935506112874e+04, 9.9066589668646877e+04, 9.9090245243243233e+04,
  9.9113902229733401e+04, 9.9137560627948857e+04, 9.9161220437721146e+04,
  9.9184881658881859e+04, 9.9208544291262631e+04, 9.9232208334695169e+04,
  9.9255873789011210e+04, 9.9279540654042547e+04, 9.9303208929621032e+04,
  9.9326878615578520e+04, 9.9350549711746993e+04, 9.9374222217958435e+04,
  9.9397896134044888e+04, 9.9421571459838422e+04, 9.9445248195171211e+04,
  9.9468926339875441e+04, 9.9492605893783344e+04, 9.9516286856727209e+04,
  9.9539969228539398e+04, 9.9563653009052287e+04, 9.9587338198098325e+04,
  9.9611024795510006e+04, 9.9634712801119866e+04, 9.9658402214760499e+04,
  9.9682093036264545e+04, 9.9705785265464699e+04, 9.9729478902193689e+04,
  9.9753173946284325e+04, 9.9776870397569437e+04, 9.9800568255881910e+04,
  9.9824267521054688e+04, 9.9847968192920773e+04, 9.9871670271313182e+04,
  9.9895373756065004e+04, 9.9919078647009388e+04, 9.9942784943979525e+04,
  9.9966492646808634e+04, 9.9990201755330010e+04, 1.0001391226937699e+05,
  1.0003762418878295e+05, 1.0006133751338134e+05, 1.0008505224300563e+05,
  1.0010876837748935e+05, 1.0013248591666610e+05, 1.0015620486036950e+05,
  1.0017992520843323e+05, 1.0020364696069101e+05, 1.0022737011697664e+05,
  1.0025109467712394e+05, 1.0027482064096678e+05, 1.0029854800833909e+05,
  1.0032227677907483e+05, 1.0034600695300807e+05, 1.0036973852997283e+05,
  1.0039347150980328e+05, 1.0041720589233354e+05, 1.0044094167739789e+05,
  1.0046467886483055e+05, 1.0048841745446586e+05, 1.0051215744613820e+05,
  1.0053589883968196e+05, 1.0055964163493161e+05, 1.0058338583172169e+05,
  1.0060713142988674e+05, 1.0063087842926137e+05, 1.0065462682968024e+05,
  1.0067837663097809e+05, 1.0070212783298964e+05, 1.0072588043554971e+05,
  1.0074963443849317e+05, 1.0077338984165491e+05, 1.0079714664486986e+05,
  1.0082090484797307e+05, 1.0084466445079957e+05, 1.0086842545318443e+05,
  1.0089218785496285e+05, 1.0091595165596998e+05, 1.0093971685604109e+05,
  1.0096348345501146e+05, 1.0098725145271645e+05, 1.0101102084899142e+05,
  1.0103479164367182e+05, 1.0105856383659317e+05, 1.0108233742759094e+05,
  1.0110611241650078e+05, 1.0112988880315828e+05, 1.0115366658739912e+05,
  1.0117744576905905e+05, 1.0120122634797383e+05, 1.0122500832397929e+05,
  1.0124879169691130e+05, 1.0127257646660579e+05, 1.0129636263289873e+05,
  1.0132015019562612e+05, 1.0134393915462404e+05, 1.0136772950972860e+05,
  1.0139152126077596e+05, 1.0141531440760233e+05, 1.0143910895004397e+05,
  1.0146290488793720e+05, 1.0148670222111834e+05, 1.0151050094942382e+05,
  1.0153430107269008e+05, 1.0155810259075362e+05, 1.0158190550345098e+05,
  1.0160570981061876e+05, 1.0162951551209360e+05, 1.0165332260771218e+05,
  1.0167713109731126e+05, 1.0170094098072760e+05, 1.0172475225779804e+05,
  1.0174856492835947e+05, 1.0177237899224881e+05, 1.0179619444930303e+05,
  1.0182001129935916e+05, 1.0184382954225427e+05, 1.0186764917782549e+05,
  1.0189147020590997e+05, 1.0191529262634492e+05, 1.0193911643896763e+05,
  1.0196294164361537e+05, 1.0198676824012553e+05, 1.0201059622833549e+05,
  1.0203442560808272e+05, 1.0205825637920471e+05, 1.0208208854153901e+05,
  1.0210592209492320e+05, 1.0212975703919494e+05, 1.0215359337419191e+05,
  1.0217743109975185e+05, 1.0220127021571253e+05, 1.0222511072191180e+05,
  1.0224895261818753e+05, 1.0227279590437764e+05, 1.0229664058032009e+05,
  1.0232048664585293e+05, 1.0234433410081422e+05, 1.0236818294504205e+05,
  1.0239203317837461e+05, 1.0241588480065008e+05, 1.0243973781170673e+05,
  1.0246359221138287e+05, 1.0248744799951684e+05, 1.0251130517594704e+05,
  1.0253516374051190e+05, 1.0255902369304992e+05, 1.0258288503339965e+05,
  1.0260674776139967e+05, 1.0263061187688859e+05, 1.0265447737970512e+05,
  1.0267834426968795e+05, 1.0270221254667587e+05, 1.0272608221050771e+05,
  1.0274995326102231e+05, 1.0277382569805860e+05, 1.0279769952145554e+05,
  1.0282157473105213e+05, 1.0284545132668743e+05, 1.0286932930820051e+05,
  1.0289320867543056e+05, 1.0291708942821674e+05, 1.0294097156639831e+05,
  1.0296485508981455e+05, 1.0298873999830478e+05, 1.0301262629170840e+05,
  1.0303651396986481e+05, 1.0306040303261351e+05, 1.0308429347979400e+05,
  1.0310818531124585e+05, 1.0313207852680866e+05, 1.0315597312632212e+05,
  1.0317986910962590e+05, 1.0320376647655977e+05, 1.0322766522696352e+05,
  1.0325156536067701e+05, 1.0327546687754011e+05, 1.0329936977739276e+05,
  1.0332327406007495e+05, 1.0334717972542670e+05, 1.0337108677328810e+05,
  1.0339499520349925e+05, 1.0341890501590034e+05, 1.0344281621033157e+05,
  1.0346672878663319e+05, 1.0349064274464553e+05, 1.0351455808420894e+05,
  1.0353847480516380e+05, 1.0356239290735057e+05, 1.0358631239060973e+05,
  1.0361023325478184e+05, 1.0363415549970744e+05, 1.0365807912522719e+05,
  1.0368200413118176e+05, 1.0370593051741188e+05, 1.0372985828375829e+05,
  1.0375378743006183e+05, 1.0377771795616334e+05, 1.0380164986190372e+05,
  1.0382558314712394e+05, 1.0384951781166498e+05, 1.0387345385536790e+05,
  1.0389739127807376e+05, 1.0392133007962372e+05, 1.0394527025985894e+05,
  1.0396921181862066e+05, 1.0399315475575013e+05, 1.0401709907108870e+05,
  1.0404104476447770e+05, 1.0406499183575854e+05, 1.0408894028477269e+05,
  1.0411289011136163e+05, 1.0413684131536692e+05, 1.0416079389663014e+05,
  1.0418474785499295e+05, 1.0420870319029699e+05, 1.0423265990238401e+05,
  1.0425661799109577e+05, 1.0428057745627411e+05, 1.0430453829776087e+05,
  1.0432850051539797e+05, 1.0435246410902737e+05, 1.0437642907849104e+05,
  1.0440039542363105e+05, 1.0442436314428948e+05, 1.0444833224030846e+05,
  1.0447230271153020e+05, 1.0449627455779689e+05, 1.0452024777895081e+05,
  1.0454422237483428e+05, 1.0456819834528965e+05, 1.0459217569015936e+05,
  1.0461615440928582e+05, 1.0464013450251156e+05, 1.0466411596967910e+05,
  1.0468809881063103e+05, 1.0471208302520998e+05, 1.0473606861325864e+05,
  1.0476005557461972e+05, 1.0478404390913600e+05, 1.0480803361665027e+05,
  1.0483202469700541e+05, 1.0485601715004431e+05, 1.0488001097560991e+05,
  1.0490400617354522e+05, 1.0492800274369326e+05, 1.0495200068589713e+05,
  1.0497599999999993e+05, 1.0500000068584486e+05, 1.0502400274327511e+05,
  1.0504800617213396e+05, 1.0507201097226470e+05, 1.0509601714351070e+05,
  1.0512002468571534e+05, 1.0514403359872208e+05, 1.0516804388237436e+05,
  1.0519205553651575e+05, 1.0521606856098982e+05, 1.0524008295564017e+05,
  1.0526409872031047e+05, 1.0528811585484444e+05, 1.0531213435908582e+05,
  1.0533615423287840e+05, 1.0536017547606604e+05, 1.0538419808849262e+05,
  1.0540822207000206e+05, 1.0543224742043833e+05, 1.0545627413964547e+05,
  1.0548030222746753e+05, 1.0550433168374863e+05, 1.0552836250833291e+05,
  1.0555239470106458e+05, 1.0557642826178786e+05, 1.0560046319034706e+05,
  1.0562449948658649e+05, 1.0564853715035053e+05, 1.0567257618148360e+05,
  1.0569661657983017e+05, 1.0572065834523473e+05, 1.0574470147754184e+05,
  1.0576874597659610e+05, 1.0579279184224214e+05, 1.0581683907432464e+05,
  1.0584088767268835e+05, 1.0586493763717801e+05, 1.0588898896763846e+05,
  1.0591304166391456e+05, 1.0593709572585119e+05, 1.0596115115329332e+05,
  1.0598520794608595e+05, 1.0600926610407409e+05, 1.0603332562710284e+05,
  1.0605738651501729e+05, 1.0608144876766266e+05, 1.0610551238488412e+05,
  1.0612957736652695e+05, 1.0615364371243643e+05, 1.0617771142245791e+05,
  1.0620178049643680e+05, 1.0622585093421848e+05, 1.0624992273564848e+05,
  1.0627399590057228e+05, 1.0629807042883546e+05, 1.0632214632028362e+05,
  1.0634622357476241e+05, 1.0637030219211751e+05, 1.0639438217219469e+05,
  1.0641846351483969e+05, 1.0644254621989837e+05, 1.0646663028721658e+05,
  1.0649071571664025e+05, 1.0651480250801529e+05, 1.0653889066118775e+05,
  1.0656298017600364e+05, 1.0658707105230905e+05, 1.0661116328995011e+05,
  1.0663525688877302e+05, 1.0665935184862395e+05, 1.0668344816934918e+05,
  1.0670754585079502e+05, 1.0673164489280782e+05, 1.0675574529523395e+05,
  1.0677984705791986e+05, 1.0680395018071201e+05, 1.0682805466345693e+05,
  1.0685216050600118e+05, 1.0687626770819137e+05, 1.0690037626987413e+05,
  1.0692448619089619e+05, 1.0694859747110425e+05, 1.0697271011034511e+05,
  1.0699682410846559e+05, 1.0702093946531253e+05, 1.0704505618073288e+05,
  1.0706917425457356e+05, 1.0709329368668159e+05, 1.0711741447690397e+05,
  1.0714153662508781e+05, 1.0716566013108024e+05, 1.0718978499472840e+05,
  1.0721391121587952e+05, 1.0723803879438085e+05, 1.0726216773007967e+05,
  1.0728629802282334e+05, 1.0731042967245923e+05, 1.0733456267883476e+05,
  1.0735869704179741e+05, 1.0738283276119467e+05, 1.0740696983687412e+05,
  1.0743110826868335e+05, 1.0745524805646999e+05, 1.0747938920008171e+05,
  1.0750353169936627e+05, 1.0752767555417139e+05, 1.0755182076434493e+05,
  1.0757596732973469e+05, 1.0760011525018861e+05, 1.0762426452555461e+05,
  1.0764841515568066e+05, 1.0767256714041480e+05, 1.0769672047960508e+05,
  1.0772087517309963e+05, 1.0774503122074658e+05, 1.0776918862239414e+05,
  1.0779334737789053e+05, 1.0781750748708403e+05, 1.0784166894982298e+05,
  1.0786583176595572e+05, 1.0788999593533068e+05, 1.0791416145779629e+05,
  1.0793832833320105e+05, 1.0796249656139348e+05, 1.0798666614222217e+05,
  1.0801083707553572e+05, 1.0803500936118282e+05, 1.0805918299901215e+05,
  1.0808335798887245e+05, 1.0810753433061253e+05, 1.0813171202408121e+05,
  1.0815589106912735e+05, 1.0818007146559987e+05, 1.0820425321334775e+05,
  1.0822843631221996e+05, 1.0825262076206553e+05, 1.0827680656273357e+05,
  1.0830099371407321e+05, 1.0832518221593359e+05, 1.0834937206816394e+05,
  1.0837356327061349e+05, 1.0839775582313156e+05, 1.0842194972556747e+05,
  1.0844614497777060e+05, 1.0847034157959036e+05, 1.0849453953087622e+05,
  1.0851873883147769e+05, 1.0854293948124432e+05, 1.0856714148002566e+05,
  1.0859134482767139e+05, 1.0861554952403114e+05, 1.0863975556895464e+05,
  1.0866396296229165e+05, 1.0868817170389196e+05, 1.0871238179360541e+05,
  1.0873659323128188e+05, 1.0876080601677128e+05, 1.0878502014992358e+05,
  1.0880923563058881e+05, 1.0883345245861699e+05, 1.0885767063385822e+05,
  1.0888189015616261e+05, 1.0890611102538036e+05, 1.0893033324136167e+05,
  1.0895455680395682e+05, 1.0897878171301607e+05, 1.0900300796838976e+05,
  1.0902723556992831e+05, 1.0905146451748211e+05, 1.0907569481090162e+05,
  1.0909992645003737e+05, 1.0912415943473989e+05, 1.0914839376485976e+05,
  1.0917262944024763e+05, 1.0919686646075416e+05, 1.0922110482623006e+05,
  1.0924534453652610e+05, 1.0926958559149304e+05, 1.0929382799098175e+05,
  1.0931807173484311e+05, 1.0934231682292801e+05, 1.0936656325508743e+05,
  1.0939081103117237e+05, 1.0941506015103387e+05, 1.0943931061452301e+05,
  1.0946356242149093e+05, 1.0948781557178880e+05, 1.0951207006526781e+05,
  1.0953632590177920e+05, 1.0956058308117429e+05, 1.0958484160330440e+05,
  1.0960910146802090e+05, 1.0963336267517522e+05, 1.0965762522461878e+05,
  1.0968188911620309e+05, 1.0970615434977971e+05, 1.0973042092520020e+05,
  1.0975468884231619e+05, 1.0977895810097932e+05, 1.0980322870104130e+05,
  1.0982750064235389e+05, 1.0985177392476884e+05, 1.0987604854813800e+05,
  1.0990032451231324e+05, 1.0992460181714644e+05, 1.0994888046248957e+05,
  1.0997316044819460e+05, 1.0999744177411357e+05, 1.1002172444009855e+05,
  1.1004600844600164e+05, 1.1007029379167501e+05, 1.1009458047697082e+05,
  1.1011886850174134e+05, 1.1014315786583882e+05, 1.1016744856911557e+05,
  1.1019174061142397e+05, 1.1021603399261639e+05, 1.1024032871254528e+05,
  1.1026462477106311e+05, 1.1028892216802240e+05, 1.1031322090327571e+05,
  1.1033752097667565e+05, 1.1036182238807483e+05, 1.1038612513732594e+05,
  1.1041042922428172e+05, 1.1043473464879491e+05, 1.1045904141071832e+05,
  1.1048334950990479e+05, 1.1050765894620719e+05, 1.1053196971947847e+05,
  1.1055628182957157e+05, 1.1058059527633950e+05, 1.1060491005963532e+05,
  1.1062922617931209e+05, 1.1065354363522294e+05, 1.1067786242722106e+05,
  1.1070218255515963e+05, 1.1072650401889188e+05, 1.1075082681827113e+05,
  1.1077515095315070e+05, 1.1079947642338395e+05, 1.1082380322882428e+05,
  1.1084813136932514e+05, 1.1087246084474004e+05, 1.1089679165492248e+05,
  1.1092112379972603e+05, 1.1094545727900430e+05, 1.1096979209261097e+05,
  1.1099412824039967e+05, 1.1101846572222417e+05, 1.1104280453793822e+05,
  1.1106714468739566e+05, 1.1109148617045028e+05, 1.1111582898695602e+05,
  1.1114017313676680e+05, 1.1116451861973657e+05, 1.1118886543571933e+05,
  1.1121321358456917e+05, 1.1123756306614014e+05, 1.1126191388028639e+05,
  1.1128626602686207e+05, 1.1131061950572141e+05, 1.1133497431671864e+05,
  1.1135933045970804e+05, 1.1138368793454397e+05, 1.1140804674108078e+05,
  1.1143240687917286e+05, 1.1145676834867468e+05, 1.1148113114944073e+05,
  1.1150549528132551e+05, 1.1152986074418361e+05, 1.1155422753786964e+05,
  1.1157859566223821e+05, 1.1160296511714405e+05, 1.1162733590244185e+05,
  1.1165170801798640e+05, 1.1167608146363248e+05, 1.1170045623923496e+05,
  1.1172483234464870e+05, 1.1174920977972864e+05, 1.1177358854432974e+05,
  1.1179796863830699e+05, 1.1182235006151545e+05, 1.1184673281381019e+05,
  1.1187111689504633e+05, 1.1189550230507903e+05, 1.1191988904376350e+05,
  1.1194427711095495e+05, 1.1196866650650870e+05, 1.1199305723028004e+05,
  1.1201744928212435e+05, 1.1204184266189700e+05, 1.1206623736945343e+05,
  1.1209063340464912e+05, 1.1211503076733962e+05, 1.1213942945738042e+05,
  1.1216382947462716e+05, 1.1218823081893545e+05, 1.1221263349016097e+05,
  1.1223703748815943e+05, 1.1226144281278658e+05, 1.1228584946389822e+05,
  1.1231025744135017e+05, 1.1233466674499829e+05, 1.1235907737469849e+05,
  1.1238348933030672e+05, 1.1240790261167898e+05, 1.1243231721867126e+05,
  1.1245673315113965e+05, 1.1248115040894024e+05, 1.1250556899192919e+05,
  1.1252998889996266e+05, 1.1255441013289688e+05, 1.1257883269058811e+05,
  1.1260325657289263e+05, 1.1262768177966679e+05, 1.1265210831076698e+05,
  1.1267653616604958e+05, 1.1270096534537108e+05, 1.1272539584858794e+05,
  1.1274982767555672e+05, 1.1277426082613398e+05, 1.1279869530017630e+05,
  1.1282313109754038e+05, 1.1284756821808286e+05, 1.1287200666166049e+05,
  1.1289644642813003e+05, 1.1292088751734827e+05, 1.1294532992917208e+05,
  1.1296977366345831e+05, 1.1299421872006389e+05, 1.1301866509884578e+05,
  1.1304311279966099e+05, 1.1306756182236652e+05, 1.1309201216681948e+05,
  1.1311646383287695e+05, 1.1314091682039610e+05, 1.1316537112923413e+05,
  1.1318982675924824e+05, 1.1321428371029573e+05, 1.1323874198223387e+05,
  1.1326320157492002e+05, 1.1328766248821157e+05, 1.1331212472196593e+05,
  1.1333658827604055e+05, 1.1336105315029295e+05, 1.1338551934458067e+05,
  1.1340998685876124e+05, 1.1343445569269233e+05, 1.1345892584623155e+05,
  1.1348339731923661e+05, 1.1350787011156522e+05, 1.1353234422307517e+05,
  1.1355681965362425e+05, 1.1358129640307030e+05, 1.1360577447127122e+05,
  1.1363025385808491e+05, 1.1365473456336933e+05, 1.1367921658698250e+05,
  1.1370369992878241e+05, 1.1372818458862718e+05, 1.1375267056637487e+05,
  1.1377715786188368e+05, 1.1380164647501177e+05, 1.1382613640561736e+05,
  1.1385062765355874e+05, 1.1387512021869418e+05, 1.1389961410088204e+05,
  1.1392410929998070e+05, 1.1394860581584855e+05, 1.1397310364834407e+05,
  1.1399760279732574e+05, 1.1402210326265210e+05, 1.1404660504418171e+05,
  1.1407110814177318e+05, 1.1409561255528514e+05, 1.1412011828457628e+05,
  1.1414462532950533e+05, 1.1416913368993104e+05, 1.1419364336571220e+05,
  1.1421815435670764e+05, 1.1424266666277626e+05, 1.1426718028377694e+05,
  1.1429169521956862e+05, 1.1431621147001031e+05, 1.1434072903496103e+05,
  1.1436524791427983e+05, 1.1438976810782580e+05, 1.1441428961545810e+05,
  1.1443881243703589e+05, 1.1446333657241837e+05, 1.1448786202146480e+05,
  1.1451238878403448e+05, 1.1453691685998671e+05, 1.1456144624918087e+05,
  1.1458597695147636e+05, 1.1461050896673260e+05, 1.1463504229480909e+05,
  1.1465957693556532e+05, 1.1468411288886084e+05, 1.1470865015455526e+05,
  1.1473318873250818e+05, 1.1475772862257928e+05, 1.1478226982462825e+05,
  1.1480681233851484e+05, 1.1483135616409882e+05, 1.1485590130123998e+05,
  1.1488044774979822e+05, 1.1490499550963337e+05, 1.1492954458060540e+05,
  1.1495409496257425e+05, 1.1497864665539992e+05, 1.1500319965894247e+05,
  1.1502775397306195e+05, 1.1505230959761847e+05, 1.1507686653247218e+05,
  1.1510142477748329e+05, 1.1512598433251200e+05, 1.1515054519741859e+05,
  1.1517510737206334e+05, 1.1519967085630659e+05, 1.1522423565000873e+05,
  1.1524880175303014e+05, 1.1527336916523130e+05, 1.1529793788647266e+05,
  1.1532250791661476e+05, 1.1534707925551817e+05, 1.1537165190304347e+05,
  1.1539622585905129e+05, 1.1542080112340231e+05, 1.1544537769595724e+05,
  1.1546995557657682e+05, 1.1549453476512182e+05, 1.1551911526145306e+05,
  1.1554369706543141e+05, 1.1556828017691776e+05, 1.1559286459577303e+05,
  1.1561745032185820e+05, 1.1564203735503425e+05, 1.1566662569516223e+05,
  1.1569121534210323e+05, 1.1571580629571836e+05, 1.1574039855586876e+05,
  1.1576499212241563e+05, 1.1578958699522018e+05, 1.1581418317414368e+05,
  1.1583878065904744e+05, 1.1586337944979276e+05, 1.1588797954624105e+05,
  1.1591258094825370e+05, 1.1593718365569216e+05, 1.1596178766841792e+05,
  1.1598639298629249e+05, 1.1601099960917742e+05, 1.1603560753693432e+05,
  1.1606021676942479e+05, 1.1608482730651053e+05, 1.1610943914805322e+05,
  1.1613405229391460e+05, 1.1615866674395646e+05, 1.1618328249804060e+05,
  1.1620789955602886e+05, 1.1623251791778316e+05, 1.1625713758316539e+05,
  1.1628175855203751e+05, 1.1630638082426153e+05, 1.1633100439969949e+05,
  1.1635562927821343e+05, 1.1638025545966547e+05, 1.1640488294391775e+05,
  1.1642951173083246e+05, 1.1645414182027178e+05, 1.1647877321209799e+05,
  1.1650340590617337e+05, 1.1652803990236025e+05, 1.1655267520052097e+05,
  1.1657731180051794e+05, 1.1660194970221359e+05, 1.1662658890547040e+05,
  1.1665122941015086e+05, 1.1667587121611751e+05, 1.1670051432323294e+05,
  1.1672515873135976e+05, 1.1674980444036060e+05, 1.1677445145009817e+05,
  1.1679909976043520e+05, 1.1682374937123443e+05, 1.1684840028235866e+05,
  1.1687305249367072e+05, 1.1689770600503348e+05, 1.1692236081630984e+05,
  1.1694701692736275e+05, 1.1697167433805518e+05, 1.1699633304825013e+05,
  1.1702099305781067e+05, 1.1704565436659988e+05, 1.1707031697448085e+05,
  1.1709498088131678e+05, 1.1711964608697084e+05, 1.1714431259130624e+05,
  1.1716898039418629e+05, 1.1719364949547425e+05, 1.1721831989503348e+05,
  1.1724299159272733e+05, 1.1726766458841923e+05, 1.1729233888197262e+05,
  1.1731701447325097e+05, 1.1734169136211780e+05, 1.1736636954843666e+05,
  1.1739104903207115e+05, 1.1741572981288488e+05, 1.1744041189074151e+05,
  1.1746509526550474e+05, 1.1748977993703831e+05, 1.1751446590520597e+05,
  1.1753915316987153e+05, 1.1756384173089883e+05, 1.1758853158815173e+05,
  1.1761322274149416e+05, 1.1763791519079007e+05, 1.1766260893590341e+05,
  1.1768730397669821e+05, 1.1771200031303853e+05, 1.1773669794478847e+05,
  1.1776139687181212e+05, 1.1778609709397367e+05, 1.1781079861113730e+05,
  1.1783550142316725e+05, 1.1786020552992777e+05, 1.1788491093128319e+05,
  1.1790961762709780e+05, 1.1793432561723603e+05, 1.1795903490156225e+05,
  1.1798374547994092e+05, 1.1800845735223651e+05, 1.1803317051831353e+05,
  1.1805788497803656e+05, 1.1808260073127014e+05, 1.1810731777787892e+05,
  1.1813203611772758e+05, 1.1815675575068076e+05, 1.1818147667660321e+05,
  1.1820619889535972e+05, 1.1823092240681504e+05, 1.1825564721083404e+05,
  1.1828037330728157e+05, 1.1830510069602253e+05, 1.1832982937692187e+05,
  1.1835455934984458e+05, 1.1837929061465565e+05, 1.1840402317122012e+05,
  1.1842875701940308e+05, 1.1845349215906965e+05, 1.1847822859008498e+05,
  1.1850296631231424e+05, 1.1852770532562268e+05, 1.1855244562987552e+05,
  1.1857718722493808e+05, 1.1860193011067568e+05, 1.1862667428695368e+05,
  1.1865141975363747e+05, 1.1867616651059251e+05, 1.1870091455768421e+05,
  1.1872566389477813e+05, 1.1875041452173979e+05, 1.1877516643843475e+05,
  1.1879991964472862e+05, 1.1882467414048706e+05, 1.1884942992557574e+05,
  1.1887418699986035e+05, 1.1889894536320666e+05, 1.1892370501548043e+05,
  1.1894846595654752e+05, 1.1897322818627374e+05, 1.1899799170452499e+05,
  1.1902275651116720e+05, 1.1904752260606633e+05, 1.1907228998908834e+05,
  1.1909705866009930e+05, 1.1912182861896523e+05, 1.1914659986555226e+05,
  1.1917137239972650e+05, 1.1919614622135412e+05, 1.1922092133030134e+05,
  1.1924569772643436e+05, 1.1927047540961947e+05, 1.1929525437972297e+05,
  1.1932003463661121e+05, 1.1934481618015055e+05, 1.1936959901020740e+05,
  1.1939438312664822e+05, 1.1941916852933947e+05, 1.1944395521814766e+05,
  1.1946874319293935e+05, 1.1949353245358112e+05, 1.1951832299993958e+05,
  1.1954311483188139e+05, 1.1956790794927324e+05, 1.1959270235198183e+05,
  1.1961749803987393e+05, 1.1964229501281632e+05, 1.1966709327067583e+05,
  1.1969189281331931e+05, 1.1971669364061367e+05, 1.1974149575242584e+05,
  1.1976629914862274e+05, 1.1979110382907141e+05, 1.1981590979363887e+05,
  1.1984071704219218e+05, 1.1986552557459843e+05, 1.1989033539072477e+05,
  1.1991514649043836e+05, 1.1993995887360642e+05, 1.1996477254009615e+05,
  1.1998958748977486e+05, 1.2001440372250983e+05, 1.2003922123816841e+05,
  1.2006404003661797e+05, 1.2008886011772591e+05, 1.2011368148135970e+05,
  1.2013850412738678e+05, 1.2016332805567470e+05, 1.2018815326609099e+05,
  1.2021297975850321e+05, 1.2023780753277900e+05, 1.2026263658878600e+05,
  1.2028746692639188e+05, 1.2031229854546436e+05, 1.2033713144587121e+05,
  1.2036196562748020e+05, 1.2038680109015913e+05, 1.2041163783377589e+05,
  1.2043647585819835e+05, 1.2046131516329442e+05, 1.2048615574893207e+05,
  1.2051099761497928e+05, 1.2053584076130406e+05, 1.2056068518777451e+05,
  1.2058553089425867e+05, 1.2061037788062470e+05, 1.2063522614674074e+05,
  1.2066007569247499e+05, 1.2068492651769568e+05, 1.2070977862227106e+05,
  1.2073463200606944e+05, 1.2075948666895913e+05, 1.2078434261080850e+05,
  1.2080919983148595e+05, 1.2083405833085992e+05, 1.2085891810879884e+05,
  1.2088377916517125e+05, 1.2090864149984565e+05, 1.2093350511269060e+05,
  1.2095837000357473e+05, 1.2098323617236665e+05, 1.2100810361893504e+05,
  1.2103297234314861e+05, 1.2105784234487606e+05, 1.2108271362398617e+05,
  1.2110758618034775e+05, 1.2113246001382964e+05, 1.2115733512430069e+05,
  1.2118221151162982e+05, 1.2120708917568595e+05, 1.2123196811633807e+05,
  1.2125684833345517e+05, 1.2128172982690629e+05, 1.2130661259656049e+05,
  1.2133149664228689e+05, 1.2135638196395461e+05, 1.2138126856143285e+05,
  1.2140615643459078e+05, 1.2143104558329767e+05, 1.2145593600742276e+05,
  1.2148082770683539e+05, 1.2150572068140487e+05, 1.2153061493100057e+05,
  1.2155551045549192e+05, 1.2158040725474835e+05, 1.2160530532863933e+05,
  1.2163020467703436e+05, 1.2165510529980299e+05, 1.2168000719681478e+05,
  1.2170491036793934e+05, 1.2172981481304632e+05, 1.2175472053200539e+05,
  1.2177962752468624e+05, 1.2180453579095862e+05, 1.2182944533069231e+05,
  1.2185435614375710e+05, 1.2187926823002285e+05, 1.2190418158935940e+05,
  1.2192909622163669e+05, 1.2195401212672464e+05, 1.2197892930449323e+05,
  1.2200384775481246e+05, 1.2202876747755238e+05, 1.2205368847258303e+05,
  1.2207861073977455e+05, 1.2210353427899707e+05, 1.2212845909012076e+05,
  1.2215338517301581e+05, 1.2217831252755247e+05, 1.2220324115360099e+05,
  1.2222817105103172e+05, 1.2225310221971494e+05, 1.2227803465952107e+05,
  1.2230296837032049e+05, 1.2232790335198362e+05, 1.2235283960438096e+05,
  1.2237777712738300e+05, 1.2240271592086025e+05, 1.2242765598468333e+05,
  1.2245259731872278e+05, 1.2247753992284928e+05, 1.2250248379693348e+05,
  1.2252742894084606e+05, 1.2255237535445779e+05, 1.2257732303763942e+05,
  1.2260227199026172e+05, 1.2262722221219557e+05, 1.2265217370331181e+05,
  1.2267712646348133e+05, 1.2270208049257506e+05, 1.2272703579046397e+05,
  1.2275199235701906e+05, 1.2277695019211136e+05, 1.2280190929561190e+05,
  1.2282686966739180e+05, 1.2285183130732219e+05, 1.2287679421527422e+05,
  1.2290175839111909e+05, 1.2292672383472799e+05, 1.2295169054597223e+05,
  1.2297665852472307e+05, 1.2300162777085182e+05, 1.2302659828422987e+05,
  1.2305157006472857e+05, 1.2307654311221937e+05, 1.2310151742657372e+05,
  1.2312649300766307e+05, 1.2315146985535898e+05, 1.2317644796953299e+05,
  1.2320142735005668e+05, 1.2322640799680166e+05, 1.2325138990963959e+05,
  1.2327637308844214e+05, 1.2330135753308103e+05, 1.2332634324342800e+05,
  1.2335133021935483e+05, 1.2337631846073334e+05, 1.2340130796743535e+05,
  1.2342629873933276e+05, 1.2345129077629748e+05, 1.2347628407820144e+05,
  1.2350127864491660e+05, 1.2352627447631498e+05, 1.2355127157226863e+05,
  1.2357626993264959e+05, 1.2360126955732999e+05, 1.2362627044618195e+05,
  1.2365127259907764e+05, 1.2367627601588926e+05, 1.2370128069648903e+05,
  1.2372628664074924e+05, 1.2375129384854218e+05, 1.2377630231974016e+05,
  1.2380131205421555e+05, 1.2382632305184075e+05, 1.2385133531248817e+05,
  1.2387634883603029e+05, 1.2390136362233957e+05, 1.2392637967128855e+05,
  1.2395139698274979e+05, 1.2397641555659588e+05, 1.2400143539269941e+05,
  1.2402645649093305e+05, 1.2405147885116948e+05, 1.2407650247328142e+05,
  1.2410152735714160e+05, 1.2412655350262282e+05, 1.2415158090959788e+05,
  1.2417660957793961e+05, 1.2420163950752091e+05, 1.2422667069821467e+05,
  1.2425170314989384e+05, 1.2427673686243138e+05, 1.2430177183570030e+05,
  1.2432680806957364e+05, 1.2435184556392446e+05, 1.2437688431862585e+05,
  1.2440192433355095e+05, 1.2442696560857292e+05, 1.2445200814356498e+05,
  1.2447705193840031e+05, 1.2450209699295220e+05, 1.2452714330709392e+05,
  1.2455219088069882e+05, 1.2457723971364023e+05, 1.2460228980579154e+05,
  1.2462734115702618e+05, 1.2465239376721760e+05, 1.2467744763623926e+05,
  1.2470250276396469e+05, 1.2472755915026742e+05, 1.2475261679502104e+05,
  1.2477767569809916e+05, 1.2480273585937542e+05, 1.2482779727872348e+05,
  1.2485285995601704e+05, 1.2487792389112986e+05, 1.2490298908393568e+05,
  1.2492805553430831e+05, 1.2495312324212160e+05, 1.2497819220724938e+05,
  1.2500326242956554e+05, 1.2502833390894404e+05, 1.2505340664525882e+05,
  1.2507848063838384e+05, 1.2510355588819318e+05, 1.2512863239456083e+05,
  1.2515371015736091e+05, 1.2517878917646752e+05, 1.2520386945175481e+05,
  1.2522895098309696e+05, 1.2525403377036817e+05, 1.2527911781344270e+05,
  1.2530420311219479e+05, 1.2532928966649878e+05, 1.2535437747622898e+05,
  1.2537946654125977e+05, 1.2540455686146552e+05, 1.2542964843672070e+05,
  1.2545474126689974e+05, 1.2547983535187715e+05, 1.2550493069152744e+05,
  1.2553002728572517e+05, 1.2555512513434493e+05, 1.2558022423726133e+05,
  1.2560532459434902e+05, 1.2563042620548270e+05, 1.2565552907053704e+05,
  1.2568063318938682e+05, 1.2570573856190679e+05, 1.2573084518797178e+05,
  1.2575595306745660e+05, 1.2578106220023613e+05, 1.2580617258618528e+05,
  1.2583128422517896e+05, 1.2585639711709213e+05, 1.2588151126179981e+05,
  1.2590662665917698e+05, 1.2593174330909875e+05, 1.2595686121144016e+05,
  1.2598198036607634e+05, 1.2600710077288245e+05, 1.2603222243173365e+05,
  1.2605734534250517e+05, 1.2608246950507225e+05, 1.2610759491931014e+05,
  1.2613272158509417e+05, 1.2615784950229966e+05, 1.2618297867080198e+05,
  1.2620810909047653e+05, 1.2623324076119871e+05, 1.2625837368284403e+05,
  1.2628350785528794e+05, 1.2630864327840599e+05, 1.2633377995207369e+05,
  1.2635891787616667e+05, 1.2638405705056050e+05, 1.2640919747513086e+05,
  1.2643433914975340e+05, 1.2645948207430386e+05, 1.2648462624865794e+05,
  1.2650977167269142e+05, 1.2653491834628010e+05, 1.2656006626929982e+05,
  1.2658521544162642e+05, 1.2661036586313581e+05, 1.2663551753370393e+05,
  1.2666067045320668e+05, 1.2668582462152008e+05, 1.2671098003852014e+05,
  1.2673613670408291e+05, 1.2676129461808444e+05, 1.2678645378040087e+05,
  1.2681161419090834e+05, 1.2683677584948298e+05, 1.2686193875600102e+05,
  1.2688710291033868e+05, 1.2691226831237224e+05, 1.2693743496197795e+05,
  1.2696260285903217e+05, 1.2698777200341123e+05, 1.2701294239499152e+05,
  1.2703811403364947e+05, 1.2706328691926150e+05, 1.2708846105170409e+05,
  1.2711363643085376e+05, 1.2713881305658702e+05, 1.2716399092878048e+05,
  1.2718917004731069e+05, 1.2721435041205429e+05, 1.2723953202288797e+05,
  1.2726471487968838e+05, 1.2728989898233226e+05, 1.2731508433069635e+05,
  1.2734027092465744e+05, 1.2736545876409234e+05, 1.2739064784887788e+05,
  1.2741583817889093e+05, 1.2744102975400841e+05, 1.2746622257410725e+05,
  1.2749141663906439e+05, 1.2751661194875685e+05, 1.2754180850306165e+05,
  1.2756700630185583e+05, 1.2759220534501647e+05, 1.2761740563242070e+05,
  1.2764260716394568e+05, 1.2766780993946856e+05, 1.2769301395886653e+05,
  1.2771821922201688e+05, 1.2774342572879682e+05, 1.2776863347908368e+05,
  1.2779384247275478e+05, 1.2781905270968749e+05, 1.2784426418975917e+05,
  1.2786947691284724e+05, 1.2789469087882918e+05, 1.2791990608758242e+05,
  1.2794512253898452e+05, 1.2797034023291297e+05, 1.2799555916924537e+05,
  1.2802077934785932e+05, 1.2804600076863244e+05, 1.2807122343144237e+05,
  1.2809644733616684e+05, 1.2812167248268353e+05, 1.2814689887087021e+05,
  1.2817212650060465e+05, 1.2819735537176467e+05, 1.2822258548422810e+05,
  1.2824781683787282e+05, 1.2827304943257671e+05, 1.2829828326821771e+05,
  1.2832351834467379e+05, 1.2834875466182294e+05, 1.2837399221954316e+05,
  1.2839923101771252e+05, 1.2842447105620909e+05, 1.2844971233491098e+05,
  1.2847495485369631e+05, 1.2850019861244329e+05, 1.2852544361103009e+05,
  1.2855068984933494e+05, 1.2857593732723613e+05, 1.2860118604461191e+05,
  1.2862643600134061e+05, 1.2865168719730059e+05, 1.2867693963237021e+05,
  1.2870219330642790e+05, 1.2872744821935208e+05, 1.2875270437102125e+05,
  1.2877796176131385e+05, 1.2880322039010846e+05, 1.2882848025728362e+05,
  1.2885374136271792e+05, 1.2887900370628996e+05, 1.2890426728787841e+05,
  1.2892953210736193e+05, 1.2895479816461923e+05, 1.2898006545952905e+05,
  1.2900533399197015e+05, 1.2903060376182134e+05, 1.2905587476896142e+05,
  1.2908114701326926e+05, 1.2910642049462376e+05, 1.2913169521290380e+05,
  1.2915697116798835e+05, 1.2918224835975636e+05, 1.2920752678808685e+05,
  1.2923280645285884e+05, 1.2925808735395141e+05, 1.2928336949124365e+05,
  1.2930865286461466e+05, 1.2933393747394360e+05, 1.2935922331910966e+05,
  1.2938451039999202e+05, 1.2940979871646997e+05, 1.2943508826842274e+05,
  1.2946037905572963e+05, 1.2948567107826998e+05, 1.2951096433592314e+05,
  1.2953625882856851e+05, 1.2956155455608548e+05, 1.2958685151835352e+05,
  1.2961214971525209e+05, 1.2963744914666070e+05, 1.2966274981245887e+05,
  1.2968805171252620e+05, 1.2971335484674224e+05, 1.2973865921498663e+05,
  1.2976396481713903e+05, 1.2978927165307909e+05, 1.2981457972268655e+05,
  1.2983988902584116e+05, 1.2986519956242264e+05, 1.2989051133231082e+05,
  1.2991582433538554e+05, 1.2994113857152662e+05, 1.2996645404061397e+05,
  1.2999177074252750e+05, 1.3001708867714716e+05, 1.3004240784435290e+05,
  1.3006772824402474e+05, 1.3009304987604271e+05, 1.3011837274028687e+05,
  1.3014369683663732e+05, 1.3016902216497416e+05, 1.3019434872517755e+05,
  1.3021967651712766e+05, 1.3024500554070470e+05, 1.3027033579578891e+05,
  1.3029566728226055e+05, 1.3032099999999991e+05, 1.3034633394888733e+05,
  1.3037166912880314e+05, 1.3039700553962773e+05, 1.3042234318124152e+05,
  1.3044768205352494e+05, 1.3047302215635845e+05, 1.3049836348962256e+05,
  1.3052370605319779e+05, 1.3054904984696470e+05, 1.3057439487080388e+05,
  1.3059974112459592e+05, 1.3062508860822149e+05, 1.3065043732156123e+05,
  1.3067578726449587e+05, 1.3070113843690613e+05, 1.3072649083867275e+05,
  1.3075184446967654e+05, 1.3077719932979831e+05, 1.3080255541891890e+05,
  1.3082791273691918e+05, 1.3085327128368006e+05, 1.3087863105908247e+05,
  1.3090399206300738e+05, 1.3092935429533575e+05, 1.3095471775594862e+05,
  1.3098008244472703e+05, 1.3100544836155206e+05, 1.3103081550630482e+05,
  1.3105618387886642e+05, 1.3108155347911804e+05, 1.3110692430694087e+05,
  1.3113229636221612e+05, 1.3115766964482504e+05, 1.3118304415464890e+05,
  1.3120841989156904e+05, 1.3123379685546676e+05, 1.3125917504622342e+05,
  1.3128455446372041e+05, 1.3130993510783918e+05, 1.3133531697846117e+05,
  1.3136070007546784e+05, 1.3138608439874070e+05, 1.3141146994816128e+05,
  1.3143685672361116e+05, 1.3146224472497194e+05, 1.3148763395212521e+05,
  1.3151302440495262e+05, 1.3153841608333588e+05, 1.3156380898715663e+05,
  1.3158920311629670e+05, 1.3161459847063778e+05, 1.3163999505006170e+05,
  1.3166539285445024e+05, 1.3169079188368531e+05, 1.3171619213764873e+05,
  1.3174159361622241e+05, 1.3176699631928830e+05, 1.3179240024672839e+05,
  1.3181780539842462e+05, 1.3184321177425905e+05, 1.3186861937411371e+05,
  1.3189402819787065e+05, 1.3191943824541202e+05, 1.3194484951661993e+05,
  1.3197026201137656e+05, 1.3199567572956407e+05, 1.3202109067106468e+05,
  1.3204650683576067e+05, 1.3207192422353430e+05, 1.3209734283426782e+05,
  1.3212276266784366e+05, 1.3214818372414410e+05, 1.3217360600305157e+05,
  1.3219902950444847e+05, 1.3222445422821722e+05, 1.3224988017424036e+05,
  1.3227530734240031e+05, 1.3230073573257966e+05, 1.3232616534466096e+05,
  1.3235159617852676e+05, 1.3237702823405969e+05, 1.3240246151114244e+05,
  1.3242789600965759e+05, 1.3245333172948789e+05, 1.3247876867051609e+05,
  1.3250420683262491e+05, 1.3252964621569714e+05, 1.3255508681961559e+05,
  1.3258052864426310e+05, 1.3260597168952253e+05, 1.3263141595527678e+05,
  1.3265686144140881e+05, 1.3268230814780149e+05, 1.3270775607433787e+05,
  1.3273320522090094e+05, 1.3275865558737374e+05, 1.3278410717363929e+05,
  1.3280955997958075e+05, 1.3283501400508118e+05, 1.3286046925002377e+05,
  1.3288592571429166e+05, 1.3291138339776811e+05, 1.3293684230033628e+05,
  1.3296230242187946e+05, 1.3298776376228096e+05, 1.3301322632142407e+05,
  1.3303869009919214e+05, 1.3306415509546854e+05, 1.3308962131013666e+05,
  1.3311508874307995e+05, 1.3314055739418184e+05, 1.3316602726332581e+05,
  1.3319149835039541e+05, 1.3321697065527414e+05, 1.3324244417784561e+05,
  1.3326791891799335e+05, 1.3329339487560102e+05, 1.3331887205055228e+05,
  1.3334435044273079e+05, 1.3336983005202023e+05, 1.3339531087830439e+05,
  1.3342079292146701e+05, 1.3344627618139185e+05, 1.3347176065796276e+05,
  1.3349724635106357e+05, 1.3352273326057816e+05, 1.3354822138639039e+05,
  1.3357371072838426e+05, 1.3359920128644365e+05, 1.3362469306045261e+05,
  1.3365018605029510e+05, 1.3367568025585517e+05, 1.3370117567701690e+05,
  1.3372667231366437e+05, 1.3375217016568172e+05, 1.3377766923295305e+05,
  1.3380316951536259e+05, 1.3382867101279454e+05, 1.3385417372513309e+05,
  1.3387967765226253e+05, 1.3390518279406714e+05, 1.3393068915043125e+05,
  1.3395619672123916e+05, 1.3398170550637526e+05, 1.3400721550572399e+05,
  1.3403272671916970e+05, 1.3405823914659690e+05, 1.3408375278789000e+05,
  1.3410926764293358e+05, 1.3413478371161217e+05, 1.3416030099381026e+05,
  1.3418581948941250e+05, 1.3421133919830353e+05, 1.3423686012036790e+05,
  1.3426238225549037e+05, 1.3428790560355558e+05, 1.3431343016444831e+05,
  1.3433895593805326e+05, 1.3436448292425525e+05, 1.3439001112293909e+05,
  1.3441554053398955e+05, 1.3444107115729159e+05, 1.3446660299273001e+05,
  1.3449213604018980e+05, 1.3451767029955584e+05, 1.3454320577071316e+05,
  1.3456874245354676e+05, 1.3459428034794159e+05, 1.3461981945378278e+05,
  1.3464535977095537e+05, 1.3467090129934452e+05, 1.3469644403883530e+05,
  1.3472198798931291e+05, 1.3474753315066252e+05, 1.3477307952276937e+05,
  1.3479862710551871e+05, 1.3482417589879577e+05, 1.3484972590248589e+05,
  1.3487527711647438e+05, 1.3490082954064661e+05, 1.3492638317488792e+05,
  1.3495193801908373e+05, 1.3497749407311951e+05, 1.3500305133688069e+05,
  1.3502860981025276e+05, 1.3505416949312127e+05, 1.3507973038537172e+05,
  1.3510529248688967e+05, 1.3513085579756077e+05, 1.3515642031727062e+05,
  1.3518198604590484e+05, 1.3520755298334916e+05, 1.3523312112948924e+05,
  1.3525869048421088e+05, 1.3528426104739975e+05, 1.3530983281894168e+05,
  1.3533540579872250e+05, 1.3536097998662802e+05, 1.3538655538254412e+05,
  1.3541213198635669e+05, 1.3543770979795168e+05, 1.3546328881721498e+05,
  1.3548886904403262e+05, 1.3551445047829056e+05, 1.3554003311987486e+05,
  1.3556561696867159e+05, 1.3559120202456677e+05, 1.3561678828744654e+05,
  1.3564237575719706e+05, 1.3566796443370447e+05, 1.3569355431685498e+05,
  1.3571914540653475e+05, 1.3574473770263011e+05, 1.3577033120502727e+05,
  1.3579592591361253e+05, 1.3582152182827223e+05, 1.3584711894889272e+05,
  1.3587271727536040e+05, 1.3589831680756161e+05, 1.3592391754538284e+05,
  1.3594951948871053e+05, 1.3597512263743114e+05, 1.3600072699143123e+05,
  1.3602633255059729e+05, 1.3605193931481591e+05, 1.3607754728397369e+05,
  1.3610315645795723e+05, 1.3612876683665317e+05, 1.3615437841994822e+05,
  1.3617999120772901e+05, 1.3620560519988232e+05, 1.3623122039629490e+05,
  1.3625683679685349e+05, 1.3628245440144493e+05, 1.3630807320995603e+05,
  1.3633369322227367e+05, 1.3635931443828469e+05, 1.3638493685787608e+05,
  1.3641056048093468e+05, 1.3643618530734754e+05, 1.3646181133700156e+05,
  1.3648743856978384e+05, 1.3651306700558143e+05, 1.3653869664428130e+05,
  1.3656432748577066e+05, 1.3658995952993655e+05, 1.3661559277666616e+05,
  1.3664122722584667e+05, 1.3666686287736523e+05, 1.3669249973110916e+05,
  1.3671813778696564e+05, 1.3674377704482197e+05, 1.3676941750456547e+05,
  1.3679505916608346e+05, 1.3682070202926331e+05, 1.3684634609399244e+05,
  1.3687199136015819e+05, 1.3689763782764805e+05, 1.3692328549634948e+05,
  1.3694893436614997e+05, 1.3697458443693706e+05, 1.3700023570859825e+05,
  1.3702588818102115e+05, 1.3705154185409332e+05, 1.3707719672770242e+05,
  1.3710285280173609e+05, 1.3712851007608202e+05, 1.3715416855062786e+05,
  1.3717982822526142e+05, 1.3720548909987041e+05, 1.3723115117434258e+05,
  1.3725681444856580e+05, 1.3728247892242789e+05, 1.3730814459581667e+05,
  1.3733381146862009e+05, 1.3735947954072602e+05, 1.3738514881202241e+05,
  1.3741081928239719e+05, 1.3743649095173844e+05, 1.3746216381993407e+05,
  1.3748783788687221e+05, 1.3751351315244089e+05, 1.3753918961652822e+05,
  1.3756486727902229e+05, 1.3759054613981131e+05, 1.3761622619878338e+05,
  1.3764190745582676e+05, 1.3766758991082967e+05, 1.3769327356368033e+05,
  1.3771895841426702e+05, 1.3774464446247809e+05, 1.3777033170820182e+05,
  1.3779602015132661e+05, 1.3782170979174081e+05, 1.3784740062933284e+05,
  1.3787309266399115e+05, 1.3789878589560417e+05, 1.3792448032406042e+05,
  1.3795017594924837e+05, 1.3797587277105660e+05, 1.3800157078937365e+05,
  1.3802727000408815e+05, 1.3805297041508864e+05, 1.3807867202226384e+05,
  1.3810437482550240e+05, 1.3813007882469296e+05, 1.3815578401972432e+05,
  1.3818149041048516e+05, 1.3820719799686430e+05, 1.3823290677875050e+05,
  1.3825861675603263e+05, 1.3828432792859949e+05, 1.3831004029633995e+05,
  1.3833575385914298e+05, 1.3836146861689744e+05, 1.3838718456949232e+05,
  1.3841290171681659e+05, 1.3843862005875923e+05, 1.3846433959520931e+05,
  1.3849006032605586e+05, 1.3851578225118798e+05, 1.3854150537049473e+05,
  1.3856722968386530e+05, 1.3859295519118884e+05, 1.3861868189235451e+05,
  1.3864440978725153e+05, 1.3867013887576913e+05, 1.3869586915779658e+05,
  1.3872160063322316e+05, 1.3874733330193823e+05, 1.3877306716383106e+05,
  1.3879880221879104e+05, 1.3882453846670757e+05, 1.3885027590747006e+05,
  1.3887601454096794e+05, 1.3890175436709070e+05, 1.3892749538572782e+05,
  1.3895323759676880e+05, 1.3897898100010320e+05, 1.3900472559562061e+05,
  1.3903047138321059e+05, 1.3905621836276280e+05, 1.3908196653416683e+05,
  1.3910771589731239e+05, 1.3913346645208917e+05, 1.3915921819838689e+05,
  1.3918497113609532e+05, 1.3921072526510421e+05, 1.3923648058530336e+05,
  1.3926223709658257e+05, 1.3928799479883176e+05, 1.3931375369194071e+05,
  1.3933951377579942e+05, 1.3936527505029776e+05, 1.3939103751532568e+05,
  1.3941680117077316e+05, 1.3944256601653024e+05, 1.3946833205248689e+05,
  1.3949409927853322e+05, 1.3951986769455927e+05, 1.3954563730045516e+05,
  1.3957140809611100e+05, 1.3959718008141697e+05, 1.3962295325626322e+05,
  1.3964872762054001e+05, 1.3967450317413750e+05, 1.3970027991694602e+05,
  1.3972605784885579e+05, 1.3975183696975713e+05, 1.3977761727954043e+05,
  1.3980339877809596e+05, 1.3982918146531415e+05, 1.3985496534108539e+05,
  1.3988075040530015e+05, 1.3990653665784886e+05, 1.3993232409862199e+05,
  1.3995811272751007e+05, 1.3998390254440365e+05, 1.4000969354919327e+05,
  1.4003548574176949e+05, 1.4006127912202294e+05, 1.4008707368984428e+05,
  1.4011286944512415e+05, 1.4013866638775321e+05, 1.4016446451762220e+05,
  1.4019026383462184e+05, 1.4021606433864293e+05, 1.4024186602957622e+05,
  1.4026766890731253e+05, 1.4029347297174268e+05, 1.4031927822275754e+05,
  1.4034508466024802e+05, 1.4037089228410498e+05, 1.4039670109421943e+05,
  1.4042251109048226e+05, 1.4044832227278448e+05, 1.4047413464101712e+05,
  1.4049994819507122e+05, 1.4052576293483781e+05, 1.4055157886020801e+05,
  1.4057739597107290e+05, 1.4060321426732364e+05, 1.4062903374885136e+05,
  1.4065485441554731e+05, 1.4068067626730262e+05, 1.4070649930400858e+05,
  1.4073232352555645e+05, 1.4075814893183750e+05, 1.4078397552274304e+05,
  1.4080980329816442e+05, 1.4083563225799298e+05, 1.4086146240212015e+05,
  1.4088729373043729e+05, 1.4091312624283586e+05, 1.4093895993920733e+05,
  1.4096479481944317e+05, 1.4099063088343487e+05, 1.4101646813107401e+05,
  1.4104230656225214e+05, 1.4106814617686081e+05, 1.4109398697479168e+05,
  1.4111982895593636e+05, 1.4114567212018650e+05, 1.4117151646743377e+05,
  1.4119736199756994e+05, 1.4122320871048668e+05, 1.4124905660607578e+05,
  1.4127490568422904e+05, 1.4130075594483822e+05, 1.4132660738779520e+05,
  1.4135246001299180e+05, 1.4137831382031992e+05, 1.4140416880967148e+05,
  1.4143002498093838e+05, 1.4145588233401260e+05, 1.4148174086878612e+05,
  1.4150760058515094e+05, 1.4153346148299909e+05, 1.4155932356222265e+05,
  1.4158518682271364e+05, 1.4161105126436421e+05, 1.4163691688706650e+05,
  1.4166278369071262e+05, 1.4168865167519479e+05, 1.4171452084040520e+05,
  1.4174039118623605e+05, 1.4176626271257963e+05, 1.4179213541932820e+05,
  1.4181800930637406e+05, 1.4184388437360956e+05, 1.4186976062092700e+05,
  1.4189563804821880e+05, 1.4192151665537735e+05, 1.4194739644229505e+05,
  1.4197327740886438e+05, 1.4199915955497778e+05, 1.4202504288052776e+05,
  1.4205092738540689e+05, 1.4207681306950765e+05, 1.4210269993272264e+05,
  1.4212858797494444e+05, 1.4215447719606571e+05, 1.4218036759597904e+05,
  1.4220625917457714e+05, 1.4223215193175265e+05, 1.4225804586739838e+05,
  1.4228394098140698e+05, 1.4230983727367126e+05, 1.4233573474408401e+05,
  1.4236163339253806e+05, 1.4238753321892620e+05, 1.4241343422314132e+05,
  1.4243933640507635e+05, 1.4246523976462413e+05, 1.4249114430167765e+05,
  1.4251705001612983e+05, 1.4254295690787368e+05, 1.4256886497680223e+05,
  1.4259477422280848e+05, 1.4262068464578551e+05, 1.4264659624562637e+05,
  1.4267250902222423e+05, 1.4269842297547215e+05, 1.4272433810526333e+05,
  1.4275025441149093e+05, 1.4277617189404817e+05, 1.4280209055282827e+05,
  1.4282801038772447e+05, 1.4285393139863008e+05, 1.4287985358543837e+05,
  1.4290577694804268e+05, 1.4293170148633636e+05, 1.4295762720021277e+05,
  1.4298355408956532e+05, 1.4300948215428743e+05, 1.4303541139427255e+05,
  1.4306134180941415e+05, 1.4308727339960571e+05, 1.4311320616474075e+05,
  1.4313914010471283e+05, 1.4316507521941551e+05, 1.4319101150874238e+05,
  1.4321694897258704e+05, 1.4324288761084314e+05, 1.4326882742340435e+05,
  1.4329476841016437e+05, 1.4332071057101688e+05, 1.4334665390585564e+05,
  1.4337259841457437e+05, 1.4339854409706692e+05, 1.4342449095322701e+05,
  1.4345043898294857e+05, 1.4347638818612538e+05, 1.4350233856265133e+05,
  1.4352829011242036e+05, 1.4355424283532638e+05, 1.4358019673126334e+05,
  1.4360615180012520e+05, 1.4363210804180597e+05, 1.4365806545619969e+05,
  1.4368402404320039e+05, 1.4370998380270213e+05, 1.4373594473459900e+05,
  1.4376190683878519e+05, 1.4378787011515474e+05, 1.4381383456360188e+05,
  1.4383980018402080e+05, 1.4386576697630569e+05, 1.4389173494035081e+05,
  1.4391770407605040e+05, 1.4394367438329876e+05, 1.4396964586199020e+05,
  1.4399561851201905e+05, 1.4402159233327967e+05, 1.4404756732566646e+05,
  1.4407354348907378e+05, 1.4409952082339607e+05, 1.4412549932852783e+05,
  1.4415147900436350e+05, 1.4417745985079758e+05, 1.4420344186772458e+05,
  1.4422942505503909e+05, 1.4425540941263564e+05, 1.4428139494040885e+05,
  1.4430738163825331e+05, 1.4433336950606373e+05, 1.4435935854373468e+05,
  1.4438534875116093e+05, 1.4441134012823718e+05, 1.4443733267485813e+05,
  1.4446332639091855e+05, 1.4448932127631325e+05, 1.4451531733093705e+05,
  1.4454131455468474e+05, 1.4456731294745120e+05, 1.4459331250913130e+05,
  1.4461931323961995e+05, 1.4464531513881206e+05, 1.4467131820660262e+05,
  1.4469732244288657e+05, 1.4472332784755889e+05, 1.4474933442051467e+05,
  1.4477534216164888e+05, 1.4480135107085665e+05, 1.4482736114803303e+05,
  1.4485337239307314e+05, 1.4487938480587213e+05, 1.4490539838632516e+05,
  1.4493141313432742e+05, 1.4495742904977410e+05, 1.4498344613256046e+05,
  1.4500946438258173e+05, 1.4503548379973322e+05, 1.4506150438391021e+05,
  1.4508752613500805e+05, 1.4511354905292206e+05, 1.4513957313754765e+05,
  1.4516559838878017e+05, 1.4519162480651509e+05, 1.4521765239064783e+05,
  1.4524368114107384e+05, 1.4526971105768863e+05, 1.4529574214038774e+05,
  1.4532177438906668e+05, 1.4534780780362099e+05, 1.4537384238394629e+05,
  1.4539987812993818e+05, 1.4542591504149229e+05, 1.4545195311850426e+05,
  1.4547799236086980e+05, 1.4550403276848458e+05, 1.4553007434124436e+05,
  1.4555611707904484e+05, 1.4558216098178181e+05, 1.4560820604935108e+05,
  1.4563425228164849e+05, 1.4566029967856981e+05, 1.4568634824001096e+05,
  1.4571239796586783e+05, 1.4573844885603630e+05, 1.4576450091041232e+05,
  1.4579055412889185e+05, 1.4581660851137087e+05, 1.4584266405774537e+05,
  1.4586872076791141e+05, 1.4589477864176501e+05, 1.4592083767920226e+05,
  1.4594689788011924e+05, 1.4597295924441208e+05, 1.4599902177197693e+05,
  1.4602508546270995e+05, 1.4605115031650732e+05, 1.4607721633326527e+05,
  1.4610328351288004e+05, 1.4612935185524789e+05, 1.4615542136026506e+05,
  1.4618149202782792e+05, 1.4620756385783272e+05, 1.4623363685017588e+05,
  1.4625971100475377e+05, 1.4628578632146274e+05, 1.4631186280019928e+05,
  1.4633794044085976e+05, 1.4636401924334071e+05, 1.4639009920753856e+05,
  1.4641618033334985e+05, 1.4644226262067116e+05, 1.4646834606939898e+05,
  1.4649443067942993e+05, 1.4652051645066062e+05, 1.4654660338298764e+05,
  1.4657269147630769e+05, 1.4659878073051741e+05, 1.4662487114551352e+05,
  1.4665096272119274e+05, 1.4667705545745179e+05, 1.4670314935418745e+05,
  1.4672924441129650e+05, 1.4675534062867577e+05, 1.4678143800622207e+05,
  1.4680753654383228e+05, 1.4683363624140329e+05, 1.4685973709883197e+05,
  1.4688583911601527e+05, 1.4691194229285014e+05, 1.4693804662923355e+05,
  1.4696415212506248e+05, 1.4699025878023397e+05, 1.4701636659464505e+05,
  1.4704247556819281e+05, 1.4706858570077427e+05, 1.4709469699228660e+05,
  1.4712080944262692e+05, 1.4714692305169237e+05, 1.4717303781938014e+05,
  1.4719915374558745e+05, 1.4722527083021149e+05, 1.4725138907314953e+05,
  1.4727750847429881e+05, 1.4730362903355664e+05, 1.4732975075082036e+05,
  1.4735587362598727e+05, 1.4738199765895473e+05, 1.4740812284962015e+05,
  1.4743424919788091e+05, 1.4746037670363448e+05, 1.4748650536677826e+05,
  1.4751263518720976e+05, 1.4753876616482646e+05, 1.4756489829952587e+05,
  1.4759103159120557e+05, 1.4761716603976308e+05, 1.4764330164509601e+05,
  1.4766943840710199e+05, 1.4769557632567859e+05, 1.4772171540072354e+05,
  1.4774785563213445e+05, 1.4777399701980909e+05, 1.4780013956364512e+05,
  1.4782628326354033e+05, 1.4785242811939248e+05, 1.4787857413109933e+05,
  1.4790472129855872e+05, 1.4793086962166851e+05, 1.4795701910032652e+05,
  1.4798316973443062e+05, 1.4800932152387875e+05, 1.4803547446856883e+05,
  1.4806162856839882e+05, 1.4808778382326665e+05, 1.4811394023307035e+05,
  1.4814009779770792e+05, 1.4816625651707739e+05, 1.4819241639107687e+05,
  1.4821857741960438e+05, 1.4824473960255808e+05, 1.4827090293983606e+05,
  1.4829706743133650e+05, 1.4832323307695755e+05, 1.4834939987659742e+05,
  1.4837556783015432e+05, 1.4840173693752653e+05, 1.4842790719861226e+05,
  1.4845407861330983e+05, 1.4848025118151752e+05, 1.4850642490313368e+05,
  1.4853259977805667e+05, 1.4855877580618486e+05, 1.4858495298741665e+05,
  1.4861113132165043e+05, 1.4863731080878471e+05, 1.4866349144871789e+05,
  1.4868967324134850e+05, 1.4871585618657502e+05, 1.4874204028429600e+05,
  1.4876822553440998e+05, 1.4879441193681557e+05, 1.4882059949141133e+05,
  1.4884678819809589e+05, 1.4887297805676793e+05, 1.4889916906732606e+05,
  1.4892536122966901e+05, 1.4895155454369547e+05, 1.4897774900930419e+05,
  1.4900394462639390e+05, 1.4903014139486340e+05, 1.4905633931461151e+05,
  1.4908253838553699e+05, 1.4910873860753875e+05, 1.4913493998051560e+05,
  1.4916114250436646e+05, 1.4918734617899026e+05, 1.4921355100428590e+05,
  1.4923975698015234e+05, 1.4926596410648854e+05, 1.4929217238319354e+05,
  1.4931838181016635e+05, 1.4934459238730598e+05, 1.4937080411451156e+05,
  1.4939701699168212e+05, 1.4942323101871679e+05, 1.4944944619551473e+05,
  1.4947566252197503e+05, 1.4950187999799693e+05, 1.4952809862347960e+05,
  1.4955431839832227e+05, 1.4958053932242419e+05, 1.4960676139568459e+05,
  1.4963298461800278e+05, 1.4965920898927809e+05, 1.4968543450940982e+05,
  1.4971166117829733e+05, 1.4973788899584001e+05, 1.4976411796193724e+05,
  1.4979034807648844e+05, 1.4981657933939309e+05, 1.4984281175055061e+05,
  1.4986904530986046e+05, 1.4989528001722222e+05, 1.4992151587253538e+05,
  1.4994775287569952e+05, 1.4997399102661415e+05, 1.5000023032517891e+05,
  1.5002647077129342e+05, 1.5005271236485732e+05, 1.5007895510577026e+05,
  1.5010519899393190e+05, 1.5013144402924200e+05, 1.5015769021160025e+05,
  1.5018393754090639e+05, 1.5021018601706024e+05, 1.5023643563996154e+05,
  1.5026268640951012e+05, 1.5028893832560582e+05, 1.5031519138814852e+05,
  1.5034144559703805e+05, 1.5036770095217437e+05, 1.5039395745345735e+05,
  1.5042021510078697e+05, 1.5044647389406321e+05, 1.5047273383318601e+05,
  1.5049899491805542e+05, 1.5052525714857146e+05, 1.5055152052463419e+05,
  1.5057778504614369e+05, 1.5060405071300003e+05, 1.5063031752510337e+05,
  1.5065658548235384e+05, 1.5068285458465159e+05, 1.5070912483189680e+05,
  1.5073539622398972e+05, 1.5076166876083051e+05, 1.5078794244231950e+05,
  1.5081421726835691e+05, 1.5084049323884302e+05, 1.5086677035367821e+05,
  1.5089304861276277e+05, 1.5091932801599705e+05, 1.5094560856328148e+05,
  1.5097189025451642e+05, 1.5099817308960229e+05, 1.5102445706843957e+05,
  1.5105074219092872e+05, 1.5107702845697021e+05, 1.5110331586646455e+05,
  1.5112960441931229e+05, 1.5115589411541400e+05, 1.5118218495467020e+05,
  1.5120847693698155e+05, 1.5123477006224863e+05, 1.5126106433037209e+05,
  1.5128735974125259e+05, 1.5131365629479082e+05, 1.5133995399088747e+05,
  1.5136625282944329e+05, 1.5139255281035902e+05, 1.5141885393353543e+05,
  1.5144515619887330e+05, 1.5147145960627345e+05, 1.5149776415563675e+05,
  1.5152406984686397e+05, 1.5155037667985607e+05, 1.5157668465451393e+05,
  1.5160299377073845e+05, 1.5162930402843058e+05, 1.5165561542749128e+05,
  1.5168192796782157e+05, 1.5170824164932242e+05, 1.5173455647189484e+05,
  1.5176087243543993e+05, 1.5178718953985872e+05, 1.5181350778505235e+05,
  1.5183982717092187e+05, 1.5186614769736846e+05, 1.5189246936429327e+05,
  1.5191879217159748e+05, 1.5194511611918229e+05, 1.5197144120694889e+05,
  1.5199776743479856e+05, 1.5202409480263255e+05, 1.5205042331035214e+05,
  1.5207675295785864e+05, 1.5210308374505339e+05, 1.5212941567183772e+05,
  1.5215574873811303e+05, 1.5218208294378067e+05, 1.5220841828874208e+05,
  1.5223475477289871e+05, 1.5226109239615197e+05, 1.5228743115840337e+05,
  1.5231377105955439e+05, 1.5234011209950657e+05, 1.5236645427816146e+05,
  1.5239279759542056e+05, 1.5241914205118554e+05, 1.5244548764535793e+05,
  1.5247183437783940e+05, 1.5249818224853161e+05, 1.5252453125733617e+05,
  1.5255088140415482e+05, 1.5257723268888926e+05, 1.5260358511144121e+05,
  1.5262993867171241e+05, 1.5265629336960468e+05, 1.5268264920501978e+05,
  1.5270900617785956e+05, 1.5273536428802583e+05, 1.5276172353542043e+05,
  1.5278808391994529e+05, 1.5281444544150229e+05, 1.5284080809999333e+05,
  1.5286717189532038e+05, 1.5289353682738543e+05, 1.5291990289609041e+05,
  1.5294627010133737e+05, 1.5297263844302832e+05, 1.5299900792106529e+05,
  1.5302537853535041e+05, 1.5305175028578570e+05, 1.5307812317227334e+05,
  1.5310449719471540e+05, 1.5313087235301410e+05, 1.5315724864707157e+05,
  1.5318362607679001e+05, 1.5321000464207167e+05, 1.5323638434281875e+05,
  1.5326276517893354e+05, 1.5328914715031828e+05, 1.5331553025687535e+05,
  1.5334191449850702e+05, 1.5336829987511560e+05, 1.5339468638660354e+05,
  1.5342107403287315e+05, 1.5344746281382689e+05, 1.5347385272936718e+05,
  1.5350024377939643e+05, 1.5352663596381716e+05, 1.5355302928253182e+05,
  1.5357942373544295e+05, 1.5360581932245308e+05, 1.5363221604346478e+05,
  1.5365861389838057e+05, 1.5368501288710310e+05, 1.5371141300953497e+05,
  1.5373781426557881e+05, 1.5376421665513728e+05, 1.5379062017811305e+05,
  1.5381702483440886e+05, 1.5384343062392739e+05, 1.5386983754657139e+05,
  1.5389624560224367e+05, 1.5392265479084692e+05, 1.5394906511228404e+05,
  1.5397547656645780e+05, 1.5400188915327107e+05, 1.5402830287262669e+05,
  1.5405471772442761e+05, 1.5408113370857667e+05, 1.5410755082497682e+05,
  1.5413396907353101e+05, 1.5416038845414223e+05, 1.5418680896671346e+05,
  1.5421323061114774e+05, 1.5423965338734805e+05, 1.5426607729521746e+05,
  1.5429250233465908e+05, 1.5431892850557598e+05, 1.5434535580787127e+05,
  1.5437178424144810e+05, 1.5439821380620965e+05, 1.5442464450205903e+05,
  1.5445107632889951e+05, 1.5447750928663427e+05, 1.5450394337516659e+05,
  1.5453037859439969e+05, 1.5455681494423689e+05, 1.5458325242458144e+05,
  1.5460969103533673e+05, 1.5463613077640603e+05, 1.5466257164769279e+05,
  1.5468901364910032e+05, 1.5471545678053208e+05, 1.5474190104189145e+05,
  1.5476834643308193e+05, 1.5479479295400696e+05, 1.5482124060457002e+05,
  1.5484768938467462e+05, 1.5487413929422433e+05, 1.5490059033312264e+05,
  1.5492704250127316e+05, 1.5495349579857948e+05, 1.5497995022494521e+05,
  1.5500640578027396e+05, 1.5503286246446942e+05, 1.5505932027743524e+05,
  1.5508577921907514e+05, 1.5511223928929280e+05, 1.5513870048799197e+05,
  1.5516516281507642e+05, 1.5519162627044989e+05, 1.5521809085401625e+05,
  1.5524455656567923e+05, 1.5527102340534274e+05, 1.5529749137291059e+05,
  1.5532396046828668e+05, 1.5535043069137490e+05, 1.5537690204207919e+05,
  1.5540337452030348e+05, 1.5542984812595171e+05, 1.5545632285892789e+05,
  1.5548279871913602e+05, 1.5550927570648011e+05, 1.5553575382086422e+05,
  1.5556223306219239e+05, 1.5558871343036872e+05, 1.5561519492529731e+05,
  1.5564167754688227e+05, 1.5566816129502779e+05, 1.5569464616963797e+05,
  1.5572113217061706e+05, 1.5574761929786921e+05, 1.5577410755129869e+05,
  1.5580059693080973e+05, 1.5582708743630661e+05, 1.5585357906769359e+05,
  1.5588007182487496e+05, 1.5590656570775513e+05, 1.5593306071623837e+05,
  1.5595955685022910e+05, 1.5598605410963166e+05, 1.5601255249435050e+05,
  1.5603905200429002e+05, 1.5606555263935472e+05, 1.5609205439944900e+05,
  1.5611855728447740e+05, 1.5614506129434443e+05, 1.5617156642895460e+05,
  1.5619807268821247e+05, 1.5622458007202260e+05, 1.5625108858028959e+05,
  1.5627759821291809e+05, 1.5630410896981266e+05, 1.5633062085087801e+05,
  1.5635713385601880e+05, 1.5638364798513969e+05, 1.5641016323814544e+05,
  1.5643667961494075e+05, 1.5646319711543040e+05, 1.5648971573951913e+05,
  1.5651623548711176e+05, 1.5654275635811311e+05, 1.5656927835242799e+05,
  1.5659580146996127e+05, 1.5662232571061782e+05, 1.5664885107430254e+05,
  1.5667537756092031e+05, 1.5670190517037612e+05, 1.5672843390257491e+05,
  1.5675496375742162e+05, 1.5678149473482129e+05, 1.5680802683467889e+05,
  1.5683456005689953e+05, 1.5686109440138817e+05, 1.5688762986804993e+05,
  1.5691416645678994e+05, 1.5694070416751326e+05, 1.5696724300012505e+05,
  1.5699378295453047e+05, 1.5702032403063469e+05, 1.5704686622834290e+05,
  1.5707340954756032e+05, 1.5709995398819220e+05, 1.5712649955014378e+05,
  1.5715304623332032e+05, 1.5717959403762716e+05, 1.5720614296296958e+05,
  1.5723269300925292e+05, 1.5725924417638258e+05, 1.5728579646426387e+05,
  1.5731234987280221e+05, 1.5733890440190304e+05, 1.5736546005147175e+05,
  1.5739201682141385e+05, 1.5741857471163478e+05, 1.5744513372204005e+05,
  1.5747169385253513e+05, 1.5749825510302564e+05, 1.5752481747341706e+05,
  1.5755138096361503e+05, 1.5757794557352510e+05, 1.5760451130305286e+05,
  1.5763107815210402e+05, 1.5765764612058416e+05, 1.5768421520839902e+05,
  1.5771078541545427e+05, 1.5773735674165559e+05, 1.5776392918690876e+05,
  1.5779050275111952e+05, 1.5781707743419363e+05, 1.5784365323603692e+05,
  1.5787023015655516e+05, 1.5789680819565422e+05, 1.5792338735323990e+05,
  1.5794996762921812e+05, 1.5797654902349479e+05, 1.5800313153597576e+05,
  1.5802971516656701e+05, 1.5805629991517449e+05, 1.5808288578170416e+05,
  1.5810947276606198e+05, 1.5813606086815402e+05, 1.5816265008788629e+05,
  1.5818924042516484e+05, 1.5821583187989573e+05, 1.5824242445198505e+05,
  1.5826901814133892e+05, 1.5829561294786347e+05, 1.5832220887146486e+05,
  1.5834880591204923e+05, 1.5837540406952280e+05, 1.5840200334379176e+05,
  1.5842860373476235e+05, 1.5845520524234080e+05, 1.5848180786643337e+05,
  1.5850841160694641e+05, 1.5853501646378616e+05, 1.5856162243685898e+05,
  1.5858822952607120e+05, 1.5861483773132920e+05, 1.5864144705253936e+05,
  1.5866805748960807e+05, 1.5869466904244179e+05, 1.5872128171094693e+05,
  1.5874789549502998e+05, 1.5877451039459740e+05, 1.5880112640955573e+05,
  1.5882774353981143e+05, 1.5885436178527112e+05, 1.5888098114584130e+05,
  1.5890760162142856e+05, 1.5893422321193956e+05, 1.5896084591728085e+05,
  1.5898746973735909e+05, 1.5901409467208097e+05, 1.5904072072135314e+05,
  1.5906734788508230e+05, 1.5909397616317519e+05, 1.5912060555553852e+05,
  1.5914723606207906e+05, 1.5917386768270360e+05, 1.5920050041731889e+05,
  1.5922713426583182e+05, 1.5925376922814918e+05, 1.5928040530417781e+05,
  1.5930704249382461e+05, 1.5933368079699649e+05, 1.5936032021360032e+05,
  1.5938696074354305e+05, 1.5941360238673165e+05, 1.5944024514307309e+05,
  1.5946688901247433e+05, 1.5949353399484244e+05, 1.5952018009008438e+05,
  1.5954682729810724e+05, 1.5957347561881805e+05, 1.5960012505212397e+05,
  1.5962677559793202e+05, 1.5965342725614941e+05, 1.5968008002668325e+05,
  1.5970673390944069e+05, 1.5973338890432892e+05, 1.5976004501125516e+05,
  1.5978670223012666e+05, 1.5981336056085059e+05, 1.5984002000333427e+05,
  1.5986668055748497e+05, 1.5989334222320997e+05, 1.5992000500041663e+05,
  1.5994666888901225e+05, 1.5997333388890422e+05, 1.5999999999999988e+05,
  1.6002666722220668e+05, 1.6005333555543202e+05, 1.6008000499958330e+05,
  1.6010667555456801e+05, 1.6013334722029360e+05, 1.6016001999666760e+05,
  1.6018669388359750e+05, 1.6021336888099083e+05, 1.6024004498875517e+05,
  1.6026672220679806e+05, 1.6029340053502709e+05, 1.6032007997334987e+05,
  1.6034676052167406e+05, 1.6037344217990729e+05, 1.6040012494795720e+05,
  1.6042680882573151e+05, 1.6045349381313793e+05, 1.6048017991008417e+05,
  1.6050686711647795e+05, 1.6053355543222709e+05, 1.6056024485723933e+05,
  1.6058693539142248e+05, 1.6061362703468435e+05, 1.6064031978693281e+05,
  1.6066701364807569e+05, 1.6069370861802087e+05, 1.6072040469667627e+05,
  1.6074710188394980e+05, 1.6077380017974938e+05, 1.6080049958398298e+05,
  1.6082720009655855e+05, 1.6085390171738411e+05, 1.6088060444636765e+05,
  1.6090730828341722e+05, 1.6093401322844086e+05, 1.6096071928134665e+05,
  1.6098742644204269e+05, 1.6101413471043704e+05, 1.6104084408643784e+05,
  1.6106755456995327e+05, 1.6109426616089148e+05, 1.6112097885916062e+05,
  1.6114769266466892e+05, 1.6117440757732463e+05, 1.6120112359703594e+05,
  1.6122784072371112e+05, 1.6125455895725847e+05, 1.6128127829758628e+05,
  1.6130799874460287e+05, 1.6133472029821656e+05, 1.6136144295833571e+05,
  1.6138816672486870e+05, 1.6141489159772391e+05, 1.6144161757680977e+05,
  1.6146834466203468e+05, 1.6149507285330712e+05, 1.6152180215053557e+05,
  1.6154853255362847e+05, 1.6157526406249436e+05, 1.6160199667704175e+05,
  1.6162873039717920e+05, 1.6165546522281526e+05, 1.6168220115385848e+05,
  1.6170893819021754e+05, 1.6173567633180099e+05, 1.6176241557851751e+05,
  1.6178915593027571e+05, 1.6181589738698432e+05, 1.6184263994855201e+05,
  1.6186938361488748e+05, 1.6189612838589950e+05, 1.6192287426149679e+05,
  1.6194962124158812e+05, 1.6197636932608229e+05, 1.6200311851488810e+05,
  1.6202986880791440e+05, 1.6205662020507001e+05, 1.6208337270626382e+05,
  1.6211012631140469e+05, 1.6213688102040152e+05, 1.6216363683316324e+05,
  1.6219039374959879e+05, 1.6221715176961711e+05, 1.6224391089312723e+05,
  1.6227067112003808e+05, 1.6229743245025873e+05, 1.6232419488369819e+05,
  1.6235095842026550e+05, 1.6237772305986975e+05, 1.6240448880242003e+05,
  1.6243125564782543e+05, 1.6245802359599507e+05, 1.6248479264683815e+05,
  1.6251156280026378e+05, 1.6253833405618116e+05, 1.6256510641449949e+05,
  1.6259187987512801e+05, 1.6261865443797593e+05, 1.6264543010295252e+05,
  1.6267220686996708e+05, 1.6269898473892888e+05, 1.6272576370974723e+05,
  1.6275254378233149e+05, 1.6277932495659095e+05, 1.6280610723243505e+05,
  1.6283289060977317e+05, 1.6285967508851466e+05, 1.6288646066856902e+05,
  1.6291324734984562e+05, 1.6294003513225401e+05, 1.6296682401570358e+05,
  1.6299361400010390e+05, 1.6302040508536444e+05, 1.6304719727139481e+05,
  1.6307399055810447e+05, 1.6310078494540305e+05, 1.6312758043320014e+05,
  1.6315437702140535e+05, 1.6318117470992831e+05, 1.6320797349867865e+05,
  1.6323477338756606e+05, 1.6326157437650024e+05, 1.6328837646539087e+05,
  1.6331517965414765e+05, 1.6334198394268038e+05, 1.6336878933089875e+05,
  1.6339559581871261e+05, 1.6342240340603172e+05, 1.6344921209276590e+05,
  1.6347602187882498e+05, 1.6350283276411882e+05, 1.6352964474855730e+05,
  1.6355645783205028e+05, 1.6358327201450770e+05, 1.6361008729583945e+05,
  1.6363690367595552e+05, 1.6366372115476584e+05, 1.6369053973218042e+05,
  1.6371735940810922e+05, 1.6374418018246230e+05, 1.6377100205514964e+05,
  1.6379782502608138e+05, 1.6382464909516752e+05, 1.6385147426231820e+05,
  1.6387830052744350e+05, 1.6390512789045356e+05, 1.6393195635125853e+05,
  1.6395878590976857e+05, 1.6398561656589387e+05, 1.6401244831954464e+05,
  1.6403928117063109e+05, 1.6406611511906344e+05, 1.6409295016475199e+05,
  1.6411978630760699e+05, 1.6414662354753874e+05, 1.6417346188445756e+05,
  1.6420030131827376e+05, 1.6422714184889771e+05, 1.6425398347623978e+05,
  1.6428082620021031e+05, 1.6430767002071979e+05, 1.6433451493767856e+05,
  1.6436136095099710e+05, 1.6438820806058586e+05, 1.6441505626635533e+05,
  1.6444190556821600e+05, 1.6446875596607837e+05, 1.6449560745985300e+05,
  1.6452246004945040e+05, 1.6454931373478117e+05, 1.6457616851575591e+05,
  1.6460302439228518e+05, 1.6462988136427966e+05, 1.6465673943164991e+05,
  1.6468359859430668e+05, 1.6471045885216061e+05, 1.6473732020512238e+05,
  1.6476418265310270e+05, 1.6479104619601235e+05, 1.6481791083376206e+05,
  1.6484477656626256e+05, 1.6487164339342469e+05, 1.6489851131515924e+05,
  1.6492538033137703e+05, 1.6495225044198890e+05, 1.6497912164690570e+05,
  1.6500599394603830e+05, 1.6503286733929763e+05, 1.6505974182659460e+05,
  1.6508661740784015e+05, 1.6511349408294520e+05, 1.6514037185182070e+05,
  1.6516725071437770e+05, 1.6519413067052717e+05, 1.6522101172018013e+05,
  1.6524789386324762e+05, 1.6527477709964072e+05, 1.6530166142927049e+05,
  1.6532854685204802e+05, 1.6535543336788446e+05, 1.6538232097669088e+05,
  1.6540920967837848e+05, 1.6543609947285842e+05, 1.6546299036004188e+05,
  1.6548988233984006e+05, 1.6551677541216419e+05
};

static const double power14[372] = {
  6.2803698347351007e-16, 7.4686604923154443e-16, 8.8817841970012523e-16,
  1.0562280960992619e-15, 1.2560739669470201e-15, 1.4937320984630889e-15,
  1.7763568394002505e-15, 2.1124561921985237e-15, 2.5121479338940403e-15,
  2.9874641969261777e-15, 3.5527136788005009e-15, 4.2249123843970474e-15,
  5.0242958677880805e-15, 5.9749283938523554e-15, 7.1054273576010019e-15,
  8.4498247687940948e-15, 1.0048591735576161e-14, 1.1949856787704711e-14,
  1.4210854715202004e-14, 1.6899649537588190e-14, 2.0097183471152322e-14,
  2.3899713575409422e-14, 2.8421709430404007e-14, 3.3799299075176379e-14,
  4.0194366942304644e-14, 4.7799427150818843e-14, 5.6843418860808015e-14,
  6.7598598150352758e-14, 8.0388733884609289e-14, 9.5598854301637687e-14,
  1.1368683772161603e-13, 1.3519719630070552e-13, 1.6077746776921858e-13,
  1.9119770860327537e-13, 2.2737367544323206e-13, 2.7039439260141103e-13,
  3.2155493553843715e-13, 3.8239541720655075e-13, 4.5474735088646412e-13,
  5.4078878520282207e-13, 6.4310987107687431e-13, 7.6479083441310149e-13,
  9.0949470177292824e-13, 1.0815775704056441e-12, 1.2862197421537486e-12,
  1.5295816688262030e-12, 1.8189894035458565e-12, 2.1631551408112883e-12,
  2.5724394843074972e-12, 3.0591633376524060e-12, 3.6379788070917130e-12,
  4.3263102816225765e-12, 5.1448789686149945e-12, 6.1183266753048120e-12,
  7.2759576141834259e-12, 8.6526205632451531e-12, 1.0289757937229989e-11,
  1.2236653350609624e-11, 1.4551915228366852e-11, 1.7305241126490306e-11,
  2.0579515874459978e-11, 2.4473306701219248e-11, 2.9103830456733704e-11,
  3.4610482252980612e-11, 4.1159031748919956e-11, 4.8946613402438496e-11,
  5.8207660913467407e-11, 6.9220964505961225e-11, 8.2318063497839911e-11,
  9.7893226804876991e-11, 1.1641532182693481e-10, 1.3844192901192245e-10,
  1.6463612699567982e-10, 1.9578645360975398e-10, 2.3283064365386963e-10,
  2.7688385802384490e-10, 3.2927225399135965e-10, 3.9157290721950797e-10,
  4.6566128730773926e-10, 5.5376771604768980e-10, 6.5854450798271929e-10,
  7.8314581443901593e-10, 9.3132257461547852e-10, 1.1075354320953796e-09,
  1.3170890159654386e-09, 1.5662916288780319e-09, 1.8626451492309570e-09,
  2.2150708641907592e-09, 2.6341780319308772e-09, 3.1325832577560637e-09,
  3.7252902984619141e-09, 4.4301417283815184e-09, 5.2683560638617543e-09,
  6.2651665155121274e-09, 7.4505805969238281e-09, 8.8602834567630367e-09,
  1.0536712127723509e-08, 1.2530333031024255e-08, 1.4901161193847656e-08,
  1.7720566913526073e-08, 2.1073424255447017e-08, 2.5060666062048510e-08,
  2.9802322387695312e-08, 3.5441133827052147e-08, 4.2146848510894035e-08,
  5.0121332124097020e-08, 5.9604644775390625e-08, 7.0882267654104294e-08,
  8.4293697021788069e-08, 1.0024266424819404e-07, 1.1920928955078125e-07,
  1.4176453530820859e-07, 1.6858739404357614e-07, 2.0048532849638808e-07,
  2.3841857910156250e-07, 2.8352907061641718e-07, 3.3717478808715228e-07,
  4.0097065699277616e-07, 4.7683715820312500e-07, 5.6705814123283435e-07,
  6.7434957617430455e-07, 8.0194131398555231e-07, 9.5367431640625000e-07,
  1.1341162824656687e-06, 1.3486991523486091e-06, 1.6038826279711046e-06,
  1.9073486328125000e-06, 2.2682325649313374e-06, 2.6973983046972182e-06,
  3.2077652559422093e-06, 3.8146972656250000e-06, 4.5364651298626748e-06,
  5.3947966093944364e-06, 6.4155305118844185e-06, 7.6293945312500000e-06,
  9.0729302597253496e-06, 1.0789593218788873e-05, 1.2831061023768837e-05,
  1.5258789062500000e-05, 1.8145860519450699e-05, 2.1579186437577746e-05,
  2.5662122047537674e-05, 3.0517578125000000e-05, 3.6291721038901399e-05,
  4.3158372875155492e-05, 5.1324244095075348e-05, 6.1035156250000000e-05,
  7.2583442077802797e-05, 8.6316745750310983e-05, 1.0264848819015070e-04,
  1.2207031250000000e-04, 1.4516688415560559e-04, 1.7263349150062197e-04,
  2.0529697638030139e-04, 2.4414062500000000e-04, 2.9033376831121119e-04,
  3.4526698300124393e-04, 4.1059395276060278e-04, 4.8828125000000000e-04,
  5.8066753662242238e-04, 6.9053396600248786e-04, 8.2118790552120557e-04,
  9.7656250000000000e-04, 1.1613350732448448e-03, 1.3810679320049757e-03,
  1.6423758110424111e-03, 1.9531250000000000e-03, 2.3226701464896895e-03,
  2.7621358640099515e-03, 3.2847516220848223e-03, 3.9062500000000000e-03,
  4.6453402929793790e-03, 5.5242717280199029e-03, 6.5695032441696445e-03,
  7.8125000000000000e-03, 9.2906805859587580e-03, 1.1048543456039806e-02,
  1.3139006488339289e-02, 1.5625000000000000e-02, 1.8581361171917516e-02,
  2.2097086912079612e-02, 2.6278012976678578e-02, 3.1250000000000000e-02,
  3.7162722343835032e-02, 4.4194173824159223e-02, 5.2556025953357156e-02,
  6.2500000000000000e-02, 7.4325444687670064e-02, 8.8388347648318447e-02,
  1.0511205190671431e-01, 1.2500000000000000e-01, 1.4865088937534013e-01,
  1.7677669529663689e-01, 2.1022410381342863e-01, 2.5000000000000000e-01,
  2.9730177875068026e-01, 3.5355339059327379e-01, 4.2044820762685725e-01,
  5.0000000000000000e-01, 5.9460355750136051e-01, 7.0710678118654757e-01,
  8.4089641525371450e-01, 1.0000000000000000e+00, 1.1892071150027210e+00,
  1.4142135623730951e+00, 1.6817928305074290e+00, 2.0000000000000000e+00,
  2.3784142300054421e+00, 2.8284271247461903e+00, 3.3635856610148580e+00,
  4.0000000000000000e+00, 4.7568284600108841e+00, 5.6568542494923806e+00,
  6.7271713220297160e+00, 8.0000000000000000e+00, 9.5136569200217682e+00,
  1.1313708498984761e+01, 1.3454342644059432e+01, 1.6000000000000000e+01,
  1.9027313840043536e+01, 2.2627416997969522e+01, 2.6908685288118864e+01,
  3.2000000000000000e+01, 3.8054627680087073e+01, 4.5254833995939045e+01,
  5.3817370576237728e+01, 6.4000000000000000e+01, 7.6109255360174146e+01,
  9.0509667991878089e+01, 1.0763474115247546e+02, 1.2800000000000000e+02,
  1.5221851072034829e+02, 1.8101933598375618e+02, 2.1526948230495091e+02,
  2.5600000000000000e+02, 3.0443702144069658e+02, 3.6203867196751236e+02,
  4.3053896460990183e+02, 5.1200000000000000e+02, 6.0887404288139317e+02,
  7.2407734393502471e+02, 8.6107792921980365e+02, 1.0240000000000000e+03,
  1.2177480857627863e+03, 1.4481546878700494e+03, 1.7221558584396073e+03,
  2.0480000000000000e+03, 2.4354961715255727e+03, 2.8963093757400989e+03,
  3.4443117168792146e+03, 4.0960000000000000e+03, 4.8709923430511453e+03,
  5.7926187514801977e+03, 6.8886234337584292e+03, 8.1920000000000000e+03,
  9.7419846861022907e+03, 1.1585237502960395e+04, 1.3777246867516858e+04,
  1.6384000000000000e+04, 1.9483969372204581e+04, 2.3170475005920791e+04,
  2.7554493735033717e+04, 3.2768000000000000e+04, 3.8967938744409163e+04,
  4.6340950011841582e+04, 5.5108987470067434e+04, 6.5536000000000000e+04,
  7.7935877488818325e+04, 9.2681900023683163e+04, 1.1021797494013487e+05,
  1.3107200000000000e+05, 1.5587175497763665e+05, 1.8536380004736633e+05,
  2.2043594988026973e+05, 2.6214400000000000e+05, 3.1174350995527330e+05,
  3.7072760009473265e+05, 4.4087189976053947e+05, 5.2428800000000000e+05,
  6.2348701991054660e+05, 7.4145520018946531e+05, 8.8174379952107894e+05,
  1.0485760000000000e+06, 1.2469740398210932e+06, 1.4829104003789306e+06,
  1.7634875990421579e+06, 2.0971520000000000e+06, 2.4939480796421864e+06,
  2.9658208007578612e+06, 3.5269751980843158e+06, 4.1943040000000000e+06,
  4.9878961592843728e+06, 5.9316416015157225e+06, 7.0539503961686315e+06,
  8.3886080000000000e+06, 9.9757923185687456e+06, 1.1863283203031445e+07,
  1.4107900792337263e+07, 1.6777216000000000e+07, 1.9951584637137491e+07,
  2.3726566406062890e+07, 2.8215801584674526e+07, 3.3554432000000000e+07,
  3.9903169274274983e+07, 4.7453132812125780e+07, 5.6431603169349052e+07,
  6.7108864000000000e+07, 7.9806338548549965e+07, 9.4906265624251559e+07,
  1.1286320633869810e+08, 1.3421772800000000e+08, 1.5961267709709993e+08,
  1.8981253124850312e+08, 2.2572641267739621e+08, 2.6843545600000000e+08,
  3.1922535419419986e+08, 3.7962506249700624e+08, 4.5145282535479242e+08,
  5.3687091200000000e+08, 6.3845070838839972e+08, 7.5925012499401248e+08,
  9.0290565070958483e+08, 1.0737418240000000e+09, 1.2769014167767994e+09,
  1.5185002499880250e+09, 1.8058113014191697e+09, 2.1474836480000000e+09,
  2.5538028335535989e+09, 3.0370004999760499e+09, 3.6116226028383393e+09,
  4.2949672960000000e+09, 5.1076056671071978e+09, 6.0740009999520998e+09,
  7.2232452056766787e+09, 8.5899345920000000e+09, 1.0215211334214396e+10,
  1.2148001999904200e+10, 1.4446490411353357e+10, 1.7179869184000000e+10,
  2.0430422668428791e+10, 2.4296003999808399e+10, 2.8892980822706715e+10,
  3.4359738368000000e+10, 4.0860845336857582e+10, 4.8592007999616798e+10,
  5.7785961645413429e+10, 6.8719476736000000e+10, 8.1721690673715164e+10,
  9.7184015999233597e+10, 1.1557192329082686e+11, 1.3743895347200000e+11,
  1.6344338134743033e+11, 1.9436803199846719e+11, 2.3114384658165372e+11,
  2.7487790694400000e+11, 3.2688676269486066e+11, 3.8873606399693439e+11,
  4.6228769316330743e+11, 5.4975581388800000e+11, 6.5377352538972131e+11,
  7.7747212799386877e+11, 9.2457538632661487e+11, 1.0995116277760000e+12,
  1.3075470507794426e+12, 1.5549442559877375e+12, 1.8491507726532297e+12,
  2.1990232555520000e+12, 2.6150941015588853e+12, 3.1098885119754751e+12,
  3.6983015453064595e+12, 4.3980465111040000e+12, 5.2301882031177705e+12
};

static const double intensity_factor[7] = {
  1.000000000000000, 0.788675134594813, 0.633974596215561,
  0.500000000000000, 0.366025403784439, 0.211324865405187,
  0.000000000000000
};

static const struct
{
  double c;
  double d;
} alias_coefficients[8] = {
  {
  8.5749292571254432e-01, -5.1449575542752657e-01}, {
  8.8174199731770520e-01, -4.7173196856497235e-01}, {
  9.4962864910273281e-01, -3.1337745420390184e-01}, {
  9.8331459249179021e-01, -1.8191319961098118e-01}, {
  9.9551781606758583e-01, -9.4574192526420658e-02}, {
  9.9916055817814753e-01, -4.0965582885304053e-02}, {
  9.9989919524444715e-01, -1.4198568572471150e-02}, {
9.9999315507028030e-01, -3.6999746737600373e-03}};

static const char slength_v2[512][8] = {
  {0, 0, 0, 0, 0, -1, 0, 0}, {0, 0, 0, 1, 0, -1, 0, 0}, {0, 0, 0, 2, 0, -1, 0,
                                                         0},
  {0, 0, 0, 3, 0, -1, 0, 0}, {0, 0, 1, 0, 0, -1, 0, 0}, {0, 0, 1, 1, 0, -1, 0,
                                                         0},
  {0, 0, 1, 2, 0, -1, 0, 0}, {0, 0, 1, 3, 0, -1, 0, 0}, {0, 0, 2, 0, 0, -1, 0,
                                                         0},
  {0, 0, 2, 1, 0, -1, 0, 0}, {0, 0, 2, 2, 0, -1, 0, 0}, {0, 0, 2, 3, 0, -1, 0,
                                                         0},
  {0, 0, 3, 0, 0, -1, 0, 0}, {0, 0, 3, 1, 0, -1, 0, 0}, {0, 0, 3, 2, 0, -1, 0,
                                                         0},
  {0, 0, 3, 3, 0, -1, 0, 0}, {0, 1, 0, 0, 0, -1, 0, 0}, {0, 1, 0, 1, 0, -1, 0,
                                                         0},
  {0, 1, 0, 2, 0, -1, 0, 0}, {0, 1, 0, 3, 0, -1, 0, 0}, {0, 1, 1, 0, 0, -1, 0,
                                                         0},
  {0, 1, 1, 1, 0, -1, 0, 0}, {0, 1, 1, 2, 0, -1, 0, 0}, {0, 1, 1, 3, 0, -1, 0,
                                                         0},
  {0, 1, 2, 0, 0, -1, 0, 0}, {0, 1, 2, 1, 0, -1, 0, 0}, {0, 1, 2, 2, 0, -1, 0,
                                                         0},
  {0, 1, 2, 3, 0, -1, 0, 0}, {0, 1, 3, 0, 0, -1, 0, 0}, {0, 1, 3, 1, 0, -1, 0,
                                                         0},
  {0, 1, 3, 2, 0, -1, 0, 0}, {0, 1, 3, 3, 0, -1, 0, 0}, {0, 2, 0, 0, 0, -1, 0,
                                                         0},
  {0, 2, 0, 1, 0, -1, 0, 0}, {0, 2, 0, 2, 0, -1, 0, 0}, {0, 2, 0, 3, 0, -1, 0,
                                                         0},
  {0, 2, 1, 0, 0, -1, 0, 0}, {0, 2, 1, 1, 0, -1, 0, 0}, {0, 2, 1, 2, 0, -1, 0,
                                                         0},
  {0, 2, 1, 3, 0, -1, 0, 0}, {0, 2, 2, 0, 0, -1, 0, 0}, {0, 2, 2, 1, 0, -1, 0,
                                                         0},
  {0, 2, 2, 2, 0, -1, 0, 0}, {0, 2, 2, 3, 0, -1, 0, 0}, {0, 2, 3, 0, 0, -1, 0,
                                                         0},
  {0, 2, 3, 1, 0, -1, 0, 0}, {0, 2, 3, 2, 0, -1, 0, 0}, {0, 2, 3, 3, 0, -1, 0,
                                                         0},
  {0, 3, 0, 0, 0, -1, 0, 0}, {0, 3, 0, 1, 0, -1, 0, 0}, {0, 3, 0, 2, 0, -1, 0,
                                                         0},
  {0, 3, 0, 3, 0, -1, 0, 0}, {0, 3, 1, 0, 0, -1, 0, 0}, {0, 3, 1, 1, 0, -1, 0,
                                                         0},
  {0, 3, 1, 2, 0, -1, 0, 0}, {0, 3, 1, 3, 0, -1, 0, 0}, {0, 3, 2, 0, 0, -1, 0,
                                                         0},
  {0, 3, 2, 1, 0, -1, 0, 0}, {0, 3, 2, 2, 0, -1, 0, 0}, {0, 3, 2, 3, 0, -1, 0,
                                                         0},
  {0, 3, 3, 0, 0, -1, 0, 0}, {0, 3, 3, 1, 0, -1, 0, 0}, {0, 3, 3, 2, 0, -1, 0,
                                                         0},
  {0, 3, 3, 3, 0, -1, 0, 0}, {0, 4, 0, 0, 0, -1, 0, 0}, {0, 4, 0, 1, 0, -1, 0,
                                                         0},
  {0, 4, 0, 2, 0, -1, 0, 0}, {0, 4, 0, 3, 0, -1, 0, 0}, {0, 4, 1, 0, 0, -1, 0,
                                                         0},
  {0, 4, 1, 1, 0, -1, 0, 0}, {0, 4, 1, 2, 0, -1, 0, 0}, {0, 4, 1, 3, 0, -1, 0,
                                                         0},
  {0, 4, 2, 0, 0, -1, 0, 0}, {0, 4, 2, 1, 0, -1, 0, 0}, {0, 4, 2, 2, 0, -1, 0,
                                                         0},
  {0, 4, 2, 3, 0, -1, 0, 0}, {0, 4, 3, 0, 0, -1, 0, 0}, {0, 4, 3, 1, 0, -1, 0,
                                                         0},
  {0, 4, 3, 2, 0, -1, 0, 0}, {0, 4, 3, 3, 0, -1, 0, 0}, {1, 0, 0, 0, 0, -1, 0,
                                                         0},
  {1, 0, 0, 1, 0, -1, 0, 0}, {1, 0, 0, 2, 0, -1, 0, 0}, {1, 0, 0, 3, 0, -1, 0,
                                                         0},
  {1, 0, 1, 0, 0, -1, 0, 0}, {1, 0, 1, 1, 0, -1, 0, 0}, {1, 0, 1, 2, 0, -1, 0,
                                                         0},
  {1, 0, 1, 3, 0, -1, 0, 0}, {1, 0, 2, 0, 0, -1, 0, 0}, {1, 0, 2, 1, 0, -1, 0,
                                                         0},
  {1, 0, 2, 2, 0, -1, 0, 0}, {1, 0, 2, 3, 0, -1, 0, 0}, {1, 0, 3, 0, 0, -1, 0,
                                                         0},
  {1, 0, 3, 1, 0, -1, 0, 0}, {1, 0, 3, 2, 0, -1, 0, 0}, {1, 0, 3, 3, 0, -1, 0,
                                                         0},
  {1, 1, 0, 0, 0, -1, 0, 0}, {1, 1, 0, 1, 0, -1, 0, 0}, {1, 1, 0, 2, 0, -1, 0,
                                                         0},
  {1, 1, 0, 3, 0, -1, 0, 0}, {1, 1, 1, 0, 0, -1, 0, 0}, {1, 1, 1, 1, 0, -1, 0,
                                                         0},
  {1, 1, 1, 2, 0, -1, 0, 0}, {1, 1, 1, 3, 0, -1, 0, 0}, {1, 1, 2, 0, 0, -1, 0,
                                                         0},
  {1, 1, 2, 1, 0, -1, 0, 0}, {1, 1, 2, 2, 0, -1, 0, 0}, {1, 1, 2, 3, 0, -1, 0,
                                                         0},
  {1, 1, 3, 0, 0, -1, 0, 0}, {1, 1, 3, 1, 0, -1, 0, 0}, {1, 1, 3, 2, 0, -1, 0,
                                                         0},
  {1, 1, 3, 3, 0, -1, 0, 0}, {1, 2, 0, 0, 0, -1, 0, 0}, {1, 2, 0, 1, 0, -1, 0,
                                                         0},
  {1, 2, 0, 2, 0, -1, 0, 0}, {1, 2, 0, 3, 0, -1, 0, 0}, {1, 2, 1, 0, 0, -1, 0,
                                                         0},
  {1, 2, 1, 1, 0, -1, 0, 0}, {1, 2, 1, 2, 0, -1, 0, 0}, {1, 2, 1, 3, 0, -1, 0,
                                                         0},
  {1, 2, 2, 0, 0, -1, 0, 0}, {1, 2, 2, 1, 0, -1, 0, 0}, {1, 2, 2, 2, 0, -1, 0,
                                                         0},
  {1, 2, 2, 3, 0, -1, 0, 0}, {1, 2, 3, 0, 0, -1, 0, 0}, {1, 2, 3, 1, 0, -1, 0,
                                                         0},
  {1, 2, 3, 2, 0, -1, 0, 0}, {1, 2, 3, 3, 0, -1, 0, 0}, {1, 3, 0, 0, 0, -1, 0,
                                                         0},
  {1, 3, 0, 1, 0, -1, 0, 0}, {1, 3, 0, 2, 0, -1, 0, 0}, {1, 3, 0, 3, 0, -1, 0,
                                                         0},
  {1, 3, 1, 0, 0, -1, 0, 0}, {1, 3, 1, 1, 0, -1, 0, 0}, {1, 3, 1, 2, 0, -1, 0,
                                                         0},
  {1, 3, 1, 3, 0, -1, 0, 0}, {1, 3, 2, 0, 0, -1, 0, 0}, {1, 3, 2, 1, 0, -1, 0,
                                                         0},
  {1, 3, 2, 2, 0, -1, 0, 0}, {1, 3, 2, 3, 0, -1, 0, 0}, {1, 3, 3, 0, 0, -1, 0,
                                                         0},
  {1, 3, 3, 1, 0, -1, 0, 0}, {1, 3, 3, 2, 0, -1, 0, 0}, {1, 3, 3, 3, 0, -1, 0,
                                                         0},
  {1, 4, 0, 0, 0, -1, 0, 0}, {1, 4, 0, 1, 0, -1, 0, 0}, {1, 4, 0, 2, 0, -1, 0,
                                                         0},
  {1, 4, 0, 3, 0, -1, 0, 0}, {1, 4, 1, 0, 0, -1, 0, 0}, {1, 4, 1, 1, 0, -1, 0,
                                                         0},
  {1, 4, 1, 2, 0, -1, 0, 0}, {1, 4, 1, 3, 0, -1, 0, 0}, {1, 4, 2, 0, 0, -1, 0,
                                                         0},
  {1, 4, 2, 1, 0, -1, 0, 0}, {1, 4, 2, 2, 0, -1, 0, 0}, {1, 4, 2, 3, 0, -1, 0,
                                                         0},
  {1, 4, 3, 0, 0, -1, 0, 0}, {1, 4, 3, 1, 0, -1, 0, 0}, {1, 4, 3, 2, 0, -1, 0,
                                                         0},
  {1, 4, 3, 3, 0, -1, 0, 0}, {2, 0, 0, 0, 0, -1, 0, 0}, {2, 0, 0, 1, 0, -1, 0,
                                                         0},
  {2, 0, 0, 2, 0, -1, 0, 0}, {2, 0, 0, 3, 0, -1, 0, 0}, {2, 0, 1, 0, 0, -1, 0,
                                                         0},
  {2, 0, 1, 1, 0, -1, 0, 0}, {2, 0, 1, 2, 0, -1, 0, 0}, {2, 0, 1, 3, 0, -1, 0,
                                                         0},
  {2, 0, 2, 0, 0, -1, 0, 0}, {2, 0, 2, 1, 0, -1, 0, 0}, {2, 0, 2, 2, 0, -1, 0,
                                                         0},
  {2, 0, 2, 3, 0, -1, 0, 0}, {2, 0, 3, 0, 0, -1, 0, 0}, {2, 0, 3, 1, 0, -1, 0,
                                                         0},
  {2, 0, 3, 2, 0, -1, 0, 0}, {2, 0, 3, 3, 0, -1, 0, 0}, {2, 1, 0, 0, 0, -1, 0,
                                                         0},
  {2, 1, 0, 1, 0, -1, 0, 0}, {2, 1, 0, 2, 0, -1, 0, 0}, {2, 1, 0, 3, 0, -1, 0,
                                                         0},
  {2, 1, 1, 0, 0, -1, 0, 0}, {2, 1, 1, 1, 0, -1, 0, 0}, {2, 1, 1, 2, 0, -1, 0,
                                                         0},
  {2, 1, 1, 3, 0, -1, 0, 0}, {2, 1, 2, 0, 0, -1, 0, 0}, {2, 1, 2, 1, 0, -1, 0,
                                                         0},
  {2, 1, 2, 2, 0, -1, 0, 0}, {2, 1, 2, 3, 0, -1, 0, 0}, {2, 1, 3, 0, 0, -1, 0,
                                                         0},
  {2, 1, 3, 1, 0, -1, 0, 0}, {2, 1, 3, 2, 0, -1, 0, 0}, {2, 1, 3, 3, 0, -1, 0,
                                                         0},
  {2, 2, 0, 0, 0, -1, 0, 0}, {2, 2, 0, 1, 0, -1, 0, 0}, {2, 2, 0, 2, 0, -1, 0,
                                                         0},
  {2, 2, 0, 3, 0, -1, 0, 0}, {2, 2, 1, 0, 0, -1, 0, 0}, {2, 2, 1, 1, 0, -1, 0,
                                                         0},
  {2, 2, 1, 2, 0, -1, 0, 0}, {2, 2, 1, 3, 0, -1, 0, 0}, {2, 2, 2, 0, 0, -1, 0,
                                                         0},
  {2, 2, 2, 1, 0, -1, 0, 0}, {2, 2, 2, 2, 0, -1, 0, 0}, {2, 2, 2, 3, 0, -1, 0,
                                                         0},
  {2, 2, 3, 0, 0, -1, 0, 0}, {2, 2, 3, 1, 0, -1, 0, 0}, {2, 2, 3, 2, 0, -1, 0,
                                                         0},
  {2, 2, 3, 3, 0, -1, 0, 0}, {2, 3, 0, 0, 0, -1, 0, 0}, {2, 3, 0, 1, 0, -1, 0,
                                                         0},
  {2, 3, 0, 2, 0, -1, 0, 0}, {2, 3, 0, 3, 0, -1, 0, 0}, {2, 3, 1, 0, 0, -1, 0,
                                                         0},
  {2, 3, 1, 1, 0, -1, 0, 0}, {2, 3, 1, 2, 0, -1, 0, 0}, {2, 3, 1, 3, 0, -1, 0,
                                                         0},
  {2, 3, 2, 0, 0, -1, 0, 0}, {2, 3, 2, 1, 0, -1, 0, 0}, {2, 3, 2, 2, 0, -1, 0,
                                                         0},
  {2, 3, 2, 3, 0, -1, 0, 0}, {2, 3, 3, 0, 0, -1, 0, 0}, {2, 3, 3, 1, 0, -1, 0,
                                                         0},
  {2, 3, 3, 2, 0, -1, 0, 0}, {2, 3, 3, 3, 0, -1, 0, 0}, {2, 4, 0, 0, 0, -1, 0,
                                                         0},
  {2, 4, 0, 1, 0, -1, 0, 0}, {2, 4, 0, 2, 0, -1, 0, 0}, {2, 4, 0, 3, 0, -1, 0,
                                                         0},
  {2, 4, 1, 0, 0, -1, 0, 0}, {2, 4, 1, 1, 0, -1, 0, 0}, {2, 4, 1, 2, 0, -1, 0,
                                                         0},
  {2, 4, 1, 3, 0, -1, 0, 0}, {2, 4, 2, 0, 0, -1, 0, 0}, {2, 4, 2, 1, 0, -1, 0,
                                                         0},
  {2, 4, 2, 2, 0, -1, 0, 0}, {2, 4, 2, 3, 0, -1, 0, 0}, {2, 4, 3, 0, 0, -1, 0,
                                                         0},
  {2, 4, 3, 1, 0, -1, 0, 0}, {2, 4, 3, 2, 0, -1, 0, 0}, {2, 4, 3, 3, 0, -1, 0,
                                                         0},
  {3, 0, 0, 0, 0, -1, 0, 0}, {3, 0, 0, 1, 0, -1, 0, 0}, {3, 0, 0, 2, 0, -1, 0,
                                                         0},
  {3, 0, 0, 3, 0, -1, 0, 0}, {3, 0, 1, 0, 0, -1, 0, 0}, {3, 0, 1, 1, 0, -1, 0,
                                                         0},
  {3, 0, 1, 2, 0, -1, 0, 0}, {3, 0, 1, 3, 0, -1, 0, 0}, {3, 0, 2, 0, 0, -1, 0,
                                                         0},
  {3, 0, 2, 1, 0, -1, 0, 0}, {3, 0, 2, 2, 0, -1, 0, 0}, {3, 0, 2, 3, 0, -1, 0,
                                                         0},
  {3, 0, 3, 0, 0, -1, 0, 0}, {3, 0, 3, 1, 0, -1, 0, 0}, {3, 0, 3, 2, 0, -1, 0,
                                                         0},
  {3, 0, 3, 3, 0, -1, 0, 0}, {3, 1, 0, 0, 0, -1, 0, 0}, {3, 1, 0, 1, 0, -1, 0,
                                                         0},
  {3, 1, 0, 2, 0, -1, 0, 0}, {3, 1, 0, 3, 0, -1, 0, 0}, {3, 1, 1, 0, 0, -1, 0,
                                                         0},
  {3, 1, 1, 1, 0, -1, 0, 0}, {3, 1, 1, 2, 0, -1, 0, 0}, {3, 1, 1, 3, 0, -1, 0,
                                                         0},
  {3, 1, 2, 0, 0, -1, 0, 0}, {3, 1, 2, 1, 0, -1, 0, 0}, {3, 1, 2, 2, 0, -1, 0,
                                                         0},
  {3, 1, 2, 3, 0, -1, 0, 0}, {3, 1, 3, 0, 0, -1, 0, 0}, {3, 1, 3, 1, 0, -1, 0,
                                                         0},
  {3, 1, 3, 2, 0, -1, 0, 0}, {3, 1, 3, 3, 0, -1, 0, 0}, {3, 2, 0, 0, 0, -1, 0,
                                                         0},
  {3, 2, 0, 1, 0, -1, 0, 0}, {3, 2, 0, 2, 0, -1, 0, 0}, {3, 2, 0, 3, 0, -1, 0,
                                                         0},
  {3, 2, 1, 0, 0, -1, 0, 0}, {3, 2, 1, 1, 0, -1, 0, 0}, {3, 2, 1, 2, 0, -1, 0,
                                                         0},
  {3, 2, 1, 3, 0, -1, 0, 0}, {3, 2, 2, 0, 0, -1, 0, 0}, {3, 2, 2, 1, 0, -1, 0,
                                                         0},
  {3, 2, 2, 2, 0, -1, 0, 0}, {3, 2, 2, 3, 0, -1, 0, 0}, {3, 2, 3, 0, 0, -1, 0,
                                                         0},
  {3, 2, 3, 1, 0, -1, 0, 0}, {3, 2, 3, 2, 0, -1, 0, 0}, {3, 2, 3, 3, 0, -1, 0,
                                                         0},
  {3, 3, 0, 0, 0, -1, 0, 0}, {3, 3, 0, 1, 0, -1, 0, 0}, {3, 3, 0, 2, 0, -1, 0,
                                                         0},
  {3, 3, 0, 3, 0, -1, 0, 0}, {3, 3, 1, 0, 0, -1, 0, 0}, {3, 3, 1, 1, 0, -1, 0,
                                                         0},
  {3, 3, 1, 2, 0, -1, 0, 0}, {3, 3, 1, 3, 0, -1, 0, 0}, {3, 3, 2, 0, 0, -1, 0,
                                                         0},
  {3, 3, 2, 1, 0, -1, 0, 0}, {3, 3, 2, 2, 0, -1, 0, 0}, {3, 3, 2, 3, 0, -1, 0,
                                                         0},
  {3, 3, 3, 0, 0, -1, 0, 0}, {3, 3, 3, 1, 0, -1, 0, 0}, {3, 3, 3, 2, 0, -1, 0,
                                                         0},
  {3, 3, 3, 3, 0, -1, 0, 0}, {3, 4, 0, 0, 0, -1, 0, 0}, {3, 4, 0, 1, 0, -1, 0,
                                                         0},
  {3, 4, 0, 2, 0, -1, 0, 0}, {3, 4, 0, 3, 0, -1, 0, 0}, {3, 4, 1, 0, 0, -1, 0,
                                                         0},
  {3, 4, 1, 1, 0, -1, 0, 0}, {3, 4, 1, 2, 0, -1, 0, 0}, {3, 4, 1, 3, 0, -1, 0,
                                                         0},
  {3, 4, 2, 0, 0, -1, 0, 0}, {3, 4, 2, 1, 0, -1, 0, 0}, {3, 4, 2, 2, 0, -1, 0,
                                                         0},
  {3, 4, 2, 3, 0, -1, 0, 0}, {3, 4, 3, 0, 0, -1, 0, 0}, {3, 4, 3, 1, 0, -1, 0,
                                                         0},
  {3, 4, 3, 2, 0, -1, 0, 0}, {3, 4, 3, 3, 0, -1, 0, 0}, {4, 0, 0, 0, 0, -1, 0,
                                                         0},
  {4, 0, 0, 1, 0, -1, 0, 0}, {4, 0, 0, 2, 0, -1, 0, 0}, {4, 0, 0, 3, 0, -1, 0,
                                                         0},
  {4, 0, 1, 0, 0, -1, 0, 0}, {4, 0, 1, 1, 0, -1, 0, 0}, {4, 0, 1, 2, 0, -1, 0,
                                                         0},
  {4, 0, 1, 3, 0, -1, 0, 0}, {4, 0, 2, 0, 0, -1, 0, 0}, {4, 0, 2, 1, 0, -1, 0,
                                                         0},
  {4, 0, 2, 2, 0, -1, 0, 0}, {4, 0, 2, 3, 0, -1, 0, 0}, {4, 0, 3, 0, 0, -1, 0,
                                                         0},
  {4, 0, 3, 1, 0, -1, 0, 0}, {4, 0, 3, 2, 0, -1, 0, 0}, {4, 0, 3, 3, 0, -1, 0,
                                                         0},
  {4, 1, 0, 0, 0, -1, 0, 0}, {4, 1, 0, 1, 0, -1, 0, 0}, {4, 1, 0, 2, 0, -1, 0,
                                                         0},
  {4, 1, 0, 3, 0, -1, 0, 0}, {4, 1, 1, 0, 0, -1, 0, 0}, {4, 1, 1, 1, 0, -1, 0,
                                                         0},
  {4, 1, 1, 2, 0, -1, 0, 0}, {4, 1, 1, 3, 0, -1, 0, 0}, {4, 1, 2, 0, 0, -1, 0,
                                                         0},
  {4, 1, 2, 1, 0, -1, 0, 0}, {4, 1, 2, 2, 0, -1, 0, 0}, {4, 1, 2, 3, 0, -1, 0,
                                                         0},
  {4, 1, 3, 0, 0, -1, 0, 0}, {4, 1, 3, 1, 0, -1, 0, 0}, {4, 1, 3, 2, 0, -1, 0,
                                                         0},
  {4, 1, 3, 3, 0, -1, 0, 0}, {4, 2, 0, 0, 0, -1, 0, 0}, {4, 2, 0, 1, 0, -1, 0,
                                                         0},
  {4, 2, 0, 2, 0, -1, 0, 0}, {4, 2, 0, 3, 0, -1, 0, 0}, {4, 2, 1, 0, 0, -1, 0,
                                                         0},
  {4, 2, 1, 1, 0, -1, 0, 0}, {4, 2, 1, 2, 0, -1, 0, 0}, {4, 2, 1, 3, 0, -1, 0,
                                                         0},
  {4, 2, 2, 0, 0, -1, 0, 0}, {4, 2, 2, 1, 0, -1, 0, 0}, {4, 2, 2, 2, 0, -1, 0,
                                                         0},
  {4, 2, 2, 3, 0, -1, 0, 0}, {4, 2, 3, 0, 0, -1, 0, 0}, {4, 2, 3, 1, 0, -1, 0,
                                                         0},
  {4, 2, 3, 2, 0, -1, 0, 0}, {4, 2, 3, 3, 0, -1, 0, 0}, {4, 3, 0, 0, 0, -1, 0,
                                                         0},
  {4, 3, 0, 1, 0, -1, 0, 0}, {4, 3, 0, 2, 0, -1, 0, 0}, {4, 3, 0, 3, 0, -1, 0,
                                                         0},
  {4, 3, 1, 0, 0, -1, 0, 0}, {4, 3, 1, 1, 0, -1, 0, 0}, {4, 3, 1, 2, 0, -1, 0,
                                                         0},
  {4, 3, 1, 3, 0, -1, 0, 0}, {4, 3, 2, 0, 0, -1, 0, 0}, {4, 3, 2, 1, 0, -1, 0,
                                                         0},
  {4, 3, 2, 2, 0, -1, 0, 0}, {4, 3, 2, 3, 0, -1, 0, 0}, {4, 3, 3, 0, 0, -1, 0,
                                                         0},
  {4, 3, 3, 1, 0, -1, 0, 0}, {4, 3, 3, 2, 0, -1, 0, 0}, {4, 3, 3, 3, 0, -1, 0,
                                                         0},
  {4, 4, 0, 0, 0, -1, 0, 0}, {4, 4, 0, 1, 0, -1, 0, 0}, {4, 4, 0, 2, 0, -1, 0,
                                                         0},
  {4, 4, 0, 3, 0, -1, 0, 0}, {4, 4, 1, 0, 0, -1, 0, 0}, {4, 4, 1, 1, 0, -1, 0,
                                                         0},
  {4, 4, 1, 2, 0, -1, 0, 0}, {4, 4, 1, 3, 0, -1, 0, 0}, {4, 4, 2, 0, 0, -1, 0,
                                                         0},
  {4, 4, 2, 1, 0, -1, 0, 0}, {4, 4, 2, 2, 0, -1, 0, 0}, {4, 4, 2, 3, 0, -1, 0,
                                                         0},
  {4, 4, 3, 0, 0, -1, 0, 0}, {4, 4, 3, 1, 0, -1, 0, 0}, {4, 4, 3, 2, 0, -1, 0,
                                                         0},
  {4, 4, 3, 3, 0, -1, 0, 0}, {0, 0, 0, 0, 0, -1, 0, 1}, {0, 0, 1, 0, 0, -1, 0,
                                                         1},
  {0, 0, 2, 0, 0, -1, 0, 1}, {0, 0, 3, 0, 0, -1, 0, 1}, {0, 1, 0, 0, 0, -1, 0,
                                                         1},
  {0, 1, 1, 0, 0, -1, 0, 1}, {0, 1, 2, 0, 0, -1, 0, 1}, {0, 1, 3, 0, 0, -1, 0,
                                                         1},
  {0, 2, 0, 0, 0, -1, 0, 1}, {0, 2, 1, 0, 0, -1, 0, 1}, {0, 2, 2, 0, 0, -1, 0,
                                                         1},
  {0, 2, 3, 0, 0, -1, 0, 1}, {0, 3, 0, 0, 0, -1, 0, 1}, {0, 3, 1, 0, 0, -1, 0,
                                                         1},
  {0, 3, 2, 0, 0, -1, 0, 1}, {0, 3, 3, 0, 0, -1, 0, 1}, {0, 4, 0, 0, 0, -1, 0,
                                                         1},
  {0, 4, 1, 0, 0, -1, 0, 1}, {0, 4, 2, 0, 0, -1, 0, 1}, {0, 4, 3, 0, 0, -1, 0,
                                                         1},
  {1, 0, 0, 0, 0, -1, 0, 1}, {1, 0, 1, 0, 0, -1, 0, 1}, {1, 0, 2, 0, 0, -1, 0,
                                                         1},
  {1, 0, 3, 0, 0, -1, 0, 1}, {1, 1, 0, 0, 0, -1, 0, 1}, {1, 1, 1, 0, 0, -1, 0,
                                                         1},
  {1, 1, 2, 0, 0, -1, 0, 1}, {1, 1, 3, 0, 0, -1, 0, 1}, {1, 2, 0, 0, 0, -1, 0,
                                                         1},
  {1, 2, 1, 0, 0, -1, 0, 1}, {1, 2, 2, 0, 0, -1, 0, 1}, {1, 2, 3, 0, 0, -1, 0,
                                                         1},
  {1, 3, 0, 0, 0, -1, 0, 1}, {1, 3, 1, 0, 0, -1, 0, 1}, {1, 3, 2, 0, 0, -1, 0,
                                                         1},
  {1, 3, 3, 0, 0, -1, 0, 1}, {1, 4, 0, 0, 0, -1, 0, 1}, {1, 4, 1, 0, 0, -1, 0,
                                                         1},
  {1, 4, 2, 0, 0, -1, 0, 1}, {1, 4, 3, 0, 0, -1, 0, 1}, {2, 0, 0, 0, 0, -1, 0,
                                                         1},
  {2, 0, 1, 0, 0, -1, 0, 1}, {2, 0, 2, 0, 0, -1, 0, 1}, {2, 0, 3, 0, 0, -1, 0,
                                                         1},
  {2, 1, 0, 0, 0, -1, 0, 1}, {2, 1, 1, 0, 0, -1, 0, 1}, {2, 1, 2, 0, 0, -1, 0,
                                                         1},
  {2, 1, 3, 0, 0, -1, 0, 1}, {2, 2, 0, 0, 0, -1, 0, 1}, {2, 2, 1, 0, 0, -1, 0,
                                                         1},
  {2, 2, 2, 0, 0, -1, 0, 1}, {2, 2, 3, 0, 0, -1, 0, 1}, {2, 3, 0, 0, 0, -1, 0,
                                                         1},
  {2, 3, 1, 0, 0, -1, 0, 1}, {2, 3, 2, 0, 0, -1, 0, 1}, {2, 3, 3, 0, 0, -1, 0,
                                                         1},
  {2, 4, 0, 0, 0, -1, 0, 1}, {2, 4, 1, 0, 0, -1, 0, 1}, {2, 4, 2, 0, 0, -1, 0,
                                                         1},
  {2, 4, 3, 0, 0, -1, 0, 1}, {3, 0, 0, 0, 0, -1, 0, 1}, {3, 0, 1, 0, 0, -1, 0,
                                                         1},
  {3, 0, 2, 0, 0, -1, 0, 1}, {3, 0, 3, 0, 0, -1, 0, 1}, {3, 1, 0, 0, 0, -1, 0,
                                                         1},
  {3, 1, 1, 0, 0, -1, 0, 1}, {3, 1, 2, 0, 0, -1, 0, 1}, {3, 1, 3, 0, 0, -1, 0,
                                                         1},
  {3, 2, 0, 0, 0, -1, 0, 1}, {3, 2, 1, 0, 0, -1, 0, 1}, {3, 2, 2, 0, 0, -1, 0,
                                                         1},
  {3, 2, 3, 0, 0, -1, 0, 1}, {3, 3, 0, 0, 0, -1, 0, 1}, {3, 3, 1, 0, 0, -1, 0,
                                                         1},
  {3, 3, 2, 0, 0, -1, 0, 1}, {3, 3, 3, 0, 0, -1, 0, 1}, {3, 4, 0, 0, 0, -1, 0,
                                                         1},
  {3, 4, 1, 0, 0, -1, 0, 1}, {3, 4, 2, 0, 0, -1, 0, 1}, {3, 4, 3, 0, 0, -1, 0,
                                                         1},
  {4, 0, 0, 0, 0, -1, 0, 1}, {4, 0, 1, 0, 0, -1, 0, 1}, {4, 0, 2, 0, 0, -1, 0,
                                                         1},
  {4, 0, 3, 0, 0, -1, 0, 1}, {4, 1, 0, 0, 0, -1, 0, 1}, {4, 1, 1, 0, 0, -1, 0,
                                                         1},
  {4, 1, 2, 0, 0, -1, 0, 1}, {4, 1, 3, 0, 0, -1, 0, 1}, {4, 2, 0, 0, 0, -1, 0,
                                                         1},
  {4, 2, 1, 0, 0, -1, 0, 1}, {4, 2, 2, 0, 0, -1, 0, 1}, {4, 2, 3, 0, 0, -1, 0,
                                                         1},
  {4, 3, 0, 0, 0, -1, 0, 1}, {4, 3, 1, 0, 0, -1, 0, 1}, {4, 3, 2, 0, 0, -1, 0,
                                                         1},
  {4, 3, 3, 0, 0, -1, 0, 1}, {4, 4, 0, 0, 0, -1, 0, 1}, {4, 4, 1, 0, 0, -1, 0,
                                                         1},
  {4, 4, 2, 0, 0, -1, 0, 1}, {4, 4, 3, 0, 0, -1, 0, 1}, {0, 0, 0, 0, 0, -1, 1,
                                                         2},
  {0, 1, 0, 0, 0, -1, 1, 2}, {0, 2, 0, 0, 0, -1, 1, 2}, {1, 0, 0, 0, 0, -1, 1,
                                                         2},
  {1, 1, 0, 0, 0, -1, 1, 2}, {1, 2, 0, 0, 0, -1, 1, 2}, {2, 0, 0, 0, 0, -1, 1,
                                                         2},
  {2, 1, 0, 0, 0, -1, 1, 2}, {2, 2, 0, 0, 0, -1, 1, 2}, {3, 0, 0, 0, 0, -1, 1,
                                                         2},
  {3, 1, 0, 0, 0, -1, 1, 2}, {3, 2, 0, 0, 0, -1, 1, 2}
};

static const char slength_v2i[256][8] = {
  {0, 0, 0, 0, 0, -1, 0, 0}, {0, 0, 1, 0, 0, -1, 0, 0}, {0, 0, 2, 0, 0, -1, 0,
                                                         0},
  {0, 0, 3, 0, 0, -1, 0, 0}, {0, 0, 4, 0, 0, -1, 0, 0}, {0, 0, 5, 0, 0, -1, 0,
                                                         0},
  {0, 1, 0, 0, 0, -1, 0, 0}, {0, 1, 1, 0, 0, -1, 0, 0}, {0, 1, 2, 0, 0, -1, 0,
                                                         0},
  {0, 1, 3, 0, 0, -1, 0, 0}, {0, 1, 4, 0, 0, -1, 0, 0}, {0, 1, 5, 0, 0, -1, 0,
                                                         0},
  {0, 2, 0, 0, 0, -1, 0, 0}, {0, 2, 1, 0, 0, -1, 0, 0}, {0, 2, 2, 0, 0, -1, 0,
                                                         0},
  {0, 2, 3, 0, 0, -1, 0, 0}, {0, 2, 4, 0, 0, -1, 0, 0}, {0, 2, 5, 0, 0, -1, 0,
                                                         0},
  {0, 3, 0, 0, 0, -1, 0, 0}, {0, 3, 1, 0, 0, -1, 0, 0}, {0, 3, 2, 0, 0, -1, 0,
                                                         0},
  {0, 3, 3, 0, 0, -1, 0, 0}, {0, 3, 4, 0, 0, -1, 0, 0}, {0, 3, 5, 0, 0, -1, 0,
                                                         0},
  {0, 4, 0, 0, 0, -1, 0, 0}, {0, 4, 1, 0, 0, -1, 0, 0}, {0, 4, 2, 0, 0, -1, 0,
                                                         0},
  {0, 4, 3, 0, 0, -1, 0, 0}, {0, 4, 4, 0, 0, -1, 0, 0}, {0, 4, 5, 0, 0, -1, 0,
                                                         0},
  {0, 5, 0, 0, 0, -1, 0, 0}, {0, 5, 1, 0, 0, -1, 0, 0}, {0, 5, 2, 0, 0, -1, 0,
                                                         0},
  {0, 5, 3, 0, 0, -1, 0, 0}, {0, 5, 4, 0, 0, -1, 0, 0}, {0, 5, 5, 0, 0, -1, 0,
                                                         0},
  {1, 0, 0, 0, 0, -1, 0, 0}, {1, 0, 1, 0, 0, -1, 0, 0}, {1, 0, 2, 0, 0, -1, 0,
                                                         0},
  {1, 0, 3, 0, 0, -1, 0, 0}, {1, 0, 4, 0, 0, -1, 0, 0}, {1, 0, 5, 0, 0, -1, 0,
                                                         0},
  {1, 1, 0, 0, 0, -1, 0, 0}, {1, 1, 1, 0, 0, -1, 0, 0}, {1, 1, 2, 0, 0, -1, 0,
                                                         0},
  {1, 1, 3, 0, 0, -1, 0, 0}, {1, 1, 4, 0, 0, -1, 0, 0}, {1, 1, 5, 0, 0, -1, 0,
                                                         0},
  {1, 2, 0, 0, 0, -1, 0, 0}, {1, 2, 1, 0, 0, -1, 0, 0}, {1, 2, 2, 0, 0, -1, 0,
                                                         0},
  {1, 2, 3, 0, 0, -1, 0, 0}, {1, 2, 4, 0, 0, -1, 0, 0}, {1, 2, 5, 0, 0, -1, 0,
                                                         0},
  {1, 3, 0, 0, 0, -1, 0, 0}, {1, 3, 1, 0, 0, -1, 0, 0}, {1, 3, 2, 0, 0, -1, 0,
                                                         0},
  {1, 3, 3, 0, 0, -1, 0, 0}, {1, 3, 4, 0, 0, -1, 0, 0}, {1, 3, 5, 0, 0, -1, 0,
                                                         0},
  {1, 4, 0, 0, 0, -1, 0, 0}, {1, 4, 1, 0, 0, -1, 0, 0}, {1, 4, 2, 0, 0, -1, 0,
                                                         0},
  {1, 4, 3, 0, 0, -1, 0, 0}, {1, 4, 4, 0, 0, -1, 0, 0}, {1, 4, 5, 0, 0, -1, 0,
                                                         0},
  {1, 5, 0, 0, 0, -1, 0, 0}, {1, 5, 1, 0, 0, -1, 0, 0}, {1, 5, 2, 0, 0, -1, 0,
                                                         0},
  {1, 5, 3, 0, 0, -1, 0, 0}, {1, 5, 4, 0, 0, -1, 0, 0}, {1, 5, 5, 0, 0, -1, 0,
                                                         0},
  {2, 0, 0, 0, 0, -1, 0, 0}, {2, 0, 1, 0, 0, -1, 0, 0}, {2, 0, 2, 0, 0, -1, 0,
                                                         0},
  {2, 0, 3, 0, 0, -1, 0, 0}, {2, 0, 4, 0, 0, -1, 0, 0}, {2, 0, 5, 0, 0, -1, 0,
                                                         0},
  {2, 1, 0, 0, 0, -1, 0, 0}, {2, 1, 1, 0, 0, -1, 0, 0}, {2, 1, 2, 0, 0, -1, 0,
                                                         0},
  {2, 1, 3, 0, 0, -1, 0, 0}, {2, 1, 4, 0, 0, -1, 0, 0}, {2, 1, 5, 0, 0, -1, 0,
                                                         0},
  {2, 2, 0, 0, 0, -1, 0, 0}, {2, 2, 1, 0, 0, -1, 0, 0}, {2, 2, 2, 0, 0, -1, 0,
                                                         0},
  {2, 2, 3, 0, 0, -1, 0, 0}, {2, 2, 4, 0, 0, -1, 0, 0}, {2, 2, 5, 0, 0, -1, 0,
                                                         0},
  {2, 3, 0, 0, 0, -1, 0, 0}, {2, 3, 1, 0, 0, -1, 0, 0}, {2, 3, 2, 0, 0, -1, 0,
                                                         0},
  {2, 3, 3, 0, 0, -1, 0, 0}, {2, 3, 4, 0, 0, -1, 0, 0}, {2, 3, 5, 0, 0, -1, 0,
                                                         0},
  {2, 4, 0, 0, 0, -1, 0, 0}, {2, 4, 1, 0, 0, -1, 0, 0}, {2, 4, 2, 0, 0, -1, 0,
                                                         0},
  {2, 4, 3, 0, 0, -1, 0, 0}, {2, 4, 4, 0, 0, -1, 0, 0}, {2, 4, 5, 0, 0, -1, 0,
                                                         0},
  {2, 5, 0, 0, 0, -1, 0, 0}, {2, 5, 1, 0, 0, -1, 0, 0}, {2, 5, 2, 0, 0, -1, 0,
                                                         0},
  {2, 5, 3, 0, 0, -1, 0, 0}, {2, 5, 4, 0, 0, -1, 0, 0}, {2, 5, 5, 0, 0, -1, 0,
                                                         0},
  {3, 0, 0, 0, 0, -1, 0, 0}, {3, 0, 1, 0, 0, -1, 0, 0}, {3, 0, 2, 0, 0, -1, 0,
                                                         0},
  {3, 0, 3, 0, 0, -1, 0, 0}, {3, 0, 4, 0, 0, -1, 0, 0}, {3, 0, 5, 0, 0, -1, 0,
                                                         0},
  {3, 1, 0, 0, 0, -1, 0, 0}, {3, 1, 1, 0, 0, -1, 0, 0}, {3, 1, 2, 0, 0, -1, 0,
                                                         0},
  {3, 1, 3, 0, 0, -1, 0, 0}, {3, 1, 4, 0, 0, -1, 0, 0}, {3, 1, 5, 0, 0, -1, 0,
                                                         0},
  {3, 2, 0, 0, 0, -1, 0, 0}, {3, 2, 1, 0, 0, -1, 0, 0}, {3, 2, 2, 0, 0, -1, 0,
                                                         0},
  {3, 2, 3, 0, 0, -1, 0, 0}, {3, 2, 4, 0, 0, -1, 0, 0}, {3, 2, 5, 0, 0, -1, 0,
                                                         0},
  {3, 3, 0, 0, 0, -1, 0, 0}, {3, 3, 1, 0, 0, -1, 0, 0}, {3, 3, 2, 0, 0, -1, 0,
                                                         0},
  {3, 3, 3, 0, 0, -1, 0, 0}, {3, 3, 4, 0, 0, -1, 0, 0}, {3, 3, 5, 0, 0, -1, 0,
                                                         0},
  {3, 4, 0, 0, 0, -1, 0, 0}, {3, 4, 1, 0, 0, -1, 0, 0}, {3, 4, 2, 0, 0, -1, 0,
                                                         0},
  {3, 4, 3, 0, 0, -1, 0, 0}, {3, 4, 4, 0, 0, -1, 0, 0}, {3, 4, 5, 0, 0, -1, 0,
                                                         0},
  {3, 5, 0, 0, 0, -1, 0, 0}, {3, 5, 1, 0, 0, -1, 0, 0}, {3, 5, 2, 0, 0, -1, 0,
                                                         0},
  {3, 5, 3, 0, 0, -1, 0, 0}, {3, 5, 4, 0, 0, -1, 0, 0}, {3, 5, 5, 0, 0, -1, 0,
                                                         0},
  {4, 0, 0, 0, 0, -1, 0, 0}, {4, 0, 1, 0, 0, -1, 0, 0}, {4, 0, 2, 0, 0, -1, 0,
                                                         0},
  {4, 0, 3, 0, 0, -1, 0, 0}, {4, 0, 4, 0, 0, -1, 0, 0}, {4, 0, 5, 0, 0, -1, 0,
                                                         0},
  {4, 1, 0, 0, 0, -1, 0, 0}, {4, 1, 1, 0, 0, -1, 0, 0}, {4, 1, 2, 0, 0, -1, 0,
                                                         0},
  {4, 1, 3, 0, 0, -1, 0, 0}, {4, 1, 4, 0, 0, -1, 0, 0}, {4, 1, 5, 0, 0, -1, 0,
                                                         0},
  {4, 2, 0, 0, 0, -1, 0, 0}, {4, 2, 1, 0, 0, -1, 0, 0}, {4, 2, 2, 0, 0, -1, 0,
                                                         0},
  {4, 2, 3, 0, 0, -1, 0, 0}, {4, 2, 4, 0, 0, -1, 0, 0}, {4, 2, 5, 0, 0, -1, 0,
                                                         0},
  {4, 3, 0, 0, 0, -1, 0, 0}, {4, 3, 1, 0, 0, -1, 0, 0}, {4, 3, 2, 0, 0, -1, 0,
                                                         0},
  {4, 3, 3, 0, 0, -1, 0, 0}, {4, 3, 4, 0, 0, -1, 0, 0}, {4, 3, 5, 0, 0, -1, 0,
                                                         0},
  {4, 4, 0, 0, 0, -1, 0, 0}, {4, 4, 1, 0, 0, -1, 0, 0}, {4, 4, 2, 0, 0, -1, 0,
                                                         0},
  {4, 4, 3, 0, 0, -1, 0, 0}, {4, 4, 4, 0, 0, -1, 0, 0}, {4, 4, 5, 0, 0, -1, 0,
                                                         0},
  {4, 5, 0, 0, 0, -1, 0, 0}, {4, 5, 1, 0, 0, -1, 0, 0}, {4, 5, 2, 0, 0, -1, 0,
                                                         0},
  {4, 5, 3, 0, 0, -1, 0, 0}, {4, 5, 4, 0, 0, -1, 0, 0}, {4, 5, 5, 0, 0, -1, 0,
                                                         0},
  {0, 0, 0, 0, 0, -1, 0, 1}, {0, 0, 1, 0, 0, -1, 0, 1}, {0, 0, 2, 0, 0, -1, 0,
                                                         1},
  {0, 0, 3, 0, 0, -1, 0, 1}, {0, 1, 0, 0, 0, -1, 0, 1}, {0, 1, 1, 0, 0, -1, 0,
                                                         1},
  {0, 1, 2, 0, 0, -1, 0, 1}, {0, 1, 3, 0, 0, -1, 0, 1}, {0, 2, 0, 0, 0, -1, 0,
                                                         1},
  {0, 2, 1, 0, 0, -1, 0, 1}, {0, 2, 2, 0, 0, -1, 0, 1}, {0, 2, 3, 0, 0, -1, 0,
                                                         1},
  {0, 3, 0, 0, 0, -1, 0, 1}, {0, 3, 1, 0, 0, -1, 0, 1}, {0, 3, 2, 0, 0, -1, 0,
                                                         1},
  {0, 3, 3, 0, 0, -1, 0, 1}, {1, 0, 0, 0, 0, -1, 0, 1}, {1, 0, 1, 0, 0, -1, 0,
                                                         1},
  {1, 0, 2, 0, 0, -1, 0, 1}, {1, 0, 3, 0, 0, -1, 0, 1}, {1, 1, 0, 0, 0, -1, 0,
                                                         1},
  {1, 1, 1, 0, 0, -1, 0, 1}, {1, 1, 2, 0, 0, -1, 0, 1}, {1, 1, 3, 0, 0, -1, 0,
                                                         1},
  {1, 2, 0, 0, 0, -1, 0, 1}, {1, 2, 1, 0, 0, -1, 0, 1}, {1, 2, 2, 0, 0, -1, 0,
                                                         1},
  {1, 2, 3, 0, 0, -1, 0, 1}, {1, 3, 0, 0, 0, -1, 0, 1}, {1, 3, 1, 0, 0, -1, 0,
                                                         1},
  {1, 3, 2, 0, 0, -1, 0, 1}, {1, 3, 3, 0, 0, -1, 0, 1}, {2, 0, 0, 0, 0, -1, 0,
                                                         1},
  {2, 0, 1, 0, 0, -1, 0, 1}, {2, 0, 2, 0, 0, -1, 0, 1}, {2, 0, 3, 0, 0, -1, 0,
                                                         1},
  {2, 1, 0, 0, 0, -1, 0, 1}, {2, 1, 1, 0, 0, -1, 0, 1}, {2, 1, 2, 0, 0, -1, 0,
                                                         1},
  {2, 1, 3, 0, 0, -1, 0, 1}, {2, 2, 0, 0, 0, -1, 0, 1}, {2, 2, 1, 0, 0, -1, 0,
                                                         1},
  {2, 2, 2, 0, 0, -1, 0, 1}, {2, 2, 3, 0, 0, -1, 0, 1}, {2, 3, 0, 0, 0, -1, 0,
                                                         1},
  {2, 3, 1, 0, 0, -1, 0, 1}, {2, 3, 2, 0, 0, -1, 0, 1}, {2, 3, 3, 0, 0, -1, 0,
                                                         1},
  {3, 0, 0, 0, 0, -1, 0, 1}, {3, 0, 1, 0, 0, -1, 0, 1}, {3, 0, 2, 0, 0, -1, 0,
                                                         1},
  {3, 0, 3, 0, 0, -1, 0, 1}, {3, 1, 0, 0, 0, -1, 0, 1}, {3, 1, 1, 0, 0, -1, 0,
                                                         1},
  {3, 1, 2, 0, 0, -1, 0, 1}, {3, 1, 3, 0, 0, -1, 0, 1}, {3, 2, 0, 0, 0, -1, 0,
                                                         1},
  {3, 2, 1, 0, 0, -1, 0, 1}, {3, 2, 2, 0, 0, -1, 0, 1}, {3, 2, 3, 0, 0, -1, 0,
                                                         1},
  {3, 3, 0, 0, 0, -1, 0, 1}, {3, 3, 1, 0, 0, -1, 0, 1}, {3, 3, 2, 0, 0, -1, 0,
                                                         1},
  {3, 3, 3, 0, 0, -1, 0, 1}, {0, 0, 0, 0, 0, -1, 0, 2}, {0, 1, 0, 0, 0, -1, 0,
                                                         2},
  {0, 2, 0, 0, 0, -1, 0, 2}, {1, 0, 0, 0, 0, -1, 0, 2}, {1, 1, 0, 0, 0, -1, 0,
                                                         2},
  {1, 2, 0, 0, 0, -1, 0, 2}, {2, 0, 0, 0, 0, -1, 0, 2}, {2, 1, 0, 0, 0, -1, 0,
                                                         2},
  {2, 2, 0, 0, 0, -1, 0, 2}, {3, 0, 0, 0, 0, -1, 0, 2}, {3, 1, 0, 0, 0, -1, 0,
                                                         2},
  {3, 2, 0, 0, 0, -1, 0, 2}
};

static const int degroup5[32][3] = {
  {1073741824, 1073741824, 1073741824},
  {0, 1073741824, 1073741824},
  {-1073741824, 1073741824, 1073741824},
  {1073741824, 0, 1073741824},
  {0, 0, 1073741824},
  {-1073741824, 0, 1073741824},
  {1073741824, -1073741824, 1073741824},
  {0, -1073741824, 1073741824},
  {-1073741824, -1073741824, 1073741824},
  {1073741824, 1073741824, 0},
  {0, 1073741824, 0},
  {-1073741824, 1073741824, 0},
  {1073741824, 0, 0},
  {0, 0, 0},
  {-1073741824, 0, 0},
  {1073741824, -1073741824, 0},
  {0, -1073741824, 0},
  {-1073741824, -1073741824, 0},
  {1073741824, 1073741824, -1073741824},
  {0, 1073741824, -1073741824},
  {-1073741824, 1073741824, -1073741824},
  {1073741824, 0, -1073741824},
  {0, 0, -1073741824},
  {-1073741824, 0, -1073741824},
  {1073741824, -1073741824, -1073741824},
  {0, -1073741824, -1073741824},
  {-1073741824, -1073741824, -1073741824},
  {1073741824, 1073741824, 1073741824},
  {0, 1073741824, 1073741824},
  {-1073741824, 1073741824, 1073741824},
  {1073741824, 0, 1073741824},
  {0, 0, 1073741824}
};

static const int degroup7[128][3] = {
  {1073741824, 1073741824, 1073741824},
  {536870912, 1073741824, 1073741824},
  {0, 1073741824, 1073741824},
  {-536870912, 1073741824, 1073741824},
  {-1073741824, 1073741824, 1073741824},
  {1073741824, 536870912, 1073741824},
  {536870912, 536870912, 1073741824},
  {0, 536870912, 1073741824},
  {-536870912, 536870912, 1073741824},
  {-1073741824, 536870912, 1073741824},
  {1073741824, 0, 1073741824},
  {536870912, 0, 1073741824},
  {0, 0, 1073741824},
  {-536870912, 0, 1073741824},
  {-1073741824, 0, 1073741824},
  {1073741824, -536870912, 1073741824},
  {536870912, -536870912, 1073741824},
  {0, -536870912, 1073741824},
  {-536870912, -536870912, 1073741824},
  {-1073741824, -536870912, 1073741824},
  {1073741824, -1073741824, 1073741824},
  {536870912, -1073741824, 1073741824},
  {0, -1073741824, 1073741824},
  {-536870912, -1073741824, 1073741824},
  {-1073741824, -1073741824, 1073741824},
  {1073741824, 1073741824, 536870912},
  {536870912, 1073741824, 536870912},
  {0, 1073741824, 536870912},
  {-536870912, 1073741824, 536870912},
  {-1073741824, 1073741824, 536870912},
  {1073741824, 536870912, 536870912},
  {536870912, 536870912, 536870912},
  {0, 536870912, 536870912},
  {-536870912, 536870912, 536870912},
  {-1073741824, 536870912, 536870912},
  {1073741824, 0, 536870912},
  {536870912, 0, 536870912},
  {0, 0, 536870912},
  {-536870912, 0, 536870912},
  {-1073741824, 0, 536870912},
  {1073741824, -536870912, 536870912},
  {536870912, -536870912, 536870912},
  {0, -536870912, 536870912},
  {-536870912, -536870912, 536870912},
  {-1073741824, -536870912, 536870912},
  {1073741824, -1073741824, 536870912},
  {536870912, -1073741824, 536870912},
  {0, -1073741824, 536870912},
  {-536870912, -1073741824, 536870912},
  {-1073741824, -1073741824, 536870912},
  {1073741824, 1073741824, 0},
  {536870912, 1073741824, 0},
  {0, 1073741824, 0},
  {-536870912, 1073741824, 0},
  {-1073741824, 1073741824, 0},
  {1073741824, 536870912, 0},
  {536870912, 536870912, 0},
  {0, 536870912, 0},
  {-536870912, 536870912, 0},
  {-1073741824, 536870912, 0},
  {1073741824, 0, 0},
  {536870912, 0, 0},
  {0, 0, 0},
  {-536870912, 0, 0},
  {-1073741824, 0, 0},
  {1073741824, -536870912, 0},
  {536870912, -536870912, 0},
  {0, -536870912, 0},
  {-536870912, -536870912, 0},
  {-1073741824, -536870912, 0},
  {1073741824, -1073741824, 0},
  {536870912, -1073741824, 0},
  {0, -1073741824, 0},
  {-536870912, -1073741824, 0},
  {-1073741824, -1073741824, 0},
  {1073741824, 1073741824, -536870912},
  {536870912, 1073741824, -536870912},
  {0, 1073741824, -536870912},
  {-536870912, 1073741824, -536870912},
  {-1073741824, 1073741824, -536870912},
  {1073741824, 536870912, -536870912},
  {536870912, 536870912, -536870912},
  {0, 536870912, -536870912},
  {-536870912, 536870912, -536870912},
  {-1073741824, 536870912, -536870912},
  {1073741824, 0, -536870912},
  {536870912, 0, -536870912},
  {0, 0, -536870912},
  {-536870912, 0, -536870912},
  {-1073741824, 0, -536870912},
  {1073741824, -536870912, -536870912},
  {536870912, -536870912, -536870912},
  {0, -536870912, -536870912},
  {-536870912, -536870912, -536870912},
  {-1073741824, -536870912, -536870912},
  {1073741824, -1073741824, -536870912},
  {536870912, -1073741824, -536870912},
  {0, -1073741824, -536870912},
  {-536870912, -1073741824, -536870912},
  {-1073741824, -1073741824, -536870912},
  {1073741824, 1073741824, -1073741824},
  {536870912, 1073741824, -1073741824},
  {0, 1073741824, -1073741824},
  {-536870912, 1073741824, -1073741824},
  {-1073741824, 1073741824, -1073741824},
  {1073741824, 536870912, -1073741824},
  {536870912, 536870912, -1073741824},
  {0, 536870912, -1073741824},
  {-536870912, 536870912, -1073741824},
  {-1073741824, 536870912, -1073741824},
  {1073741824, 0, -1073741824},
  {536870912, 0, -1073741824},
  {0, 0, -1073741824},
  {-536870912, 0, -1073741824},
  {-1073741824, 0, -1073741824},
  {1073741824, -536870912, -1073741824},
  {536870912, -536870912, -1073741824},
  {0, -536870912, -1073741824},
  {-536870912, -536870912, -1073741824},
  {-1073741824, -536870912, -1073741824},
  {1073741824, -1073741824, -1073741824},
  {536870912, -1073741824, -1073741824},
  {0, -1073741824, -1073741824},
  {-536870912, -1073741824, -1073741824},
  {-1073741824, -1073741824, -1073741824},
  {1073741824, 1073741824, 1073741824},
  {536870912, 1073741824, 1073741824},
  {0, 1073741824, 1073741824}
};

static const int degroup10[1024][3] = {
  {1073741824, 1073741824, 1073741824},
  {805306368, 1073741824, 1073741824},
  {536870912, 1073741824, 1073741824},
  {268435456, 1073741824, 1073741824},
  {0, 1073741824, 1073741824},
  {-268435456, 1073741824, 1073741824},
  {-536870912, 1073741824, 1073741824},
  {-805306368, 1073741824, 1073741824},
  {-1073741824, 1073741824, 1073741824},
  {1073741824, 805306368, 1073741824},
  {805306368, 805306368, 1073741824},
  {536870912, 805306368, 1073741824},
  {268435456, 805306368, 1073741824},
  {0, 805306368, 1073741824},
  {-268435456, 805306368, 1073741824},
  {-536870912, 805306368, 1073741824},
  {-805306368, 805306368, 1073741824},
  {-1073741824, 805306368, 1073741824},
  {1073741824, 536870912, 1073741824},
  {805306368, 536870912, 1073741824},
  {536870912, 536870912, 1073741824},
  {268435456, 536870912, 1073741824},
  {0, 536870912, 1073741824},
  {-268435456, 536870912, 1073741824},
  {-536870912, 536870912, 1073741824},
  {-805306368, 536870912, 1073741824},
  {-1073741824, 536870912, 1073741824},
  {1073741824, 268435456, 1073741824},
  {805306368, 268435456, 1073741824},
  {536870912, 268435456, 1073741824},
  {268435456, 268435456, 1073741824},
  {0, 268435456, 1073741824},
  {-268435456, 268435456, 1073741824},
  {-536870912, 268435456, 1073741824},
  {-805306368, 268435456, 1073741824},
  {-1073741824, 268435456, 1073741824},
  {1073741824, 0, 1073741824},
  {805306368, 0, 1073741824},
  {536870912, 0, 1073741824},
  {268435456, 0, 1073741824},
  {0, 0, 1073741824},
  {-268435456, 0, 1073741824},
  {-536870912, 0, 1073741824},
  {-805306368, 0, 1073741824},
  {-1073741824, 0, 1073741824},
  {1073741824, -268435456, 1073741824},
  {805306368, -268435456, 1073741824},
  {536870912, -268435456, 1073741824},
  {268435456, -268435456, 1073741824},
  {0, -268435456, 1073741824},
  {-268435456, -268435456, 1073741824},
  {-536870912, -268435456, 1073741824},
  {-805306368, -268435456, 1073741824},
  {-1073741824, -268435456, 1073741824},
  {1073741824, -536870912, 1073741824},
  {805306368, -536870912, 1073741824},
  {536870912, -536870912, 1073741824},
  {268435456, -536870912, 1073741824},
  {0, -536870912, 1073741824},
  {-268435456, -536870912, 1073741824},
  {-536870912, -536870912, 1073741824},
  {-805306368, -536870912, 1073741824},
  {-1073741824, -536870912, 1073741824},
  {1073741824, -805306368, 1073741824},
  {805306368, -805306368, 1073741824},
  {536870912, -805306368, 1073741824},
  {268435456, -805306368, 1073741824},
  {0, -805306368, 1073741824},
  {-268435456, -805306368, 1073741824},
  {-536870912, -805306368, 1073741824},
  {-805306368, -805306368, 1073741824},
  {-1073741824, -805306368, 1073741824},
  {1073741824, -1073741824, 1073741824},
  {805306368, -1073741824, 1073741824},
  {536870912, -1073741824, 1073741824},
  {268435456, -1073741824, 1073741824},
  {0, -1073741824, 1073741824},
  {-268435456, -1073741824, 1073741824},
  {-536870912, -1073741824, 1073741824},
  {-805306368, -1073741824, 1073741824},
  {-1073741824, -1073741824, 1073741824},
  {1073741824, 1073741824, 805306368},
  {805306368, 1073741824, 805306368},
  {536870912, 1073741824, 805306368},
  {268435456, 1073741824, 805306368},
  {0, 1073741824, 805306368},
  {-268435456, 1073741824, 805306368},
  {-536870912, 1073741824, 805306368},
  {-805306368, 1073741824, 805306368},
  {-1073741824, 1073741824, 805306368},
  {1073741824, 805306368, 805306368},
  {805306368, 805306368, 805306368},
  {536870912, 805306368, 805306368},
  {268435456, 805306368, 805306368},
  {0, 805306368, 805306368},
  {-268435456, 805306368, 805306368},
  {-536870912, 805306368, 805306368},
  {-805306368, 805306368, 805306368},
  {-1073741824, 805306368, 805306368},
  {1073741824, 536870912, 805306368},
  {805306368, 536870912, 805306368},
  {536870912, 536870912, 805306368},
  {268435456, 536870912, 805306368},
  {0, 536870912, 805306368},
  {-268435456, 536870912, 805306368},
  {-536870912, 536870912, 805306368},
  {-805306368, 536870912, 805306368},
  {-1073741824, 536870912, 805306368},
  {1073741824, 268435456, 805306368},
  {805306368, 268435456, 805306368},
  {536870912, 268435456, 805306368},
  {268435456, 268435456, 805306368},
  {0, 268435456, 805306368},
  {-268435456, 268435456, 805306368},
  {-536870912, 268435456, 805306368},
  {-805306368, 268435456, 805306368},
  {-1073741824, 268435456, 805306368},
  {1073741824, 0, 805306368},
  {805306368, 0, 805306368},
  {536870912, 0, 805306368},
  {268435456, 0, 805306368},
  {0, 0, 805306368},
  {-268435456, 0, 805306368},
  {-536870912, 0, 805306368},
  {-805306368, 0, 805306368},
  {-1073741824, 0, 805306368},
  {1073741824, -268435456, 805306368},
  {805306368, -268435456, 805306368},
  {536870912, -268435456, 805306368},
  {268435456, -268435456, 805306368},
  {0, -268435456, 805306368},
  {-268435456, -268435456, 805306368},
  {-536870912, -268435456, 805306368},
  {-805306368, -268435456, 805306368},
  {-1073741824, -268435456, 805306368},
  {1073741824, -536870912, 805306368},
  {805306368, -536870912, 805306368},
  {536870912, -536870912, 805306368},
  {268435456, -536870912, 805306368},
  {0, -536870912, 805306368},
  {-268435456, -536870912, 805306368},
  {-536870912, -536870912, 805306368},
  {-805306368, -536870912, 805306368},
  {-1073741824, -536870912, 805306368},
  {1073741824, -805306368, 805306368},
  {805306368, -805306368, 805306368},
  {536870912, -805306368, 805306368},
  {268435456, -805306368, 805306368},
  {0, -805306368, 805306368},
  {-268435456, -805306368, 805306368},
  {-536870912, -805306368, 805306368},
  {-805306368, -805306368, 805306368},
  {-1073741824, -805306368, 805306368},
  {1073741824, -1073741824, 805306368},
  {805306368, -1073741824, 805306368},
  {536870912, -1073741824, 805306368},
  {268435456, -1073741824, 805306368},
  {0, -1073741824, 805306368},
  {-268435456, -1073741824, 805306368},
  {-536870912, -1073741824, 805306368},
  {-805306368, -1073741824, 805306368},
  {-1073741824, -1073741824, 805306368},
  {1073741824, 1073741824, 536870912},
  {805306368, 1073741824, 536870912},
  {536870912, 1073741824, 536870912},
  {268435456, 1073741824, 536870912},
  {0, 1073741824, 536870912},
  {-268435456, 1073741824, 536870912},
  {-536870912, 1073741824, 536870912},
  {-805306368, 1073741824, 536870912},
  {-1073741824, 1073741824, 536870912},
  {1073741824, 805306368, 536870912},
  {805306368, 805306368, 536870912},
  {536870912, 805306368, 536870912},
  {268435456, 805306368, 536870912},
  {0, 805306368, 536870912},
  {-268435456, 805306368, 536870912},
  {-536870912, 805306368, 536870912},
  {-805306368, 805306368, 536870912},
  {-1073741824, 805306368, 536870912},
  {1073741824, 536870912, 536870912},
  {805306368, 536870912, 536870912},
  {536870912, 536870912, 536870912},
  {268435456, 536870912, 536870912},
  {0, 536870912, 536870912},
  {-268435456, 536870912, 536870912},
  {-536870912, 536870912, 536870912},
  {-805306368, 536870912, 536870912},
  {-1073741824, 536870912, 536870912},
  {1073741824, 268435456, 536870912},
  {805306368, 268435456, 536870912},
  {536870912, 268435456, 536870912},
  {268435456, 268435456, 536870912},
  {0, 268435456, 536870912},
  {-268435456, 268435456, 536870912},
  {-536870912, 268435456, 536870912},
  {-805306368, 268435456, 536870912},
  {-1073741824, 268435456, 536870912},
  {1073741824, 0, 536870912},
  {805306368, 0, 536870912},
  {536870912, 0, 536870912},
  {268435456, 0, 536870912},
  {0, 0, 536870912},
  {-268435456, 0, 536870912},
  {-536870912, 0, 536870912},
  {-805306368, 0, 536870912},
  {-1073741824, 0, 536870912},
  {1073741824, -268435456, 536870912},
  {805306368, -268435456, 536870912},
  {536870912, -268435456, 536870912},
  {268435456, -268435456, 536870912},
  {0, -268435456, 536870912},
  {-268435456, -268435456, 536870912},
  {-536870912, -268435456, 536870912},
  {-805306368, -268435456, 536870912},
  {-1073741824, -268435456, 536870912},
  {1073741824, -536870912, 536870912},
  {805306368, -536870912, 536870912},
  {536870912, -536870912, 536870912},
  {268435456, -536870912, 536870912},
  {0, -536870912, 536870912},
  {-268435456, -536870912, 536870912},
  {-536870912, -536870912, 536870912},
  {-805306368, -536870912, 536870912},
  {-1073741824, -536870912, 536870912},
  {1073741824, -805306368, 536870912},
  {805306368, -805306368, 536870912},
  {536870912, -805306368, 536870912},
  {268435456, -805306368, 536870912},
  {0, -805306368, 536870912},
  {-268435456, -805306368, 536870912},
  {-536870912, -805306368, 536870912},
  {-805306368, -805306368, 536870912},
  {-1073741824, -805306368, 536870912},
  {1073741824, -1073741824, 536870912},
  {805306368, -1073741824, 536870912},
  {536870912, -1073741824, 536870912},
  {268435456, -1073741824, 536870912},
  {0, -1073741824, 536870912},
  {-268435456, -1073741824, 536870912},
  {-536870912, -1073741824, 536870912},
  {-805306368, -1073741824, 536870912},
  {-1073741824, -1073741824, 536870912},
  {1073741824, 1073741824, 268435456},
  {805306368, 1073741824, 268435456},
  {536870912, 1073741824, 268435456},
  {268435456, 1073741824, 268435456},
  {0, 1073741824, 268435456},
  {-268435456, 1073741824, 268435456},
  {-536870912, 1073741824, 268435456},
  {-805306368, 1073741824, 268435456},
  {-1073741824, 1073741824, 268435456},
  {1073741824, 805306368, 268435456},
  {805306368, 805306368, 268435456},
  {536870912, 805306368, 268435456},
  {268435456, 805306368, 268435456},
  {0, 805306368, 268435456},
  {-268435456, 805306368, 268435456},
  {-536870912, 805306368, 268435456},
  {-805306368, 805306368, 268435456},
  {-1073741824, 805306368, 268435456},
  {1073741824, 536870912, 268435456},
  {805306368, 536870912, 268435456},
  {536870912, 536870912, 268435456},
  {268435456, 536870912, 268435456},
  {0, 536870912, 268435456},
  {-268435456, 536870912, 268435456},
  {-536870912, 536870912, 268435456},
  {-805306368, 536870912, 268435456},
  {-1073741824, 536870912, 268435456},
  {1073741824, 268435456, 268435456},
  {805306368, 268435456, 268435456},
  {536870912, 268435456, 268435456},
  {268435456, 268435456, 268435456},
  {0, 268435456, 268435456},
  {-268435456, 268435456, 268435456},
  {-536870912, 268435456, 268435456},
  {-805306368, 268435456, 268435456},
  {-1073741824, 268435456, 268435456},
  {1073741824, 0, 268435456},
  {805306368, 0, 268435456},
  {536870912, 0, 268435456},
  {268435456, 0, 268435456},
  {0, 0, 268435456},
  {-268435456, 0, 268435456},
  {-536870912, 0, 268435456},
  {-805306368, 0, 268435456},
  {-1073741824, 0, 268435456},
  {1073741824, -268435456, 268435456},
  {805306368, -268435456, 268435456},
  {536870912, -268435456, 268435456},
  {268435456, -268435456, 268435456},
  {0, -268435456, 268435456},
  {-268435456, -268435456, 268435456},
  {-536870912, -268435456, 268435456},
  {-805306368, -268435456, 268435456},
  {-1073741824, -268435456, 268435456},
  {1073741824, -536870912, 268435456},
  {805306368, -536870912, 268435456},
  {536870912, -536870912, 268435456},
  {268435456, -536870912, 268435456},
  {0, -536870912, 268435456},
  {-268435456, -536870912, 268435456},
  {-536870912, -536870912, 268435456},
  {-805306368, -536870912, 268435456},
  {-1073741824, -536870912, 268435456},
  {1073741824, -805306368, 268435456},
  {805306368, -805306368, 268435456},
  {536870912, -805306368, 268435456},
  {268435456, -805306368, 268435456},
  {0, -805306368, 268435456},
  {-268435456, -805306368, 268435456},
  {-536870912, -805306368, 268435456},
  {-805306368, -805306368, 268435456},
  {-1073741824, -805306368, 268435456},
  {1073741824, -1073741824, 268435456},
  {805306368, -1073741824, 268435456},
  {536870912, -1073741824, 268435456},
  {268435456, -1073741824, 268435456},
  {0, -1073741824, 268435456},
  {-268435456, -1073741824, 268435456},
  {-536870912, -1073741824, 268435456},
  {-805306368, -1073741824, 268435456},
  {-1073741824, -1073741824, 268435456},
  {1073741824, 1073741824, 0},
  {805306368, 1073741824, 0},
  {536870912, 1073741824, 0},
  {268435456, 1073741824, 0},
  {0, 1073741824, 0},
  {-268435456, 1073741824, 0},
  {-536870912, 1073741824, 0},
  {-805306368, 1073741824, 0},
  {-1073741824, 1073741824, 0},
  {1073741824, 805306368, 0},
  {805306368, 805306368, 0},
  {536870912, 805306368, 0},
  {268435456, 805306368, 0},
  {0, 805306368, 0},
  {-268435456, 805306368, 0},
  {-536870912, 805306368, 0},
  {-805306368, 805306368, 0},
  {-1073741824, 805306368, 0},
  {1073741824, 536870912, 0},
  {805306368, 536870912, 0},
  {536870912, 536870912, 0},
  {268435456, 536870912, 0},
  {0, 536870912, 0},
  {-268435456, 536870912, 0},
  {-536870912, 536870912, 0},
  {-805306368, 536870912, 0},
  {-1073741824, 536870912, 0},
  {1073741824, 268435456, 0},
  {805306368, 268435456, 0},
  {536870912, 268435456, 0},
  {268435456, 268435456, 0},
  {0, 268435456, 0},
  {-268435456, 268435456, 0},
  {-536870912, 268435456, 0},
  {-805306368, 268435456, 0},
  {-1073741824, 268435456, 0},
  {1073741824, 0, 0},
  {805306368, 0, 0},
  {536870912, 0, 0},
  {268435456, 0, 0},
  {0, 0, 0},
  {-268435456, 0, 0},
  {-536870912, 0, 0},
  {-805306368, 0, 0},
  {-1073741824, 0, 0},
  {1073741824, -268435456, 0},
  {805306368, -268435456, 0},
  {536870912, -268435456, 0},
  {268435456, -268435456, 0},
  {0, -268435456, 0},
  {-268435456, -268435456, 0},
  {-536870912, -268435456, 0},
  {-805306368, -268435456, 0},
  {-1073741824, -268435456, 0},
  {1073741824, -536870912, 0},
  {805306368, -536870912, 0},
  {536870912, -536870912, 0},
  {268435456, -536870912, 0},
  {0, -536870912, 0},
  {-268435456, -536870912, 0},
  {-536870912, -536870912, 0},
  {-805306368, -536870912, 0},
  {-1073741824, -536870912, 0},
  {1073741824, -805306368, 0},
  {805306368, -805306368, 0},
  {536870912, -805306368, 0},
  {268435456, -805306368, 0},
  {0, -805306368, 0},
  {-268435456, -805306368, 0},
  {-536870912, -805306368, 0},
  {-805306368, -805306368, 0},
  {-1073741824, -805306368, 0},
  {1073741824, -1073741824, 0},
  {805306368, -1073741824, 0},
  {536870912, -1073741824, 0},
  {268435456, -1073741824, 0},
  {0, -1073741824, 0},
  {-268435456, -1073741824, 0},
  {-536870912, -1073741824, 0},
  {-805306368, -1073741824, 0},
  {-1073741824, -1073741824, 0},
  {1073741824, 1073741824, -268435456},
  {805306368, 1073741824, -268435456},
  {536870912, 1073741824, -268435456},
  {268435456, 1073741824, -268435456},
  {0, 1073741824, -268435456},
  {-268435456, 1073741824, -268435456},
  {-536870912, 1073741824, -268435456},
  {-805306368, 1073741824, -268435456},
  {-1073741824, 1073741824, -268435456},
  {1073741824, 805306368, -268435456},
  {805306368, 805306368, -268435456},
  {536870912, 805306368, -268435456},
  {268435456, 805306368, -268435456},
  {0, 805306368, -268435456},
  {-268435456, 805306368, -268435456},
  {-536870912, 805306368, -268435456},
  {-805306368, 805306368, -268435456},
  {-1073741824, 805306368, -268435456},
  {1073741824, 536870912, -268435456},
  {805306368, 536870912, -268435456},
  {536870912, 536870912, -268435456},
  {268435456, 536870912, -268435456},
  {0, 536870912, -268435456},
  {-268435456, 536870912, -268435456},
  {-536870912, 536870912, -268435456},
  {-805306368, 536870912, -268435456},
  {-1073741824, 536870912, -268435456},
  {1073741824, 268435456, -268435456},
  {805306368, 268435456, -268435456},
  {536870912, 268435456, -268435456},
  {268435456, 268435456, -268435456},
  {0, 268435456, -268435456},
  {-268435456, 268435456, -268435456},
  {-536870912, 268435456, -268435456},
  {-805306368, 268435456, -268435456},
  {-1073741824, 268435456, -268435456},
  {1073741824, 0, -268435456},
  {805306368, 0, -268435456},
  {536870912, 0, -268435456},
  {268435456, 0, -268435456},
  {0, 0, -268435456},
  {-268435456, 0, -268435456},
  {-536870912, 0, -268435456},
  {-805306368, 0, -268435456},
  {-1073741824, 0, -268435456},
  {1073741824, -268435456, -268435456},
  {805306368, -268435456, -268435456},
  {536870912, -268435456, -268435456},
  {268435456, -268435456, -268435456},
  {0, -268435456, -268435456},
  {-268435456, -268435456, -268435456},
  {-536870912, -268435456, -268435456},
  {-805306368, -268435456, -268435456},
  {-1073741824, -268435456, -268435456},
  {1073741824, -536870912, -268435456},
  {805306368, -536870912, -268435456},
  {536870912, -536870912, -268435456},
  {268435456, -536870912, -268435456},
  {0, -536870912, -268435456},
  {-268435456, -536870912, -268435456},
  {-536870912, -536870912, -268435456},
  {-805306368, -536870912, -268435456},
  {-1073741824, -536870912, -268435456},
  {1073741824, -805306368, -268435456},
  {805306368, -805306368, -268435456},
  {536870912, -805306368, -268435456},
  {268435456, -805306368, -268435456},
  {0, -805306368, -268435456},
  {-268435456, -805306368, -268435456},
  {-536870912, -805306368, -268435456},
  {-805306368, -805306368, -268435456},
  {-1073741824, -805306368, -268435456},
  {1073741824, -1073741824, -268435456},
  {805306368, -1073741824, -268435456},
  {536870912, -1073741824, -268435456},
  {268435456, -1073741824, -268435456},
  {0, -1073741824, -268435456},
  {-268435456, -1073741824, -268435456},
  {-536870912, -1073741824, -268435456},
  {-805306368, -1073741824, -268435456},
  {-1073741824, -1073741824, -268435456},
  {1073741824, 1073741824, -536870912},
  {805306368, 1073741824, -536870912},
  {536870912, 1073741824, -536870912},
  {268435456, 1073741824, -536870912},
  {0, 1073741824, -536870912},
  {-268435456, 1073741824, -536870912},
  {-536870912, 1073741824, -536870912},
  {-805306368, 1073741824, -536870912},
  {-1073741824, 1073741824, -536870912},
  {1073741824, 805306368, -536870912},
  {805306368, 805306368, -536870912},
  {536870912, 805306368, -536870912},
  {268435456, 805306368, -536870912},
  {0, 805306368, -536870912},
  {-268435456, 805306368, -536870912},
  {-536870912, 805306368, -536870912},
  {-805306368, 805306368, -536870912},
  {-1073741824, 805306368, -536870912},
  {1073741824, 536870912, -536870912},
  {805306368, 536870912, -536870912},
  {536870912, 536870912, -536870912},
  {268435456, 536870912, -536870912},
  {0, 536870912, -536870912},
  {-268435456, 536870912, -536870912},
  {-536870912, 536870912, -536870912},
  {-805306368, 536870912, -536870912},
  {-1073741824, 536870912, -536870912},
  {1073741824, 268435456, -536870912},
  {805306368, 268435456, -536870912},
  {536870912, 268435456, -536870912},
  {268435456, 268435456, -536870912},
  {0, 268435456, -536870912},
  {-268435456, 268435456, -536870912},
  {-536870912, 268435456, -536870912},
  {-805306368, 268435456, -536870912},
  {-1073741824, 268435456, -536870912},
  {1073741824, 0, -536870912},
  {805306368, 0, -536870912},
  {536870912, 0, -536870912},
  {268435456, 0, -536870912},
  {0, 0, -536870912},
  {-268435456, 0, -536870912},
  {-536870912, 0, -536870912},
  {-805306368, 0, -536870912},
  {-1073741824, 0, -536870912},
  {1073741824, -268435456, -536870912},
  {805306368, -268435456, -536870912},
  {536870912, -268435456, -536870912},
  {268435456, -268435456, -536870912},
  {0, -268435456, -536870912},
  {-268435456, -268435456, -536870912},
  {-536870912, -268435456, -536870912},
  {-805306368, -268435456, -536870912},
  {-1073741824, -268435456, -536870912},
  {1073741824, -536870912, -536870912},
  {805306368, -536870912, -536870912},
  {536870912, -536870912, -536870912},
  {268435456, -536870912, -536870912},
  {0, -536870912, -536870912},
  {-268435456, -536870912, -536870912},
  {-536870912, -536870912, -536870912},
  {-805306368, -536870912, -536870912},
  {-1073741824, -536870912, -536870912},
  {1073741824, -805306368, -536870912},
  {805306368, -805306368, -536870912},
  {536870912, -805306368, -536870912},
  {268435456, -805306368, -536870912},
  {0, -805306368, -536870912},
  {-268435456, -805306368, -536870912},
  {-536870912, -805306368, -536870912},
  {-805306368, -805306368, -536870912},
  {-1073741824, -805306368, -536870912},
  {1073741824, -1073741824, -536870912},
  {805306368, -1073741824, -536870912},
  {536870912, -1073741824, -536870912},
  {268435456, -1073741824, -536870912},
  {0, -1073741824, -536870912},
  {-268435456, -1073741824, -536870912},
  {-536870912, -1073741824, -536870912},
  {-805306368, -1073741824, -536870912},
  {-1073741824, -1073741824, -536870912},
  {1073741824, 1073741824, -805306368},
  {805306368, 1073741824, -805306368},
  {536870912, 1073741824, -805306368},
  {268435456, 1073741824, -805306368},
  {0, 1073741824, -805306368},
  {-268435456, 1073741824, -805306368},
  {-536870912, 1073741824, -805306368},
  {-805306368, 1073741824, -805306368},
  {-1073741824, 1073741824, -805306368},
  {1073741824, 805306368, -805306368},
  {805306368, 805306368, -805306368},
  {536870912, 805306368, -805306368},
  {268435456, 805306368, -805306368},
  {0, 805306368, -805306368},
  {-268435456, 805306368, -805306368},
  {-536870912, 805306368, -805306368},
  {-805306368, 805306368, -805306368},
  {-1073741824, 805306368, -805306368},
  {1073741824, 536870912, -805306368},
  {805306368, 536870912, -805306368},
  {536870912, 536870912, -805306368},
  {268435456, 536870912, -805306368},
  {0, 536870912, -805306368},
  {-268435456, 536870912, -805306368},
  {-536870912, 536870912, -805306368},
  {-805306368, 536870912, -805306368},
  {-1073741824, 536870912, -805306368},
  {1073741824, 268435456, -805306368},
  {805306368, 268435456, -805306368},
  {536870912, 268435456, -805306368},
  {268435456, 268435456, -805306368},
  {0, 268435456, -805306368},
  {-268435456, 268435456, -805306368},
  {-536870912, 268435456, -805306368},
  {-805306368, 268435456, -805306368},
  {-1073741824, 268435456, -805306368},
  {1073741824, 0, -805306368},
  {805306368, 0, -805306368},
  {536870912, 0, -805306368},
  {268435456, 0, -805306368},
  {0, 0, -805306368},
  {-268435456, 0, -805306368},
  {-536870912, 0, -805306368},
  {-805306368, 0, -805306368},
  {-1073741824, 0, -805306368},
  {1073741824, -268435456, -805306368},
  {805306368, -268435456, -805306368},
  {536870912, -268435456, -805306368},
  {268435456, -268435456, -805306368},
  {0, -268435456, -805306368},
  {-268435456, -268435456, -805306368},
  {-536870912, -268435456, -805306368},
  {-805306368, -268435456, -805306368},
  {-1073741824, -268435456, -805306368},
  {1073741824, -536870912, -805306368},
  {805306368, -536870912, -805306368},
  {536870912, -536870912, -805306368},
  {268435456, -536870912, -805306368},
  {0, -536870912, -805306368},
  {-268435456, -536870912, -805306368},
  {-536870912, -536870912, -805306368},
  {-805306368, -536870912, -805306368},
  {-1073741824, -536870912, -805306368},
  {1073741824, -805306368, -805306368},
  {805306368, -805306368, -805306368},
  {536870912, -805306368, -805306368},
  {268435456, -805306368, -805306368},
  {0, -805306368, -805306368},
  {-268435456, -805306368, -805306368},
  {-536870912, -805306368, -805306368},
  {-805306368, -805306368, -805306368},
  {-1073741824, -805306368, -805306368},
  {1073741824, -1073741824, -805306368},
  {805306368, -1073741824, -805306368},
  {536870912, -1073741824, -805306368},
  {268435456, -1073741824, -805306368},
  {0, -1073741824, -805306368},
  {-268435456, -1073741824, -805306368},
  {-536870912, -1073741824, -805306368},
  {-805306368, -1073741824, -805306368},
  {-1073741824, -1073741824, -805306368},
  {1073741824, 1073741824, -1073741824},
  {805306368, 1073741824, -1073741824},
  {536870912, 1073741824, -1073741824},
  {268435456, 1073741824, -1073741824},
  {0, 1073741824, -1073741824},
  {-268435456, 1073741824, -1073741824},
  {-536870912, 1073741824, -1073741824},
  {-805306368, 1073741824, -1073741824},
  {-1073741824, 1073741824, -1073741824},
  {1073741824, 805306368, -1073741824},
  {805306368, 805306368, -1073741824},
  {536870912, 805306368, -1073741824},
  {268435456, 805306368, -1073741824},
  {0, 805306368, -1073741824},
  {-268435456, 805306368, -1073741824},
  {-536870912, 805306368, -1073741824},
  {-805306368, 805306368, -1073741824},
  {-1073741824, 805306368, -1073741824},
  {1073741824, 536870912, -1073741824},
  {805306368, 536870912, -1073741824},
  {536870912, 536870912, -1073741824},
  {268435456, 536870912, -1073741824},
  {0, 536870912, -1073741824},
  {-268435456, 536870912, -1073741824},
  {-536870912, 536870912, -1073741824},
  {-805306368, 536870912, -1073741824},
  {-1073741824, 536870912, -1073741824},
  {1073741824, 268435456, -1073741824},
  {805306368, 268435456, -1073741824},
  {536870912, 268435456, -1073741824},
  {268435456, 268435456, -1073741824},
  {0, 268435456, -1073741824},
  {-268435456, 268435456, -1073741824},
  {-536870912, 268435456, -1073741824},
  {-805306368, 268435456, -1073741824},
  {-1073741824, 268435456, -1073741824},
  {1073741824, 0, -1073741824},
  {805306368, 0, -1073741824},
  {536870912, 0, -1073741824},
  {268435456, 0, -1073741824},
  {0, 0, -1073741824},
  {-268435456, 0, -1073741824},
  {-536870912, 0, -1073741824},
  {-805306368, 0, -1073741824},
  {-1073741824, 0, -1073741824},
  {1073741824, -268435456, -1073741824},
  {805306368, -268435456, -1073741824},
  {536870912, -268435456, -1073741824},
  {268435456, -268435456, -1073741824},
  {0, -268435456, -1073741824},
  {-268435456, -268435456, -1073741824},
  {-536870912, -268435456, -1073741824},
  {-805306368, -268435456, -1073741824},
  {-1073741824, -268435456, -1073741824},
  {1073741824, -536870912, -1073741824},
  {805306368, -536870912, -1073741824},
  {536870912, -536870912, -1073741824},
  {268435456, -536870912, -1073741824},
  {0, -536870912, -1073741824},
  {-268435456, -536870912, -1073741824},
  {-536870912, -536870912, -1073741824},
  {-805306368, -536870912, -1073741824},
  {-1073741824, -536870912, -1073741824},
  {1073741824, -805306368, -1073741824},
  {805306368, -805306368, -1073741824},
  {536870912, -805306368, -1073741824},
  {268435456, -805306368, -1073741824},
  {0, -805306368, -1073741824},
  {-268435456, -805306368, -1073741824},
  {-536870912, -805306368, -1073741824},
  {-805306368, -805306368, -1073741824},
  {-1073741824, -805306368, -1073741824},
  {1073741824, -1073741824, -1073741824},
  {805306368, -1073741824, -1073741824},
  {536870912, -1073741824, -1073741824},
  {268435456, -1073741824, -1073741824},
  {0, -1073741824, -1073741824},
  {-268435456, -1073741824, -1073741824},
  {-536870912, -1073741824, -1073741824},
  {-805306368, -1073741824, -1073741824},
  {-1073741824, -1073741824, -1073741824},
  {1073741824, 1073741824, 1073741824},
  {805306368, 1073741824, 1073741824},
  {536870912, 1073741824, 1073741824},
  {268435456, 1073741824, 1073741824},
  {0, 1073741824, 1073741824},
  {-268435456, 1073741824, 1073741824},
  {-536870912, 1073741824, 1073741824},
  {-805306368, 1073741824, 1073741824},
  {-1073741824, 1073741824, 1073741824},
  {1073741824, 805306368, 1073741824},
  {805306368, 805306368, 1073741824},
  {536870912, 805306368, 1073741824},
  {268435456, 805306368, 1073741824},
  {0, 805306368, 1073741824},
  {-268435456, 805306368, 1073741824},
  {-536870912, 805306368, 1073741824},
  {-805306368, 805306368, 1073741824},
  {-1073741824, 805306368, 1073741824},
  {1073741824, 536870912, 1073741824},
  {805306368, 536870912, 1073741824},
  {536870912, 536870912, 1073741824},
  {268435456, 536870912, 1073741824},
  {0, 536870912, 1073741824},
  {-268435456, 536870912, 1073741824},
  {-536870912, 536870912, 1073741824},
  {-805306368, 536870912, 1073741824},
  {-1073741824, 536870912, 1073741824},
  {1073741824, 268435456, 1073741824},
  {805306368, 268435456, 1073741824},
  {536870912, 268435456, 1073741824},
  {268435456, 268435456, 1073741824},
  {0, 268435456, 1073741824},
  {-268435456, 268435456, 1073741824},
  {-536870912, 268435456, 1073741824},
  {-805306368, 268435456, 1073741824},
  {-1073741824, 268435456, 1073741824},
  {1073741824, 0, 1073741824},
  {805306368, 0, 1073741824},
  {536870912, 0, 1073741824},
  {268435456, 0, 1073741824},
  {0, 0, 1073741824},
  {-268435456, 0, 1073741824},
  {-536870912, 0, 1073741824},
  {-805306368, 0, 1073741824},
  {-1073741824, 0, 1073741824},
  {1073741824, -268435456, 1073741824},
  {805306368, -268435456, 1073741824},
  {536870912, -268435456, 1073741824},
  {268435456, -268435456, 1073741824},
  {0, -268435456, 1073741824},
  {-268435456, -268435456, 1073741824},
  {-536870912, -268435456, 1073741824},
  {-805306368, -268435456, 1073741824},
  {-1073741824, -268435456, 1073741824},
  {1073741824, -536870912, 1073741824},
  {805306368, -536870912, 1073741824},
  {536870912, -536870912, 1073741824},
  {268435456, -536870912, 1073741824},
  {0, -536870912, 1073741824},
  {-268435456, -536870912, 1073741824},
  {-536870912, -536870912, 1073741824},
  {-805306368, -536870912, 1073741824},
  {-1073741824, -536870912, 1073741824},
  {1073741824, -805306368, 1073741824},
  {805306368, -805306368, 1073741824},
  {536870912, -805306368, 1073741824},
  {268435456, -805306368, 1073741824},
  {0, -805306368, 1073741824},
  {-268435456, -805306368, 1073741824},
  {-536870912, -805306368, 1073741824},
  {-805306368, -805306368, 1073741824},
  {-1073741824, -805306368, 1073741824},
  {1073741824, -1073741824, 1073741824},
  {805306368, -1073741824, 1073741824},
  {536870912, -1073741824, 1073741824},
  {268435456, -1073741824, 1073741824},
  {0, -1073741824, 1073741824},
  {-268435456, -1073741824, 1073741824},
  {-536870912, -1073741824, 1073741824},
  {-805306368, -1073741824, 1073741824},
  {-1073741824, -1073741824, 1073741824},
  {1073741824, 1073741824, 805306368},
  {805306368, 1073741824, 805306368},
  {536870912, 1073741824, 805306368},
  {268435456, 1073741824, 805306368},
  {0, 1073741824, 805306368},
  {-268435456, 1073741824, 805306368},
  {-536870912, 1073741824, 805306368},
  {-805306368, 1073741824, 805306368},
  {-1073741824, 1073741824, 805306368},
  {1073741824, 805306368, 805306368},
  {805306368, 805306368, 805306368},
  {536870912, 805306368, 805306368},
  {268435456, 805306368, 805306368},
  {0, 805306368, 805306368},
  {-268435456, 805306368, 805306368},
  {-536870912, 805306368, 805306368},
  {-805306368, 805306368, 805306368},
  {-1073741824, 805306368, 805306368},
  {1073741824, 536870912, 805306368},
  {805306368, 536870912, 805306368},
  {536870912, 536870912, 805306368},
  {268435456, 536870912, 805306368},
  {0, 536870912, 805306368},
  {-268435456, 536870912, 805306368},
  {-536870912, 536870912, 805306368},
  {-805306368, 536870912, 805306368},
  {-1073741824, 536870912, 805306368},
  {1073741824, 268435456, 805306368},
  {805306368, 268435456, 805306368},
  {536870912, 268435456, 805306368},
  {268435456, 268435456, 805306368},
  {0, 268435456, 805306368},
  {-268435456, 268435456, 805306368},
  {-536870912, 268435456, 805306368},
  {-805306368, 268435456, 805306368},
  {-1073741824, 268435456, 805306368},
  {1073741824, 0, 805306368},
  {805306368, 0, 805306368},
  {536870912, 0, 805306368},
  {268435456, 0, 805306368},
  {0, 0, 805306368},
  {-268435456, 0, 805306368},
  {-536870912, 0, 805306368},
  {-805306368, 0, 805306368},
  {-1073741824, 0, 805306368},
  {1073741824, -268435456, 805306368},
  {805306368, -268435456, 805306368},
  {536870912, -268435456, 805306368},
  {268435456, -268435456, 805306368},
  {0, -268435456, 805306368},
  {-268435456, -268435456, 805306368},
  {-536870912, -268435456, 805306368},
  {-805306368, -268435456, 805306368},
  {-1073741824, -268435456, 805306368},
  {1073741824, -536870912, 805306368},
  {805306368, -536870912, 805306368},
  {536870912, -536870912, 805306368},
  {268435456, -536870912, 805306368},
  {0, -536870912, 805306368},
  {-268435456, -536870912, 805306368},
  {-536870912, -536870912, 805306368},
  {-805306368, -536870912, 805306368},
  {-1073741824, -536870912, 805306368},
  {1073741824, -805306368, 805306368},
  {805306368, -805306368, 805306368},
  {536870912, -805306368, 805306368},
  {268435456, -805306368, 805306368},
  {0, -805306368, 805306368},
  {-268435456, -805306368, 805306368},
  {-536870912, -805306368, 805306368},
  {-805306368, -805306368, 805306368},
  {-1073741824, -805306368, 805306368},
  {1073741824, -1073741824, 805306368},
  {805306368, -1073741824, 805306368},
  {536870912, -1073741824, 805306368},
  {268435456, -1073741824, 805306368},
  {0, -1073741824, 805306368},
  {-268435456, -1073741824, 805306368},
  {-536870912, -1073741824, 805306368},
  {-805306368, -1073741824, 805306368},
  {-1073741824, -1073741824, 805306368},
  {1073741824, 1073741824, 536870912},
  {805306368, 1073741824, 536870912},
  {536870912, 1073741824, 536870912},
  {268435456, 1073741824, 536870912},
  {0, 1073741824, 536870912},
  {-268435456, 1073741824, 536870912},
  {-536870912, 1073741824, 536870912},
  {-805306368, 1073741824, 536870912},
  {-1073741824, 1073741824, 536870912},
  {1073741824, 805306368, 536870912},
  {805306368, 805306368, 536870912},
  {536870912, 805306368, 536870912},
  {268435456, 805306368, 536870912},
  {0, 805306368, 536870912},
  {-268435456, 805306368, 536870912},
  {-536870912, 805306368, 536870912},
  {-805306368, 805306368, 536870912},
  {-1073741824, 805306368, 536870912},
  {1073741824, 536870912, 536870912},
  {805306368, 536870912, 536870912},
  {536870912, 536870912, 536870912},
  {268435456, 536870912, 536870912},
  {0, 536870912, 536870912},
  {-268435456, 536870912, 536870912},
  {-536870912, 536870912, 536870912},
  {-805306368, 536870912, 536870912},
  {-1073741824, 536870912, 536870912},
  {1073741824, 268435456, 536870912},
  {805306368, 268435456, 536870912},
  {536870912, 268435456, 536870912},
  {268435456, 268435456, 536870912},
  {0, 268435456, 536870912},
  {-268435456, 268435456, 536870912},
  {-536870912, 268435456, 536870912},
  {-805306368, 268435456, 536870912},
  {-1073741824, 268435456, 536870912},
  {1073741824, 0, 536870912},
  {805306368, 0, 536870912},
  {536870912, 0, 536870912},
  {268435456, 0, 536870912},
  {0, 0, 536870912},
  {-268435456, 0, 536870912},
  {-536870912, 0, 536870912},
  {-805306368, 0, 536870912},
  {-1073741824, 0, 536870912},
  {1073741824, -268435456, 536870912},
  {805306368, -268435456, 536870912},
  {536870912, -268435456, 536870912},
  {268435456, -268435456, 536870912},
  {0, -268435456, 536870912},
  {-268435456, -268435456, 536870912},
  {-536870912, -268435456, 536870912},
  {-805306368, -268435456, 536870912},
  {-1073741824, -268435456, 536870912},
  {1073741824, -536870912, 536870912},
  {805306368, -536870912, 536870912},
  {536870912, -536870912, 536870912},
  {268435456, -536870912, 536870912},
  {0, -536870912, 536870912},
  {-268435456, -536870912, 536870912},
  {-536870912, -536870912, 536870912},
  {-805306368, -536870912, 536870912},
  {-1073741824, -536870912, 536870912},
  {1073741824, -805306368, 536870912},
  {805306368, -805306368, 536870912},
  {536870912, -805306368, 536870912},
  {268435456, -805306368, 536870912},
  {0, -805306368, 536870912},
  {-268435456, -805306368, 536870912},
  {-536870912, -805306368, 536870912},
  {-805306368, -805306368, 536870912},
  {-1073741824, -805306368, 536870912},
  {1073741824, -1073741824, 536870912},
  {805306368, -1073741824, 536870912},
  {536870912, -1073741824, 536870912},
  {268435456, -1073741824, 536870912},
  {0, -1073741824, 536870912},
  {-268435456, -1073741824, 536870912},
  {-536870912, -1073741824, 536870912},
  {-805306368, -1073741824, 536870912},
  {-1073741824, -1073741824, 536870912},
  {1073741824, 1073741824, 268435456},
  {805306368, 1073741824, 268435456},
  {536870912, 1073741824, 268435456},
  {268435456, 1073741824, 268435456},
  {0, 1073741824, 268435456},
  {-268435456, 1073741824, 268435456},
  {-536870912, 1073741824, 268435456},
  {-805306368, 1073741824, 268435456},
  {-1073741824, 1073741824, 268435456},
  {1073741824, 805306368, 268435456},
  {805306368, 805306368, 268435456},
  {536870912, 805306368, 268435456},
  {268435456, 805306368, 268435456},
  {0, 805306368, 268435456},
  {-268435456, 805306368, 268435456},
  {-536870912, 805306368, 268435456},
  {-805306368, 805306368, 268435456},
  {-1073741824, 805306368, 268435456},
  {1073741824, 536870912, 268435456},
  {805306368, 536870912, 268435456},
  {536870912, 536870912, 268435456},
  {268435456, 536870912, 268435456},
  {0, 536870912, 268435456},
  {-268435456, 536870912, 268435456},
  {-536870912, 536870912, 268435456},
  {-805306368, 536870912, 268435456},
  {-1073741824, 536870912, 268435456},
  {1073741824, 268435456, 268435456},
  {805306368, 268435456, 268435456},
  {536870912, 268435456, 268435456},
  {268435456, 268435456, 268435456},
  {0, 268435456, 268435456},
  {-268435456, 268435456, 268435456},
  {-536870912, 268435456, 268435456},
  {-805306368, 268435456, 268435456},
  {-1073741824, 268435456, 268435456},
  {1073741824, 0, 268435456},
  {805306368, 0, 268435456},
  {536870912, 0, 268435456},
  {268435456, 0, 268435456},
  {0, 0, 268435456},
  {-268435456, 0, 268435456},
  {-536870912, 0, 268435456},
  {-805306368, 0, 268435456},
  {-1073741824, 0, 268435456},
  {1073741824, -268435456, 268435456},
  {805306368, -268435456, 268435456},
  {536870912, -268435456, 268435456},
  {268435456, -268435456, 268435456},
  {0, -268435456, 268435456},
  {-268435456, -268435456, 268435456},
  {-536870912, -268435456, 268435456}
};

static const int (*degroup[6])[3] = {
degroup5, NULL, degroup7, NULL, NULL, degroup10};

static const short int sw[] = {
  4, 4, 4, 4, 4, 4, 6, 6, 8, 8, 10, 12, 16, 20, 24, 28, 34, 42, 50, 54, 76, 158,
  0, 4, 8, 12, 16, 20, 24, 30, 36, 44, 52, 62, 74, 90, 110, 134, 162, 196, 238,
    288, 342, 418, 576, 4, 4, 4,
  4, 4, 4,
  4, 4, 4,
  4, 4, 4,
  6, 6, 6,
  8, 8, 8,
  10, 10, 10,
  12, 12, 12,
  14, 14, 14,
  18, 18, 18,
  22, 22, 22,
  30, 30, 30,
  56, 56, 56,
  0, 4, 8, 12,
  16, 20, 24,
  28, 32, 36,
  40, 44, 48,
  54, 60, 66,
  74, 82, 90,
  100, 110, 120,
  132, 144, 156,
  170, 184, 198,
  216, 234, 252,
  274, 296, 318,
  348, 378, 408,
  464, 520, 576,
  4, 4, 4, 4, 4, 4, 6, 6, 4, 4, 4,
  6, 6, 6,
  8, 8, 8,
  10, 10, 10,
  12, 12, 12,
  14, 14, 14,
  18, 18, 18,
  22, 22, 22,
  30, 30, 30,
  56, 56, 56,
  0, 4, 8, 12, 16, 20, 24, 30, 36, 40, 44, 48,
  54, 60, 66,
  74, 82, 90,
  100, 110, 120,
  132, 144, 156,
  170, 184, 198,
  216, 234, 252,
  274, 296, 318,
  348, 378, 408,
  464, 520, 576,
  4, 4, 4, 4, 4, 4, 6, 6, 6, 8, 10, 12, 16, 18, 22, 28, 34, 40, 46, 54, 54, 192,
  0, 4, 8, 12, 16, 20, 24, 30, 36, 42, 50, 60, 72, 88, 106, 128, 156, 190, 230,
    276, 330, 384, 576, 4, 4, 4,
  4, 4, 4,
  4, 4, 4,
  4, 4, 4,
  6, 6, 6,
  6, 6, 6,
  10, 10, 10,
  12, 12, 12,
  14, 14, 14,
  16, 16, 16,
  20, 20, 20,
  26, 26, 26,
  66, 66, 66,
  0, 4, 8, 12,
  16, 20, 24,
  28, 32, 36,
  40, 44, 48,
  54, 60, 66,
  72, 78, 84,
  94, 104, 114,
  126, 138, 150,
  164, 178, 192,
  208, 224, 240,
  260, 280, 300,
  326, 352, 378,
  444, 510, 576,
  4, 4, 4, 4, 4, 4, 6, 6, 4, 4, 4,
  6, 6, 6,
  6, 6, 6,
  10, 10, 10,
  12, 12, 12,
  14, 14, 14,
  16, 16, 16,
  20, 20, 20,
  26, 26, 26,
  66, 66, 66,
  0, 4, 8, 12, 16, 20, 24, 30, 36, 40, 44, 48,
  54, 60, 66,
  72, 78, 84,
  94, 104, 114,
  126, 138, 150,
  164, 178, 192,
  208, 224, 240,
  260, 280, 300,
  326, 352, 378,
  444, 510, 576,
  4, 4, 4, 4, 4, 4, 6, 6, 8, 10, 12, 16, 20, 24, 30, 38, 46, 56, 68, 84, 102,
    26,
  0, 4, 8, 12, 16, 20, 24, 30, 36, 44, 54, 66, 82, 102, 126, 156, 194, 240, 296,
    364, 448, 550, 576, 4, 4, 4,
  4, 4, 4,
  4, 4, 4,
  4, 4, 4,
  6, 6, 6,
  8, 8, 8,
  12, 12, 12,
  16, 16, 16,
  20, 20, 20,
  26, 26, 26,
  34, 34, 34,
  42, 42, 42,
  12, 12, 12,
  0, 4, 8, 12,
  16, 20, 24,
  28, 32, 36,
  40, 44, 48,
  54, 60, 66,
  74, 82, 90,
  102, 114, 126,
  142, 158, 174,
  194, 214, 234,
  260, 286, 312,
  346, 380, 414,
  456, 498, 540,
  552, 564, 576,
  4, 4, 4, 4, 4, 4, 6, 6, 4, 4, 4,
  6, 6, 6,
  8, 8, 8,
  12, 12, 12,
  16, 16, 16,
  20, 20, 20,
  26, 26, 26,
  34, 34, 34,
  42, 42, 42,
  12, 12, 12,
  0, 4, 8, 12, 16, 20, 24, 30, 36, 40, 44, 48,
  54, 60, 66,
  74, 82, 90,
  102, 114, 126,
  142, 158, 174,
  194, 214, 234,
  260, 286, 312,
  346, 380, 414,
  456, 498, 540,
  552, 564, 576,
  6, 6, 6, 6, 6, 6, 8, 10, 12, 14, 16, 20, 24, 28, 32, 38, 46, 52, 60, 68, 58,
    54,
  0, 6, 12, 18, 24, 30, 36, 44, 54, 66, 80, 96, 116, 140, 168, 200, 238, 284,
    336, 396, 464, 522, 576, 4, 4, 4,
  4, 4, 4,
  4, 4, 4,
  6, 6, 6,
  6, 6, 6,
  8, 8, 8,
  10, 10, 10,
  14, 14, 14,
  18, 18, 18,
  26, 26, 26,
  32, 32, 32,
  42, 42, 42,
  18, 18, 18,
  0, 4, 8, 12,
  16, 20, 24,
  28, 32, 36,
  42, 48, 54,
  60, 66, 72,
  80, 88, 96,
  106, 116, 126,
  140, 154, 168,
  186, 204, 222,
  248, 274, 300,
  332, 364, 396,
  438, 480, 522,
  540, 558, 576,
  6, 6, 6, 6, 6, 6, 6, 6, 6,
  6, 6, 6,
  8, 8, 8,
  10, 10, 10,
  14, 14, 14,
  18, 18, 18,
  26, 26, 26,
  32, 32, 32,
  42, 42, 42,
  18, 18, 18,
  0, 6, 12, 18, 24, 30, 36, 42, 48, 54,
  60, 66, 72,
  80, 88, 96,
  106, 116, 126,
  140, 154, 168,
  186, 204, 222,
  248, 274, 300,
  332, 364, 396,
  438, 480, 522,
  540, 558, 576,
  6, 6, 6, 6, 6, 6, 8, 10, 12, 14, 16, 18, 22, 26, 32, 38, 46, 54, 62, 70, 76,
    36,
  0, 6, 12, 18, 24, 30, 36, 44, 54, 66, 80, 96, 114, 136, 162, 194, 232, 278,
    332, 394, 464, 540, 576, 4, 4, 4,
  4, 4, 4,
  4, 4, 4,
  6, 6, 6,
  8, 8, 8,
  10, 10, 10,
  12, 12, 12,
  14, 14, 14,
  18, 18, 18,
  24, 24, 24,
  32, 32, 32,
  44, 44, 44,
  12, 12, 12,
  0, 4, 8, 12,
  16, 20, 24,
  28, 32, 36,
  42, 48, 54,
  62, 70, 78,
  88, 98, 108,
  120, 132, 144,
  158, 172, 186,
  204, 222, 240,
  264, 288, 312,
  344, 376, 408,
  452, 496, 540,
  552, 564, 576,
  6, 6, 6, 6, 6, 6, 6, 6, 6,
  8, 8, 8,
  10, 10, 10,
  12, 12, 12,
  14, 14, 14,
  18, 18, 18,
  24, 24, 24,
  32, 32, 32,
  44, 44, 44,
  12, 12, 12,
  0, 6, 12, 18, 24, 30, 36, 42, 48, 54,
  62, 70, 78,
  88, 98, 108,
  120, 132, 144,
  158, 172, 186,
  204, 222, 240,
  264, 288, 312,
  344, 376, 408,
  452, 496, 540,
  552, 564, 576,
  6, 6, 6, 6, 6, 6, 8, 10, 12, 14, 16, 20, 24, 28, 32, 38, 46, 52, 60, 68, 58,
    54,
  0, 6, 12, 18, 24, 30, 36, 44, 54, 66, 80, 96, 116, 140, 168, 200, 238, 284,
    336, 396, 464, 522, 576, 4, 4, 4,
  4, 4, 4,
  4, 4, 4,
  6, 6, 6,
  8, 8, 8,
  10, 10, 10,
  12, 12, 12,
  14, 14, 14,
  18, 18, 18,
  24, 24, 24,
  30, 30, 30,
  40, 40, 40,
  18, 18, 18,
  0, 4, 8, 12,
  16, 20, 24,
  28, 32, 36,
  42, 48, 54,
  62, 70, 78,
  88, 98, 108,
  120, 132, 144,
  158, 172, 186,
  204, 222, 240,
  264, 288, 312,
  342, 372, 402,
  442, 482, 522,
  540, 558, 576,
  6, 6, 6, 6, 6, 6, 6, 6, 6,
  8, 8, 8,
  10, 10, 10,
  12, 12, 12,
  14, 14, 14,
  18, 18, 18,
  24, 24, 24,
  30, 30, 30,
  40, 40, 40,
  18, 18, 18,
  0, 6, 12, 18, 24, 30, 36, 42, 48, 54,
  62, 70, 78,
  88, 98, 108,
  120, 132, 144,
  158, 172, 186,
  204, 222, 240,
  264, 288, 312,
  342, 372, 402,
  442, 482, 522,
  540, 558, 576,
  6, 6, 6, 6, 6, 6, 8, 10, 12, 14, 16, 20, 24, 28, 32, 38, 46, 52, 60, 68, 58,
    54,
  0, 6, 12, 18, 24, 30, 36, 44, 54, 66, 80, 96, 116, 140, 168, 200, 238, 284,
    336, 396, 464, 522, 576, 4, 4, 4,
  4, 4, 4,
  4, 4, 4,
  6, 6, 6,
  8, 8, 8,
  10, 10, 10,
  12, 12, 12,
  14, 14, 14,
  18, 18, 18,
  24, 24, 24,
  30, 30, 30,
  40, 40, 40,
  18, 18, 18,
  0, 4, 8, 12,
  16, 20, 24,
  28, 32, 36,
  42, 48, 54,
  62, 70, 78,
  88, 98, 108,
  120, 132, 144,
  158, 172, 186,
  204, 222, 240,
  264, 288, 312,
  342, 372, 402,
  442, 482, 522,
  540, 558, 576,
  6, 6, 6, 6, 6, 6, 6, 6, 6,
  8, 8, 8,
  10, 10, 10,
  12, 12, 12,
  14, 14, 14,
  18, 18, 18,
  24, 24, 24,
  30, 30, 30,
  40, 40, 40,
  18, 18, 18,
  0, 6, 12, 18, 24, 30, 36, 42, 48, 54,
  62, 70, 78,
  88, 98, 108,
  120, 132, 144,
  158, 172, 186,
  204, 222, 240,
  264, 288, 312,
  342, 372, 402,
  442, 482, 522,
  540, 558, 576,
  6, 6, 6, 6, 6, 6, 8, 10, 12, 14, 16, 20, 24, 28, 32, 38, 46, 52, 60, 68, 58,
    54,
  0, 6, 12, 18, 24, 30, 36, 44, 54, 66, 80, 96, 116, 140, 168, 200, 238, 284,
    336, 396, 464, 522, 576, 4, 4, 4,
  4, 4, 4,
  4, 4, 4,
  6, 6, 6,
  8, 8, 8,
  10, 10, 10,
  12, 12, 12,
  14, 14, 14,
  18, 18, 18,
  24, 24, 24,
  30, 30, 30,
  40, 40, 40,
  18, 18, 18,
  0, 4, 8, 12,
  16, 20, 24,
  28, 32, 36,
  42, 48, 54,
  62, 70, 78,
  88, 98, 108,
  120, 132, 144,
  158, 172, 186,
  204, 222, 240,
  264, 288, 312,
  342, 372, 402,
  442, 482, 522,
  540, 558, 576,
  6, 6, 6, 6, 6, 6, 6, 6, 6,
  8, 8, 8,
  10, 10, 10,
  12, 12, 12,
  14, 14, 14,
  18, 18, 18,
  24, 24, 24,
  30, 30, 30,
  40, 40, 40,
  18, 18, 18,
  0, 6, 12, 18, 24, 30, 36, 42, 48, 54,
  62, 70, 78,
  88, 98, 108,
  120, 132, 144,
  158, 172, 186,
  204, 222, 240,
  264, 288, 312,
  342, 372, 402,
  442, 482, 522,
  540, 558, 576,
  12, 12, 12, 12, 12, 12, 16, 20, 24, 28, 32, 40, 48, 56, 64, 76, 90, 2, 2, 2,
    2, 2,
  0, 12, 24, 36, 48, 60, 72, 88, 108, 132, 160, 192, 232, 280, 336, 400, 476,
    566, 568, 570, 572, 574, 576, 8, 8, 8,
  8, 8, 8,
  8, 8, 8,
  12, 12, 12,
  16, 16, 16,
  20, 20, 20,
  24, 24, 24,
  28, 28, 28,
  36, 36, 36,
  2, 2, 2,
  2, 2, 2,
  2, 2, 2,
  26, 26, 26,
  0, 8, 16, 24,
  32, 40, 48,
  56, 64, 72,
  84, 96, 108,
  124, 140, 156,
  176, 196, 216,
  240, 264, 288,
  316, 344, 372,
  408, 444, 480,
  482, 484, 486,
  488, 490, 492,
  494, 496, 498,
  524, 550, 576,
  12, 12, 12, 12, 12, 12, 12, 12, 12,
  16, 16, 16,
  20, 20, 20,
  24, 24, 24,
  28, 28, 28,
  36, 36, 36,
  2, 2, 2,
  2, 2, 2,
  2, 2, 2,
  26, 26, 26,
  0, 12, 24, 36, 48, 60, 72, 84, 96, 108,
  124, 140, 156,
  176, 196, 216,
  240, 264, 288,
  316, 344, 372,
  408, 444, 480,
  482, 484, 486,
  488, 490, 492,
  494, 496, 498,
  524, 550, 576,
  0
};
static const short int *width_table[3][3][2][2] =
  { {{{&sw[0], &sw[45]}, {&sw[0], &sw[124]}},
     {{&sw[201], &sw[246]}, {&sw[201], &sw[325]}},
     {{&sw[402], &sw[447]}, {&sw[402], &sw[526]}}}
,
{{{&sw[603], &sw[648]}, {&sw[603], &sw[727]}},
 {{&sw[800], &sw[845]}, {&sw[800], &sw[924]}},
 {{&sw[997], &sw[1042]}, {&sw[997], &sw[1121]}}}
,
{{{&sw[1194], &sw[1239]}, {&sw[1194], &sw[1318]}},
 {{&sw[1391], &sw[1436]}, {&sw[1391], &sw[1515]}},
 {{&sw[1588], &sw[1633]}, {&sw[1588], &sw[1712]}}}
};
static const short int *start_table[3][3][2][2] =
  { {{{&sw[22], &sw[84]}, {&sw[22], &sw[162]}},
     {{&sw[223], &sw[285]}, {&sw[223], &sw[363]}},
     {{&sw[424], &sw[486]}, {&sw[424], &sw[564]}}}
,
{{{&sw[625], &sw[687]}, {&sw[625], &sw[763]}},
 {{&sw[822], &sw[884]}, {&sw[822], &sw[960]}},
 {{&sw[1019], &sw[1081]}, {&sw[1019], &sw[1157]}}}
,
{{{&sw[1216], &sw[1278]}, {&sw[1216], &sw[1354]}},
 {{&sw[1413], &sw[1475]}, {&sw[1413], &sw[1551]}},
 {{&sw[1610], &sw[1672]}, {&sw[1610], &sw[1748]}}}
};

static unsigned short const crc_table[256] = {
  0x0000, 0x8005, 0x800f,
  0x000a, 0x801b, 0x001e,
  0x0014, 0x8011, 0x8033,
  0x0036, 0x003c, 0x8039,
  0x0028, 0x802d, 0x8027,
  0x0022, 0x8063, 0x0066,
  0x006c, 0x8069, 0x0078,
  0x807d, 0x8077, 0x0072,
  0x0050, 0x8055, 0x805f,
  0x005a, 0x804b, 0x004e,
  0x0044, 0x8041, 0x80c3,
  0x00c6, 0x00cc, 0x80c9,
  0x00d8, 0x80dd, 0x80d7,
  0x00d2, 0x00f0, 0x80f5,
  0x80ff, 0x00fa, 0x80eb,
  0x00ee, 0x00e4, 0x80e1,
  0x00a0, 0x80a5, 0x80af,
  0x00aa, 0x80bb, 0x00be,
  0x00b4, 0x80b1, 0x8093,
  0x0096, 0x009c, 0x8099,
  0x0088, 0x808d, 0x8087,
  0x0082, 0x8183, 0x0186,
  0x018c, 0x8189, 0x0198,
  0x819d, 0x8197, 0x0192,
  0x01b0, 0x81b5, 0x81bf,
  0x01ba, 0x81ab, 0x01ae,
  0x01a4, 0x81a1, 0x01e0,
  0x81e5, 0x81ef, 0x01ea,
  0x81fb, 0x01fe, 0x01f4,
  0x81f1, 0x81d3, 0x01d6,
  0x01dc, 0x81d9, 0x01c8,
  0x81cd, 0x81c7, 0x01c2,
  0x0140, 0x8145, 0x814f,
  0x014a, 0x815b, 0x015e,
  0x0154, 0x8151, 0x8173,
  0x0176, 0x017c, 0x8179,
  0x0168, 0x816d, 0x8167,
  0x0162, 0x8123, 0x0126,
  0x012c, 0x8129, 0x0138,
  0x813d, 0x8137, 0x0132,
  0x0110, 0x8115, 0x811f,
  0x011a, 0x810b, 0x010e,
  0x0104, 0x8101, 0x8303,
  0x0306, 0x030c, 0x8309,
  0x0318, 0x831d, 0x8317,
  0x0312, 0x0330, 0x8335,
  0x833f, 0x033a, 0x832b,
  0x032e, 0x0324, 0x8321,
  0x0360, 0x8365, 0x836f,
  0x036a, 0x837b, 0x037e,
  0x0374, 0x8371, 0x8353,
  0x0356, 0x035c, 0x8359,
  0x0348, 0x834d, 0x8347,
  0x0342, 0x03c0, 0x83c5,
  0x83cf, 0x03ca, 0x83db,
  0x03de, 0x03d4, 0x83d1,
  0x83f3, 0x03f6, 0x03fc,
  0x83f9, 0x03e8, 0x83ed,
  0x83e7, 0x03e2, 0x83a3,
  0x03a6, 0x03ac, 0x83a9,
  0x03b8, 0x83bd, 0x83b7,
  0x03b2, 0x0390, 0x8395,
  0x839f, 0x039a, 0x838b,
  0x038e, 0x0384, 0x8381,
  0x0280, 0x8285, 0x828f,
  0x028a, 0x829b, 0x029e,
  0x0294, 0x8291, 0x82b3,
  0x02b6, 0x02bc, 0x82b9,
  0x02a8, 0x82ad, 0x82a7,
  0x02a2, 0x82e3, 0x02e6,
  0x02ec, 0x82e9, 0x02f8,
  0x82fd, 0x82f7, 0x02f2,
  0x02d0, 0x82d5, 0x82df,
  0x02da, 0x82cb, 0x02ce,
  0x02c4, 0x82c1, 0x8243,
  0x0246, 0x024c, 0x8249,
  0x0258, 0x825d, 0x8257,
  0x0252, 0x0270, 0x8275,
  0x827f, 0x027a, 0x826b,
  0x026e, 0x0264, 0x8261,
  0x0220, 0x8225, 0x822f,
  0x022a, 0x823b, 0x023e,
  0x0234, 0x8231, 0x8213,
  0x0216, 0x021c, 0x8219,
  0x0208, 0x820d, 0x8207,
  0x0202
};

static const double power132[256] = {
  1.0580121460444474e-02, 1.0811795952842438e-02, 1.1048543456039806e-02,
  1.1290475054508177e-02, 1.1537704265152339e-02, 1.1790347090573616e-02,
  1.2048522073499537e-02, 1.2312350352405363e-02, 1.2581955718353549e-02,
  1.2857464673077851e-02, 1.3139006488339289e-02, 1.3426713266581859e-02,
  1.3720720002916402e-02, 1.4021164648461775e-02, 1.4328188175072988e-02,
  1.4641934641486718e-02, 1.4962551260915214e-02, 1.5290188470120314e-02,
  1.5625000000000000e-02, 1.5967142947720572e-02, 1.6316777850428340e-02,
  1.6674068760575370e-02, 1.7039183322894651e-02, 1.7412292853060819e-02,
  1.7793572418073306e-02, 1.8183200918399648e-02, 1.8581361171917516e-02,
  1.8988239999694827e-02, 1.9404028313648188e-02, 1.9828921206120832e-02,
  2.0263118041422026e-02, 2.0706822549370958e-02, 2.1160242920888948e-02,
  2.1623591905684875e-02, 2.2097086912079612e-02, 2.2580950109016354e-02,
  2.3075408530304677e-02, 2.3580694181147232e-02, 2.4097044146999074e-02,
  2.4624700704810727e-02, 2.5163911436707098e-02, 2.5714929346155702e-02,
  2.6278012976678578e-02, 2.6853426533163718e-02, 2.7441440005832804e-02,
  2.8042329296923550e-02, 2.8656376350145975e-02, 2.9283869282973437e-02,
  2.9925102521830428e-02, 3.0580376940240628e-02, 3.1250000000000000e-02,
  3.1934285895441145e-02, 3.2633555700856680e-02, 3.3348137521150741e-02,
  3.4078366645789303e-02, 3.4824585706121639e-02, 3.5587144836146611e-02,
  3.6366401836799296e-02, 3.7162722343835032e-02, 3.7976479999389655e-02,
  3.8808056627296375e-02, 3.9657842412241663e-02, 4.0526236082844051e-02,
  4.1413645098741916e-02, 4.2320485841777895e-02, 4.3247183811369751e-02,
  4.4194173824159223e-02, 4.5161900218032708e-02, 4.6150817060609355e-02,
  4.7161388362294464e-02, 4.8194088293998148e-02, 4.9249401409621453e-02,
  5.0327822873414196e-02, 5.1429858692311405e-02, 5.2556025953357156e-02,
  5.3706853066327435e-02, 5.4882880011665608e-02, 5.6084658593847099e-02,
  5.7312752700291951e-02, 5.8567738565946874e-02, 5.9850205043660856e-02,
  6.1160753880481256e-02, 6.2500000000000000e-02, 6.3868571790882289e-02,
  6.5267111401713360e-02, 6.6696275042301481e-02, 6.8156733291578606e-02,
  6.9649171412243277e-02, 7.1174289672293223e-02, 7.2732803673598592e-02,
  7.4325444687670064e-02, 7.5952959998779310e-02, 7.7616113254592750e-02,
  7.9315684824483326e-02, 8.1052472165688103e-02, 8.2827290197483833e-02,
  8.4640971683555791e-02, 8.6494367622739501e-02, 8.8388347648318447e-02,
  9.0323800436065416e-02, 9.2301634121218709e-02, 9.4322776724588928e-02,
  9.6388176587996297e-02, 9.8498802819242906e-02, 1.0065564574682839e-01,
  1.0285971738462281e-01, 1.0511205190671431e-01, 1.0741370613265487e-01,
  1.0976576002333122e-01, 1.1216931718769420e-01, 1.1462550540058390e-01,
  1.1713547713189375e-01, 1.1970041008732171e-01, 1.2232150776096251e-01,
  1.2500000000000000e-01, 1.2773714358176458e-01, 1.3053422280342672e-01,
  1.3339255008460296e-01, 1.3631346658315721e-01, 1.3929834282448655e-01,
  1.4234857934458645e-01, 1.4546560734719718e-01, 1.4865088937534013e-01,
  1.5190591999755862e-01, 1.5523222650918550e-01, 1.5863136964896665e-01,
  1.6210494433137621e-01, 1.6565458039496767e-01, 1.6928194336711158e-01,
  1.7298873524547900e-01, 1.7677669529663689e-01, 1.8064760087213083e-01,
  1.8460326824243742e-01, 1.8864555344917786e-01, 1.9277635317599259e-01,
  1.9699760563848581e-01, 2.0131129149365679e-01, 2.0571943476924562e-01,
  2.1022410381342863e-01, 2.1482741226530974e-01, 2.1953152004666243e-01,
  2.2433863437538840e-01, 2.2925101080116780e-01, 2.3427095426378750e-01,
  2.3940082017464343e-01, 2.4464301552192502e-01, 2.5000000000000000e-01,
  2.5547428716352916e-01, 2.6106844560685344e-01, 2.6678510016920592e-01,
  2.7262693316631442e-01, 2.7859668564897311e-01, 2.8469715868917289e-01,
  2.9093121469439437e-01, 2.9730177875068026e-01, 3.0381183999511724e-01,
  3.1046445301837100e-01, 3.1726273929793330e-01, 3.2420988866275241e-01,
  3.3130916078993533e-01, 3.3856388673422316e-01, 3.4597747049095801e-01,
  3.5355339059327379e-01, 3.6129520174426166e-01, 3.6920653648487484e-01,
  3.7729110689835571e-01, 3.8555270635198519e-01, 3.9399521127697162e-01,
  4.0262258298731357e-01, 4.1143886953849124e-01, 4.2044820762685725e-01,
  4.2965482453061948e-01, 4.3906304009332486e-01, 4.4867726875077679e-01,
  4.5850202160233561e-01, 4.6854190852757499e-01, 4.7880164034928685e-01,
  4.8928603104385004e-01, 5.0000000000000000e-01, 5.1094857432705831e-01,
  5.2213689121370688e-01, 5.3357020033841185e-01, 5.4525386633262884e-01,
  5.5719337129794622e-01, 5.6939431737834578e-01, 5.8186242938878874e-01,
  5.9460355750136051e-01, 6.0762367999023448e-01, 6.2092890603674200e-01,
  6.3452547859586661e-01, 6.4841977732550482e-01, 6.6261832157987066e-01,
  6.7712777346844633e-01, 6.9195494098191601e-01, 7.0710678118654757e-01,
  7.2259040348852333e-01, 7.3841307296974967e-01, 7.5458221379671142e-01,
  7.7110541270397037e-01, 7.8799042255394325e-01, 8.0524516597462714e-01,
  8.2287773907698247e-01, 8.4089641525371450e-01, 8.5930964906123897e-01,
  8.7812608018664973e-01, 8.9735453750155358e-01, 9.1700404320467122e-01,
  9.3708381705514998e-01, 9.5760328069857370e-01, 9.7857206208770009e-01,
  1.0000000000000000e+00, 1.0218971486541166e+00, 1.0442737824274138e+00,
  1.0671404006768237e+00, 1.0905077326652577e+00, 1.1143867425958924e+00,
  1.1387886347566916e+00, 1.1637248587775775e+00, 1.1892071150027210e+00,
  1.2152473599804690e+00, 1.2418578120734840e+00, 1.2690509571917332e+00,
  1.2968395546510096e+00, 1.3252366431597413e+00, 1.3542555469368927e+00,
  1.3839098819638320e+00, 1.4142135623730951e+00, 1.4451808069770467e+00,
  1.4768261459394993e+00, 1.5091644275934228e+00, 1.5422108254079407e+00,
  1.5759808451078865e+00, 1.6104903319492543e+00, 1.6457554781539649e+00,
  1.6817928305074290e+00, 1.7186192981224779e+00, 1.7562521603732995e+00,
  1.7947090750031072e+00, 1.8340080864093424e+00, 1.8741676341103000e+00,
  1.9152065613971474e+00, 1.9571441241754002e+00, 2.0000000000000000e+00,
  2.0437942973082333e+00, 2.0885475648548275e+00, 2.1342808013536474e+00,
  2.1810154653305154e+00, 2.2287734851917849e+00, 2.2775772695133831e+00,
  2.3274497175551550e+00, 2.3784142300054421e+00, 2.4304947199609379e+00,
  2.4837156241469680e+00, 2.5381019143834664e+00, 2.5936791093020193e+00,
  2.6504732863194826e+00
};
